#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d12vrr_order_dpgp(Libderiv_t *, prim_data *);

  /* Computes derivatives of (dp|gp) integrals */

void d12hrr_order_dpgp(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[3][5][11] = int_stack + 0;
 Libderiv->deriv_classes[3][5][10] = int_stack + 210;
 Libderiv->deriv_classes[3][5][9] = int_stack + 420;
 Libderiv->deriv_classes[3][5][8] = int_stack + 630;
 Libderiv->deriv_classes[3][5][7] = int_stack + 840;
 Libderiv->dvrr_classes[3][4] = int_stack + 1050;
 Libderiv->deriv_classes[3][5][6] = int_stack + 1200;
 Libderiv->deriv_classes[3][5][2] = int_stack + 1410;
 Libderiv->deriv_classes[3][5][1] = int_stack + 1620;
 Libderiv->dvrr_classes[2][5] = int_stack + 1830;
 Libderiv->deriv_classes[3][5][0] = int_stack + 1956;
 Libderiv->deriv2_classes[2][4][143] = int_stack + 2166;
 Libderiv->deriv2_classes[2][5][143] = int_stack + 2256;
 Libderiv->deriv2_classes[3][4][143] = int_stack + 2382;
 Libderiv->deriv2_classes[3][5][143] = int_stack + 2532;
 Libderiv->deriv2_classes[2][4][131] = int_stack + 2742;
 Libderiv->deriv2_classes[2][5][131] = int_stack + 2832;
 Libderiv->deriv2_classes[3][4][131] = int_stack + 2958;
 Libderiv->deriv2_classes[3][5][131] = int_stack + 3108;
 Libderiv->deriv2_classes[2][4][130] = int_stack + 3318;
 Libderiv->deriv2_classes[2][5][130] = int_stack + 3408;
 Libderiv->deriv2_classes[3][4][130] = int_stack + 3534;
 Libderiv->deriv2_classes[3][5][130] = int_stack + 3684;
 Libderiv->deriv2_classes[2][4][119] = int_stack + 3894;
 Libderiv->deriv2_classes[2][5][119] = int_stack + 3984;
 Libderiv->deriv2_classes[3][4][119] = int_stack + 4110;
 Libderiv->deriv2_classes[3][5][119] = int_stack + 4260;
 Libderiv->deriv2_classes[2][4][118] = int_stack + 4470;
 Libderiv->deriv2_classes[2][5][118] = int_stack + 4560;
 Libderiv->deriv2_classes[3][4][118] = int_stack + 4686;
 Libderiv->deriv2_classes[3][5][118] = int_stack + 4836;
 Libderiv->deriv2_classes[2][4][117] = int_stack + 5046;
 Libderiv->deriv2_classes[2][5][117] = int_stack + 5136;
 Libderiv->deriv2_classes[3][4][117] = int_stack + 5262;
 Libderiv->deriv2_classes[3][5][117] = int_stack + 5412;
 Libderiv->deriv2_classes[2][4][107] = int_stack + 5622;
 Libderiv->deriv2_classes[2][5][107] = int_stack + 5712;
 Libderiv->deriv2_classes[3][4][107] = int_stack + 5838;
 Libderiv->deriv2_classes[3][5][107] = int_stack + 5988;
 Libderiv->deriv2_classes[2][4][106] = int_stack + 6198;
 Libderiv->deriv2_classes[2][5][106] = int_stack + 6288;
 Libderiv->deriv2_classes[3][4][106] = int_stack + 6414;
 Libderiv->deriv2_classes[3][5][106] = int_stack + 6564;
 Libderiv->deriv2_classes[2][4][105] = int_stack + 6774;
 Libderiv->deriv2_classes[2][5][105] = int_stack + 6864;
 Libderiv->deriv2_classes[3][4][105] = int_stack + 6990;
 Libderiv->deriv2_classes[3][5][105] = int_stack + 7140;
 Libderiv->deriv2_classes[2][4][104] = int_stack + 7350;
 Libderiv->deriv2_classes[2][5][104] = int_stack + 7440;
 Libderiv->deriv2_classes[3][4][104] = int_stack + 7566;
 Libderiv->deriv2_classes[3][5][104] = int_stack + 7716;
 Libderiv->deriv2_classes[2][4][95] = int_stack + 7926;
 Libderiv->deriv2_classes[2][5][95] = int_stack + 8016;
 Libderiv->deriv2_classes[3][4][95] = int_stack + 8142;
 Libderiv->deriv2_classes[3][5][95] = int_stack + 8292;
 Libderiv->deriv2_classes[2][4][94] = int_stack + 8502;
 Libderiv->deriv2_classes[2][5][94] = int_stack + 8592;
 Libderiv->deriv2_classes[3][4][94] = int_stack + 8718;
 Libderiv->deriv2_classes[3][5][94] = int_stack + 8868;
 Libderiv->deriv2_classes[2][4][93] = int_stack + 9078;
 Libderiv->deriv2_classes[2][5][93] = int_stack + 9168;
 Libderiv->deriv2_classes[3][4][93] = int_stack + 9294;
 Libderiv->deriv2_classes[3][5][93] = int_stack + 9444;
 Libderiv->deriv2_classes[2][4][92] = int_stack + 9654;
 Libderiv->deriv2_classes[2][5][92] = int_stack + 9744;
 Libderiv->deriv2_classes[3][4][92] = int_stack + 9870;
 Libderiv->deriv2_classes[3][5][92] = int_stack + 10020;
 Libderiv->deriv2_classes[2][4][91] = int_stack + 10230;
 Libderiv->deriv2_classes[2][5][91] = int_stack + 10320;
 Libderiv->deriv2_classes[3][4][91] = int_stack + 10446;
 Libderiv->deriv2_classes[3][5][91] = int_stack + 10596;
 Libderiv->deriv2_classes[2][4][83] = int_stack + 10806;
 Libderiv->deriv2_classes[2][5][83] = int_stack + 10896;
 Libderiv->deriv_classes[3][4][11] = int_stack + 11022;
 Libderiv->deriv2_classes[3][4][83] = int_stack + 11172;
 Libderiv->deriv2_classes[3][5][83] = int_stack + 11322;
 Libderiv->deriv2_classes[2][4][82] = int_stack + 11532;
 Libderiv->deriv2_classes[2][5][82] = int_stack + 11622;
 Libderiv->deriv_classes[3][4][10] = int_stack + 11748;
 Libderiv->deriv2_classes[3][4][82] = int_stack + 11898;
 Libderiv->deriv2_classes[3][5][82] = int_stack + 12048;
 Libderiv->deriv2_classes[2][4][81] = int_stack + 12258;
 Libderiv->deriv2_classes[2][5][81] = int_stack + 12348;
 Libderiv->deriv_classes[3][4][9] = int_stack + 12474;
 Libderiv->deriv2_classes[3][4][81] = int_stack + 12624;
 Libderiv->deriv2_classes[3][5][81] = int_stack + 12774;
 Libderiv->deriv2_classes[2][4][80] = int_stack + 12984;
 Libderiv->deriv2_classes[2][5][80] = int_stack + 13074;
 Libderiv->deriv_classes[3][4][8] = int_stack + 13200;
 Libderiv->deriv2_classes[3][4][80] = int_stack + 13350;
 Libderiv->deriv2_classes[3][5][80] = int_stack + 13500;
 Libderiv->deriv2_classes[2][4][79] = int_stack + 13710;
 Libderiv->deriv2_classes[2][5][79] = int_stack + 13800;
 Libderiv->deriv_classes[3][4][7] = int_stack + 13926;
 Libderiv->deriv2_classes[3][4][79] = int_stack + 14076;
 Libderiv->deriv2_classes[3][5][79] = int_stack + 14226;
 Libderiv->deriv2_classes[2][4][78] = int_stack + 14436;
 Libderiv->deriv2_classes[2][5][78] = int_stack + 14526;
 Libderiv->deriv_classes[3][4][6] = int_stack + 14652;
 Libderiv->deriv2_classes[3][4][78] = int_stack + 14802;
 Libderiv->deriv2_classes[3][5][78] = int_stack + 14952;
 Libderiv->deriv2_classes[2][4][35] = int_stack + 15162;
 Libderiv->deriv2_classes[2][5][35] = int_stack + 15252;
 Libderiv->deriv2_classes[3][4][35] = int_stack + 15378;
 Libderiv->deriv2_classes[3][5][35] = int_stack + 15528;
 Libderiv->deriv2_classes[2][4][34] = int_stack + 15738;
 Libderiv->deriv2_classes[2][5][34] = int_stack + 15828;
 Libderiv->deriv2_classes[3][4][34] = int_stack + 15954;
 Libderiv->deriv2_classes[3][5][34] = int_stack + 16104;
 Libderiv->deriv2_classes[2][4][33] = int_stack + 16314;
 Libderiv->deriv2_classes[2][5][33] = int_stack + 16404;
 Libderiv->deriv2_classes[3][4][33] = int_stack + 16530;
 Libderiv->deriv2_classes[3][5][33] = int_stack + 16680;
 Libderiv->deriv2_classes[2][4][32] = int_stack + 16890;
 Libderiv->deriv2_classes[2][5][32] = int_stack + 16980;
 Libderiv->deriv2_classes[3][4][32] = int_stack + 17106;
 Libderiv->deriv2_classes[3][5][32] = int_stack + 17256;
 Libderiv->deriv2_classes[2][4][31] = int_stack + 17466;
 Libderiv->deriv2_classes[2][5][31] = int_stack + 17556;
 Libderiv->deriv2_classes[3][4][31] = int_stack + 17682;
 Libderiv->deriv2_classes[3][5][31] = int_stack + 17832;
 Libderiv->deriv2_classes[2][4][30] = int_stack + 18042;
 Libderiv->deriv2_classes[2][5][30] = int_stack + 18132;
 Libderiv->deriv_classes[3][4][2] = int_stack + 18258;
 Libderiv->deriv2_classes[3][4][30] = int_stack + 18408;
 Libderiv->deriv2_classes[3][5][30] = int_stack + 18558;
 Libderiv->deriv2_classes[2][4][26] = int_stack + 18768;
 Libderiv->deriv2_classes[2][5][26] = int_stack + 18858;
 Libderiv->deriv2_classes[3][4][26] = int_stack + 18984;
 Libderiv->deriv2_classes[3][5][26] = int_stack + 19134;
 Libderiv->deriv2_classes[2][4][23] = int_stack + 19344;
 Libderiv->deriv2_classes[2][5][23] = int_stack + 19434;
 Libderiv->deriv2_classes[3][4][23] = int_stack + 19560;
 Libderiv->deriv2_classes[3][5][23] = int_stack + 19710;
 Libderiv->deriv2_classes[2][4][22] = int_stack + 19920;
 Libderiv->deriv2_classes[2][5][22] = int_stack + 20010;
 Libderiv->deriv2_classes[3][4][22] = int_stack + 20136;
 Libderiv->deriv2_classes[3][5][22] = int_stack + 20286;
 Libderiv->deriv2_classes[2][4][21] = int_stack + 20496;
 Libderiv->deriv2_classes[2][5][21] = int_stack + 20586;
 Libderiv->deriv2_classes[3][4][21] = int_stack + 20712;
 Libderiv->deriv2_classes[3][5][21] = int_stack + 20862;
 Libderiv->deriv2_classes[2][4][20] = int_stack + 21072;
 Libderiv->deriv2_classes[2][5][20] = int_stack + 21162;
 Libderiv->deriv2_classes[3][4][20] = int_stack + 21288;
 Libderiv->deriv2_classes[3][5][20] = int_stack + 21438;
 Libderiv->deriv2_classes[2][4][19] = int_stack + 21648;
 Libderiv->deriv2_classes[2][5][19] = int_stack + 21738;
 Libderiv->deriv2_classes[3][4][19] = int_stack + 21864;
 Libderiv->deriv2_classes[3][5][19] = int_stack + 22014;
 Libderiv->deriv2_classes[2][4][18] = int_stack + 22224;
 Libderiv->deriv2_classes[2][5][18] = int_stack + 22314;
 Libderiv->deriv_classes[3][4][1] = int_stack + 22440;
 Libderiv->deriv2_classes[3][4][18] = int_stack + 22590;
 Libderiv->deriv2_classes[3][5][18] = int_stack + 22740;
 Libderiv->deriv2_classes[2][4][14] = int_stack + 22950;
 Libderiv->deriv2_classes[2][5][14] = int_stack + 23040;
 Libderiv->deriv2_classes[3][4][14] = int_stack + 23166;
 Libderiv->deriv2_classes[3][5][14] = int_stack + 23316;
 Libderiv->deriv2_classes[2][4][13] = int_stack + 23526;
 Libderiv->deriv2_classes[2][5][13] = int_stack + 23616;
 Libderiv->deriv2_classes[3][4][13] = int_stack + 23742;
 Libderiv->deriv2_classes[3][5][13] = int_stack + 23892;
 Libderiv->deriv_classes[2][4][11] = int_stack + 24102;
 Libderiv->deriv_classes[2][5][11] = int_stack + 24192;
 Libderiv->deriv2_classes[2][4][11] = int_stack + 24318;
 Libderiv->deriv2_classes[2][5][11] = int_stack + 24408;
 Libderiv->deriv2_classes[3][4][11] = int_stack + 24534;
 Libderiv->deriv2_classes[3][5][11] = int_stack + 24684;
 Libderiv->deriv_classes[2][4][10] = int_stack + 24894;
 Libderiv->deriv_classes[2][5][10] = int_stack + 24984;
 Libderiv->deriv2_classes[2][4][10] = int_stack + 25110;
 Libderiv->deriv2_classes[2][5][10] = int_stack + 25200;
 Libderiv->deriv2_classes[3][4][10] = int_stack + 25326;
 Libderiv->deriv2_classes[3][5][10] = int_stack + 25476;
 Libderiv->deriv_classes[2][4][9] = int_stack + 25686;
 Libderiv->deriv_classes[2][5][9] = int_stack + 25776;
 Libderiv->deriv2_classes[2][4][9] = int_stack + 25902;
 Libderiv->deriv2_classes[2][5][9] = int_stack + 25992;
 Libderiv->deriv2_classes[3][4][9] = int_stack + 26118;
 Libderiv->deriv2_classes[3][5][9] = int_stack + 26268;
 Libderiv->deriv_classes[2][4][8] = int_stack + 26478;
 Libderiv->deriv_classes[2][5][8] = int_stack + 26568;
 Libderiv->deriv2_classes[2][4][8] = int_stack + 26694;
 Libderiv->deriv2_classes[2][5][8] = int_stack + 26784;
 Libderiv->deriv2_classes[3][4][8] = int_stack + 26910;
 Libderiv->deriv2_classes[3][5][8] = int_stack + 27060;
 Libderiv->deriv_classes[2][4][7] = int_stack + 27270;
 Libderiv->deriv_classes[2][5][7] = int_stack + 27360;
 Libderiv->deriv2_classes[2][4][7] = int_stack + 27486;
 Libderiv->deriv2_classes[2][5][7] = int_stack + 27576;
 Libderiv->deriv2_classes[3][4][7] = int_stack + 27702;
 Libderiv->deriv2_classes[3][5][7] = int_stack + 27852;
 Libderiv->dvrr_classes[2][4] = int_stack + 28062;
 Libderiv->deriv_classes[2][4][6] = int_stack + 28152;
 Libderiv->deriv_classes[2][5][6] = int_stack + 28242;
 Libderiv->deriv2_classes[2][4][6] = int_stack + 28368;
 Libderiv->deriv2_classes[2][5][6] = int_stack + 28458;
 Libderiv->deriv_classes[3][4][0] = int_stack + 28584;
 Libderiv->deriv2_classes[3][4][6] = int_stack + 28734;
 Libderiv->deriv2_classes[3][5][6] = int_stack + 28884;
 Libderiv->deriv_classes[2][4][2] = int_stack + 29094;
 Libderiv->deriv_classes[2][5][2] = int_stack + 29184;
 Libderiv->deriv2_classes[2][4][2] = int_stack + 29310;
 Libderiv->deriv2_classes[2][5][2] = int_stack + 29400;
 Libderiv->deriv2_classes[3][4][2] = int_stack + 29526;
 Libderiv->deriv2_classes[3][5][2] = int_stack + 29676;
 Libderiv->deriv_classes[2][4][1] = int_stack + 29886;
 Libderiv->deriv_classes[2][5][1] = int_stack + 29976;
 Libderiv->deriv2_classes[2][4][1] = int_stack + 30102;
 Libderiv->deriv2_classes[2][5][1] = int_stack + 30192;
 Libderiv->deriv2_classes[3][4][1] = int_stack + 30318;
 Libderiv->deriv2_classes[3][5][1] = int_stack + 30468;
 Libderiv->deriv_classes[2][4][0] = int_stack + 30678;
 Libderiv->deriv_classes[2][5][0] = int_stack + 30768;
 Libderiv->deriv2_classes[2][4][0] = int_stack + 30894;
 Libderiv->deriv2_classes[2][5][0] = int_stack + 30984;
 Libderiv->deriv2_classes[3][4][0] = int_stack + 31110;
 Libderiv->deriv2_classes[3][5][0] = int_stack + 31260;
 memset(int_stack,0,251760);

 Libderiv->dvrr_stack = int_stack + 48120;
 for(i=0;i<num_prim_comb;i++) {
   d12vrr_order_dpgp(Libderiv, Data);
   Data++;
 }

 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+31470,int_stack+24192,int_stack+24102, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28062,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+31740,int_stack+0,int_stack+11022, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1050,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+32190,int_stack+24984,int_stack+24894, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28062, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+32460,int_stack+210,int_stack+11748, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1050, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+0,int_stack+25776,int_stack+25686, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28062, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+32910,int_stack+420,int_stack+12474, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1050, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+270,int_stack+26568,int_stack+26478, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28062, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+33360,int_stack+630,int_stack+13200, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1050, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+540,int_stack+27360,int_stack+27270, 0.0, zero_stack, 1.0, int_stack+28062, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+33810,int_stack+840,int_stack+13926, 0.0, zero_stack, 1.0, int_stack+1050, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+34260,int_stack+28242,int_stack+28152, 1.0, int_stack+28062, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+34530,int_stack+1200,int_stack+14652, 1.0, int_stack+1050, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+810,int_stack+1830,int_stack+28062,6);
 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+1080,int_stack+29184,int_stack+29094,6);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+34980,int_stack+1410,int_stack+18258,10);
 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+1350,int_stack+29976,int_stack+29886,6);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+35430,int_stack+1620,int_stack+22440,10);
 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+1620,int_stack+30768,int_stack+30678,6);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+35880,int_stack+1956,int_stack+28584,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+1890,int_stack+2256,int_stack+2166, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+24102,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+36330,int_stack+2532,int_stack+2382, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+11022,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+2160,int_stack+2832,int_stack+2742, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24102, 1.0, int_stack+24894,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+2430,int_stack+3108,int_stack+2958, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11022, 1.0, int_stack+11748,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+2880,int_stack+3408,int_stack+3318, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+24894, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+36780,int_stack+3684,int_stack+3534, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+11748, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+3150,int_stack+3984,int_stack+3894, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24102, 0.0, zero_stack, 1.0, int_stack+25686,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+3420,int_stack+4260,int_stack+4110, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11022, 0.0, zero_stack, 1.0, int_stack+12474,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+3870,int_stack+4560,int_stack+4470, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24894, 1.0, int_stack+25686, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4140,int_stack+4836,int_stack+4686, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11748, 1.0, int_stack+12474, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4590,int_stack+5136,int_stack+5046, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+25686, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+37230,int_stack+5412,int_stack+5262, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+12474, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4860,int_stack+5712,int_stack+5622, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24102, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26478,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+5130,int_stack+5988,int_stack+5838, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11022, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13200,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+5580,int_stack+6288,int_stack+6198, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24894, 0.0, zero_stack, 1.0, int_stack+26478, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+5850,int_stack+6564,int_stack+6414, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11748, 0.0, zero_stack, 1.0, int_stack+13200, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+6300,int_stack+6864,int_stack+6774, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25686, 1.0, int_stack+26478, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+37680,int_stack+7140,int_stack+6990, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12474, 1.0, int_stack+13200, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+6570,int_stack+7440,int_stack+7350, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+26478, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+6840,int_stack+7716,int_stack+7566, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+13200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+7290,int_stack+8016,int_stack+7926, 0.0, zero_stack, 1.0, int_stack+24102, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27270,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+7560,int_stack+8292,int_stack+8142, 0.0, zero_stack, 1.0, int_stack+11022, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13926,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+8010,int_stack+8592,int_stack+8502, 0.0, zero_stack, 1.0, int_stack+24894, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27270, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+38130,int_stack+8868,int_stack+8718, 0.0, zero_stack, 1.0, int_stack+11748, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13926, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+8280,int_stack+9168,int_stack+9078, 0.0, zero_stack, 1.0, int_stack+25686, 0.0, zero_stack, 1.0, int_stack+27270, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+8550,int_stack+9444,int_stack+9294, 0.0, zero_stack, 1.0, int_stack+12474, 0.0, zero_stack, 1.0, int_stack+13926, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+9000,int_stack+9744,int_stack+9654, 0.0, zero_stack, 1.0, int_stack+26478, 1.0, int_stack+27270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+9270,int_stack+10020,int_stack+9870, 0.0, zero_stack, 1.0, int_stack+13200, 1.0, int_stack+13926, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+9720,int_stack+10320,int_stack+10230, 0.0, zero_stack, 2.0, int_stack+27270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+9990,int_stack+10596,int_stack+10446, 0.0, zero_stack, 2.0, int_stack+13926, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+10440,int_stack+10896,int_stack+10806, 1.0, int_stack+24102, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28152,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+38580,int_stack+11322,int_stack+11172, 1.0, int_stack+11022, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14652,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+10710,int_stack+11622,int_stack+11532, 1.0, int_stack+24894, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28152, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+10980,int_stack+12048,int_stack+11898, 1.0, int_stack+11748, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14652, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+11430,int_stack+12348,int_stack+12258, 1.0, int_stack+25686, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28152, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+11700,int_stack+12774,int_stack+12624, 1.0, int_stack+12474, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14652, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+12150,int_stack+13074,int_stack+12984, 1.0, int_stack+26478, 0.0, zero_stack, 1.0, int_stack+28152, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+12420,int_stack+13500,int_stack+13350, 1.0, int_stack+13200, 0.0, zero_stack, 1.0, int_stack+14652, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+12870,int_stack+13800,int_stack+13710, 1.0, int_stack+27270, 1.0, int_stack+28152, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+13140,int_stack+14226,int_stack+14076, 1.0, int_stack+13926, 1.0, int_stack+14652, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+13590,int_stack+14526,int_stack+14436, 2.0, int_stack+28152, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+13860,int_stack+14952,int_stack+14802, 2.0, int_stack+14652, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+14310,int_stack+15252,int_stack+15162, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29094,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+14580,int_stack+15528,int_stack+15378, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18258,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+15030,int_stack+15828,int_stack+15738, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29094, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+15300,int_stack+16104,int_stack+15954, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18258, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+15750,int_stack+16404,int_stack+16314, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29094, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+16020,int_stack+16680,int_stack+16530, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18258, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+16470,int_stack+16980,int_stack+16890, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29094, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+39030,int_stack+17256,int_stack+17106, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18258, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+16740,int_stack+17556,int_stack+17466, 0.0, zero_stack, 1.0, int_stack+29094, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+17010,int_stack+17832,int_stack+17682, 0.0, zero_stack, 1.0, int_stack+18258, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+17460,int_stack+18132,int_stack+18042, 1.0, int_stack+29094, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+17730,int_stack+18558,int_stack+18408, 1.0, int_stack+18258, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+18180,int_stack+18858,int_stack+18768,6);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+18450,int_stack+19134,int_stack+18984,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+18900,int_stack+19434,int_stack+19344, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29886,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+39480,int_stack+19710,int_stack+19560, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22440,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+19170,int_stack+20010,int_stack+19920, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29886, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+19440,int_stack+20286,int_stack+20136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22440, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+19890,int_stack+20586,int_stack+20496, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29886, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+20160,int_stack+20862,int_stack+20712, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22440, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+20610,int_stack+21162,int_stack+21072, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29886, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+39930,int_stack+21438,int_stack+21288, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+20880,int_stack+21738,int_stack+21648, 0.0, zero_stack, 1.0, int_stack+29886, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+21150,int_stack+22014,int_stack+21864, 0.0, zero_stack, 1.0, int_stack+22440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+21600,int_stack+22314,int_stack+22224, 1.0, int_stack+29886, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+21870,int_stack+22740,int_stack+22590, 1.0, int_stack+22440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+22320,int_stack+23040,int_stack+22950,6);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+22590,int_stack+23316,int_stack+23166,10);
 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+23040,int_stack+23616,int_stack+23526,6);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+40380,int_stack+23892,int_stack+23742,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+23310,int_stack+24408,int_stack+24318, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30678,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+23580,int_stack+24684,int_stack+24534, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28584,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+24030,int_stack+25200,int_stack+25110, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30678, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+24300,int_stack+25476,int_stack+25326, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28584, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+24750,int_stack+25992,int_stack+25902, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30678, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+25020,int_stack+26268,int_stack+26118, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28584, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+25470,int_stack+26784,int_stack+26694, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30678, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+25740,int_stack+27060,int_stack+26910, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28584, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+26190,int_stack+27576,int_stack+27486, 0.0, zero_stack, 1.0, int_stack+30678, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+26460,int_stack+27852,int_stack+27702, 0.0, zero_stack, 1.0, int_stack+28584, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+26910,int_stack+28458,int_stack+28368, 1.0, int_stack+30678, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+27180,int_stack+28884,int_stack+28734, 1.0, int_stack+28584, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+27630,int_stack+29400,int_stack+29310,6);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+27900,int_stack+29676,int_stack+29526,10);
 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+28350,int_stack+30192,int_stack+30102,6);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+28620,int_stack+30468,int_stack+30318,10);
 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+29070,int_stack+30984,int_stack+30894,6);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+29340,int_stack+31260,int_stack+31110,10);
 /*--- compute (dp|gp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+29790,int_stack+31740,int_stack+31470,45);
     Libderiv->ABCD[11] = int_stack + 29790;
 /*--- compute (dp|gp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+30600,int_stack+32460,int_stack+32190,45);
     Libderiv->ABCD[10] = int_stack + 30600;
 /*--- compute (dp|gp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+40830,int_stack+32910,int_stack+0,45);
     Libderiv->ABCD[9] = int_stack + 40830;
 /*--- compute (dp|gp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+32460,int_stack+33360,int_stack+270,45);
     Libderiv->ABCD[8] = int_stack + 32460;
 /*--- compute (dp|gp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+41640,int_stack+33810,int_stack+540,45);
     Libderiv->ABCD[7] = int_stack + 41640;
 /*--- compute (dp|gp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+33270,int_stack+34530,int_stack+34260,45);
     Libderiv->ABCD[6] = int_stack + 33270;
 /*--- compute (dp|gp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+42450,int_stack+34980,int_stack+1080, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+810, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
     Libderiv->ABCD[2] = int_stack + 42450;
 /*--- compute (dp|gp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+34530,int_stack+35430,int_stack+1350, 0.0, zero_stack, 1.0, int_stack+810, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
     Libderiv->ABCD[1] = int_stack + 34530;
 /*--- compute (dp|gp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+43260,int_stack+35880,int_stack+1620, 1.0, int_stack+810, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
     Libderiv->ABCD[0] = int_stack + 43260;
 /*--- compute (dp|gp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+35340,int_stack+36330,int_stack+1890,45);
     Libderiv->ABCD[155] = int_stack + 35340;
 /*--- compute (dp|gp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+44070,int_stack+2430,int_stack+2160,45);
     Libderiv->ABCD[143] = int_stack + 44070;
 /*--- compute (dp|gp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+1890,int_stack+36780,int_stack+2880,45);
     Libderiv->ABCD[142] = int_stack + 1890;
 /*--- compute (dp|gp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+36150,int_stack+3420,int_stack+3150,45);
     Libderiv->ABCD[131] = int_stack + 36150;
 /*--- compute (dp|gp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+2700,int_stack+4140,int_stack+3870,45);
     Libderiv->ABCD[130] = int_stack + 2700;
 /*--- compute (dp|gp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+3510,int_stack+37230,int_stack+4590,45);
     Libderiv->ABCD[129] = int_stack + 3510;
 /*--- compute (dp|gp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+44880,int_stack+5130,int_stack+4860,45);
     Libderiv->ABCD[119] = int_stack + 44880;
 /*--- compute (dp|gp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+4320,int_stack+5850,int_stack+5580,45);
     Libderiv->ABCD[118] = int_stack + 4320;
 /*--- compute (dp|gp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+5130,int_stack+37680,int_stack+6300,45);
     Libderiv->ABCD[117] = int_stack + 5130;
 /*--- compute (dp|gp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+36960,int_stack+6840,int_stack+6570,45);
     Libderiv->ABCD[116] = int_stack + 36960;
 /*--- compute (dp|gp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+5940,int_stack+7560,int_stack+7290,45);
     Libderiv->ABCD[107] = int_stack + 5940;
 /*--- compute (dp|gp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+6750,int_stack+38130,int_stack+8010,45);
     Libderiv->ABCD[106] = int_stack + 6750;
 /*--- compute (dp|gp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+37770,int_stack+8550,int_stack+8280,45);
     Libderiv->ABCD[105] = int_stack + 37770;
 /*--- compute (dp|gp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+7560,int_stack+9270,int_stack+9000,45);
     Libderiv->ABCD[104] = int_stack + 7560;
 /*--- compute (dp|gp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+8370,int_stack+9990,int_stack+9720,45);
     Libderiv->ABCD[103] = int_stack + 8370;
 /*--- compute (dp|gp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+9180,int_stack+38580,int_stack+10440,45);
     Libderiv->ABCD[95] = int_stack + 9180;
 /*--- compute (dp|gp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+45690,int_stack+10980,int_stack+10710,45);
     Libderiv->ABCD[94] = int_stack + 45690;
 /*--- compute (dp|gp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+9990,int_stack+11700,int_stack+11430,45);
     Libderiv->ABCD[93] = int_stack + 9990;
 /*--- compute (dp|gp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+10800,int_stack+12420,int_stack+12150,45);
     Libderiv->ABCD[92] = int_stack + 10800;
 /*--- compute (dp|gp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+11610,int_stack+13140,int_stack+12870,45);
     Libderiv->ABCD[91] = int_stack + 11610;
 /*--- compute (dp|gp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+12420,int_stack+13860,int_stack+13590,45);
     Libderiv->ABCD[90] = int_stack + 12420;
 /*--- compute (dp|gp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+13230,int_stack+14580,int_stack+14310, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31470, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
     Libderiv->ABCD[47] = int_stack + 13230;
 /*--- compute (dp|gp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+14040,int_stack+15300,int_stack+15030, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32190, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
     Libderiv->ABCD[46] = int_stack + 14040;
 /*--- compute (dp|gp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+14850,int_stack+16020,int_stack+15750, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
     Libderiv->ABCD[45] = int_stack + 14850;
 /*--- compute (dp|gp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+15660,int_stack+39030,int_stack+16470, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
     Libderiv->ABCD[44] = int_stack + 15660;
 /*--- compute (dp|gp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+38580,int_stack+17010,int_stack+16740, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
     Libderiv->ABCD[43] = int_stack + 38580;
 /*--- compute (dp|gp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+16470,int_stack+17730,int_stack+17460, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
     Libderiv->ABCD[42] = int_stack + 16470;
 /*--- compute (dp|gp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+17280,int_stack+18450,int_stack+18180, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+1080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
     Libderiv->ABCD[38] = int_stack + 17280;
 /*--- compute (dp|gp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+18090,int_stack+39480,int_stack+18900, 0.0, zero_stack, 1.0, int_stack+31470, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
     Libderiv->ABCD[35] = int_stack + 18090;
 /*--- compute (dp|gp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+46500,int_stack+19440,int_stack+19170, 0.0, zero_stack, 1.0, int_stack+32190, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
     Libderiv->ABCD[34] = int_stack + 46500;
 /*--- compute (dp|gp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+18900,int_stack+20160,int_stack+19890, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
     Libderiv->ABCD[33] = int_stack + 18900;
 /*--- compute (dp|gp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+19710,int_stack+39930,int_stack+20610, 0.0, zero_stack, 1.0, int_stack+270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
     Libderiv->ABCD[32] = int_stack + 19710;
 /*--- compute (dp|gp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+39390,int_stack+21150,int_stack+20880, 0.0, zero_stack, 1.0, int_stack+540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
     Libderiv->ABCD[31] = int_stack + 39390;
 /*--- compute (dp|gp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+20520,int_stack+21870,int_stack+21600, 0.0, zero_stack, 1.0, int_stack+34260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
     Libderiv->ABCD[30] = int_stack + 20520;
 /*--- compute (dp|gp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+21330,int_stack+22590,int_stack+22320, 0.0, zero_stack, 1.0, int_stack+1080, 1.0, int_stack+1350, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
     Libderiv->ABCD[26] = int_stack + 21330;
 /*--- compute (dp|gp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+22140,int_stack+40380,int_stack+23040, 0.0, zero_stack, 2.0, int_stack+1350, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
     Libderiv->ABCD[25] = int_stack + 22140;
 /*--- compute (dp|gp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+47310,int_stack+23580,int_stack+23310, 1.0, int_stack+31470, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
     Libderiv->ABCD[23] = int_stack + 47310;
 /*--- compute (dp|gp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+22950,int_stack+24300,int_stack+24030, 1.0, int_stack+32190, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
     Libderiv->ABCD[22] = int_stack + 22950;
 /*--- compute (dp|gp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+23760,int_stack+25020,int_stack+24750, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
     Libderiv->ABCD[21] = int_stack + 23760;
 /*--- compute (dp|gp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+24570,int_stack+25740,int_stack+25470, 1.0, int_stack+270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
     Libderiv->ABCD[20] = int_stack + 24570;
 /*--- compute (dp|gp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+25380,int_stack+26460,int_stack+26190, 1.0, int_stack+540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
     Libderiv->ABCD[19] = int_stack + 25380;
 /*--- compute (dp|gp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+0,int_stack+27180,int_stack+26910, 1.0, int_stack+34260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
     Libderiv->ABCD[18] = int_stack + 0;
 /*--- compute (dp|gp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+26190,int_stack+27900,int_stack+27630, 1.0, int_stack+1080, 0.0, zero_stack, 1.0, int_stack+1620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
     Libderiv->ABCD[14] = int_stack + 26190;
 /*--- compute (dp|gp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+27000,int_stack+28620,int_stack+28350, 1.0, int_stack+1350, 1.0, int_stack+1620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
     Libderiv->ABCD[13] = int_stack + 27000;
 /*--- compute (dp|gp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+810,int_stack+29340,int_stack+29070, 2.0, int_stack+1620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
     Libderiv->ABCD[12] = int_stack + 810;

}
