#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d12vrr_order_f0h0(Libderiv_t *, prim_data *);

  /* Computes derivatives of (f0|h0) integrals */

void d12hrr_order_f0h0(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[3][5][11] = int_stack + 0;
 Libderiv->deriv_classes[3][5][10] = int_stack + 210;
 Libderiv->deriv_classes[3][5][9] = int_stack + 420;
 Libderiv->deriv_classes[3][5][8] = int_stack + 630;
 Libderiv->deriv_classes[3][5][7] = int_stack + 840;
 Libderiv->deriv_classes[3][5][6] = int_stack + 1050;
 Libderiv->deriv_classes[3][5][2] = int_stack + 1260;
 Libderiv->deriv_classes[3][5][1] = int_stack + 1470;
 Libderiv->deriv_classes[3][5][0] = int_stack + 1680;
 Libderiv->deriv2_classes[3][5][143] = int_stack + 1890;
 Libderiv->deriv2_classes[3][5][131] = int_stack + 2100;
 Libderiv->deriv2_classes[3][5][130] = int_stack + 2310;
 Libderiv->deriv2_classes[3][5][119] = int_stack + 2520;
 Libderiv->deriv2_classes[3][5][118] = int_stack + 2730;
 Libderiv->deriv2_classes[3][5][117] = int_stack + 2940;
 Libderiv->deriv2_classes[3][5][107] = int_stack + 3150;
 Libderiv->deriv2_classes[3][5][106] = int_stack + 3360;
 Libderiv->deriv2_classes[3][5][105] = int_stack + 3570;
 Libderiv->deriv2_classes[3][5][104] = int_stack + 3780;
 Libderiv->deriv2_classes[3][5][95] = int_stack + 3990;
 Libderiv->deriv2_classes[3][5][94] = int_stack + 4200;
 Libderiv->deriv2_classes[3][5][93] = int_stack + 4410;
 Libderiv->deriv2_classes[3][5][92] = int_stack + 4620;
 Libderiv->deriv2_classes[3][5][91] = int_stack + 4830;
 Libderiv->deriv2_classes[3][5][83] = int_stack + 5040;
 Libderiv->deriv2_classes[3][5][82] = int_stack + 5250;
 Libderiv->deriv2_classes[3][5][81] = int_stack + 5460;
 Libderiv->deriv2_classes[3][5][80] = int_stack + 5670;
 Libderiv->deriv2_classes[3][5][79] = int_stack + 5880;
 Libderiv->deriv2_classes[3][5][78] = int_stack + 6090;
 Libderiv->deriv2_classes[3][5][35] = int_stack + 6300;
 Libderiv->deriv2_classes[3][5][34] = int_stack + 6510;
 Libderiv->deriv2_classes[3][5][33] = int_stack + 6720;
 Libderiv->deriv2_classes[3][5][32] = int_stack + 6930;
 Libderiv->deriv2_classes[3][5][31] = int_stack + 7140;
 Libderiv->deriv2_classes[3][5][30] = int_stack + 7350;
 Libderiv->deriv2_classes[3][5][26] = int_stack + 7560;
 Libderiv->deriv2_classes[3][5][23] = int_stack + 7770;
 Libderiv->deriv2_classes[3][5][22] = int_stack + 7980;
 Libderiv->deriv2_classes[3][5][21] = int_stack + 8190;
 Libderiv->deriv2_classes[3][5][20] = int_stack + 8400;
 Libderiv->deriv2_classes[3][5][19] = int_stack + 8610;
 Libderiv->deriv2_classes[3][5][18] = int_stack + 8820;
 Libderiv->deriv2_classes[3][5][14] = int_stack + 9030;
 Libderiv->deriv2_classes[3][5][13] = int_stack + 9240;
 Libderiv->deriv2_classes[3][5][11] = int_stack + 9450;
 Libderiv->deriv2_classes[3][5][10] = int_stack + 9660;
 Libderiv->deriv2_classes[3][5][9] = int_stack + 9870;
 Libderiv->deriv2_classes[3][5][8] = int_stack + 10080;
 Libderiv->deriv2_classes[3][5][7] = int_stack + 10290;
 Libderiv->deriv2_classes[3][5][6] = int_stack + 10500;
 Libderiv->deriv2_classes[3][5][2] = int_stack + 10710;
 Libderiv->deriv2_classes[3][5][1] = int_stack + 10920;
 Libderiv->deriv2_classes[3][5][0] = int_stack + 11130;
 memset(int_stack,0,90720);

 Libderiv->dvrr_stack = int_stack + 11340;
 for(i=0;i<num_prim_comb;i++) {
   d12vrr_order_f0h0(Libderiv, Data);
   Data++;
 }

 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[11] = int_stack + 0;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[10] = int_stack + 210;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[9] = int_stack + 420;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[8] = int_stack + 630;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[7] = int_stack + 840;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[6] = int_stack + 1050;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[2] = int_stack + 1260;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[1] = int_stack + 1470;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[0] = int_stack + 1680;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[155] = int_stack + 1890;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[143] = int_stack + 2100;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[142] = int_stack + 2310;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[131] = int_stack + 2520;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[130] = int_stack + 2730;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[129] = int_stack + 2940;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[119] = int_stack + 3150;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[118] = int_stack + 3360;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[117] = int_stack + 3570;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[116] = int_stack + 3780;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[107] = int_stack + 3990;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[106] = int_stack + 4200;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[105] = int_stack + 4410;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[104] = int_stack + 4620;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[103] = int_stack + 4830;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[95] = int_stack + 5040;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[94] = int_stack + 5250;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[93] = int_stack + 5460;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[92] = int_stack + 5670;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[91] = int_stack + 5880;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[90] = int_stack + 6090;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[47] = int_stack + 6300;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[46] = int_stack + 6510;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[45] = int_stack + 6720;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[44] = int_stack + 6930;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[43] = int_stack + 7140;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[42] = int_stack + 7350;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[38] = int_stack + 7560;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[35] = int_stack + 7770;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[34] = int_stack + 7980;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[33] = int_stack + 8190;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[32] = int_stack + 8400;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[31] = int_stack + 8610;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[30] = int_stack + 8820;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[26] = int_stack + 9030;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[25] = int_stack + 9240;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[23] = int_stack + 9450;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[22] = int_stack + 9660;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[21] = int_stack + 9870;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[20] = int_stack + 10080;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[19] = int_stack + 10290;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[18] = int_stack + 10500;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[14] = int_stack + 10710;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[13] = int_stack + 10920;
 /*--- compute (f0|h0) ---*/
     Libderiv->ABCD[12] = int_stack + 11130;

}
