#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d12vrr_order_gphd(Libderiv_t *, prim_data *);

  /* Computes derivatives of (gp|hd) integrals */

void d12hrr_order_gphd(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[5][7][11] = int_stack + 0;
 Libderiv->deriv_classes[5][7][10] = int_stack + 756;
 Libderiv->deriv_classes[5][7][9] = int_stack + 1512;
 Libderiv->deriv_classes[5][7][8] = int_stack + 2268;
 Libderiv->deriv_classes[5][7][7] = int_stack + 3024;
 Libderiv->dvrr_classes[5][6] = int_stack + 3780;
 Libderiv->deriv_classes[5][7][6] = int_stack + 4368;
 Libderiv->deriv_classes[5][7][2] = int_stack + 5124;
 Libderiv->deriv_classes[5][7][1] = int_stack + 5880;
 Libderiv->dvrr_classes[4][7] = int_stack + 6636;
 Libderiv->deriv_classes[5][7][0] = int_stack + 7176;
 Libderiv->deriv2_classes[4][5][143] = int_stack + 7932;
 Libderiv->deriv2_classes[4][6][143] = int_stack + 8247;
 Libderiv->deriv2_classes[4][7][143] = int_stack + 8667;
 Libderiv->deriv2_classes[5][5][143] = int_stack + 9207;
 Libderiv->deriv2_classes[5][6][143] = int_stack + 9648;
 Libderiv->deriv2_classes[5][7][143] = int_stack + 10236;
 Libderiv->deriv2_classes[4][5][131] = int_stack + 10992;
 Libderiv->deriv2_classes[4][6][131] = int_stack + 11307;
 Libderiv->deriv2_classes[4][7][131] = int_stack + 11727;
 Libderiv->deriv2_classes[5][5][131] = int_stack + 12267;
 Libderiv->deriv2_classes[5][6][131] = int_stack + 12708;
 Libderiv->deriv2_classes[5][7][131] = int_stack + 13296;
 Libderiv->deriv2_classes[4][5][130] = int_stack + 14052;
 Libderiv->deriv2_classes[4][6][130] = int_stack + 14367;
 Libderiv->deriv2_classes[4][7][130] = int_stack + 14787;
 Libderiv->deriv2_classes[5][5][130] = int_stack + 15327;
 Libderiv->deriv2_classes[5][6][130] = int_stack + 15768;
 Libderiv->deriv2_classes[5][7][130] = int_stack + 16356;
 Libderiv->deriv2_classes[4][5][119] = int_stack + 17112;
 Libderiv->deriv2_classes[4][6][119] = int_stack + 17427;
 Libderiv->deriv2_classes[4][7][119] = int_stack + 17847;
 Libderiv->deriv2_classes[5][5][119] = int_stack + 18387;
 Libderiv->deriv2_classes[5][6][119] = int_stack + 18828;
 Libderiv->deriv2_classes[5][7][119] = int_stack + 19416;
 Libderiv->deriv2_classes[4][5][118] = int_stack + 20172;
 Libderiv->deriv2_classes[4][6][118] = int_stack + 20487;
 Libderiv->deriv2_classes[4][7][118] = int_stack + 20907;
 Libderiv->deriv2_classes[5][5][118] = int_stack + 21447;
 Libderiv->deriv2_classes[5][6][118] = int_stack + 21888;
 Libderiv->deriv2_classes[5][7][118] = int_stack + 22476;
 Libderiv->deriv2_classes[4][5][117] = int_stack + 23232;
 Libderiv->deriv2_classes[4][6][117] = int_stack + 23547;
 Libderiv->deriv2_classes[4][7][117] = int_stack + 23967;
 Libderiv->deriv2_classes[5][5][117] = int_stack + 24507;
 Libderiv->deriv2_classes[5][6][117] = int_stack + 24948;
 Libderiv->deriv2_classes[5][7][117] = int_stack + 25536;
 Libderiv->deriv2_classes[4][5][107] = int_stack + 26292;
 Libderiv->deriv2_classes[4][6][107] = int_stack + 26607;
 Libderiv->deriv2_classes[4][7][107] = int_stack + 27027;
 Libderiv->deriv2_classes[5][5][107] = int_stack + 27567;
 Libderiv->deriv2_classes[5][6][107] = int_stack + 28008;
 Libderiv->deriv2_classes[5][7][107] = int_stack + 28596;
 Libderiv->deriv2_classes[4][5][106] = int_stack + 29352;
 Libderiv->deriv2_classes[4][6][106] = int_stack + 29667;
 Libderiv->deriv2_classes[4][7][106] = int_stack + 30087;
 Libderiv->deriv2_classes[5][5][106] = int_stack + 30627;
 Libderiv->deriv2_classes[5][6][106] = int_stack + 31068;
 Libderiv->deriv2_classes[5][7][106] = int_stack + 31656;
 Libderiv->deriv2_classes[4][5][105] = int_stack + 32412;
 Libderiv->deriv2_classes[4][6][105] = int_stack + 32727;
 Libderiv->deriv2_classes[4][7][105] = int_stack + 33147;
 Libderiv->deriv2_classes[5][5][105] = int_stack + 33687;
 Libderiv->deriv2_classes[5][6][105] = int_stack + 34128;
 Libderiv->deriv2_classes[5][7][105] = int_stack + 34716;
 Libderiv->deriv2_classes[4][5][104] = int_stack + 35472;
 Libderiv->deriv2_classes[4][6][104] = int_stack + 35787;
 Libderiv->deriv2_classes[4][7][104] = int_stack + 36207;
 Libderiv->deriv2_classes[5][5][104] = int_stack + 36747;
 Libderiv->deriv2_classes[5][6][104] = int_stack + 37188;
 Libderiv->deriv2_classes[5][7][104] = int_stack + 37776;
 Libderiv->deriv2_classes[4][5][95] = int_stack + 38532;
 Libderiv->deriv2_classes[4][6][95] = int_stack + 38847;
 Libderiv->deriv2_classes[4][7][95] = int_stack + 39267;
 Libderiv->deriv2_classes[5][5][95] = int_stack + 39807;
 Libderiv->deriv2_classes[5][6][95] = int_stack + 40248;
 Libderiv->deriv2_classes[5][7][95] = int_stack + 40836;
 Libderiv->deriv2_classes[4][5][94] = int_stack + 41592;
 Libderiv->deriv2_classes[4][6][94] = int_stack + 41907;
 Libderiv->deriv2_classes[4][7][94] = int_stack + 42327;
 Libderiv->deriv2_classes[5][5][94] = int_stack + 42867;
 Libderiv->deriv2_classes[5][6][94] = int_stack + 43308;
 Libderiv->deriv2_classes[5][7][94] = int_stack + 43896;
 Libderiv->deriv2_classes[4][5][93] = int_stack + 44652;
 Libderiv->deriv2_classes[4][6][93] = int_stack + 44967;
 Libderiv->deriv2_classes[4][7][93] = int_stack + 45387;
 Libderiv->deriv2_classes[5][5][93] = int_stack + 45927;
 Libderiv->deriv2_classes[5][6][93] = int_stack + 46368;
 Libderiv->deriv2_classes[5][7][93] = int_stack + 46956;
 Libderiv->deriv2_classes[4][5][92] = int_stack + 47712;
 Libderiv->deriv2_classes[4][6][92] = int_stack + 48027;
 Libderiv->deriv2_classes[4][7][92] = int_stack + 48447;
 Libderiv->deriv2_classes[5][5][92] = int_stack + 48987;
 Libderiv->deriv2_classes[5][6][92] = int_stack + 49428;
 Libderiv->deriv2_classes[5][7][92] = int_stack + 50016;
 Libderiv->deriv2_classes[4][5][91] = int_stack + 50772;
 Libderiv->deriv2_classes[4][6][91] = int_stack + 51087;
 Libderiv->deriv2_classes[4][7][91] = int_stack + 51507;
 Libderiv->deriv2_classes[5][5][91] = int_stack + 52047;
 Libderiv->deriv2_classes[5][6][91] = int_stack + 52488;
 Libderiv->deriv2_classes[5][7][91] = int_stack + 53076;
 Libderiv->deriv2_classes[4][5][83] = int_stack + 53832;
 Libderiv->deriv2_classes[4][6][83] = int_stack + 54147;
 Libderiv->deriv2_classes[4][7][83] = int_stack + 54567;
 Libderiv->deriv_classes[5][5][11] = int_stack + 55107;
 Libderiv->deriv2_classes[5][5][83] = int_stack + 55548;
 Libderiv->deriv_classes[5][6][11] = int_stack + 55989;
 Libderiv->deriv2_classes[5][6][83] = int_stack + 56577;
 Libderiv->deriv2_classes[5][7][83] = int_stack + 57165;
 Libderiv->deriv2_classes[4][5][82] = int_stack + 57921;
 Libderiv->deriv2_classes[4][6][82] = int_stack + 58236;
 Libderiv->deriv2_classes[4][7][82] = int_stack + 58656;
 Libderiv->deriv_classes[5][5][10] = int_stack + 59196;
 Libderiv->deriv2_classes[5][5][82] = int_stack + 59637;
 Libderiv->deriv_classes[5][6][10] = int_stack + 60078;
 Libderiv->deriv2_classes[5][6][82] = int_stack + 60666;
 Libderiv->deriv2_classes[5][7][82] = int_stack + 61254;
 Libderiv->deriv2_classes[4][5][81] = int_stack + 62010;
 Libderiv->deriv2_classes[4][6][81] = int_stack + 62325;
 Libderiv->deriv2_classes[4][7][81] = int_stack + 62745;
 Libderiv->deriv_classes[5][5][9] = int_stack + 63285;
 Libderiv->deriv2_classes[5][5][81] = int_stack + 63726;
 Libderiv->deriv_classes[5][6][9] = int_stack + 64167;
 Libderiv->deriv2_classes[5][6][81] = int_stack + 64755;
 Libderiv->deriv2_classes[5][7][81] = int_stack + 65343;
 Libderiv->deriv2_classes[4][5][80] = int_stack + 66099;
 Libderiv->deriv2_classes[4][6][80] = int_stack + 66414;
 Libderiv->deriv2_classes[4][7][80] = int_stack + 66834;
 Libderiv->deriv_classes[5][5][8] = int_stack + 67374;
 Libderiv->deriv2_classes[5][5][80] = int_stack + 67815;
 Libderiv->deriv_classes[5][6][8] = int_stack + 68256;
 Libderiv->deriv2_classes[5][6][80] = int_stack + 68844;
 Libderiv->deriv2_classes[5][7][80] = int_stack + 69432;
 Libderiv->deriv2_classes[4][5][79] = int_stack + 70188;
 Libderiv->deriv2_classes[4][6][79] = int_stack + 70503;
 Libderiv->deriv2_classes[4][7][79] = int_stack + 70923;
 Libderiv->deriv_classes[5][5][7] = int_stack + 71463;
 Libderiv->deriv2_classes[5][5][79] = int_stack + 71904;
 Libderiv->deriv_classes[5][6][7] = int_stack + 72345;
 Libderiv->deriv2_classes[5][6][79] = int_stack + 72933;
 Libderiv->deriv2_classes[5][7][79] = int_stack + 73521;
 Libderiv->deriv2_classes[4][5][78] = int_stack + 74277;
 Libderiv->deriv2_classes[4][6][78] = int_stack + 74592;
 Libderiv->deriv2_classes[4][7][78] = int_stack + 75012;
 Libderiv->dvrr_classes[5][5] = int_stack + 75552;
 Libderiv->deriv_classes[5][5][6] = int_stack + 75993;
 Libderiv->deriv2_classes[5][5][78] = int_stack + 76434;
 Libderiv->deriv_classes[5][6][6] = int_stack + 76875;
 Libderiv->deriv2_classes[5][6][78] = int_stack + 77463;
 Libderiv->deriv2_classes[5][7][78] = int_stack + 78051;
 Libderiv->deriv2_classes[4][5][35] = int_stack + 78807;
 Libderiv->deriv2_classes[4][6][35] = int_stack + 79122;
 Libderiv->deriv2_classes[4][7][35] = int_stack + 79542;
 Libderiv->deriv2_classes[5][5][35] = int_stack + 80082;
 Libderiv->deriv2_classes[5][6][35] = int_stack + 80523;
 Libderiv->deriv2_classes[5][7][35] = int_stack + 81111;
 Libderiv->deriv2_classes[4][5][34] = int_stack + 81867;
 Libderiv->deriv2_classes[4][6][34] = int_stack + 82182;
 Libderiv->deriv2_classes[4][7][34] = int_stack + 82602;
 Libderiv->deriv2_classes[5][5][34] = int_stack + 83142;
 Libderiv->deriv2_classes[5][6][34] = int_stack + 83583;
 Libderiv->deriv2_classes[5][7][34] = int_stack + 84171;
 Libderiv->deriv2_classes[4][5][33] = int_stack + 84927;
 Libderiv->deriv2_classes[4][6][33] = int_stack + 85242;
 Libderiv->deriv2_classes[4][7][33] = int_stack + 85662;
 Libderiv->deriv2_classes[5][5][33] = int_stack + 86202;
 Libderiv->deriv2_classes[5][6][33] = int_stack + 86643;
 Libderiv->deriv2_classes[5][7][33] = int_stack + 87231;
 Libderiv->deriv2_classes[4][5][32] = int_stack + 87987;
 Libderiv->deriv2_classes[4][6][32] = int_stack + 88302;
 Libderiv->deriv2_classes[4][7][32] = int_stack + 88722;
 Libderiv->deriv2_classes[5][5][32] = int_stack + 89262;
 Libderiv->deriv2_classes[5][6][32] = int_stack + 89703;
 Libderiv->deriv2_classes[5][7][32] = int_stack + 90291;
 Libderiv->deriv2_classes[4][5][31] = int_stack + 91047;
 Libderiv->deriv2_classes[4][6][31] = int_stack + 91362;
 Libderiv->deriv2_classes[4][7][31] = int_stack + 91782;
 Libderiv->deriv2_classes[5][5][31] = int_stack + 92322;
 Libderiv->deriv2_classes[5][6][31] = int_stack + 92763;
 Libderiv->deriv2_classes[5][7][31] = int_stack + 93351;
 Libderiv->deriv2_classes[4][5][30] = int_stack + 94107;
 Libderiv->deriv2_classes[4][6][30] = int_stack + 94422;
 Libderiv->deriv2_classes[4][7][30] = int_stack + 94842;
 Libderiv->deriv_classes[5][5][2] = int_stack + 95382;
 Libderiv->deriv2_classes[5][5][30] = int_stack + 95823;
 Libderiv->deriv_classes[5][6][2] = int_stack + 96264;
 Libderiv->deriv2_classes[5][6][30] = int_stack + 96852;
 Libderiv->deriv2_classes[5][7][30] = int_stack + 97440;
 Libderiv->deriv2_classes[4][5][26] = int_stack + 98196;
 Libderiv->deriv2_classes[4][6][26] = int_stack + 98511;
 Libderiv->deriv2_classes[4][7][26] = int_stack + 98931;
 Libderiv->deriv2_classes[5][5][26] = int_stack + 99471;
 Libderiv->deriv2_classes[5][6][26] = int_stack + 99912;
 Libderiv->deriv2_classes[5][7][26] = int_stack + 100500;
 Libderiv->deriv2_classes[4][5][23] = int_stack + 101256;
 Libderiv->deriv2_classes[4][6][23] = int_stack + 101571;
 Libderiv->deriv2_classes[4][7][23] = int_stack + 101991;
 Libderiv->deriv2_classes[5][5][23] = int_stack + 102531;
 Libderiv->deriv2_classes[5][6][23] = int_stack + 102972;
 Libderiv->deriv2_classes[5][7][23] = int_stack + 103560;
 Libderiv->deriv2_classes[4][5][22] = int_stack + 104316;
 Libderiv->deriv2_classes[4][6][22] = int_stack + 104631;
 Libderiv->deriv2_classes[4][7][22] = int_stack + 105051;
 Libderiv->deriv2_classes[5][5][22] = int_stack + 105591;
 Libderiv->deriv2_classes[5][6][22] = int_stack + 106032;
 Libderiv->deriv2_classes[5][7][22] = int_stack + 106620;
 Libderiv->deriv2_classes[4][5][21] = int_stack + 107376;
 Libderiv->deriv2_classes[4][6][21] = int_stack + 107691;
 Libderiv->deriv2_classes[4][7][21] = int_stack + 108111;
 Libderiv->deriv2_classes[5][5][21] = int_stack + 108651;
 Libderiv->deriv2_classes[5][6][21] = int_stack + 109092;
 Libderiv->deriv2_classes[5][7][21] = int_stack + 109680;
 Libderiv->deriv2_classes[4][5][20] = int_stack + 110436;
 Libderiv->deriv2_classes[4][6][20] = int_stack + 110751;
 Libderiv->deriv2_classes[4][7][20] = int_stack + 111171;
 Libderiv->deriv2_classes[5][5][20] = int_stack + 111711;
 Libderiv->deriv2_classes[5][6][20] = int_stack + 112152;
 Libderiv->deriv2_classes[5][7][20] = int_stack + 112740;
 Libderiv->deriv2_classes[4][5][19] = int_stack + 113496;
 Libderiv->deriv2_classes[4][6][19] = int_stack + 113811;
 Libderiv->deriv2_classes[4][7][19] = int_stack + 114231;
 Libderiv->deriv2_classes[5][5][19] = int_stack + 114771;
 Libderiv->deriv2_classes[5][6][19] = int_stack + 115212;
 Libderiv->deriv2_classes[5][7][19] = int_stack + 115800;
 Libderiv->deriv2_classes[4][5][18] = int_stack + 116556;
 Libderiv->deriv2_classes[4][6][18] = int_stack + 116871;
 Libderiv->deriv2_classes[4][7][18] = int_stack + 117291;
 Libderiv->deriv_classes[5][5][1] = int_stack + 117831;
 Libderiv->deriv2_classes[5][5][18] = int_stack + 118272;
 Libderiv->deriv_classes[5][6][1] = int_stack + 118713;
 Libderiv->deriv2_classes[5][6][18] = int_stack + 119301;
 Libderiv->deriv2_classes[5][7][18] = int_stack + 119889;
 Libderiv->deriv2_classes[4][5][14] = int_stack + 120645;
 Libderiv->deriv2_classes[4][6][14] = int_stack + 120960;
 Libderiv->deriv2_classes[4][7][14] = int_stack + 121380;
 Libderiv->deriv2_classes[5][5][14] = int_stack + 121920;
 Libderiv->deriv2_classes[5][6][14] = int_stack + 122361;
 Libderiv->deriv2_classes[5][7][14] = int_stack + 122949;
 Libderiv->deriv2_classes[4][5][13] = int_stack + 123705;
 Libderiv->deriv2_classes[4][6][13] = int_stack + 124020;
 Libderiv->deriv2_classes[4][7][13] = int_stack + 124440;
 Libderiv->deriv2_classes[5][5][13] = int_stack + 124980;
 Libderiv->deriv2_classes[5][6][13] = int_stack + 125421;
 Libderiv->deriv2_classes[5][7][13] = int_stack + 126009;
 Libderiv->deriv_classes[4][5][11] = int_stack + 126765;
 Libderiv->deriv_classes[4][6][11] = int_stack + 127080;
 Libderiv->deriv_classes[4][7][11] = int_stack + 127500;
 Libderiv->deriv2_classes[4][5][11] = int_stack + 128040;
 Libderiv->deriv2_classes[4][6][11] = int_stack + 128355;
 Libderiv->deriv2_classes[4][7][11] = int_stack + 128775;
 Libderiv->deriv2_classes[5][5][11] = int_stack + 129315;
 Libderiv->deriv2_classes[5][6][11] = int_stack + 129756;
 Libderiv->deriv2_classes[5][7][11] = int_stack + 130344;
 Libderiv->deriv_classes[4][5][10] = int_stack + 131100;
 Libderiv->deriv_classes[4][6][10] = int_stack + 131415;
 Libderiv->deriv_classes[4][7][10] = int_stack + 131835;
 Libderiv->deriv2_classes[4][5][10] = int_stack + 132375;
 Libderiv->deriv2_classes[4][6][10] = int_stack + 132690;
 Libderiv->deriv2_classes[4][7][10] = int_stack + 133110;
 Libderiv->deriv2_classes[5][5][10] = int_stack + 133650;
 Libderiv->deriv2_classes[5][6][10] = int_stack + 134091;
 Libderiv->deriv2_classes[5][7][10] = int_stack + 134679;
 Libderiv->deriv_classes[4][5][9] = int_stack + 135435;
 Libderiv->deriv_classes[4][6][9] = int_stack + 135750;
 Libderiv->deriv_classes[4][7][9] = int_stack + 136170;
 Libderiv->deriv2_classes[4][5][9] = int_stack + 136710;
 Libderiv->deriv2_classes[4][6][9] = int_stack + 137025;
 Libderiv->deriv2_classes[4][7][9] = int_stack + 137445;
 Libderiv->deriv2_classes[5][5][9] = int_stack + 137985;
 Libderiv->deriv2_classes[5][6][9] = int_stack + 138426;
 Libderiv->deriv2_classes[5][7][9] = int_stack + 139014;
 Libderiv->deriv_classes[4][5][8] = int_stack + 139770;
 Libderiv->deriv_classes[4][6][8] = int_stack + 140085;
 Libderiv->deriv_classes[4][7][8] = int_stack + 140505;
 Libderiv->deriv2_classes[4][5][8] = int_stack + 141045;
 Libderiv->deriv2_classes[4][6][8] = int_stack + 141360;
 Libderiv->deriv2_classes[4][7][8] = int_stack + 141780;
 Libderiv->deriv2_classes[5][5][8] = int_stack + 142320;
 Libderiv->deriv2_classes[5][6][8] = int_stack + 142761;
 Libderiv->deriv2_classes[5][7][8] = int_stack + 143349;
 Libderiv->deriv_classes[4][5][7] = int_stack + 144105;
 Libderiv->deriv_classes[4][6][7] = int_stack + 144420;
 Libderiv->deriv_classes[4][7][7] = int_stack + 144840;
 Libderiv->deriv2_classes[4][5][7] = int_stack + 145380;
 Libderiv->deriv2_classes[4][6][7] = int_stack + 145695;
 Libderiv->deriv2_classes[4][7][7] = int_stack + 146115;
 Libderiv->deriv2_classes[5][5][7] = int_stack + 146655;
 Libderiv->deriv2_classes[5][6][7] = int_stack + 147096;
 Libderiv->deriv2_classes[5][7][7] = int_stack + 147684;
 Libderiv->dvrr_classes[4][5] = int_stack + 148440;
 Libderiv->deriv_classes[4][5][6] = int_stack + 148755;
 Libderiv->dvrr_classes[4][6] = int_stack + 149070;
 Libderiv->deriv_classes[4][6][6] = int_stack + 149490;
 Libderiv->deriv_classes[4][7][6] = int_stack + 149910;
 Libderiv->deriv2_classes[4][5][6] = int_stack + 150450;
 Libderiv->deriv2_classes[4][6][6] = int_stack + 150765;
 Libderiv->deriv2_classes[4][7][6] = int_stack + 151185;
 Libderiv->deriv_classes[5][5][0] = int_stack + 151725;
 Libderiv->deriv2_classes[5][5][6] = int_stack + 152166;
 Libderiv->deriv_classes[5][6][0] = int_stack + 152607;
 Libderiv->deriv2_classes[5][6][6] = int_stack + 153195;
 Libderiv->deriv2_classes[5][7][6] = int_stack + 153783;
 Libderiv->deriv_classes[4][5][2] = int_stack + 154539;
 Libderiv->deriv_classes[4][6][2] = int_stack + 154854;
 Libderiv->deriv_classes[4][7][2] = int_stack + 155274;
 Libderiv->deriv2_classes[4][5][2] = int_stack + 155814;
 Libderiv->deriv2_classes[4][6][2] = int_stack + 156129;
 Libderiv->deriv2_classes[4][7][2] = int_stack + 156549;
 Libderiv->deriv2_classes[5][5][2] = int_stack + 157089;
 Libderiv->deriv2_classes[5][6][2] = int_stack + 157530;
 Libderiv->deriv2_classes[5][7][2] = int_stack + 158118;
 Libderiv->deriv_classes[4][5][1] = int_stack + 158874;
 Libderiv->deriv_classes[4][6][1] = int_stack + 159189;
 Libderiv->deriv_classes[4][7][1] = int_stack + 159609;
 Libderiv->deriv2_classes[4][5][1] = int_stack + 160149;
 Libderiv->deriv2_classes[4][6][1] = int_stack + 160464;
 Libderiv->deriv2_classes[4][7][1] = int_stack + 160884;
 Libderiv->deriv2_classes[5][5][1] = int_stack + 161424;
 Libderiv->deriv2_classes[5][6][1] = int_stack + 161865;
 Libderiv->deriv2_classes[5][7][1] = int_stack + 162453;
 Libderiv->deriv_classes[4][5][0] = int_stack + 163209;
 Libderiv->deriv_classes[4][6][0] = int_stack + 163524;
 Libderiv->deriv_classes[4][7][0] = int_stack + 163944;
 Libderiv->deriv2_classes[4][5][0] = int_stack + 164484;
 Libderiv->deriv2_classes[4][6][0] = int_stack + 164799;
 Libderiv->deriv2_classes[4][7][0] = int_stack + 165219;
 Libderiv->deriv2_classes[5][5][0] = int_stack + 165759;
 Libderiv->deriv2_classes[5][6][0] = int_stack + 166200;
 Libderiv->deriv2_classes[5][7][0] = int_stack + 166788;
 memset(int_stack,0,1340352);

 Libderiv->dvrr_stack = int_stack + 352701;
 for(i=0;i<num_prim_comb;i++) {
   d12vrr_order_gphd(Libderiv, Data);
   Data++;
 }

 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+167544,int_stack+149070,int_stack+148440,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+168489,int_stack+127080,int_stack+126765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+148440,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+169434,int_stack+127500,int_stack+127080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+149070,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+170694,int_stack+169434,int_stack+168489, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167544,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+172584,int_stack+3780,int_stack+75552,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+173907,int_stack+55989,int_stack+55107, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75552,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+175230,int_stack+0,int_stack+55989, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+176994,int_stack+175230,int_stack+173907, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+172584,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+175230,int_stack+131415,int_stack+131100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+148440, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+169434,int_stack+131835,int_stack+131415, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+149070, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+179640,int_stack+169434,int_stack+175230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167544, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+181530,int_stack+60078,int_stack+59196, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75552, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+182853,int_stack+756,int_stack+60078, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+184617,int_stack+182853,int_stack+181530, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+172584, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+182853,int_stack+135750,int_stack+135435, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+148440, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+169434,int_stack+136170,int_stack+135750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+149070, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+187263,int_stack+169434,int_stack+182853, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167544, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+64167,int_stack+63285, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75552, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+189153,int_stack+1512,int_stack+64167, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+190917,int_stack+189153,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+172584, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1323,int_stack+140085,int_stack+139770, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+148440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+169434,int_stack+140505,int_stack+140085, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+149070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+193563,int_stack+169434,int_stack+1323, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167544, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+189153,int_stack+68256,int_stack+67374, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75552, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+195453,int_stack+2268,int_stack+68256, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+197217,int_stack+195453,int_stack+189153, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+172584, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+195453,int_stack+144420,int_stack+144105, 0.0, zero_stack, 1.0, int_stack+148440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+169434,int_stack+144840,int_stack+144420, 0.0, zero_stack, 1.0, int_stack+149070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+199863,int_stack+169434,int_stack+195453, 0.0, zero_stack, 1.0, int_stack+167544, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+201753,int_stack+72345,int_stack+71463, 0.0, zero_stack, 1.0, int_stack+75552, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+203076,int_stack+3024,int_stack+72345, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+204840,int_stack+203076,int_stack+201753, 0.0, zero_stack, 1.0, int_stack+172584, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+203076,int_stack+149490,int_stack+148755, 1.0, int_stack+148440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+169434,int_stack+149910,int_stack+149490, 1.0, int_stack+149070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+207486,int_stack+169434,int_stack+203076, 1.0, int_stack+167544, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2268,int_stack+76875,int_stack+75993, 1.0, int_stack+75552, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+209376,int_stack+4368,int_stack+76875, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+211140,int_stack+209376,int_stack+2268, 1.0, int_stack+172584, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+169434,int_stack+6636,int_stack+149070,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+213786,int_stack+169434,int_stack+167544,15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+167544,int_stack+154854,int_stack+154539,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+169434,int_stack+155274,int_stack+154854,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+215676,int_stack+169434,int_stack+167544,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+172584,int_stack+96264,int_stack+95382,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+209376,int_stack+5124,int_stack+96264,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+217566,int_stack+209376,int_stack+172584,21);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+209376,int_stack+159189,int_stack+158874,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+169434,int_stack+159609,int_stack+159189,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+3591,int_stack+169434,int_stack+209376,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+220212,int_stack+118713,int_stack+117831,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+221535,int_stack+5880,int_stack+118713,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+223299,int_stack+221535,int_stack+220212,21);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+221535,int_stack+163524,int_stack+163209,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+169434,int_stack+163944,int_stack+163524,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+225945,int_stack+169434,int_stack+221535,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+5481,int_stack+152607,int_stack+151725,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+227835,int_stack+7176,int_stack+152607,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+229599,int_stack+227835,int_stack+5481,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+227835,int_stack+8247,int_stack+7932, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+126765,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+169434,int_stack+8667,int_stack+8247, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+127080,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+6804,int_stack+169434,int_stack+227835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+168489,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+227835,int_stack+9648,int_stack+9207, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+55107,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+232245,int_stack+10236,int_stack+9648, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+55989,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+234009,int_stack+232245,int_stack+227835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+173907,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+227835,int_stack+11307,int_stack+10992, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+126765, 1.0, int_stack+131100,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+169434,int_stack+11727,int_stack+11307, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+127080, 1.0, int_stack+131415,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+8694,int_stack+169434,int_stack+227835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+168489, 1.0, int_stack+175230,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+227835,int_stack+12708,int_stack+12267, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55107, 1.0, int_stack+59196,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+232245,int_stack+13296,int_stack+12708, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55989, 1.0, int_stack+60078,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+10584,int_stack+232245,int_stack+227835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+173907, 1.0, int_stack+181530,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+227835,int_stack+14367,int_stack+14052, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+131100, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+169434,int_stack+14787,int_stack+14367, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+131415, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+13230,int_stack+169434,int_stack+227835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+175230, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+227835,int_stack+15768,int_stack+15327, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+59196, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+232245,int_stack+16356,int_stack+15768, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+60078, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+236655,int_stack+232245,int_stack+227835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+181530, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+227835,int_stack+17427,int_stack+17112, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+126765, 0.0, zero_stack, 1.0, int_stack+135435,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+169434,int_stack+17847,int_stack+17427, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+127080, 0.0, zero_stack, 1.0, int_stack+135750,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+15120,int_stack+169434,int_stack+227835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+168489, 0.0, zero_stack, 1.0, int_stack+182853,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+227835,int_stack+18828,int_stack+18387, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55107, 0.0, zero_stack, 1.0, int_stack+63285,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+232245,int_stack+19416,int_stack+18828, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55989, 0.0, zero_stack, 1.0, int_stack+64167,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+17010,int_stack+232245,int_stack+227835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+173907, 0.0, zero_stack, 1.0, int_stack+0,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+227835,int_stack+20487,int_stack+20172, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+131100, 1.0, int_stack+135435, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+169434,int_stack+20907,int_stack+20487, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+131415, 1.0, int_stack+135750, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+239301,int_stack+169434,int_stack+227835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+175230, 1.0, int_stack+182853, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+227835,int_stack+21888,int_stack+21447, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+59196, 1.0, int_stack+63285, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+232245,int_stack+22476,int_stack+21888, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+60078, 1.0, int_stack+64167, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+19656,int_stack+232245,int_stack+227835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+181530, 1.0, int_stack+0, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+227835,int_stack+23547,int_stack+23232, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+135435, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+169434,int_stack+23967,int_stack+23547, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+135750, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+22302,int_stack+169434,int_stack+227835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+182853, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+227835,int_stack+24948,int_stack+24507, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+63285, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+232245,int_stack+25536,int_stack+24948, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+64167, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+241191,int_stack+232245,int_stack+227835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+227835,int_stack+26607,int_stack+26292, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+126765, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+139770,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+169434,int_stack+27027,int_stack+26607, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+127080, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+140085,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+24192,int_stack+169434,int_stack+227835, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+168489, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1323,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+227835,int_stack+28008,int_stack+27567, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55107, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67374,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+232245,int_stack+28596,int_stack+28008, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55989, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68256,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+26082,int_stack+232245,int_stack+227835, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+173907, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+189153,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+227835,int_stack+29667,int_stack+29352, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+131100, 0.0, zero_stack, 1.0, int_stack+139770, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+169434,int_stack+30087,int_stack+29667, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+131415, 0.0, zero_stack, 1.0, int_stack+140085, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+28728,int_stack+169434,int_stack+227835, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+175230, 0.0, zero_stack, 1.0, int_stack+1323, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+227835,int_stack+31068,int_stack+30627, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+59196, 0.0, zero_stack, 1.0, int_stack+67374, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+232245,int_stack+31656,int_stack+31068, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+60078, 0.0, zero_stack, 1.0, int_stack+68256, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+243837,int_stack+232245,int_stack+227835, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+181530, 0.0, zero_stack, 1.0, int_stack+189153, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+227835,int_stack+32727,int_stack+32412, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+135435, 1.0, int_stack+139770, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+169434,int_stack+33147,int_stack+32727, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+135750, 1.0, int_stack+140085, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+30618,int_stack+169434,int_stack+227835, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+182853, 1.0, int_stack+1323, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+227835,int_stack+34128,int_stack+33687, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63285, 1.0, int_stack+67374, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+232245,int_stack+34716,int_stack+34128, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+64167, 1.0, int_stack+68256, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+32508,int_stack+232245,int_stack+227835, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 1.0, int_stack+189153, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+227835,int_stack+35787,int_stack+35472, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+139770, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+169434,int_stack+36207,int_stack+35787, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+140085, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+246483,int_stack+169434,int_stack+227835, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+1323, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+227835,int_stack+37188,int_stack+36747, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+67374, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+232245,int_stack+37776,int_stack+37188, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+68256, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+35154,int_stack+232245,int_stack+227835, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+189153, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+227835,int_stack+38847,int_stack+38532, 0.0, zero_stack, 1.0, int_stack+126765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144105,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+169434,int_stack+39267,int_stack+38847, 0.0, zero_stack, 1.0, int_stack+127080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144420,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+37800,int_stack+169434,int_stack+227835, 0.0, zero_stack, 1.0, int_stack+168489, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195453,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+227835,int_stack+40248,int_stack+39807, 0.0, zero_stack, 1.0, int_stack+55107, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71463,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+232245,int_stack+40836,int_stack+40248, 0.0, zero_stack, 1.0, int_stack+55989, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72345,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+248373,int_stack+232245,int_stack+227835, 0.0, zero_stack, 1.0, int_stack+173907, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+201753,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+227835,int_stack+41907,int_stack+41592, 0.0, zero_stack, 1.0, int_stack+131100, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144105, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+169434,int_stack+42327,int_stack+41907, 0.0, zero_stack, 1.0, int_stack+131415, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144420, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+39690,int_stack+169434,int_stack+227835, 0.0, zero_stack, 1.0, int_stack+175230, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195453, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+227835,int_stack+43308,int_stack+42867, 0.0, zero_stack, 1.0, int_stack+59196, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71463, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+232245,int_stack+43896,int_stack+43308, 0.0, zero_stack, 1.0, int_stack+60078, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72345, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+41580,int_stack+232245,int_stack+227835, 0.0, zero_stack, 1.0, int_stack+181530, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+201753, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+227835,int_stack+44967,int_stack+44652, 0.0, zero_stack, 1.0, int_stack+135435, 0.0, zero_stack, 1.0, int_stack+144105, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+169434,int_stack+45387,int_stack+44967, 0.0, zero_stack, 1.0, int_stack+135750, 0.0, zero_stack, 1.0, int_stack+144420, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+251019,int_stack+169434,int_stack+227835, 0.0, zero_stack, 1.0, int_stack+182853, 0.0, zero_stack, 1.0, int_stack+195453, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+227835,int_stack+46368,int_stack+45927, 0.0, zero_stack, 1.0, int_stack+63285, 0.0, zero_stack, 1.0, int_stack+71463, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+232245,int_stack+46956,int_stack+46368, 0.0, zero_stack, 1.0, int_stack+64167, 0.0, zero_stack, 1.0, int_stack+72345, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+44226,int_stack+232245,int_stack+227835, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 1.0, int_stack+201753, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+227835,int_stack+48027,int_stack+47712, 0.0, zero_stack, 1.0, int_stack+139770, 1.0, int_stack+144105, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+169434,int_stack+48447,int_stack+48027, 0.0, zero_stack, 1.0, int_stack+140085, 1.0, int_stack+144420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+46872,int_stack+169434,int_stack+227835, 0.0, zero_stack, 1.0, int_stack+1323, 1.0, int_stack+195453, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+227835,int_stack+49428,int_stack+48987, 0.0, zero_stack, 1.0, int_stack+67374, 1.0, int_stack+71463, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+232245,int_stack+50016,int_stack+49428, 0.0, zero_stack, 1.0, int_stack+68256, 1.0, int_stack+72345, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+252909,int_stack+232245,int_stack+227835, 0.0, zero_stack, 1.0, int_stack+189153, 1.0, int_stack+201753, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+227835,int_stack+51087,int_stack+50772, 0.0, zero_stack, 2.0, int_stack+144105, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+169434,int_stack+51507,int_stack+51087, 0.0, zero_stack, 2.0, int_stack+144420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+48762,int_stack+169434,int_stack+227835, 0.0, zero_stack, 2.0, int_stack+195453, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+227835,int_stack+52488,int_stack+52047, 0.0, zero_stack, 2.0, int_stack+71463, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+232245,int_stack+53076,int_stack+52488, 0.0, zero_stack, 2.0, int_stack+72345, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+50652,int_stack+232245,int_stack+227835, 0.0, zero_stack, 2.0, int_stack+201753, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+227835,int_stack+54147,int_stack+53832, 1.0, int_stack+126765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+148755,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+169434,int_stack+54567,int_stack+54147, 1.0, int_stack+127080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+149490,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+255555,int_stack+169434,int_stack+227835, 1.0, int_stack+168489, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+203076,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+168489,int_stack+56577,int_stack+55548, 1.0, int_stack+55107, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75993,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+227835,int_stack+57165,int_stack+56577, 1.0, int_stack+55989, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76875,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+53298,int_stack+227835,int_stack+168489, 1.0, int_stack+173907, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2268,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+173907,int_stack+58236,int_stack+57921, 1.0, int_stack+131100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+148755, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+168489,int_stack+58656,int_stack+58236, 1.0, int_stack+131415, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+149490, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+55944,int_stack+168489,int_stack+173907, 1.0, int_stack+175230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+203076, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+173907,int_stack+60666,int_stack+59637, 1.0, int_stack+59196, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75993, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+175230,int_stack+61254,int_stack+60666, 1.0, int_stack+60078, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76875, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+57834,int_stack+175230,int_stack+173907, 1.0, int_stack+181530, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2268, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+181530,int_stack+62325,int_stack+62010, 1.0, int_stack+135435, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+148755, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+173907,int_stack+62745,int_stack+62325, 1.0, int_stack+135750, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+149490, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+168489,int_stack+173907,int_stack+181530, 1.0, int_stack+182853, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+203076, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+181530,int_stack+64755,int_stack+63726, 1.0, int_stack+63285, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75993, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+182853,int_stack+65343,int_stack+64755, 1.0, int_stack+64167, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76875, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+173907,int_stack+182853,int_stack+181530, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2268, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+66414,int_stack+66099, 1.0, int_stack+139770, 0.0, zero_stack, 1.0, int_stack+148755, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+181530,int_stack+66834,int_stack+66414, 1.0, int_stack+140085, 0.0, zero_stack, 1.0, int_stack+149490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+60480,int_stack+181530,int_stack+0, 1.0, int_stack+1323, 0.0, zero_stack, 1.0, int_stack+203076, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+68844,int_stack+67815, 1.0, int_stack+67374, 0.0, zero_stack, 1.0, int_stack+75993, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+227835,int_stack+69432,int_stack+68844, 1.0, int_stack+68256, 0.0, zero_stack, 1.0, int_stack+76875, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+181530,int_stack+227835,int_stack+0, 1.0, int_stack+189153, 0.0, zero_stack, 1.0, int_stack+2268, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+189153,int_stack+70503,int_stack+70188, 1.0, int_stack+144105, 1.0, int_stack+148755, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+70923,int_stack+70503, 1.0, int_stack+144420, 1.0, int_stack+149490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+62370,int_stack+0,int_stack+189153, 1.0, int_stack+195453, 1.0, int_stack+203076, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+195453,int_stack+72933,int_stack+71904, 1.0, int_stack+71463, 1.0, int_stack+75993, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+189153,int_stack+73521,int_stack+72933, 1.0, int_stack+72345, 1.0, int_stack+76875, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+64260,int_stack+189153,int_stack+195453, 1.0, int_stack+201753, 1.0, int_stack+2268, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+201753,int_stack+74592,int_stack+74277, 2.0, int_stack+148755, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+195453,int_stack+75012,int_stack+74592, 2.0, int_stack+149490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+0,int_stack+195453,int_stack+201753, 2.0, int_stack+203076, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+201753,int_stack+77463,int_stack+76434, 2.0, int_stack+75993, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+203076,int_stack+78051,int_stack+77463, 2.0, int_stack+76875, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+66906,int_stack+203076,int_stack+201753, 2.0, int_stack+2268, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+201753,int_stack+79122,int_stack+78807, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154539,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+202698,int_stack+79542,int_stack+79122, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154854,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+148440,int_stack+202698,int_stack+201753, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167544,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+201753,int_stack+80523,int_stack+80082, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+95382,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+203076,int_stack+81111,int_stack+80523, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+96264,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+69552,int_stack+203076,int_stack+201753, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+172584,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+201753,int_stack+82182,int_stack+81867, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154539, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+202698,int_stack+82602,int_stack+82182, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154854, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+72198,int_stack+202698,int_stack+201753, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167544, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+201753,int_stack+83583,int_stack+83142, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+95382, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+203076,int_stack+84171,int_stack+83583, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+96264, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+74088,int_stack+203076,int_stack+201753, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+172584, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+201753,int_stack+85242,int_stack+84927, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154539, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+202698,int_stack+85662,int_stack+85242, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154854, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+76734,int_stack+202698,int_stack+201753, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167544, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+201753,int_stack+86643,int_stack+86202, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+95382, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+203076,int_stack+87231,int_stack+86643, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+96264, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+78624,int_stack+203076,int_stack+201753, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+172584, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+201753,int_stack+88302,int_stack+87987, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154539, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+202698,int_stack+88722,int_stack+88302, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154854, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+81270,int_stack+202698,int_stack+201753, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167544, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+201753,int_stack+89703,int_stack+89262, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+95382, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+203076,int_stack+90291,int_stack+89703, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+96264, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+83160,int_stack+203076,int_stack+201753, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+172584, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+201753,int_stack+91362,int_stack+91047, 0.0, zero_stack, 1.0, int_stack+154539, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+202698,int_stack+91782,int_stack+91362, 0.0, zero_stack, 1.0, int_stack+154854, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+85806,int_stack+202698,int_stack+201753, 0.0, zero_stack, 1.0, int_stack+167544, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+201753,int_stack+92763,int_stack+92322, 0.0, zero_stack, 1.0, int_stack+95382, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+203076,int_stack+93351,int_stack+92763, 0.0, zero_stack, 1.0, int_stack+96264, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+87696,int_stack+203076,int_stack+201753, 0.0, zero_stack, 1.0, int_stack+172584, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+201753,int_stack+94422,int_stack+94107, 1.0, int_stack+154539, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+202698,int_stack+94842,int_stack+94422, 1.0, int_stack+154854, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+90342,int_stack+202698,int_stack+201753, 1.0, int_stack+167544, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+201753,int_stack+96852,int_stack+95823, 1.0, int_stack+95382, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+203076,int_stack+97440,int_stack+96852, 1.0, int_stack+96264, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+92232,int_stack+203076,int_stack+201753, 1.0, int_stack+172584, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+167544,int_stack+98511,int_stack+98196,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+172584,int_stack+98931,int_stack+98511,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+201753,int_stack+172584,int_stack+167544,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+172584,int_stack+99912,int_stack+99471,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+195453,int_stack+100500,int_stack+99912,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+94878,int_stack+195453,int_stack+172584,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+167544,int_stack+101571,int_stack+101256, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+158874,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+172584,int_stack+101991,int_stack+101571, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+159189,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+97524,int_stack+172584,int_stack+167544, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+209376,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+172584,int_stack+102972,int_stack+102531, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117831,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+195453,int_stack+103560,int_stack+102972, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+118713,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+99414,int_stack+195453,int_stack+172584, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+220212,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+167544,int_stack+104631,int_stack+104316, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+158874, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+172584,int_stack+105051,int_stack+104631, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+159189, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+102060,int_stack+172584,int_stack+167544, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+209376, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+172584,int_stack+106032,int_stack+105591, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117831, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+195453,int_stack+106620,int_stack+106032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+118713, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+103950,int_stack+195453,int_stack+172584, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+220212, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+167544,int_stack+107691,int_stack+107376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+158874, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+172584,int_stack+108111,int_stack+107691, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+159189, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+106596,int_stack+172584,int_stack+167544, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+209376, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+172584,int_stack+109092,int_stack+108651, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117831, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+195453,int_stack+109680,int_stack+109092, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+118713, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+257445,int_stack+195453,int_stack+172584, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+220212, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+167544,int_stack+110751,int_stack+110436, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+158874, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+172584,int_stack+111171,int_stack+110751, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+159189, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+108486,int_stack+172584,int_stack+167544, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+209376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+172584,int_stack+112152,int_stack+111711, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117831, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+195453,int_stack+112740,int_stack+112152, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+118713, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+110376,int_stack+195453,int_stack+172584, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+220212, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+167544,int_stack+113811,int_stack+113496, 0.0, zero_stack, 1.0, int_stack+158874, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+172584,int_stack+114231,int_stack+113811, 0.0, zero_stack, 1.0, int_stack+159189, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+260091,int_stack+172584,int_stack+167544, 0.0, zero_stack, 1.0, int_stack+209376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+172584,int_stack+115212,int_stack+114771, 0.0, zero_stack, 1.0, int_stack+117831, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+195453,int_stack+115800,int_stack+115212, 0.0, zero_stack, 1.0, int_stack+118713, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+113022,int_stack+195453,int_stack+172584, 0.0, zero_stack, 1.0, int_stack+220212, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+167544,int_stack+116871,int_stack+116556, 1.0, int_stack+158874, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+172584,int_stack+117291,int_stack+116871, 1.0, int_stack+159189, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+115668,int_stack+172584,int_stack+167544, 1.0, int_stack+209376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+172584,int_stack+119301,int_stack+118272, 1.0, int_stack+117831, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+209376,int_stack+119889,int_stack+119301, 1.0, int_stack+118713, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+117558,int_stack+209376,int_stack+172584, 1.0, int_stack+220212, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+167544,int_stack+120960,int_stack+120645,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+220212,int_stack+121380,int_stack+120960,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+261981,int_stack+220212,int_stack+167544,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+220212,int_stack+122361,int_stack+121920,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+209376,int_stack+122949,int_stack+122361,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+120204,int_stack+209376,int_stack+220212,21);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+167544,int_stack+124020,int_stack+123705,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+220212,int_stack+124440,int_stack+124020,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+122850,int_stack+220212,int_stack+167544,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+220212,int_stack+125421,int_stack+124980,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+209376,int_stack+126009,int_stack+125421,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+124740,int_stack+209376,int_stack+220212,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+167544,int_stack+128355,int_stack+128040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163209,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+220212,int_stack+128775,int_stack+128355, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163524,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+127386,int_stack+220212,int_stack+167544, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+221535,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+220212,int_stack+129756,int_stack+129315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+151725,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+209376,int_stack+130344,int_stack+129756, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+152607,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+129276,int_stack+209376,int_stack+220212, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5481,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+167544,int_stack+132690,int_stack+132375, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163209, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+220212,int_stack+133110,int_stack+132690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163524, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+263871,int_stack+220212,int_stack+167544, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+221535, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+220212,int_stack+134091,int_stack+133650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+151725, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+209376,int_stack+134679,int_stack+134091, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+152607, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+131922,int_stack+209376,int_stack+220212, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5481, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+167544,int_stack+137025,int_stack+136710, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163209, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+220212,int_stack+137445,int_stack+137025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163524, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+134568,int_stack+220212,int_stack+167544, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+221535, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+220212,int_stack+138426,int_stack+137985, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+151725, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+209376,int_stack+139014,int_stack+138426, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+152607, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+136458,int_stack+209376,int_stack+220212, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5481, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+167544,int_stack+141360,int_stack+141045, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163209, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+220212,int_stack+141780,int_stack+141360, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163524, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+139104,int_stack+220212,int_stack+167544, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+221535, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+220212,int_stack+142761,int_stack+142320, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+151725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+209376,int_stack+143349,int_stack+142761, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+152607, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+140994,int_stack+209376,int_stack+220212, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5481, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+167544,int_stack+145695,int_stack+145380, 0.0, zero_stack, 1.0, int_stack+163209, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+220212,int_stack+146115,int_stack+145695, 0.0, zero_stack, 1.0, int_stack+163524, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+143640,int_stack+220212,int_stack+167544, 0.0, zero_stack, 1.0, int_stack+221535, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+220212,int_stack+147096,int_stack+146655, 0.0, zero_stack, 1.0, int_stack+151725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+209376,int_stack+147684,int_stack+147096, 0.0, zero_stack, 1.0, int_stack+152607, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+145530,int_stack+209376,int_stack+220212, 0.0, zero_stack, 1.0, int_stack+5481, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+167544,int_stack+150765,int_stack+150450, 1.0, int_stack+163209, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+220212,int_stack+151185,int_stack+150765, 1.0, int_stack+163524, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+265761,int_stack+220212,int_stack+167544, 1.0, int_stack+221535, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+172584,int_stack+153195,int_stack+152166, 1.0, int_stack+151725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+209376,int_stack+153783,int_stack+153195, 1.0, int_stack+152607, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+220212,int_stack+209376,int_stack+172584, 1.0, int_stack+5481, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+167544,int_stack+156129,int_stack+155814,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+5481,int_stack+156549,int_stack+156129,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+150330,int_stack+5481,int_stack+167544,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+5481,int_stack+157530,int_stack+157089,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+209376,int_stack+158118,int_stack+157530,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+152220,int_stack+209376,int_stack+5481,21);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+167544,int_stack+160464,int_stack+160149,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+5481,int_stack+160884,int_stack+160464,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+154866,int_stack+5481,int_stack+167544,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+5481,int_stack+161865,int_stack+161424,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+209376,int_stack+162453,int_stack+161865,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+156756,int_stack+209376,int_stack+5481,21);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+167544,int_stack+164799,int_stack+164484,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+5481,int_stack+165219,int_stack+164799,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+159402,int_stack+5481,int_stack+167544,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+5481,int_stack+166200,int_stack+165759,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+209376,int_stack+166788,int_stack+166200,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+161292,int_stack+209376,int_stack+5481,21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+267651,int_stack+176994,int_stack+170694,126);
     Libderiv->ABCD[11] = int_stack + 267651;
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+273321,int_stack+184617,int_stack+179640,126);
     Libderiv->ABCD[10] = int_stack + 273321;
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+278991,int_stack+190917,int_stack+187263,126);
     Libderiv->ABCD[9] = int_stack + 278991;
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+284661,int_stack+197217,int_stack+193563,126);
     Libderiv->ABCD[8] = int_stack + 284661;
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+290331,int_stack+204840,int_stack+199863,126);
     Libderiv->ABCD[7] = int_stack + 290331;
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+296001,int_stack+211140,int_stack+207486,126);
     Libderiv->ABCD[6] = int_stack + 296001;
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+301671,int_stack+217566,int_stack+215676, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+213786, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[2] = int_stack + 301671;
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+307341,int_stack+223299,int_stack+3591, 0.0, zero_stack, 1.0, int_stack+213786, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[1] = int_stack + 307341;
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+313011,int_stack+229599,int_stack+225945, 1.0, int_stack+213786, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[0] = int_stack + 313011;
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+209376,int_stack+234009,int_stack+6804,126);
     Libderiv->ABCD[155] = int_stack + 209376;
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+227835,int_stack+10584,int_stack+8694,126);
     Libderiv->ABCD[143] = int_stack + 227835;
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+5481,int_stack+236655,int_stack+13230,126);
     Libderiv->ABCD[142] = int_stack + 5481;
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+233505,int_stack+17010,int_stack+15120,126);
     Libderiv->ABCD[131] = int_stack + 233505;
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+11151,int_stack+19656,int_stack+239301,126);
     Libderiv->ABCD[130] = int_stack + 11151;
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+318681,int_stack+241191,int_stack+22302,126);
     Libderiv->ABCD[129] = int_stack + 318681;
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+16821,int_stack+26082,int_stack+24192,126);
     Libderiv->ABCD[119] = int_stack + 16821;
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+22491,int_stack+243837,int_stack+28728,126);
     Libderiv->ABCD[118] = int_stack + 22491;
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+239175,int_stack+32508,int_stack+30618,126);
     Libderiv->ABCD[117] = int_stack + 239175;
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+28161,int_stack+35154,int_stack+246483,126);
     Libderiv->ABCD[116] = int_stack + 28161;
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+324351,int_stack+248373,int_stack+37800,126);
     Libderiv->ABCD[107] = int_stack + 324351;
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+33831,int_stack+41580,int_stack+39690,126);
     Libderiv->ABCD[106] = int_stack + 33831;
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+244845,int_stack+44226,int_stack+251019,126);
     Libderiv->ABCD[105] = int_stack + 244845;
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+39501,int_stack+252909,int_stack+46872,126);
     Libderiv->ABCD[104] = int_stack + 39501;
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+330021,int_stack+50652,int_stack+48762,126);
     Libderiv->ABCD[103] = int_stack + 330021;
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+45171,int_stack+53298,int_stack+255555,126);
     Libderiv->ABCD[95] = int_stack + 45171;
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+250515,int_stack+57834,int_stack+55944,126);
     Libderiv->ABCD[94] = int_stack + 250515;
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+50841,int_stack+173907,int_stack+168489,126);
     Libderiv->ABCD[93] = int_stack + 50841;
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+172584,int_stack+181530,int_stack+60480,126);
     Libderiv->ABCD[92] = int_stack + 172584;
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+181530,int_stack+64260,int_stack+62370,126);
     Libderiv->ABCD[91] = int_stack + 181530;
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+56511,int_stack+66906,int_stack+0,126);
     Libderiv->ABCD[90] = int_stack + 56511;
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+62181,int_stack+69552,int_stack+148440, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+170694, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[47] = int_stack + 62181;
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+163938,int_stack+74088,int_stack+72198, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+179640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[46] = int_stack + 163938;
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+67851,int_stack+78624,int_stack+76734, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+187263, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[45] = int_stack + 67851;
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+73521,int_stack+83160,int_stack+81270, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+193563, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[44] = int_stack + 73521;
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+79191,int_stack+87696,int_stack+85806, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+199863, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[43] = int_stack + 79191;
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+335691,int_stack+92232,int_stack+90342, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+207486, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[42] = int_stack + 335691;
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+84861,int_stack+94878,int_stack+201753, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+215676, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[38] = int_stack + 84861;
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+201753,int_stack+99414,int_stack+97524, 0.0, zero_stack, 1.0, int_stack+170694, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[35] = int_stack + 201753;
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+90531,int_stack+103950,int_stack+102060, 0.0, zero_stack, 1.0, int_stack+179640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[34] = int_stack + 90531;
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+96201,int_stack+257445,int_stack+106596, 0.0, zero_stack, 1.0, int_stack+187263, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[33] = int_stack + 96201;
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+101871,int_stack+110376,int_stack+108486, 0.0, zero_stack, 1.0, int_stack+193563, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[32] = int_stack + 101871;
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+341361,int_stack+113022,int_stack+260091, 0.0, zero_stack, 1.0, int_stack+199863, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[31] = int_stack + 341361;
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+107541,int_stack+117558,int_stack+115668, 0.0, zero_stack, 1.0, int_stack+207486, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[30] = int_stack + 107541;
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+113211,int_stack+120204,int_stack+261981, 0.0, zero_stack, 1.0, int_stack+215676, 1.0, int_stack+3591, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[26] = int_stack + 113211;
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+256185,int_stack+124740,int_stack+122850, 0.0, zero_stack, 2.0, int_stack+3591, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[25] = int_stack + 256185;
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+118881,int_stack+129276,int_stack+127386, 1.0, int_stack+170694, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[23] = int_stack + 118881;
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+124551,int_stack+131922,int_stack+263871, 1.0, int_stack+179640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[22] = int_stack + 124551;
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+347031,int_stack+136458,int_stack+134568, 1.0, int_stack+187263, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[21] = int_stack + 347031;
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+187200,int_stack+140994,int_stack+139104, 1.0, int_stack+193563, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[20] = int_stack + 187200;
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+192870,int_stack+145530,int_stack+143640, 1.0, int_stack+199863, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[19] = int_stack + 192870;
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+130221,int_stack+220212,int_stack+265761, 1.0, int_stack+207486, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[18] = int_stack + 130221;
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+217566,int_stack+152220,int_stack+150330, 1.0, int_stack+215676, 0.0, zero_stack, 1.0, int_stack+225945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[14] = int_stack + 217566;
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+135891,int_stack+156756,int_stack+154866, 1.0, int_stack+3591, 1.0, int_stack+225945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[13] = int_stack + 135891;
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+141561,int_stack+161292,int_stack+159402, 2.0, int_stack+225945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[12] = int_stack + 141561;

}
