#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d12vrr_order_h0hd(Libderiv_t *, prim_data *);

  /* Computes derivatives of (h0|hd) integrals */

void d12hrr_order_h0hd(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[5][7][11] = int_stack + 0;
 Libderiv->deriv_classes[5][7][10] = int_stack + 756;
 Libderiv->deriv_classes[5][7][9] = int_stack + 1512;
 Libderiv->deriv_classes[5][7][8] = int_stack + 2268;
 Libderiv->deriv_classes[5][7][7] = int_stack + 3024;
 Libderiv->dvrr_classes[5][6] = int_stack + 3780;
 Libderiv->deriv_classes[5][7][6] = int_stack + 4368;
 Libderiv->deriv_classes[5][7][2] = int_stack + 5124;
 Libderiv->deriv_classes[5][7][1] = int_stack + 5880;
 Libderiv->deriv_classes[5][7][0] = int_stack + 6636;
 Libderiv->deriv2_classes[5][5][143] = int_stack + 7392;
 Libderiv->deriv2_classes[5][6][143] = int_stack + 7833;
 Libderiv->deriv2_classes[5][7][143] = int_stack + 8421;
 Libderiv->deriv2_classes[5][5][131] = int_stack + 9177;
 Libderiv->deriv2_classes[5][6][131] = int_stack + 9618;
 Libderiv->deriv2_classes[5][7][131] = int_stack + 10206;
 Libderiv->deriv2_classes[5][5][130] = int_stack + 10962;
 Libderiv->deriv2_classes[5][6][130] = int_stack + 11403;
 Libderiv->deriv2_classes[5][7][130] = int_stack + 11991;
 Libderiv->deriv2_classes[5][5][119] = int_stack + 12747;
 Libderiv->deriv2_classes[5][6][119] = int_stack + 13188;
 Libderiv->deriv2_classes[5][7][119] = int_stack + 13776;
 Libderiv->deriv2_classes[5][5][118] = int_stack + 14532;
 Libderiv->deriv2_classes[5][6][118] = int_stack + 14973;
 Libderiv->deriv2_classes[5][7][118] = int_stack + 15561;
 Libderiv->deriv2_classes[5][5][117] = int_stack + 16317;
 Libderiv->deriv2_classes[5][6][117] = int_stack + 16758;
 Libderiv->deriv2_classes[5][7][117] = int_stack + 17346;
 Libderiv->deriv2_classes[5][5][107] = int_stack + 18102;
 Libderiv->deriv2_classes[5][6][107] = int_stack + 18543;
 Libderiv->deriv2_classes[5][7][107] = int_stack + 19131;
 Libderiv->deriv2_classes[5][5][106] = int_stack + 19887;
 Libderiv->deriv2_classes[5][6][106] = int_stack + 20328;
 Libderiv->deriv2_classes[5][7][106] = int_stack + 20916;
 Libderiv->deriv2_classes[5][5][105] = int_stack + 21672;
 Libderiv->deriv2_classes[5][6][105] = int_stack + 22113;
 Libderiv->deriv2_classes[5][7][105] = int_stack + 22701;
 Libderiv->deriv2_classes[5][5][104] = int_stack + 23457;
 Libderiv->deriv2_classes[5][6][104] = int_stack + 23898;
 Libderiv->deriv2_classes[5][7][104] = int_stack + 24486;
 Libderiv->deriv2_classes[5][5][95] = int_stack + 25242;
 Libderiv->deriv2_classes[5][6][95] = int_stack + 25683;
 Libderiv->deriv2_classes[5][7][95] = int_stack + 26271;
 Libderiv->deriv2_classes[5][5][94] = int_stack + 27027;
 Libderiv->deriv2_classes[5][6][94] = int_stack + 27468;
 Libderiv->deriv2_classes[5][7][94] = int_stack + 28056;
 Libderiv->deriv2_classes[5][5][93] = int_stack + 28812;
 Libderiv->deriv2_classes[5][6][93] = int_stack + 29253;
 Libderiv->deriv2_classes[5][7][93] = int_stack + 29841;
 Libderiv->deriv2_classes[5][5][92] = int_stack + 30597;
 Libderiv->deriv2_classes[5][6][92] = int_stack + 31038;
 Libderiv->deriv2_classes[5][7][92] = int_stack + 31626;
 Libderiv->deriv2_classes[5][5][91] = int_stack + 32382;
 Libderiv->deriv2_classes[5][6][91] = int_stack + 32823;
 Libderiv->deriv2_classes[5][7][91] = int_stack + 33411;
 Libderiv->deriv_classes[5][5][11] = int_stack + 34167;
 Libderiv->deriv2_classes[5][5][83] = int_stack + 34608;
 Libderiv->deriv_classes[5][6][11] = int_stack + 35049;
 Libderiv->deriv2_classes[5][6][83] = int_stack + 35637;
 Libderiv->deriv2_classes[5][7][83] = int_stack + 36225;
 Libderiv->deriv_classes[5][5][10] = int_stack + 36981;
 Libderiv->deriv2_classes[5][5][82] = int_stack + 37422;
 Libderiv->deriv_classes[5][6][10] = int_stack + 37863;
 Libderiv->deriv2_classes[5][6][82] = int_stack + 38451;
 Libderiv->deriv2_classes[5][7][82] = int_stack + 39039;
 Libderiv->deriv_classes[5][5][9] = int_stack + 39795;
 Libderiv->deriv2_classes[5][5][81] = int_stack + 40236;
 Libderiv->deriv_classes[5][6][9] = int_stack + 40677;
 Libderiv->deriv2_classes[5][6][81] = int_stack + 41265;
 Libderiv->deriv2_classes[5][7][81] = int_stack + 41853;
 Libderiv->deriv_classes[5][5][8] = int_stack + 42609;
 Libderiv->deriv2_classes[5][5][80] = int_stack + 43050;
 Libderiv->deriv_classes[5][6][8] = int_stack + 43491;
 Libderiv->deriv2_classes[5][6][80] = int_stack + 44079;
 Libderiv->deriv2_classes[5][7][80] = int_stack + 44667;
 Libderiv->deriv_classes[5][5][7] = int_stack + 45423;
 Libderiv->deriv2_classes[5][5][79] = int_stack + 45864;
 Libderiv->deriv_classes[5][6][7] = int_stack + 46305;
 Libderiv->deriv2_classes[5][6][79] = int_stack + 46893;
 Libderiv->deriv2_classes[5][7][79] = int_stack + 47481;
 Libderiv->dvrr_classes[5][5] = int_stack + 48237;
 Libderiv->deriv_classes[5][5][6] = int_stack + 48678;
 Libderiv->deriv2_classes[5][5][78] = int_stack + 49119;
 Libderiv->deriv_classes[5][6][6] = int_stack + 49560;
 Libderiv->deriv2_classes[5][6][78] = int_stack + 50148;
 Libderiv->deriv2_classes[5][7][78] = int_stack + 50736;
 Libderiv->deriv2_classes[5][5][35] = int_stack + 51492;
 Libderiv->deriv2_classes[5][6][35] = int_stack + 51933;
 Libderiv->deriv2_classes[5][7][35] = int_stack + 52521;
 Libderiv->deriv2_classes[5][5][34] = int_stack + 53277;
 Libderiv->deriv2_classes[5][6][34] = int_stack + 53718;
 Libderiv->deriv2_classes[5][7][34] = int_stack + 54306;
 Libderiv->deriv2_classes[5][5][33] = int_stack + 55062;
 Libderiv->deriv2_classes[5][6][33] = int_stack + 55503;
 Libderiv->deriv2_classes[5][7][33] = int_stack + 56091;
 Libderiv->deriv2_classes[5][5][32] = int_stack + 56847;
 Libderiv->deriv2_classes[5][6][32] = int_stack + 57288;
 Libderiv->deriv2_classes[5][7][32] = int_stack + 57876;
 Libderiv->deriv2_classes[5][5][31] = int_stack + 58632;
 Libderiv->deriv2_classes[5][6][31] = int_stack + 59073;
 Libderiv->deriv2_classes[5][7][31] = int_stack + 59661;
 Libderiv->deriv_classes[5][5][2] = int_stack + 60417;
 Libderiv->deriv2_classes[5][5][30] = int_stack + 60858;
 Libderiv->deriv_classes[5][6][2] = int_stack + 61299;
 Libderiv->deriv2_classes[5][6][30] = int_stack + 61887;
 Libderiv->deriv2_classes[5][7][30] = int_stack + 62475;
 Libderiv->deriv2_classes[5][5][26] = int_stack + 63231;
 Libderiv->deriv2_classes[5][6][26] = int_stack + 63672;
 Libderiv->deriv2_classes[5][7][26] = int_stack + 64260;
 Libderiv->deriv2_classes[5][5][23] = int_stack + 65016;
 Libderiv->deriv2_classes[5][6][23] = int_stack + 65457;
 Libderiv->deriv2_classes[5][7][23] = int_stack + 66045;
 Libderiv->deriv2_classes[5][5][22] = int_stack + 66801;
 Libderiv->deriv2_classes[5][6][22] = int_stack + 67242;
 Libderiv->deriv2_classes[5][7][22] = int_stack + 67830;
 Libderiv->deriv2_classes[5][5][21] = int_stack + 68586;
 Libderiv->deriv2_classes[5][6][21] = int_stack + 69027;
 Libderiv->deriv2_classes[5][7][21] = int_stack + 69615;
 Libderiv->deriv2_classes[5][5][20] = int_stack + 70371;
 Libderiv->deriv2_classes[5][6][20] = int_stack + 70812;
 Libderiv->deriv2_classes[5][7][20] = int_stack + 71400;
 Libderiv->deriv2_classes[5][5][19] = int_stack + 72156;
 Libderiv->deriv2_classes[5][6][19] = int_stack + 72597;
 Libderiv->deriv2_classes[5][7][19] = int_stack + 73185;
 Libderiv->deriv_classes[5][5][1] = int_stack + 73941;
 Libderiv->deriv2_classes[5][5][18] = int_stack + 74382;
 Libderiv->deriv_classes[5][6][1] = int_stack + 74823;
 Libderiv->deriv2_classes[5][6][18] = int_stack + 75411;
 Libderiv->deriv2_classes[5][7][18] = int_stack + 75999;
 Libderiv->deriv2_classes[5][5][14] = int_stack + 76755;
 Libderiv->deriv2_classes[5][6][14] = int_stack + 77196;
 Libderiv->deriv2_classes[5][7][14] = int_stack + 77784;
 Libderiv->deriv2_classes[5][5][13] = int_stack + 78540;
 Libderiv->deriv2_classes[5][6][13] = int_stack + 78981;
 Libderiv->deriv2_classes[5][7][13] = int_stack + 79569;
 Libderiv->deriv2_classes[5][5][11] = int_stack + 80325;
 Libderiv->deriv2_classes[5][6][11] = int_stack + 80766;
 Libderiv->deriv2_classes[5][7][11] = int_stack + 81354;
 Libderiv->deriv2_classes[5][5][10] = int_stack + 82110;
 Libderiv->deriv2_classes[5][6][10] = int_stack + 82551;
 Libderiv->deriv2_classes[5][7][10] = int_stack + 83139;
 Libderiv->deriv2_classes[5][5][9] = int_stack + 83895;
 Libderiv->deriv2_classes[5][6][9] = int_stack + 84336;
 Libderiv->deriv2_classes[5][7][9] = int_stack + 84924;
 Libderiv->deriv2_classes[5][5][8] = int_stack + 85680;
 Libderiv->deriv2_classes[5][6][8] = int_stack + 86121;
 Libderiv->deriv2_classes[5][7][8] = int_stack + 86709;
 Libderiv->deriv2_classes[5][5][7] = int_stack + 87465;
 Libderiv->deriv2_classes[5][6][7] = int_stack + 87906;
 Libderiv->deriv2_classes[5][7][7] = int_stack + 88494;
 Libderiv->deriv_classes[5][5][0] = int_stack + 89250;
 Libderiv->deriv2_classes[5][5][6] = int_stack + 89691;
 Libderiv->deriv_classes[5][6][0] = int_stack + 90132;
 Libderiv->deriv2_classes[5][6][6] = int_stack + 90720;
 Libderiv->deriv2_classes[5][7][6] = int_stack + 91308;
 Libderiv->deriv2_classes[5][5][2] = int_stack + 92064;
 Libderiv->deriv2_classes[5][6][2] = int_stack + 92505;
 Libderiv->deriv2_classes[5][7][2] = int_stack + 93093;
 Libderiv->deriv2_classes[5][5][1] = int_stack + 93849;
 Libderiv->deriv2_classes[5][6][1] = int_stack + 94290;
 Libderiv->deriv2_classes[5][7][1] = int_stack + 94878;
 Libderiv->deriv2_classes[5][5][0] = int_stack + 95634;
 Libderiv->deriv2_classes[5][6][0] = int_stack + 96075;
 Libderiv->deriv2_classes[5][7][0] = int_stack + 96663;
 memset(int_stack,0,779352);

 Libderiv->dvrr_stack = int_stack + 183855;
 for(i=0;i<num_prim_comb;i++) {
   d12vrr_order_h0hd(Libderiv, Data);
   Data++;
 }

 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+97419,int_stack+3780,int_stack+48237,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+98742,int_stack+35049,int_stack+34167, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48237,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+100065,int_stack+0,int_stack+35049, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+101829,int_stack+37863,int_stack+36981, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48237, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+103152,int_stack+756,int_stack+37863, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+40677,int_stack+39795, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48237, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+104916,int_stack+1512,int_stack+40677, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106680,int_stack+43491,int_stack+42609, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48237, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+108003,int_stack+2268,int_stack+43491, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1323,int_stack+46305,int_stack+45423, 0.0, zero_stack, 1.0, int_stack+48237, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+109767,int_stack+3024,int_stack+46305, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+111531,int_stack+49560,int_stack+48678, 1.0, int_stack+48237, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+112854,int_stack+4368,int_stack+49560, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+2646,int_stack+61299,int_stack+60417,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+114618,int_stack+5124,int_stack+61299,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+3969,int_stack+74823,int_stack+73941,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+116382,int_stack+5880,int_stack+74823,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+5292,int_stack+90132,int_stack+89250,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+118146,int_stack+6636,int_stack+90132,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+119910,int_stack+7833,int_stack+7392, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+34167,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+121233,int_stack+8421,int_stack+7833, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+35049,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6615,int_stack+9618,int_stack+9177, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34167, 1.0, int_stack+36981,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+122997,int_stack+10206,int_stack+9618, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35049, 1.0, int_stack+37863,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+11403,int_stack+10962, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+36981, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+9261,int_stack+11991,int_stack+11403, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+37863, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+11025,int_stack+13188,int_stack+12747, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34167, 0.0, zero_stack, 1.0, int_stack+39795,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+124761,int_stack+13776,int_stack+13188, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35049, 0.0, zero_stack, 1.0, int_stack+40677,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+12348,int_stack+14973,int_stack+14532, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36981, 1.0, int_stack+39795, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+126525,int_stack+15561,int_stack+14973, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37863, 1.0, int_stack+40677, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+13671,int_stack+16758,int_stack+16317, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+39795, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+14994,int_stack+17346,int_stack+16758, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+40677, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+16758,int_stack+18543,int_stack+18102, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34167, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42609,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+128289,int_stack+19131,int_stack+18543, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35049, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+43491,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+18081,int_stack+20328,int_stack+19887, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36981, 0.0, zero_stack, 1.0, int_stack+42609, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+130053,int_stack+20916,int_stack+20328, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37863, 0.0, zero_stack, 1.0, int_stack+43491, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+19404,int_stack+22113,int_stack+21672, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39795, 1.0, int_stack+42609, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+131817,int_stack+22701,int_stack+22113, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40677, 1.0, int_stack+43491, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+20727,int_stack+23898,int_stack+23457, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+42609, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+22050,int_stack+24486,int_stack+23898, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+43491, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+23814,int_stack+25683,int_stack+25242, 0.0, zero_stack, 1.0, int_stack+34167, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+45423,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+133581,int_stack+26271,int_stack+25683, 0.0, zero_stack, 1.0, int_stack+35049, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46305,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+25137,int_stack+27468,int_stack+27027, 0.0, zero_stack, 1.0, int_stack+36981, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+45423, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+135345,int_stack+28056,int_stack+27468, 0.0, zero_stack, 1.0, int_stack+37863, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46305, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+26460,int_stack+29253,int_stack+28812, 0.0, zero_stack, 1.0, int_stack+39795, 0.0, zero_stack, 1.0, int_stack+45423, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+137109,int_stack+29841,int_stack+29253, 0.0, zero_stack, 1.0, int_stack+40677, 0.0, zero_stack, 1.0, int_stack+46305, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+27783,int_stack+31038,int_stack+30597, 0.0, zero_stack, 1.0, int_stack+42609, 1.0, int_stack+45423, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+29106,int_stack+31626,int_stack+31038, 0.0, zero_stack, 1.0, int_stack+43491, 1.0, int_stack+46305, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+30870,int_stack+32823,int_stack+32382, 0.0, zero_stack, 2.0, int_stack+45423, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+138873,int_stack+33411,int_stack+32823, 0.0, zero_stack, 2.0, int_stack+46305, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+32193,int_stack+35637,int_stack+34608, 1.0, int_stack+34167, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48678,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+140637,int_stack+36225,int_stack+35637, 1.0, int_stack+35049, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49560,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+33516,int_stack+38451,int_stack+37422, 1.0, int_stack+36981, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48678, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+34839,int_stack+39039,int_stack+38451, 1.0, int_stack+37863, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49560, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+36603,int_stack+41265,int_stack+40236, 1.0, int_stack+39795, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48678, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+37926,int_stack+41853,int_stack+41265, 1.0, int_stack+40677, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49560, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+39690,int_stack+44079,int_stack+43050, 1.0, int_stack+42609, 0.0, zero_stack, 1.0, int_stack+48678, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+41013,int_stack+44667,int_stack+44079, 1.0, int_stack+43491, 0.0, zero_stack, 1.0, int_stack+49560, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+42777,int_stack+46893,int_stack+45864, 1.0, int_stack+45423, 1.0, int_stack+48678, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+44100,int_stack+47481,int_stack+46893, 1.0, int_stack+46305, 1.0, int_stack+49560, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+45864,int_stack+50148,int_stack+49119, 2.0, int_stack+48678, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+47187,int_stack+50736,int_stack+50148, 2.0, int_stack+49560, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+48951,int_stack+51933,int_stack+51492, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+60417,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+142401,int_stack+52521,int_stack+51933, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61299,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+50274,int_stack+53718,int_stack+53277, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+60417, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+51597,int_stack+54306,int_stack+53718, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61299, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+53361,int_stack+55503,int_stack+55062, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+60417, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+144165,int_stack+56091,int_stack+55503, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61299, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+54684,int_stack+57288,int_stack+56847, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+60417, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+145929,int_stack+57876,int_stack+57288, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61299, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56007,int_stack+59073,int_stack+58632, 0.0, zero_stack, 1.0, int_stack+60417, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+147693,int_stack+59661,int_stack+59073, 0.0, zero_stack, 1.0, int_stack+61299, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+57330,int_stack+61887,int_stack+60858, 1.0, int_stack+60417, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+58653,int_stack+62475,int_stack+61887, 1.0, int_stack+61299, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+60417,int_stack+63672,int_stack+63231,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+61740,int_stack+64260,int_stack+63672,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+63504,int_stack+65457,int_stack+65016, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73941,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+149457,int_stack+66045,int_stack+65457, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74823,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+64827,int_stack+67242,int_stack+66801, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73941, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+151221,int_stack+67830,int_stack+67242, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74823, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+66150,int_stack+69027,int_stack+68586, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73941, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+152985,int_stack+69615,int_stack+69027, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74823, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+67473,int_stack+70812,int_stack+70371, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73941, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+68796,int_stack+71400,int_stack+70812, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74823, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+70560,int_stack+72597,int_stack+72156, 0.0, zero_stack, 1.0, int_stack+73941, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+154749,int_stack+73185,int_stack+72597, 0.0, zero_stack, 1.0, int_stack+74823, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+71883,int_stack+75411,int_stack+74382, 1.0, int_stack+73941, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+156513,int_stack+75999,int_stack+75411, 1.0, int_stack+74823, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+73206,int_stack+77196,int_stack+76755,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+74529,int_stack+77784,int_stack+77196,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+76293,int_stack+78981,int_stack+78540,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+158277,int_stack+79569,int_stack+78981,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+77616,int_stack+80766,int_stack+80325, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89250,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+78939,int_stack+81354,int_stack+80766, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90132,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+80703,int_stack+82551,int_stack+82110, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89250, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+160041,int_stack+83139,int_stack+82551, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90132, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+82026,int_stack+84336,int_stack+83895, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89250, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+161805,int_stack+84924,int_stack+84336, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90132, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+83349,int_stack+86121,int_stack+85680, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+163569,int_stack+86709,int_stack+86121, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90132, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+84672,int_stack+87906,int_stack+87465, 0.0, zero_stack, 1.0, int_stack+89250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+85995,int_stack+88494,int_stack+87906, 0.0, zero_stack, 1.0, int_stack+90132, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+87759,int_stack+90720,int_stack+89691, 1.0, int_stack+89250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+165333,int_stack+91308,int_stack+90720, 1.0, int_stack+90132, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+89082,int_stack+92505,int_stack+92064,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+90405,int_stack+93093,int_stack+92505,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+92169,int_stack+94290,int_stack+93849,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+167097,int_stack+94878,int_stack+94290,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+93492,int_stack+96075,int_stack+95634,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+168861,int_stack+96663,int_stack+96075,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+170625,int_stack+100065,int_stack+98742, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+97419,21);
     Libderiv->ABCD[11] = int_stack + 170625;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+173271,int_stack+103152,int_stack+101829, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+97419, 0.0, zero_stack,21);
     Libderiv->ABCD[10] = int_stack + 173271;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+175917,int_stack+104916,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+97419, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[9] = int_stack + 175917;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+103152,int_stack+108003,int_stack+106680, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+97419, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[8] = int_stack + 103152;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+178563,int_stack+109767,int_stack+1323, 0.0, zero_stack, 1.0, int_stack+97419, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[7] = int_stack + 178563;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+108003,int_stack+112854,int_stack+111531, 1.0, int_stack+97419, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[6] = int_stack + 108003;
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+94815,int_stack+114618,int_stack+2646,21);
     Libderiv->ABCD[2] = int_stack + 94815;
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+112854,int_stack+116382,int_stack+3969,21);
     Libderiv->ABCD[1] = int_stack + 112854;
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+115500,int_stack+118146,int_stack+5292,21);
     Libderiv->ABCD[0] = int_stack + 115500;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+181209,int_stack+121233,int_stack+119910, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+98742,21);
     Libderiv->ABCD[155] = int_stack + 181209;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+118146,int_stack+122997,int_stack+6615, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+98742, 1.0, int_stack+101829,21);
     Libderiv->ABCD[143] = int_stack + 118146;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+120792,int_stack+9261,int_stack+7938, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+101829, 0.0, zero_stack,21);
     Libderiv->ABCD[142] = int_stack + 120792;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+6615,int_stack+124761,int_stack+11025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+98742, 0.0, zero_stack, 1.0, int_stack+0,21);
     Libderiv->ABCD[131] = int_stack + 6615;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+9261,int_stack+126525,int_stack+12348, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101829, 1.0, int_stack+0, 0.0, zero_stack,21);
     Libderiv->ABCD[130] = int_stack + 9261;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+123438,int_stack+14994,int_stack+13671, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[129] = int_stack + 123438;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+11907,int_stack+128289,int_stack+16758, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+98742, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+106680,21);
     Libderiv->ABCD[119] = int_stack + 11907;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+14553,int_stack+130053,int_stack+18081, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101829, 0.0, zero_stack, 1.0, int_stack+106680, 0.0, zero_stack,21);
     Libderiv->ABCD[118] = int_stack + 14553;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+126084,int_stack+131817,int_stack+19404, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 1.0, int_stack+106680, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[117] = int_stack + 126084;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+17199,int_stack+22050,int_stack+20727, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+106680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[116] = int_stack + 17199;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+19845,int_stack+133581,int_stack+23814, 0.0, zero_stack, 1.0, int_stack+98742, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1323,21);
     Libderiv->ABCD[107] = int_stack + 19845;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+22491,int_stack+135345,int_stack+25137, 0.0, zero_stack, 1.0, int_stack+101829, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1323, 0.0, zero_stack,21);
     Libderiv->ABCD[106] = int_stack + 22491;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+128730,int_stack+137109,int_stack+26460, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 1.0, int_stack+1323, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[105] = int_stack + 128730;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+25137,int_stack+29106,int_stack+27783, 0.0, zero_stack, 1.0, int_stack+106680, 1.0, int_stack+1323, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[104] = int_stack + 25137;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27783,int_stack+138873,int_stack+30870, 0.0, zero_stack, 2.0, int_stack+1323, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[103] = int_stack + 27783;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+131376,int_stack+140637,int_stack+32193, 1.0, int_stack+98742, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111531,21);
     Libderiv->ABCD[95] = int_stack + 131376;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+30429,int_stack+34839,int_stack+33516, 1.0, int_stack+101829, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111531, 0.0, zero_stack,21);
     Libderiv->ABCD[94] = int_stack + 30429;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+33075,int_stack+37926,int_stack+36603, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111531, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[93] = int_stack + 33075;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+35721,int_stack+41013,int_stack+39690, 1.0, int_stack+106680, 0.0, zero_stack, 1.0, int_stack+111531, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[92] = int_stack + 35721;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+38367,int_stack+44100,int_stack+42777, 1.0, int_stack+1323, 1.0, int_stack+111531, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[91] = int_stack + 38367;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+0,int_stack+47187,int_stack+45864, 2.0, int_stack+111531, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[90] = int_stack + 0;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+41013,int_stack+142401,int_stack+48951, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2646,21);
     Libderiv->ABCD[47] = int_stack + 41013;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+43659,int_stack+51597,int_stack+50274, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2646, 0.0, zero_stack,21);
     Libderiv->ABCD[46] = int_stack + 43659;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+46305,int_stack+144165,int_stack+53361, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2646, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[45] = int_stack + 46305;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+48951,int_stack+145929,int_stack+54684, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2646, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[44] = int_stack + 48951;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+51597,int_stack+147693,int_stack+56007, 0.0, zero_stack, 1.0, int_stack+2646, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[43] = int_stack + 51597;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+54243,int_stack+58653,int_stack+57330, 1.0, int_stack+2646, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[42] = int_stack + 54243;
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+56889,int_stack+61740,int_stack+60417,21);
     Libderiv->ABCD[38] = int_stack + 56889;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+59535,int_stack+149457,int_stack+63504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3969,21);
     Libderiv->ABCD[35] = int_stack + 59535;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+62181,int_stack+151221,int_stack+64827, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3969, 0.0, zero_stack,21);
     Libderiv->ABCD[34] = int_stack + 62181;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+134022,int_stack+152985,int_stack+66150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3969, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[33] = int_stack + 134022;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+64827,int_stack+68796,int_stack+67473, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3969, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[32] = int_stack + 64827;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+67473,int_stack+154749,int_stack+70560, 0.0, zero_stack, 1.0, int_stack+3969, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[31] = int_stack + 67473;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+136668,int_stack+156513,int_stack+71883, 1.0, int_stack+3969, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[30] = int_stack + 136668;
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+2646,int_stack+74529,int_stack+73206,21);
     Libderiv->ABCD[26] = int_stack + 2646;
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+70119,int_stack+158277,int_stack+76293,21);
     Libderiv->ABCD[25] = int_stack + 70119;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+72765,int_stack+78939,int_stack+77616, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5292,21);
     Libderiv->ABCD[23] = int_stack + 72765;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+75411,int_stack+160041,int_stack+80703, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5292, 0.0, zero_stack,21);
     Libderiv->ABCD[22] = int_stack + 75411;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+78057,int_stack+161805,int_stack+82026, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5292, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[21] = int_stack + 78057;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+80703,int_stack+163569,int_stack+83349, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5292, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[20] = int_stack + 80703;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+139314,int_stack+85995,int_stack+84672, 0.0, zero_stack, 1.0, int_stack+5292, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[19] = int_stack + 139314;
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+83349,int_stack+165333,int_stack+87759, 1.0, int_stack+5292, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[18] = int_stack + 83349;
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+85995,int_stack+90405,int_stack+89082,21);
     Libderiv->ABCD[14] = int_stack + 85995;
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+88641,int_stack+167097,int_stack+92169,21);
     Libderiv->ABCD[13] = int_stack + 88641;
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+141960,int_stack+168861,int_stack+93492,21);
     Libderiv->ABCD[12] = int_stack + 141960;

}
