#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_f0ih(Libderiv_t *, prim_data *);

  /* Computes derivatives of (f0|ih) integrals */

void d1hrr_order_f0ih(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[3][6][11] = int_stack + 0;
 Libderiv->deriv_classes[3][7][11] = int_stack + 280;
 Libderiv->deriv_classes[3][8][11] = int_stack + 640;
 Libderiv->deriv_classes[3][9][11] = int_stack + 1090;
 Libderiv->deriv_classes[3][10][11] = int_stack + 1640;
 Libderiv->deriv_classes[3][11][11] = int_stack + 2300;
 Libderiv->deriv_classes[3][6][10] = int_stack + 3080;
 Libderiv->deriv_classes[3][7][10] = int_stack + 3360;
 Libderiv->deriv_classes[3][8][10] = int_stack + 3720;
 Libderiv->deriv_classes[3][9][10] = int_stack + 4170;
 Libderiv->deriv_classes[3][10][10] = int_stack + 4720;
 Libderiv->deriv_classes[3][11][10] = int_stack + 5380;
 Libderiv->deriv_classes[3][6][9] = int_stack + 6160;
 Libderiv->deriv_classes[3][7][9] = int_stack + 6440;
 Libderiv->deriv_classes[3][8][9] = int_stack + 6800;
 Libderiv->deriv_classes[3][9][9] = int_stack + 7250;
 Libderiv->deriv_classes[3][10][9] = int_stack + 7800;
 Libderiv->deriv_classes[3][11][9] = int_stack + 8460;
 Libderiv->deriv_classes[3][6][8] = int_stack + 9240;
 Libderiv->deriv_classes[3][7][8] = int_stack + 9520;
 Libderiv->deriv_classes[3][8][8] = int_stack + 9880;
 Libderiv->deriv_classes[3][9][8] = int_stack + 10330;
 Libderiv->deriv_classes[3][10][8] = int_stack + 10880;
 Libderiv->deriv_classes[3][11][8] = int_stack + 11540;
 Libderiv->deriv_classes[3][6][7] = int_stack + 12320;
 Libderiv->deriv_classes[3][7][7] = int_stack + 12600;
 Libderiv->deriv_classes[3][8][7] = int_stack + 12960;
 Libderiv->deriv_classes[3][9][7] = int_stack + 13410;
 Libderiv->deriv_classes[3][10][7] = int_stack + 13960;
 Libderiv->deriv_classes[3][11][7] = int_stack + 14620;
 Libderiv->dvrr_classes[3][6] = int_stack + 15400;
 Libderiv->deriv_classes[3][6][6] = int_stack + 15680;
 Libderiv->dvrr_classes[3][7] = int_stack + 15960;
 Libderiv->deriv_classes[3][7][6] = int_stack + 16320;
 Libderiv->dvrr_classes[3][8] = int_stack + 16680;
 Libderiv->deriv_classes[3][8][6] = int_stack + 17130;
 Libderiv->dvrr_classes[3][9] = int_stack + 17580;
 Libderiv->deriv_classes[3][9][6] = int_stack + 18130;
 Libderiv->dvrr_classes[3][10] = int_stack + 18680;
 Libderiv->deriv_classes[3][10][6] = int_stack + 19340;
 Libderiv->deriv_classes[3][11][6] = int_stack + 20000;
 Libderiv->deriv_classes[3][6][2] = int_stack + 20780;
 Libderiv->deriv_classes[3][7][2] = int_stack + 21060;
 Libderiv->deriv_classes[3][8][2] = int_stack + 21420;
 Libderiv->deriv_classes[3][9][2] = int_stack + 21870;
 Libderiv->deriv_classes[3][10][2] = int_stack + 22420;
 Libderiv->deriv_classes[3][11][2] = int_stack + 23080;
 Libderiv->deriv_classes[3][6][1] = int_stack + 23860;
 Libderiv->deriv_classes[3][7][1] = int_stack + 24140;
 Libderiv->deriv_classes[3][8][1] = int_stack + 24500;
 Libderiv->deriv_classes[3][9][1] = int_stack + 24950;
 Libderiv->deriv_classes[3][10][1] = int_stack + 25500;
 Libderiv->deriv_classes[3][11][1] = int_stack + 26160;
 Libderiv->deriv_classes[3][6][0] = int_stack + 26940;
 Libderiv->deriv_classes[3][7][0] = int_stack + 27220;
 Libderiv->deriv_classes[3][8][0] = int_stack + 27580;
 Libderiv->deriv_classes[3][9][0] = int_stack + 28030;
 Libderiv->deriv_classes[3][10][0] = int_stack + 28580;
 Libderiv->deriv_classes[3][11][0] = int_stack + 29240;
 memset(int_stack,0,240160);

 Libderiv->dvrr_stack = int_stack + 111430;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_f0ih(Libderiv, Data);
   Data++;
 }

 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+30020,int_stack+15960,int_stack+15400,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+30860,int_stack+16680,int_stack+15960,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+31940,int_stack+30860,int_stack+30020,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+33620,int_stack+17580,int_stack+16680,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+34970,int_stack+33620,int_stack+30860,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+37130,int_stack+34970,int_stack+31940,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+39930,int_stack+18680,int_stack+17580,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+41580,int_stack+39930,int_stack+33620,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+44280,int_stack+41580,int_stack+34970,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+47880,int_stack+44280,int_stack+37130,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+52080,int_stack+280,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15400,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+52920,int_stack+640,int_stack+280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15960,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+54000,int_stack+52920,int_stack+52080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30020,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+55680,int_stack+1090,int_stack+640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16680,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+57030,int_stack+55680,int_stack+52920, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30860,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+59190,int_stack+57030,int_stack+54000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31940,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+52080,int_stack+1640,int_stack+1090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17580,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+61990,int_stack+52080,int_stack+55680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33620,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+64690,int_stack+61990,int_stack+57030, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34970,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+53730,int_stack+64690,int_stack+59190, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37130,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+57930,int_stack+2300,int_stack+1640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18680,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+68290,int_stack+57930,int_stack+52080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39930,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+71590,int_stack+68290,int_stack+61990, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41580,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+57930,int_stack+71590,int_stack+64690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44280,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+52080,int_stack+3360,int_stack+3080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15400, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+63330,int_stack+3720,int_stack+3360, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15960, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+64410,int_stack+63330,int_stack+52080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30020, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+52080,int_stack+4170,int_stack+3720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16680, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+66090,int_stack+52080,int_stack+63330, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30860, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+68250,int_stack+66090,int_stack+64410, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31940, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+63330,int_stack+4720,int_stack+4170, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17580, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+71050,int_stack+63330,int_stack+52080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33620, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+0,int_stack+71050,int_stack+66090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34970, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+73750,int_stack+0,int_stack+68250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37130, 0.0, zero_stack,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+64980,int_stack+5380,int_stack+4720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18680, 0.0, zero_stack,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+66960,int_stack+64980,int_stack+63330, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39930, 0.0, zero_stack,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+77950,int_stack+66960,int_stack+71050, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41580, 0.0, zero_stack,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+63330,int_stack+77950,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44280, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+6440,int_stack+6160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15400, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+840,int_stack+6800,int_stack+6440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15960, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1920,int_stack+840,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30020, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+3600,int_stack+7250,int_stack+6800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16680, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+4950,int_stack+3600,int_stack+840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30860, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+77950,int_stack+4950,int_stack+1920, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31940, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+52080,int_stack+7800,int_stack+7250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17580, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+0,int_stack+52080,int_stack+3600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33620, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+68730,int_stack+0,int_stack+4950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34970, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+2700,int_stack+68730,int_stack+77950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37130, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+77950,int_stack+8460,int_stack+7800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18680, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+79930,int_stack+77950,int_stack+52080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39930, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+83230,int_stack+79930,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41580, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+87730,int_stack+83230,int_stack+68730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44280, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+68730,int_stack+9520,int_stack+9240, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+69570,int_stack+9880,int_stack+9520, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+70650,int_stack+69570,int_stack+68730, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+72330,int_stack+10330,int_stack+9880, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+0,int_stack+72330,int_stack+69570, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+77950,int_stack+0,int_stack+70650, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+52080,int_stack+10880,int_stack+10330, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+68730,int_stack+52080,int_stack+72330, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+80750,int_stack+68730,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34970, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+93130,int_stack+80750,int_stack+77950, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37130, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+77950,int_stack+11540,int_stack+10880, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+84350,int_stack+77950,int_stack+52080, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39930, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+6900,int_stack+84350,int_stack+68730, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+97330,int_stack+6900,int_stack+80750, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6900,int_stack+12600,int_stack+12320, 0.0, zero_stack, 1.0, int_stack+15400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+7740,int_stack+12960,int_stack+12600, 0.0, zero_stack, 1.0, int_stack+15960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+8820,int_stack+7740,int_stack+6900, 0.0, zero_stack, 1.0, int_stack+30020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+10500,int_stack+13410,int_stack+12960, 0.0, zero_stack, 1.0, int_stack+16680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+68730,int_stack+10500,int_stack+7740, 0.0, zero_stack, 1.0, int_stack+30860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+70890,int_stack+68730,int_stack+8820, 0.0, zero_stack, 1.0, int_stack+31940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+52080,int_stack+13960,int_stack+13410, 0.0, zero_stack, 1.0, int_stack+17580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+0,int_stack+52080,int_stack+10500, 0.0, zero_stack, 1.0, int_stack+33620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+6900,int_stack+0,int_stack+68730, 0.0, zero_stack, 1.0, int_stack+34970, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+77950,int_stack+6900,int_stack+70890, 0.0, zero_stack, 1.0, int_stack+37130, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+68730,int_stack+14620,int_stack+13960, 0.0, zero_stack, 1.0, int_stack+18680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+10500,int_stack+68730,int_stack+52080, 0.0, zero_stack, 1.0, int_stack+39930, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+68730,int_stack+10500,int_stack+0, 0.0, zero_stack, 1.0, int_stack+41580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+82150,int_stack+68730,int_stack+6900, 0.0, zero_stack, 1.0, int_stack+44280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6900,int_stack+16320,int_stack+15680, 1.0, int_stack+15400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+7740,int_stack+17130,int_stack+16320, 1.0, int_stack+15960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+8820,int_stack+7740,int_stack+6900, 1.0, int_stack+30020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+10500,int_stack+18130,int_stack+17130, 1.0, int_stack+16680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+11850,int_stack+10500,int_stack+7740, 1.0, int_stack+30860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+14010,int_stack+11850,int_stack+8820, 1.0, int_stack+31940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+52080,int_stack+19340,int_stack+18130, 1.0, int_stack+17580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+0,int_stack+52080,int_stack+10500, 1.0, int_stack+33620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+30020,int_stack+0,int_stack+11850, 1.0, int_stack+34970, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+6900,int_stack+30020,int_stack+14010, 1.0, int_stack+37130, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+33620,int_stack+20000,int_stack+19340, 1.0, int_stack+18680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+35600,int_stack+33620,int_stack+52080, 1.0, int_stack+39930, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+11100,int_stack+35600,int_stack+0, 1.0, int_stack+41580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+33620,int_stack+11100,int_stack+30020, 1.0, int_stack+44280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+30020,int_stack+21060,int_stack+20780,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+30860,int_stack+21420,int_stack+21060,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+31940,int_stack+30860,int_stack+30020,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+11100,int_stack+21870,int_stack+21420,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+12450,int_stack+11100,int_stack+30860,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+14610,int_stack+12450,int_stack+31940,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+52080,int_stack+22420,int_stack+21870,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+0,int_stack+52080,int_stack+11100,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+30020,int_stack+0,int_stack+12450,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+17410,int_stack+30020,int_stack+14610,10);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+11100,int_stack+23080,int_stack+22420,10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+13080,int_stack+11100,int_stack+52080,10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+39020,int_stack+13080,int_stack+0,10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+11100,int_stack+39020,int_stack+30020,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+30020,int_stack+24140,int_stack+23860,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+30860,int_stack+24500,int_stack+24140,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+31940,int_stack+30860,int_stack+30020,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+39020,int_stack+24950,int_stack+24500,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+40370,int_stack+39020,int_stack+30860,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+42530,int_stack+40370,int_stack+31940,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+52080,int_stack+25500,int_stack+24950,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+0,int_stack+52080,int_stack+39020,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+30020,int_stack+0,int_stack+40370,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+68730,int_stack+30020,int_stack+42530,10);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+39020,int_stack+26160,int_stack+25500,10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+41000,int_stack+39020,int_stack+52080,10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+21610,int_stack+41000,int_stack+0,10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+39020,int_stack+21610,int_stack+30020,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+30020,int_stack+27220,int_stack+26940,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+30860,int_stack+27580,int_stack+27220,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+31940,int_stack+30860,int_stack+30020,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+21610,int_stack+28030,int_stack+27580,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+22960,int_stack+21610,int_stack+30860,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+25120,int_stack+22960,int_stack+31940,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+52080,int_stack+28580,int_stack+28030,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+0,int_stack+52080,int_stack+21610,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+30020,int_stack+0,int_stack+22960,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+102730,int_stack+30020,int_stack+25120,10);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+21610,int_stack+29240,int_stack+28580,10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+23590,int_stack+21610,int_stack+52080,10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+106930,int_stack+23590,int_stack+0,10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+21610,int_stack+106930,int_stack+30020,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+27010,int_stack+57930,int_stack+53730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+47880,10);
     Libderiv->ABCD[11] = int_stack + 27010;
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+52080,int_stack+63330,int_stack+73750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+47880, 0.0, zero_stack,10);
     Libderiv->ABCD[10] = int_stack + 52080;
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+57960,int_stack+87730,int_stack+2700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+47880, 0.0, zero_stack, 0.0, zero_stack,10);
     Libderiv->ABCD[9] = int_stack + 57960;
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+0,int_stack+97330,int_stack+93130, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+47880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+87550,int_stack+82150,int_stack+77950, 0.0, zero_stack, 1.0, int_stack+47880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
     Libderiv->ABCD[7] = int_stack + 87550;
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+72930,int_stack+33620,int_stack+6900, 1.0, int_stack+47880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
     Libderiv->ABCD[6] = int_stack + 72930;
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+32890,int_stack+11100,int_stack+17410,10);
     Libderiv->ABCD[2] = int_stack + 32890;
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+5880,int_stack+39020,int_stack+68730,10);
     Libderiv->ABCD[1] = int_stack + 5880;
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+11760,int_stack+21610,int_stack+102730,10);
     Libderiv->ABCD[0] = int_stack + 11760;

}
