#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_fdhf(Libderiv_t *, prim_data *);

  /* Computes derivatives of (fd|hf) integrals */

void d1hrr_order_fdhf(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[3][5][11] = int_stack + 0;
 Libderiv->deriv_classes[3][6][11] = int_stack + 210;
 Libderiv->deriv_classes[3][7][11] = int_stack + 490;
 Libderiv->deriv_classes[3][8][11] = int_stack + 850;
 Libderiv->deriv_classes[4][5][11] = int_stack + 1300;
 Libderiv->deriv_classes[4][6][11] = int_stack + 1615;
 Libderiv->deriv_classes[4][7][11] = int_stack + 2035;
 Libderiv->deriv_classes[4][8][11] = int_stack + 2575;
 Libderiv->deriv_classes[5][5][11] = int_stack + 3250;
 Libderiv->deriv_classes[5][6][11] = int_stack + 3691;
 Libderiv->deriv_classes[5][7][11] = int_stack + 4279;
 Libderiv->deriv_classes[5][8][11] = int_stack + 5035;
 Libderiv->deriv_classes[3][5][10] = int_stack + 5980;
 Libderiv->deriv_classes[3][6][10] = int_stack + 6190;
 Libderiv->deriv_classes[3][7][10] = int_stack + 6470;
 Libderiv->deriv_classes[3][8][10] = int_stack + 6830;
 Libderiv->deriv_classes[4][5][10] = int_stack + 7280;
 Libderiv->deriv_classes[4][6][10] = int_stack + 7595;
 Libderiv->deriv_classes[4][7][10] = int_stack + 8015;
 Libderiv->deriv_classes[4][8][10] = int_stack + 8555;
 Libderiv->deriv_classes[5][5][10] = int_stack + 9230;
 Libderiv->deriv_classes[5][6][10] = int_stack + 9671;
 Libderiv->deriv_classes[5][7][10] = int_stack + 10259;
 Libderiv->deriv_classes[5][8][10] = int_stack + 11015;
 Libderiv->deriv_classes[3][5][9] = int_stack + 11960;
 Libderiv->deriv_classes[3][6][9] = int_stack + 12170;
 Libderiv->deriv_classes[3][7][9] = int_stack + 12450;
 Libderiv->deriv_classes[3][8][9] = int_stack + 12810;
 Libderiv->deriv_classes[4][5][9] = int_stack + 13260;
 Libderiv->deriv_classes[4][6][9] = int_stack + 13575;
 Libderiv->deriv_classes[4][7][9] = int_stack + 13995;
 Libderiv->deriv_classes[4][8][9] = int_stack + 14535;
 Libderiv->deriv_classes[5][5][9] = int_stack + 15210;
 Libderiv->deriv_classes[5][6][9] = int_stack + 15651;
 Libderiv->deriv_classes[5][7][9] = int_stack + 16239;
 Libderiv->deriv_classes[5][8][9] = int_stack + 16995;
 Libderiv->deriv_classes[3][5][8] = int_stack + 17940;
 Libderiv->deriv_classes[3][6][8] = int_stack + 18150;
 Libderiv->deriv_classes[3][7][8] = int_stack + 18430;
 Libderiv->deriv_classes[3][8][8] = int_stack + 18790;
 Libderiv->deriv_classes[4][5][8] = int_stack + 19240;
 Libderiv->deriv_classes[4][6][8] = int_stack + 19555;
 Libderiv->deriv_classes[4][7][8] = int_stack + 19975;
 Libderiv->deriv_classes[4][8][8] = int_stack + 20515;
 Libderiv->deriv_classes[5][5][8] = int_stack + 21190;
 Libderiv->deriv_classes[5][6][8] = int_stack + 21631;
 Libderiv->deriv_classes[5][7][8] = int_stack + 22219;
 Libderiv->deriv_classes[5][8][8] = int_stack + 22975;
 Libderiv->deriv_classes[3][5][7] = int_stack + 23920;
 Libderiv->deriv_classes[3][6][7] = int_stack + 24130;
 Libderiv->deriv_classes[3][7][7] = int_stack + 24410;
 Libderiv->deriv_classes[3][8][7] = int_stack + 24770;
 Libderiv->deriv_classes[4][5][7] = int_stack + 25220;
 Libderiv->deriv_classes[4][6][7] = int_stack + 25535;
 Libderiv->deriv_classes[4][7][7] = int_stack + 25955;
 Libderiv->deriv_classes[4][8][7] = int_stack + 26495;
 Libderiv->deriv_classes[5][5][7] = int_stack + 27170;
 Libderiv->deriv_classes[5][6][7] = int_stack + 27611;
 Libderiv->deriv_classes[5][7][7] = int_stack + 28199;
 Libderiv->deriv_classes[5][8][7] = int_stack + 28955;
 Libderiv->deriv_classes[3][5][6] = int_stack + 29900;
 Libderiv->deriv_classes[3][6][6] = int_stack + 30110;
 Libderiv->deriv_classes[3][7][6] = int_stack + 30390;
 Libderiv->deriv_classes[3][8][6] = int_stack + 30750;
 Libderiv->deriv_classes[4][5][6] = int_stack + 31200;
 Libderiv->deriv_classes[4][6][6] = int_stack + 31515;
 Libderiv->deriv_classes[4][7][6] = int_stack + 31935;
 Libderiv->deriv_classes[4][8][6] = int_stack + 32475;
 Libderiv->dvrr_classes[5][5] = int_stack + 33150;
 Libderiv->deriv_classes[5][5][6] = int_stack + 33591;
 Libderiv->dvrr_classes[5][6] = int_stack + 34032;
 Libderiv->deriv_classes[5][6][6] = int_stack + 34620;
 Libderiv->dvrr_classes[5][7] = int_stack + 35208;
 Libderiv->deriv_classes[5][7][6] = int_stack + 35964;
 Libderiv->deriv_classes[5][8][6] = int_stack + 36720;
 Libderiv->deriv_classes[3][5][2] = int_stack + 37665;
 Libderiv->deriv_classes[3][6][2] = int_stack + 37875;
 Libderiv->deriv_classes[3][7][2] = int_stack + 38155;
 Libderiv->deriv_classes[3][8][2] = int_stack + 38515;
 Libderiv->deriv_classes[4][5][2] = int_stack + 38965;
 Libderiv->deriv_classes[4][6][2] = int_stack + 39280;
 Libderiv->deriv_classes[4][7][2] = int_stack + 39700;
 Libderiv->deriv_classes[4][8][2] = int_stack + 40240;
 Libderiv->deriv_classes[5][5][2] = int_stack + 40915;
 Libderiv->deriv_classes[5][6][2] = int_stack + 41356;
 Libderiv->deriv_classes[5][7][2] = int_stack + 41944;
 Libderiv->deriv_classes[5][8][2] = int_stack + 42700;
 Libderiv->deriv_classes[3][5][1] = int_stack + 43645;
 Libderiv->deriv_classes[3][6][1] = int_stack + 43855;
 Libderiv->deriv_classes[3][7][1] = int_stack + 44135;
 Libderiv->deriv_classes[3][8][1] = int_stack + 44495;
 Libderiv->deriv_classes[4][5][1] = int_stack + 44945;
 Libderiv->deriv_classes[4][6][1] = int_stack + 45260;
 Libderiv->deriv_classes[4][7][1] = int_stack + 45680;
 Libderiv->deriv_classes[4][8][1] = int_stack + 46220;
 Libderiv->deriv_classes[5][5][1] = int_stack + 46895;
 Libderiv->deriv_classes[5][6][1] = int_stack + 47336;
 Libderiv->deriv_classes[5][7][1] = int_stack + 47924;
 Libderiv->deriv_classes[5][8][1] = int_stack + 48680;
 Libderiv->dvrr_classes[3][5] = int_stack + 49625;
 Libderiv->dvrr_classes[3][6] = int_stack + 49835;
 Libderiv->dvrr_classes[3][7] = int_stack + 50115;
 Libderiv->dvrr_classes[3][8] = int_stack + 50475;
 Libderiv->deriv_classes[3][5][0] = int_stack + 50925;
 Libderiv->deriv_classes[3][6][0] = int_stack + 51135;
 Libderiv->deriv_classes[3][7][0] = int_stack + 51415;
 Libderiv->deriv_classes[3][8][0] = int_stack + 51775;
 Libderiv->dvrr_classes[4][5] = int_stack + 52225;
 Libderiv->dvrr_classes[4][6] = int_stack + 52540;
 Libderiv->dvrr_classes[4][7] = int_stack + 52960;
 Libderiv->dvrr_classes[4][8] = int_stack + 53500;
 Libderiv->deriv_classes[4][5][0] = int_stack + 54175;
 Libderiv->deriv_classes[4][6][0] = int_stack + 54490;
 Libderiv->deriv_classes[4][7][0] = int_stack + 54910;
 Libderiv->deriv_classes[4][8][0] = int_stack + 55450;
 Libderiv->deriv_classes[5][5][0] = int_stack + 56125;
 Libderiv->deriv_classes[5][6][0] = int_stack + 56566;
 Libderiv->deriv_classes[5][7][0] = int_stack + 57154;
 Libderiv->deriv_classes[5][8][0] = int_stack + 57910;
 memset(int_stack,0,470840);

 Libderiv->dvrr_stack = int_stack + 197275;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_fdhf(Libderiv, Data);
   Data++;
 }

 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+58855,int_stack+49835,int_stack+49625,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+59485,int_stack+50115,int_stack+49835,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+60325,int_stack+59485,int_stack+58855,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+61585,int_stack+210,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49625,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+62215,int_stack+490,int_stack+210, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49835,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+63055,int_stack+62215,int_stack+61585, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+58855,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+64315,int_stack+850,int_stack+490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50115,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+65395,int_stack+64315,int_stack+62215, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+59485,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+67075,int_stack+65395,int_stack+63055, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+60325,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+61585,int_stack+52540,int_stack+52225,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+62530,int_stack+52960,int_stack+52540,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+63790,int_stack+62530,int_stack+61585,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+65680,int_stack+1615,int_stack+1300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52225,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+2035,int_stack+1615, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52540,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+69175,int_stack+0,int_stack+65680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61585,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+71065,int_stack+2575,int_stack+2035, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52960,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+72685,int_stack+71065,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62530,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+0,int_stack+72685,int_stack+69175, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63790,15);
 /*--- compute (fp|hf) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+69175,int_stack+0,int_stack+67075,210);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+65680,int_stack+34032,int_stack+33150,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+67003,int_stack+35208,int_stack+34032,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+75475,int_stack+67003,int_stack+65680,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+78121,int_stack+3691,int_stack+3250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33150,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+79444,int_stack+4279,int_stack+3691, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34032,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+81208,int_stack+79444,int_stack+78121, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65680,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+83854,int_stack+5035,int_stack+4279, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35208,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+86122,int_stack+83854,int_stack+79444, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67003,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+89650,int_stack+86122,int_stack+81208, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75475,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+78121,int_stack+89650,int_stack+0,210);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+6190,int_stack+5980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49625, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+630,int_stack+6470,int_stack+6190, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49835, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1470,int_stack+630,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+58855, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2730,int_stack+6830,int_stack+6470, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50115, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+3810,int_stack+2730,int_stack+630, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+59485, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+87571,int_stack+3810,int_stack+1470, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+60325, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+7595,int_stack+7280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52225, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+945,int_stack+8015,int_stack+7595, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52540, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+2205,int_stack+945,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61585, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+4095,int_stack+8555,int_stack+8015, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52960, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+5715,int_stack+4095,int_stack+945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62530, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+89671,int_stack+5715,int_stack+2205, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63790, 0.0, zero_stack,15);
 /*--- compute (fp|hf) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+0,int_stack+89671,int_stack+87571,210);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+87571,int_stack+9671,int_stack+9230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33150, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6300,int_stack+10259,int_stack+9671, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34032, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+92821,int_stack+6300,int_stack+87571, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65680, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+95467,int_stack+11015,int_stack+10259, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35208, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+8064,int_stack+95467,int_stack+6300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67003, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+95467,int_stack+8064,int_stack+92821, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75475, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+99877,int_stack+95467,int_stack+89671,210);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6300,int_stack+12170,int_stack+11960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49625, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6930,int_stack+12450,int_stack+12170, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49835, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+7770,int_stack+6930,int_stack+6300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+58855, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+9030,int_stack+12810,int_stack+12450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50115, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+10110,int_stack+9030,int_stack+6930, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+59485, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+87571,int_stack+10110,int_stack+7770, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+60325, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6300,int_stack+13575,int_stack+13260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52225, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+7245,int_stack+13995,int_stack+13575, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52540, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+8505,int_stack+7245,int_stack+6300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61585, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+10395,int_stack+14535,int_stack+13995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52960, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+12015,int_stack+10395,int_stack+7245, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62530, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+89671,int_stack+12015,int_stack+8505, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63790, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hf) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+6300,int_stack+89671,int_stack+87571,210);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+87571,int_stack+15651,int_stack+15210, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33150, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+12600,int_stack+16239,int_stack+15651, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34032, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+92821,int_stack+12600,int_stack+87571, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65680, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+95467,int_stack+16995,int_stack+16239, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35208, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+14364,int_stack+95467,int_stack+12600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67003, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+95467,int_stack+14364,int_stack+92821, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75475, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+109327,int_stack+95467,int_stack+89671,210);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+12600,int_stack+18150,int_stack+17940, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49625, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+13230,int_stack+18430,int_stack+18150, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+14070,int_stack+13230,int_stack+12600, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+58855, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+15330,int_stack+18790,int_stack+18430, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+16410,int_stack+15330,int_stack+13230, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+59485, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+87571,int_stack+16410,int_stack+14070, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+60325, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+12600,int_stack+19555,int_stack+19240, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+13545,int_stack+19975,int_stack+19555, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+14805,int_stack+13545,int_stack+12600, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61585, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+16695,int_stack+20515,int_stack+19975, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+18315,int_stack+16695,int_stack+13545, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62530, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+89671,int_stack+18315,int_stack+14805, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63790, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hf) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+12600,int_stack+89671,int_stack+87571,210);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+87571,int_stack+21631,int_stack+21190, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+18900,int_stack+22219,int_stack+21631, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+92821,int_stack+18900,int_stack+87571, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+95467,int_stack+22975,int_stack+22219, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35208, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+118777,int_stack+95467,int_stack+18900, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67003, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+95467,int_stack+118777,int_stack+92821, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75475, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+118777,int_stack+95467,int_stack+89671,210);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+128227,int_stack+24130,int_stack+23920, 0.0, zero_stack, 1.0, int_stack+49625, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+18900,int_stack+24410,int_stack+24130, 0.0, zero_stack, 1.0, int_stack+49835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+19740,int_stack+18900,int_stack+128227, 0.0, zero_stack, 1.0, int_stack+58855, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+21000,int_stack+24770,int_stack+24410, 0.0, zero_stack, 1.0, int_stack+50115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+22080,int_stack+21000,int_stack+18900, 0.0, zero_stack, 1.0, int_stack+59485, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+87571,int_stack+22080,int_stack+19740, 0.0, zero_stack, 1.0, int_stack+60325, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+18900,int_stack+25535,int_stack+25220, 0.0, zero_stack, 1.0, int_stack+52225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+19845,int_stack+25955,int_stack+25535, 0.0, zero_stack, 1.0, int_stack+52540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+21105,int_stack+19845,int_stack+18900, 0.0, zero_stack, 1.0, int_stack+61585, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+22995,int_stack+26495,int_stack+25955, 0.0, zero_stack, 1.0, int_stack+52960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+24615,int_stack+22995,int_stack+19845, 0.0, zero_stack, 1.0, int_stack+62530, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+89671,int_stack+24615,int_stack+21105, 0.0, zero_stack, 1.0, int_stack+63790, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hf) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+18900,int_stack+89671,int_stack+87571,210);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+87571,int_stack+27611,int_stack+27170, 0.0, zero_stack, 1.0, int_stack+33150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+25200,int_stack+28199,int_stack+27611, 0.0, zero_stack, 1.0, int_stack+34032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+92821,int_stack+25200,int_stack+87571, 0.0, zero_stack, 1.0, int_stack+65680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+95467,int_stack+28955,int_stack+28199, 0.0, zero_stack, 1.0, int_stack+35208, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+128227,int_stack+95467,int_stack+25200, 0.0, zero_stack, 1.0, int_stack+67003, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+95467,int_stack+128227,int_stack+92821, 0.0, zero_stack, 1.0, int_stack+75475, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+128227,int_stack+95467,int_stack+89671,210);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+25200,int_stack+30110,int_stack+29900, 1.0, int_stack+49625, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+25830,int_stack+30390,int_stack+30110, 1.0, int_stack+49835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+26670,int_stack+25830,int_stack+25200, 1.0, int_stack+58855, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+27930,int_stack+30750,int_stack+30390, 1.0, int_stack+50115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+29010,int_stack+27930,int_stack+25830, 1.0, int_stack+59485, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+87571,int_stack+29010,int_stack+26670, 1.0, int_stack+60325, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+25200,int_stack+31515,int_stack+31200, 1.0, int_stack+52225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+26145,int_stack+31935,int_stack+31515, 1.0, int_stack+52540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27405,int_stack+26145,int_stack+25200, 1.0, int_stack+61585, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+29295,int_stack+32475,int_stack+31935, 1.0, int_stack+52960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+89671,int_stack+29295,int_stack+26145, 1.0, int_stack+62530, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+29295,int_stack+89671,int_stack+27405, 1.0, int_stack+63790, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hf) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+89671,int_stack+29295,int_stack+87571,210);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+87571,int_stack+34620,int_stack+33591, 1.0, int_stack+33150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+95971,int_stack+35964,int_stack+34620, 1.0, int_stack+34032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+32445,int_stack+95971,int_stack+87571, 1.0, int_stack+65680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+25200,int_stack+36720,int_stack+35964, 1.0, int_stack+35208, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+137677,int_stack+25200,int_stack+95971, 1.0, int_stack+67003, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+141205,int_stack+137677,int_stack+32445, 1.0, int_stack+75475, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+145615,int_stack+141205,int_stack+29295,210);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+75475,int_stack+50475,int_stack+50115,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+137677,int_stack+75475,int_stack+59485,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+87571,int_stack+137677,int_stack+60325,10);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+137677,int_stack+53500,int_stack+52960,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+139297,int_stack+137677,int_stack+62530,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+141817,int_stack+139297,int_stack+63790,15);
 /*--- compute (fp|hf) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+25200,int_stack+141817,int_stack+87571,210);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+137677,int_stack+37875,int_stack+37665,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+138307,int_stack+38155,int_stack+37875,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+139147,int_stack+138307,int_stack+137677,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+140407,int_stack+38515,int_stack+38155,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+75475,int_stack+140407,int_stack+138307,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+95971,int_stack+75475,int_stack+139147,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+75475,int_stack+39280,int_stack+38965,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+76420,int_stack+39700,int_stack+39280,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+137677,int_stack+76420,int_stack+75475,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+139567,int_stack+40240,int_stack+39700,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+31500,int_stack+139567,int_stack+76420,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+34020,int_stack+31500,int_stack+137677,15);
 /*--- compute (fp|hf) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+58855,int_stack+34020,int_stack+95971, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+87571, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+95971,int_stack+41356,int_stack+40915,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+97294,int_stack+41944,int_stack+41356,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+75475,int_stack+97294,int_stack+95971,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+137677,int_stack+42700,int_stack+41944,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+37170,int_stack+137677,int_stack+97294,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+155065,int_stack+37170,int_stack+75475,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+159475,int_stack+155065,int_stack+34020, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+141817, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+155065,int_stack+43855,int_stack+43645,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+155695,int_stack+44135,int_stack+43855,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+156535,int_stack+155695,int_stack+155065,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+157795,int_stack+44495,int_stack+44135,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+75475,int_stack+157795,int_stack+155695,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+137677,int_stack+75475,int_stack+156535,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+75475,int_stack+45260,int_stack+44945,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+76420,int_stack+45680,int_stack+45260,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+155065,int_stack+76420,int_stack+75475,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+156955,int_stack+46220,int_stack+45680,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+95971,int_stack+156955,int_stack+76420,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+31500,int_stack+95971,int_stack+155065,15);
 /*--- compute (fp|hf) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+34650,int_stack+31500,int_stack+137677, 0.0, zero_stack, 1.0, int_stack+87571, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+137677,int_stack+47336,int_stack+46895,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+139000,int_stack+47924,int_stack+47336,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+75475,int_stack+139000,int_stack+137677,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+155065,int_stack+48680,int_stack+47924,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+95971,int_stack+155065,int_stack+139000,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+155065,int_stack+95971,int_stack+75475,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+40950,int_stack+155065,int_stack+31500, 0.0, zero_stack, 1.0, int_stack+141817, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+31500,int_stack+51135,int_stack+50925,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+32130,int_stack+51415,int_stack+51135,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+32970,int_stack+32130,int_stack+31500,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+155065,int_stack+51775,int_stack+51415,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+156145,int_stack+155065,int_stack+32130,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+75475,int_stack+156145,int_stack+32970,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+155065,int_stack+54490,int_stack+54175,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+156010,int_stack+54910,int_stack+54490,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+157270,int_stack+156010,int_stack+155065,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+31500,int_stack+55450,int_stack+54910,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+95971,int_stack+31500,int_stack+156010,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+31500,int_stack+95971,int_stack+157270,15);
 /*--- compute (fp|hf) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+168925,int_stack+31500,int_stack+75475, 1.0, int_stack+87571, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+87571,int_stack+56566,int_stack+56125,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+75475,int_stack+57154,int_stack+56566,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+95971,int_stack+75475,int_stack+87571,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+155065,int_stack+57910,int_stack+57154,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+137677,int_stack+155065,int_stack+75475,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+155065,int_stack+137677,int_stack+95971,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+175225,int_stack+155065,int_stack+31500, 1.0, int_stack+141817, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (fd|hf) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+184675,int_stack+78121,int_stack+69175,210);
     Libderiv->ABCD[11] = int_stack + 184675;
 /*--- compute (fd|hf) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+65155,int_stack+99877,int_stack+0,210);
     Libderiv->ABCD[10] = int_stack + 65155;
 /*--- compute (fd|hf) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+95971,int_stack+109327,int_stack+6300,210);
     Libderiv->ABCD[9] = int_stack + 95971;
 /*--- compute (fd|hf) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+0,int_stack+118777,int_stack+12600,210);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (fd|hf) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+108571,int_stack+128227,int_stack+18900,210);
     Libderiv->ABCD[7] = int_stack + 108571;
 /*--- compute (fd|hf) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+12600,int_stack+145615,int_stack+89671,210);
     Libderiv->ABCD[6] = int_stack + 12600;
 /*--- compute (fd|hf) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+121171,int_stack+159475,int_stack+58855, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[2] = int_stack + 121171;
 /*--- compute (fd|hf) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+133771,int_stack+40950,int_stack+34650, 0.0, zero_stack, 1.0, int_stack+25200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[1] = int_stack + 133771;
 /*--- compute (fd|hf) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+31500,int_stack+175225,int_stack+168925, 1.0, int_stack+25200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[0] = int_stack + 31500;

}
