#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_g0ig(Libderiv_t *, prim_data *);

  /* Computes derivatives of (g0|ig) integrals */

void d1hrr_order_g0ig(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[4][6][11] = int_stack + 0;
 Libderiv->deriv_classes[4][7][11] = int_stack + 420;
 Libderiv->deriv_classes[4][8][11] = int_stack + 960;
 Libderiv->deriv_classes[4][9][11] = int_stack + 1635;
 Libderiv->deriv_classes[4][10][11] = int_stack + 2460;
 Libderiv->deriv_classes[4][6][10] = int_stack + 3450;
 Libderiv->deriv_classes[4][7][10] = int_stack + 3870;
 Libderiv->deriv_classes[4][8][10] = int_stack + 4410;
 Libderiv->deriv_classes[4][9][10] = int_stack + 5085;
 Libderiv->deriv_classes[4][10][10] = int_stack + 5910;
 Libderiv->deriv_classes[4][6][9] = int_stack + 6900;
 Libderiv->deriv_classes[4][7][9] = int_stack + 7320;
 Libderiv->deriv_classes[4][8][9] = int_stack + 7860;
 Libderiv->deriv_classes[4][9][9] = int_stack + 8535;
 Libderiv->deriv_classes[4][10][9] = int_stack + 9360;
 Libderiv->deriv_classes[4][6][8] = int_stack + 10350;
 Libderiv->deriv_classes[4][7][8] = int_stack + 10770;
 Libderiv->deriv_classes[4][8][8] = int_stack + 11310;
 Libderiv->deriv_classes[4][9][8] = int_stack + 11985;
 Libderiv->deriv_classes[4][10][8] = int_stack + 12810;
 Libderiv->deriv_classes[4][6][7] = int_stack + 13800;
 Libderiv->deriv_classes[4][7][7] = int_stack + 14220;
 Libderiv->deriv_classes[4][8][7] = int_stack + 14760;
 Libderiv->deriv_classes[4][9][7] = int_stack + 15435;
 Libderiv->deriv_classes[4][10][7] = int_stack + 16260;
 Libderiv->dvrr_classes[4][6] = int_stack + 17250;
 Libderiv->deriv_classes[4][6][6] = int_stack + 17670;
 Libderiv->dvrr_classes[4][7] = int_stack + 18090;
 Libderiv->deriv_classes[4][7][6] = int_stack + 18630;
 Libderiv->dvrr_classes[4][8] = int_stack + 19170;
 Libderiv->deriv_classes[4][8][6] = int_stack + 19845;
 Libderiv->dvrr_classes[4][9] = int_stack + 20520;
 Libderiv->deriv_classes[4][9][6] = int_stack + 21345;
 Libderiv->deriv_classes[4][10][6] = int_stack + 22170;
 Libderiv->deriv_classes[4][6][2] = int_stack + 23160;
 Libderiv->deriv_classes[4][7][2] = int_stack + 23580;
 Libderiv->deriv_classes[4][8][2] = int_stack + 24120;
 Libderiv->deriv_classes[4][9][2] = int_stack + 24795;
 Libderiv->deriv_classes[4][10][2] = int_stack + 25620;
 Libderiv->deriv_classes[4][6][1] = int_stack + 26610;
 Libderiv->deriv_classes[4][7][1] = int_stack + 27030;
 Libderiv->deriv_classes[4][8][1] = int_stack + 27570;
 Libderiv->deriv_classes[4][9][1] = int_stack + 28245;
 Libderiv->deriv_classes[4][10][1] = int_stack + 29070;
 Libderiv->deriv_classes[4][6][0] = int_stack + 30060;
 Libderiv->deriv_classes[4][7][0] = int_stack + 30480;
 Libderiv->deriv_classes[4][8][0] = int_stack + 31020;
 Libderiv->deriv_classes[4][9][0] = int_stack + 31695;
 Libderiv->deriv_classes[4][10][0] = int_stack + 32520;
 memset(int_stack,0,268080);

 Libderiv->dvrr_stack = int_stack + 120810;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_g0ig(Libderiv, Data);
   Data++;
 }

 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+33510,int_stack+18090,int_stack+17250,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+34770,int_stack+19170,int_stack+18090,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+36390,int_stack+34770,int_stack+33510,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+38910,int_stack+20520,int_stack+19170,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+40935,int_stack+38910,int_stack+34770,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+44175,int_stack+40935,int_stack+36390,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+48375,int_stack+420,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17250,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+49635,int_stack+960,int_stack+420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18090,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+51255,int_stack+49635,int_stack+48375, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33510,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+53775,int_stack+1635,int_stack+960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19170,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+55800,int_stack+53775,int_stack+49635, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34770,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+59040,int_stack+55800,int_stack+51255, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36390,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+48375,int_stack+2460,int_stack+1635, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+20520,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+63240,int_stack+48375,int_stack+53775, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38910,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+48375,int_stack+63240,int_stack+55800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40935,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+63240,int_stack+3870,int_stack+3450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17250, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+64500,int_stack+4410,int_stack+3870, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18090, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+53775,int_stack+64500,int_stack+63240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33510, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+56295,int_stack+5085,int_stack+4410, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19170, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+0,int_stack+56295,int_stack+64500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34770, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+63240,int_stack+0,int_stack+53775, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36390, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+53775,int_stack+5910,int_stack+5085, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+20520, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+67440,int_stack+53775,int_stack+56295, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38910, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+71490,int_stack+67440,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40935, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+7320,int_stack+6900, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17250, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1260,int_stack+7860,int_stack+7320, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18090, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2880,int_stack+1260,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33510, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+5400,int_stack+8535,int_stack+7860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19170, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+67440,int_stack+5400,int_stack+1260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34770, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+53775,int_stack+67440,int_stack+2880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36390, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+0,int_stack+9360,int_stack+8535, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+20520, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+76890,int_stack+0,int_stack+5400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38910, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+0,int_stack+76890,int_stack+67440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40935, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+67440,int_stack+10770,int_stack+10350, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+68700,int_stack+11310,int_stack+10770, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+76890,int_stack+68700,int_stack+67440, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33510, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+5400,int_stack+11985,int_stack+11310, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19170, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+7425,int_stack+5400,int_stack+68700, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34770, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+79410,int_stack+7425,int_stack+76890, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+76890,int_stack+12810,int_stack+11985, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+20520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+67440,int_stack+76890,int_stack+5400, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38910, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+83610,int_stack+67440,int_stack+7425, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40935, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+67440,int_stack+14220,int_stack+13800, 0.0, zero_stack, 1.0, int_stack+17250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+68700,int_stack+14760,int_stack+14220, 0.0, zero_stack, 1.0, int_stack+18090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+76890,int_stack+68700,int_stack+67440, 0.0, zero_stack, 1.0, int_stack+33510, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+5400,int_stack+15435,int_stack+14760, 0.0, zero_stack, 1.0, int_stack+19170, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+7425,int_stack+5400,int_stack+68700, 0.0, zero_stack, 1.0, int_stack+34770, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+10665,int_stack+7425,int_stack+76890, 0.0, zero_stack, 1.0, int_stack+36390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+76890,int_stack+16260,int_stack+15435, 0.0, zero_stack, 1.0, int_stack+20520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+67440,int_stack+76890,int_stack+5400, 0.0, zero_stack, 1.0, int_stack+38910, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+89010,int_stack+67440,int_stack+7425, 0.0, zero_stack, 1.0, int_stack+40935, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+67440,int_stack+18630,int_stack+17670, 1.0, int_stack+17250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+68700,int_stack+19845,int_stack+18630, 1.0, int_stack+18090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+76890,int_stack+68700,int_stack+67440, 1.0, int_stack+33510, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+5400,int_stack+21345,int_stack+19845, 1.0, int_stack+19170, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+7425,int_stack+5400,int_stack+68700, 1.0, int_stack+34770, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+14865,int_stack+7425,int_stack+76890, 1.0, int_stack+36390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+76890,int_stack+22170,int_stack+21345, 1.0, int_stack+20520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+67440,int_stack+76890,int_stack+5400, 1.0, int_stack+38910, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+33510,int_stack+67440,int_stack+7425, 1.0, int_stack+40935, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+67440,int_stack+23580,int_stack+23160,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+68700,int_stack+24120,int_stack+23580,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+76890,int_stack+68700,int_stack+67440,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+5400,int_stack+24795,int_stack+24120,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+7425,int_stack+5400,int_stack+68700,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+38910,int_stack+7425,int_stack+76890,15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+76890,int_stack+25620,int_stack+24795,15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+67440,int_stack+76890,int_stack+5400,15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+19065,int_stack+67440,int_stack+7425,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+67440,int_stack+27030,int_stack+26610,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+68700,int_stack+27570,int_stack+27030,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+76890,int_stack+68700,int_stack+67440,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+5400,int_stack+28245,int_stack+27570,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+7425,int_stack+5400,int_stack+68700,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+94410,int_stack+7425,int_stack+76890,15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+76890,int_stack+29070,int_stack+28245,15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+67440,int_stack+76890,int_stack+5400,15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+24465,int_stack+67440,int_stack+7425,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+67440,int_stack+30480,int_stack+30060,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+68700,int_stack+31020,int_stack+30480,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+76890,int_stack+68700,int_stack+67440,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+5400,int_stack+31695,int_stack+31020,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+7425,int_stack+5400,int_stack+68700,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+98610,int_stack+7425,int_stack+76890,15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+76890,int_stack+32520,int_stack+31695,15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+67440,int_stack+76890,int_stack+5400,15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+102810,int_stack+67440,int_stack+7425,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+108210,int_stack+48375,int_stack+59040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44175,15);
     Libderiv->ABCD[11] = int_stack + 108210;
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+114510,int_stack+71490,int_stack+63240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44175, 0.0, zero_stack,15);
     Libderiv->ABCD[10] = int_stack + 114510;
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+57975,int_stack+0,int_stack+53775, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44175, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[9] = int_stack + 57975;
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+0,int_stack+83610,int_stack+79410, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44175, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+48375,int_stack+89010,int_stack+10665, 0.0, zero_stack, 1.0, int_stack+44175, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[7] = int_stack + 48375;
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+6300,int_stack+33510,int_stack+14865, 1.0, int_stack+44175, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[6] = int_stack + 6300;
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+12600,int_stack+19065,int_stack+38910,15);
     Libderiv->ABCD[2] = int_stack + 12600;
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+29865,int_stack+24465,int_stack+94410,15);
     Libderiv->ABCD[1] = int_stack + 29865;
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+18900,int_stack+102810,int_stack+98610,15);
     Libderiv->ABCD[0] = int_stack + 18900;

}
