#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_h0hh(Libderiv_t *, prim_data *);

  /* Computes derivatives of (h0|hh) integrals */

void d1hrr_order_h0hh(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[5][5][11] = int_stack + 0;
 Libderiv->deriv_classes[5][6][11] = int_stack + 441;
 Libderiv->deriv_classes[5][7][11] = int_stack + 1029;
 Libderiv->deriv_classes[5][8][11] = int_stack + 1785;
 Libderiv->deriv_classes[5][9][11] = int_stack + 2730;
 Libderiv->deriv_classes[5][10][11] = int_stack + 3885;
 Libderiv->deriv_classes[5][5][10] = int_stack + 5271;
 Libderiv->deriv_classes[5][6][10] = int_stack + 5712;
 Libderiv->deriv_classes[5][7][10] = int_stack + 6300;
 Libderiv->deriv_classes[5][8][10] = int_stack + 7056;
 Libderiv->deriv_classes[5][9][10] = int_stack + 8001;
 Libderiv->deriv_classes[5][10][10] = int_stack + 9156;
 Libderiv->deriv_classes[5][5][9] = int_stack + 10542;
 Libderiv->deriv_classes[5][6][9] = int_stack + 10983;
 Libderiv->deriv_classes[5][7][9] = int_stack + 11571;
 Libderiv->deriv_classes[5][8][9] = int_stack + 12327;
 Libderiv->deriv_classes[5][9][9] = int_stack + 13272;
 Libderiv->deriv_classes[5][10][9] = int_stack + 14427;
 Libderiv->deriv_classes[5][5][8] = int_stack + 15813;
 Libderiv->deriv_classes[5][6][8] = int_stack + 16254;
 Libderiv->deriv_classes[5][7][8] = int_stack + 16842;
 Libderiv->deriv_classes[5][8][8] = int_stack + 17598;
 Libderiv->deriv_classes[5][9][8] = int_stack + 18543;
 Libderiv->deriv_classes[5][10][8] = int_stack + 19698;
 Libderiv->deriv_classes[5][5][7] = int_stack + 21084;
 Libderiv->deriv_classes[5][6][7] = int_stack + 21525;
 Libderiv->deriv_classes[5][7][7] = int_stack + 22113;
 Libderiv->deriv_classes[5][8][7] = int_stack + 22869;
 Libderiv->deriv_classes[5][9][7] = int_stack + 23814;
 Libderiv->deriv_classes[5][10][7] = int_stack + 24969;
 Libderiv->dvrr_classes[5][5] = int_stack + 26355;
 Libderiv->deriv_classes[5][5][6] = int_stack + 26796;
 Libderiv->dvrr_classes[5][6] = int_stack + 27237;
 Libderiv->deriv_classes[5][6][6] = int_stack + 27825;
 Libderiv->dvrr_classes[5][7] = int_stack + 28413;
 Libderiv->deriv_classes[5][7][6] = int_stack + 29169;
 Libderiv->dvrr_classes[5][8] = int_stack + 29925;
 Libderiv->deriv_classes[5][8][6] = int_stack + 30870;
 Libderiv->dvrr_classes[5][9] = int_stack + 31815;
 Libderiv->deriv_classes[5][9][6] = int_stack + 32970;
 Libderiv->deriv_classes[5][10][6] = int_stack + 34125;
 Libderiv->deriv_classes[5][5][2] = int_stack + 35511;
 Libderiv->deriv_classes[5][6][2] = int_stack + 35952;
 Libderiv->deriv_classes[5][7][2] = int_stack + 36540;
 Libderiv->deriv_classes[5][8][2] = int_stack + 37296;
 Libderiv->deriv_classes[5][9][2] = int_stack + 38241;
 Libderiv->deriv_classes[5][10][2] = int_stack + 39396;
 Libderiv->deriv_classes[5][5][1] = int_stack + 40782;
 Libderiv->deriv_classes[5][6][1] = int_stack + 41223;
 Libderiv->deriv_classes[5][7][1] = int_stack + 41811;
 Libderiv->deriv_classes[5][8][1] = int_stack + 42567;
 Libderiv->deriv_classes[5][9][1] = int_stack + 43512;
 Libderiv->deriv_classes[5][10][1] = int_stack + 44667;
 Libderiv->deriv_classes[5][5][0] = int_stack + 46053;
 Libderiv->deriv_classes[5][6][0] = int_stack + 46494;
 Libderiv->deriv_classes[5][7][0] = int_stack + 47082;
 Libderiv->deriv_classes[5][8][0] = int_stack + 47838;
 Libderiv->deriv_classes[5][9][0] = int_stack + 48783;
 Libderiv->deriv_classes[5][10][0] = int_stack + 49938;
 memset(int_stack,0,410592);

 Libderiv->dvrr_stack = int_stack + 188874;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_h0hh(Libderiv, Data);
   Data++;
 }

 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+51324,int_stack+27237,int_stack+26355,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+52647,int_stack+28413,int_stack+27237,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+54411,int_stack+52647,int_stack+51324,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+57057,int_stack+29925,int_stack+28413,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+59325,int_stack+57057,int_stack+52647,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+62853,int_stack+59325,int_stack+54411,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+67263,int_stack+31815,int_stack+29925,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+70098,int_stack+67263,int_stack+57057,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+74634,int_stack+70098,int_stack+59325,21);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+80514,int_stack+74634,int_stack+62853,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+87129,int_stack+441,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26355,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+88452,int_stack+1029,int_stack+441, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27237,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+90216,int_stack+88452,int_stack+87129, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51324,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+92862,int_stack+1785,int_stack+1029, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28413,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+95130,int_stack+92862,int_stack+88452, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52647,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+98658,int_stack+95130,int_stack+90216, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54411,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+87129,int_stack+2730,int_stack+1785, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29925,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+103068,int_stack+87129,int_stack+92862, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57057,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+107604,int_stack+103068,int_stack+95130, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+59325,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+89964,int_stack+107604,int_stack+98658, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62853,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+96579,int_stack+3885,int_stack+2730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31815,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+113484,int_stack+96579,int_stack+87129, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67263,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+119154,int_stack+113484,int_stack+103068, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70098,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+96579,int_stack+119154,int_stack+107604, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74634,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+87129,int_stack+5712,int_stack+5271, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26355, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+105399,int_stack+6300,int_stack+5712, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27237, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+107163,int_stack+105399,int_stack+87129, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51324, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+87129,int_stack+7056,int_stack+6300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28413, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+109809,int_stack+87129,int_stack+105399, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52647, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+113337,int_stack+109809,int_stack+107163, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54411, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+105399,int_stack+8001,int_stack+7056, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29925, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+117747,int_stack+105399,int_stack+87129, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57057, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+117747,int_stack+109809, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+59325, 0.0, zero_stack,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+122283,int_stack+0,int_stack+113337, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62853, 0.0, zero_stack,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+108234,int_stack+9156,int_stack+8001, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31815, 0.0, zero_stack,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+111699,int_stack+108234,int_stack+105399, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67263, 0.0, zero_stack,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+128898,int_stack+111699,int_stack+117747, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70098, 0.0, zero_stack,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+105399,int_stack+128898,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74634, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+10983,int_stack+10542, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26355, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1323,int_stack+11571,int_stack+10983, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27237, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+3087,int_stack+1323,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51324, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+5733,int_stack+12327,int_stack+11571, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28413, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+8001,int_stack+5733,int_stack+1323, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52647, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+128898,int_stack+8001,int_stack+3087, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54411, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+87129,int_stack+13272,int_stack+12327, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29925, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+0,int_stack+87129,int_stack+5733, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57057, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+114219,int_stack+0,int_stack+8001, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+59325, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+4536,int_stack+114219,int_stack+128898, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62853, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+128898,int_stack+14427,int_stack+13272, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31815, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+132363,int_stack+128898,int_stack+87129, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67263, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+138033,int_stack+132363,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70098, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+128898,int_stack+138033,int_stack+114219, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74634, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+114219,int_stack+16254,int_stack+15813, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26355, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+115542,int_stack+16842,int_stack+16254, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27237, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+117306,int_stack+115542,int_stack+114219, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51324, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+119952,int_stack+17598,int_stack+16842, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28413, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+0,int_stack+119952,int_stack+115542, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52647, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+137718,int_stack+0,int_stack+117306, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54411, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+87129,int_stack+18543,int_stack+17598, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29925, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+114219,int_stack+87129,int_stack+119952, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57057, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+11151,int_stack+114219,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+59325, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+142128,int_stack+11151,int_stack+137718, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62853, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+137718,int_stack+19698,int_stack+18543, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31815, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+148743,int_stack+137718,int_stack+87129, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67263, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+154413,int_stack+148743,int_stack+114219, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70098, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+161973,int_stack+154413,int_stack+11151, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74634, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+11151,int_stack+21525,int_stack+21084, 0.0, zero_stack, 1.0, int_stack+26355, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+12474,int_stack+22113,int_stack+21525, 0.0, zero_stack, 1.0, int_stack+27237, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+14238,int_stack+12474,int_stack+11151, 0.0, zero_stack, 1.0, int_stack+51324, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+16884,int_stack+22869,int_stack+22113, 0.0, zero_stack, 1.0, int_stack+28413, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+19152,int_stack+16884,int_stack+12474, 0.0, zero_stack, 1.0, int_stack+52647, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+137718,int_stack+19152,int_stack+14238, 0.0, zero_stack, 1.0, int_stack+54411, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+87129,int_stack+23814,int_stack+22869, 0.0, zero_stack, 1.0, int_stack+29925, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+0,int_stack+87129,int_stack+16884, 0.0, zero_stack, 1.0, int_stack+57057, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+11151,int_stack+0,int_stack+19152, 0.0, zero_stack, 1.0, int_stack+59325, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+17031,int_stack+11151,int_stack+137718, 0.0, zero_stack, 1.0, int_stack+62853, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+137718,int_stack+24969,int_stack+23814, 0.0, zero_stack, 1.0, int_stack+31815, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+114219,int_stack+137718,int_stack+87129, 0.0, zero_stack, 1.0, int_stack+67263, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+148743,int_stack+114219,int_stack+0, 0.0, zero_stack, 1.0, int_stack+70098, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+170793,int_stack+148743,int_stack+11151, 0.0, zero_stack, 1.0, int_stack+74634, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+11151,int_stack+27825,int_stack+26796, 1.0, int_stack+26355, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+12474,int_stack+29169,int_stack+27825, 1.0, int_stack+27237, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+14238,int_stack+12474,int_stack+11151, 1.0, int_stack+51324, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+148743,int_stack+30870,int_stack+29169, 1.0, int_stack+28413, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+151011,int_stack+148743,int_stack+12474, 1.0, int_stack+52647, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+137718,int_stack+151011,int_stack+14238, 1.0, int_stack+54411, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+87129,int_stack+32970,int_stack+30870, 1.0, int_stack+29925, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+0,int_stack+87129,int_stack+148743, 1.0, int_stack+57057, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+11151,int_stack+0,int_stack+151011, 1.0, int_stack+59325, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+148743,int_stack+11151,int_stack+137718, 1.0, int_stack+62853, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+137718,int_stack+34125,int_stack+32970, 1.0, int_stack+31815, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+155358,int_stack+137718,int_stack+87129, 1.0, int_stack+67263, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+51324,int_stack+155358,int_stack+0, 1.0, int_stack+70098, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+58884,int_stack+51324,int_stack+11151, 1.0, int_stack+74634, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+11151,int_stack+35952,int_stack+35511,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+12474,int_stack+36540,int_stack+35952,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+14238,int_stack+12474,int_stack+11151,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+51324,int_stack+37296,int_stack+36540,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+53592,int_stack+51324,int_stack+12474,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+137718,int_stack+53592,int_stack+14238,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+87129,int_stack+38241,int_stack+37296,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+0,int_stack+87129,int_stack+51324,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+11151,int_stack+0,int_stack+53592,21);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+155358,int_stack+11151,int_stack+137718,21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+137718,int_stack+39396,int_stack+38241,21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+51324,int_stack+137718,int_stack+87129,21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+67704,int_stack+51324,int_stack+0,21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+23646,int_stack+67704,int_stack+11151,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+11151,int_stack+41223,int_stack+40782,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+12474,int_stack+41811,int_stack+41223,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+14238,int_stack+12474,int_stack+11151,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+67704,int_stack+42567,int_stack+41811,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+69972,int_stack+67704,int_stack+12474,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+137718,int_stack+69972,int_stack+14238,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+87129,int_stack+43512,int_stack+42567,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+0,int_stack+87129,int_stack+67704,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+11151,int_stack+0,int_stack+69972,21);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+67704,int_stack+11151,int_stack+137718,21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+137718,int_stack+44667,int_stack+43512,21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+74319,int_stack+137718,int_stack+87129,21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+51324,int_stack+74319,int_stack+0,21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+32466,int_stack+51324,int_stack+11151,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+11151,int_stack+46494,int_stack+46053,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+12474,int_stack+47082,int_stack+46494,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+14238,int_stack+12474,int_stack+11151,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+51324,int_stack+47838,int_stack+47082,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+53592,int_stack+51324,int_stack+12474,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+137718,int_stack+53592,int_stack+14238,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+87129,int_stack+48783,int_stack+47838,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+0,int_stack+87129,int_stack+51324,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+11151,int_stack+0,int_stack+53592,21);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+51324,int_stack+11151,int_stack+137718,21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+137718,int_stack+49938,int_stack+48783,21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+74319,int_stack+137718,int_stack+87129,21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+114219,int_stack+74319,int_stack+0,21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+41286,int_stack+114219,int_stack+11151,21);
 /*--- compute (h0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+179613,int_stack+96579,int_stack+89964, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80514,21);
     Libderiv->ABCD[11] = int_stack + 179613;
 /*--- compute (h0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+87129,int_stack+105399,int_stack+122283, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80514, 0.0, zero_stack,21);
     Libderiv->ABCD[10] = int_stack + 87129;
 /*--- compute (h0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+96390,int_stack+128898,int_stack+4536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80514, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[9] = int_stack + 96390;
 /*--- compute (h0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+0,int_stack+161973,int_stack+142128, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80514, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (h0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+105651,int_stack+170793,int_stack+17031, 0.0, zero_stack, 1.0, int_stack+80514, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[7] = int_stack + 105651;
 /*--- compute (h0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+161973,int_stack+58884,int_stack+148743, 1.0, int_stack+80514, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[6] = int_stack + 161973;
 /*--- compute (h0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+9261,int_stack+23646,int_stack+155358,21);
     Libderiv->ABCD[2] = int_stack + 9261;
 /*--- compute (h0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+18522,int_stack+32466,int_stack+67704,21);
     Libderiv->ABCD[1] = int_stack + 18522;
 /*--- compute (h0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+27783,int_stack+41286,int_stack+51324,21);
     Libderiv->ABCD[0] = int_stack + 27783;

}
