#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_hfhf(Libderiv_t *, prim_data *);

  /* Computes derivatives of (hf|hf) integrals */

void d1hrr_order_hfhf(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[5][5][11] = int_stack + 0;
 Libderiv->deriv_classes[5][6][11] = int_stack + 441;
 Libderiv->deriv_classes[5][7][11] = int_stack + 1029;
 Libderiv->deriv_classes[5][8][11] = int_stack + 1785;
 Libderiv->deriv_classes[6][5][11] = int_stack + 2730;
 Libderiv->deriv_classes[6][6][11] = int_stack + 3318;
 Libderiv->deriv_classes[6][7][11] = int_stack + 4102;
 Libderiv->deriv_classes[6][8][11] = int_stack + 5110;
 Libderiv->deriv_classes[7][5][11] = int_stack + 6370;
 Libderiv->deriv_classes[7][6][11] = int_stack + 7126;
 Libderiv->deriv_classes[7][7][11] = int_stack + 8134;
 Libderiv->deriv_classes[7][8][11] = int_stack + 9430;
 Libderiv->deriv_classes[8][5][11] = int_stack + 11050;
 Libderiv->deriv_classes[8][6][11] = int_stack + 11995;
 Libderiv->deriv_classes[8][7][11] = int_stack + 13255;
 Libderiv->deriv_classes[8][8][11] = int_stack + 14875;
 Libderiv->deriv_classes[5][5][10] = int_stack + 16900;
 Libderiv->deriv_classes[5][6][10] = int_stack + 17341;
 Libderiv->deriv_classes[5][7][10] = int_stack + 17929;
 Libderiv->deriv_classes[5][8][10] = int_stack + 18685;
 Libderiv->deriv_classes[6][5][10] = int_stack + 19630;
 Libderiv->deriv_classes[6][6][10] = int_stack + 20218;
 Libderiv->deriv_classes[6][7][10] = int_stack + 21002;
 Libderiv->deriv_classes[6][8][10] = int_stack + 22010;
 Libderiv->deriv_classes[7][5][10] = int_stack + 23270;
 Libderiv->deriv_classes[7][6][10] = int_stack + 24026;
 Libderiv->deriv_classes[7][7][10] = int_stack + 25034;
 Libderiv->deriv_classes[7][8][10] = int_stack + 26330;
 Libderiv->deriv_classes[8][5][10] = int_stack + 27950;
 Libderiv->deriv_classes[8][6][10] = int_stack + 28895;
 Libderiv->deriv_classes[8][7][10] = int_stack + 30155;
 Libderiv->deriv_classes[8][8][10] = int_stack + 31775;
 Libderiv->deriv_classes[5][5][9] = int_stack + 33800;
 Libderiv->deriv_classes[5][6][9] = int_stack + 34241;
 Libderiv->deriv_classes[5][7][9] = int_stack + 34829;
 Libderiv->deriv_classes[5][8][9] = int_stack + 35585;
 Libderiv->deriv_classes[6][5][9] = int_stack + 36530;
 Libderiv->deriv_classes[6][6][9] = int_stack + 37118;
 Libderiv->deriv_classes[6][7][9] = int_stack + 37902;
 Libderiv->deriv_classes[6][8][9] = int_stack + 38910;
 Libderiv->deriv_classes[7][5][9] = int_stack + 40170;
 Libderiv->deriv_classes[7][6][9] = int_stack + 40926;
 Libderiv->deriv_classes[7][7][9] = int_stack + 41934;
 Libderiv->deriv_classes[7][8][9] = int_stack + 43230;
 Libderiv->deriv_classes[8][5][9] = int_stack + 44850;
 Libderiv->deriv_classes[8][6][9] = int_stack + 45795;
 Libderiv->deriv_classes[8][7][9] = int_stack + 47055;
 Libderiv->deriv_classes[8][8][9] = int_stack + 48675;
 Libderiv->deriv_classes[5][5][8] = int_stack + 50700;
 Libderiv->deriv_classes[5][6][8] = int_stack + 51141;
 Libderiv->deriv_classes[5][7][8] = int_stack + 51729;
 Libderiv->deriv_classes[5][8][8] = int_stack + 52485;
 Libderiv->deriv_classes[6][5][8] = int_stack + 53430;
 Libderiv->deriv_classes[6][6][8] = int_stack + 54018;
 Libderiv->deriv_classes[6][7][8] = int_stack + 54802;
 Libderiv->deriv_classes[6][8][8] = int_stack + 55810;
 Libderiv->deriv_classes[7][5][8] = int_stack + 57070;
 Libderiv->deriv_classes[7][6][8] = int_stack + 57826;
 Libderiv->deriv_classes[7][7][8] = int_stack + 58834;
 Libderiv->deriv_classes[7][8][8] = int_stack + 60130;
 Libderiv->deriv_classes[8][5][8] = int_stack + 61750;
 Libderiv->deriv_classes[8][6][8] = int_stack + 62695;
 Libderiv->deriv_classes[8][7][8] = int_stack + 63955;
 Libderiv->deriv_classes[8][8][8] = int_stack + 65575;
 Libderiv->deriv_classes[5][5][7] = int_stack + 67600;
 Libderiv->deriv_classes[5][6][7] = int_stack + 68041;
 Libderiv->deriv_classes[5][7][7] = int_stack + 68629;
 Libderiv->deriv_classes[5][8][7] = int_stack + 69385;
 Libderiv->deriv_classes[6][5][7] = int_stack + 70330;
 Libderiv->deriv_classes[6][6][7] = int_stack + 70918;
 Libderiv->deriv_classes[6][7][7] = int_stack + 71702;
 Libderiv->deriv_classes[6][8][7] = int_stack + 72710;
 Libderiv->deriv_classes[7][5][7] = int_stack + 73970;
 Libderiv->deriv_classes[7][6][7] = int_stack + 74726;
 Libderiv->deriv_classes[7][7][7] = int_stack + 75734;
 Libderiv->deriv_classes[7][8][7] = int_stack + 77030;
 Libderiv->deriv_classes[8][5][7] = int_stack + 78650;
 Libderiv->deriv_classes[8][6][7] = int_stack + 79595;
 Libderiv->deriv_classes[8][7][7] = int_stack + 80855;
 Libderiv->deriv_classes[8][8][7] = int_stack + 82475;
 Libderiv->deriv_classes[5][5][6] = int_stack + 84500;
 Libderiv->deriv_classes[5][6][6] = int_stack + 84941;
 Libderiv->deriv_classes[5][7][6] = int_stack + 85529;
 Libderiv->deriv_classes[5][8][6] = int_stack + 86285;
 Libderiv->deriv_classes[6][5][6] = int_stack + 87230;
 Libderiv->deriv_classes[6][6][6] = int_stack + 87818;
 Libderiv->deriv_classes[6][7][6] = int_stack + 88602;
 Libderiv->deriv_classes[6][8][6] = int_stack + 89610;
 Libderiv->deriv_classes[7][5][6] = int_stack + 90870;
 Libderiv->deriv_classes[7][6][6] = int_stack + 91626;
 Libderiv->deriv_classes[7][7][6] = int_stack + 92634;
 Libderiv->deriv_classes[7][8][6] = int_stack + 93930;
 Libderiv->dvrr_classes[8][5] = int_stack + 95550;
 Libderiv->deriv_classes[8][5][6] = int_stack + 96495;
 Libderiv->dvrr_classes[8][6] = int_stack + 97440;
 Libderiv->deriv_classes[8][6][6] = int_stack + 98700;
 Libderiv->dvrr_classes[8][7] = int_stack + 99960;
 Libderiv->deriv_classes[8][7][6] = int_stack + 101580;
 Libderiv->deriv_classes[8][8][6] = int_stack + 103200;
 Libderiv->deriv_classes[5][5][2] = int_stack + 105225;
 Libderiv->deriv_classes[5][6][2] = int_stack + 105666;
 Libderiv->deriv_classes[5][7][2] = int_stack + 106254;
 Libderiv->deriv_classes[5][8][2] = int_stack + 107010;
 Libderiv->deriv_classes[6][5][2] = int_stack + 107955;
 Libderiv->deriv_classes[6][6][2] = int_stack + 108543;
 Libderiv->deriv_classes[6][7][2] = int_stack + 109327;
 Libderiv->deriv_classes[6][8][2] = int_stack + 110335;
 Libderiv->deriv_classes[7][5][2] = int_stack + 111595;
 Libderiv->deriv_classes[7][6][2] = int_stack + 112351;
 Libderiv->deriv_classes[7][7][2] = int_stack + 113359;
 Libderiv->deriv_classes[7][8][2] = int_stack + 114655;
 Libderiv->deriv_classes[8][5][2] = int_stack + 116275;
 Libderiv->deriv_classes[8][6][2] = int_stack + 117220;
 Libderiv->deriv_classes[8][7][2] = int_stack + 118480;
 Libderiv->deriv_classes[8][8][2] = int_stack + 120100;
 Libderiv->deriv_classes[5][5][1] = int_stack + 122125;
 Libderiv->deriv_classes[5][6][1] = int_stack + 122566;
 Libderiv->deriv_classes[5][7][1] = int_stack + 123154;
 Libderiv->deriv_classes[5][8][1] = int_stack + 123910;
 Libderiv->deriv_classes[6][5][1] = int_stack + 124855;
 Libderiv->deriv_classes[6][6][1] = int_stack + 125443;
 Libderiv->deriv_classes[6][7][1] = int_stack + 126227;
 Libderiv->deriv_classes[6][8][1] = int_stack + 127235;
 Libderiv->deriv_classes[7][5][1] = int_stack + 128495;
 Libderiv->deriv_classes[7][6][1] = int_stack + 129251;
 Libderiv->deriv_classes[7][7][1] = int_stack + 130259;
 Libderiv->deriv_classes[7][8][1] = int_stack + 131555;
 Libderiv->deriv_classes[8][5][1] = int_stack + 133175;
 Libderiv->deriv_classes[8][6][1] = int_stack + 134120;
 Libderiv->deriv_classes[8][7][1] = int_stack + 135380;
 Libderiv->deriv_classes[8][8][1] = int_stack + 137000;
 Libderiv->dvrr_classes[5][5] = int_stack + 139025;
 Libderiv->dvrr_classes[5][6] = int_stack + 139466;
 Libderiv->dvrr_classes[5][7] = int_stack + 140054;
 Libderiv->dvrr_classes[5][8] = int_stack + 140810;
 Libderiv->deriv_classes[5][5][0] = int_stack + 141755;
 Libderiv->deriv_classes[5][6][0] = int_stack + 142196;
 Libderiv->deriv_classes[5][7][0] = int_stack + 142784;
 Libderiv->deriv_classes[5][8][0] = int_stack + 143540;
 Libderiv->dvrr_classes[6][5] = int_stack + 144485;
 Libderiv->dvrr_classes[6][6] = int_stack + 145073;
 Libderiv->dvrr_classes[6][7] = int_stack + 145857;
 Libderiv->dvrr_classes[6][8] = int_stack + 146865;
 Libderiv->deriv_classes[6][5][0] = int_stack + 148125;
 Libderiv->deriv_classes[6][6][0] = int_stack + 148713;
 Libderiv->deriv_classes[6][7][0] = int_stack + 149497;
 Libderiv->deriv_classes[6][8][0] = int_stack + 150505;
 Libderiv->dvrr_classes[7][5] = int_stack + 151765;
 Libderiv->dvrr_classes[7][6] = int_stack + 152521;
 Libderiv->dvrr_classes[7][7] = int_stack + 153529;
 Libderiv->dvrr_classes[7][8] = int_stack + 154825;
 Libderiv->deriv_classes[7][5][0] = int_stack + 156445;
 Libderiv->deriv_classes[7][6][0] = int_stack + 157201;
 Libderiv->deriv_classes[7][7][0] = int_stack + 158209;
 Libderiv->deriv_classes[7][8][0] = int_stack + 159505;
 Libderiv->deriv_classes[8][5][0] = int_stack + 161125;
 Libderiv->deriv_classes[8][6][0] = int_stack + 162070;
 Libderiv->deriv_classes[8][7][0] = int_stack + 163330;
 Libderiv->deriv_classes[8][8][0] = int_stack + 164950;
 memset(int_stack,0,1335800);

 Libderiv->dvrr_stack = int_stack + 798469;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_hfhf(Libderiv, Data);
   Data++;
 }

 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+166975,int_stack+139466,int_stack+139025,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+168298,int_stack+140054,int_stack+139466,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+170062,int_stack+168298,int_stack+166975,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+172708,int_stack+441,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+139025,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+174031,int_stack+1029,int_stack+441, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+139466,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+175795,int_stack+174031,int_stack+172708, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+166975,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+178441,int_stack+1785,int_stack+1029, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+140054,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+180709,int_stack+178441,int_stack+174031, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+168298,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+184237,int_stack+180709,int_stack+175795, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+170062,21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+172708,int_stack+145073,int_stack+144485,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+174472,int_stack+145857,int_stack+145073,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+176824,int_stack+174472,int_stack+172708,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+180352,int_stack+3318,int_stack+2730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144485,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+4102,int_stack+3318, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+145073,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+188647,int_stack+0,int_stack+180352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+172708,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+180352,int_stack+5110,int_stack+4102, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+145857,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+192175,int_stack+180352,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+174472,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+0,int_stack+192175,int_stack+188647, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+176824,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+188647,int_stack+0,int_stack+184237,210);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+180352,int_stack+152521,int_stack+151765,36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+182620,int_stack+153529,int_stack+152521,36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+201877,int_stack+182620,int_stack+180352,36);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+185644,int_stack+7126,int_stack+6370, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+151765,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+206413,int_stack+8134,int_stack+7126, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+152521,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+209437,int_stack+206413,int_stack+185644, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+180352,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+213973,int_stack+9430,int_stack+8134, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+153529,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+217861,int_stack+213973,int_stack+206413, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+182620,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+223909,int_stack+217861,int_stack+209437, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+201877,36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+231469,int_stack+223909,int_stack+0,210);
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+249109,int_stack+231469,int_stack+188647,210);
 /*--- compute (l0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+97440,int_stack+95550,45);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+2835,int_stack+99960,int_stack+97440,45);
 /*--- compute (l0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+206413,int_stack+2835,int_stack+0,45);
 /*--- compute (l0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6615,int_stack+11995,int_stack+11050, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+95550,45);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+212083,int_stack+13255,int_stack+11995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+97440,45);
 /*--- compute (l0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+215863,int_stack+212083,int_stack+6615, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+6615,int_stack+14875,int_stack+13255, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+99960,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+185644,int_stack+6615,int_stack+212083, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2835,45);
 /*--- compute (l0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+6615,int_stack+185644,int_stack+215863, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+206413,45);
 /*--- compute (kp|hf) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+275569,int_stack+6615,int_stack+223909,210);
 /*--- compute (id|hf) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+298249,int_stack+275569,int_stack+231469,210);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+275569,int_stack+17341,int_stack+16900, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+139025, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+276892,int_stack+17929,int_stack+17341, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+139466, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+278656,int_stack+276892,int_stack+275569, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+166975, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+281302,int_stack+18685,int_stack+17929, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+140054, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+283570,int_stack+281302,int_stack+276892, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+168298, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+287098,int_stack+283570,int_stack+278656, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+170062, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+275569,int_stack+20218,int_stack+19630, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144485, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+277333,int_stack+21002,int_stack+20218, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+145073, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+279685,int_stack+277333,int_stack+275569, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+172708, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+283213,int_stack+22010,int_stack+21002, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+145857, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+291508,int_stack+283213,int_stack+277333, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+174472, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+6615,int_stack+291508,int_stack+279685, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+176824, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+185644,int_stack+6615,int_stack+287098,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+275569,int_stack+24026,int_stack+23270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+151765, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+277837,int_stack+25034,int_stack+24026, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+152521, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+280861,int_stack+277837,int_stack+275569, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+180352, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+285397,int_stack+26330,int_stack+25034, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+153529, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+289285,int_stack+285397,int_stack+277837, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+182620, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+12495,int_stack+289285,int_stack+280861, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+201877, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+275569,int_stack+12495,int_stack+6615,210);
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+212083,int_stack+275569,int_stack+185644,210);
 /*--- compute (l0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+185644,int_stack+28895,int_stack+27950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+95550, 0.0, zero_stack,45);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+188479,int_stack+30155,int_stack+28895, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+97440, 0.0, zero_stack,45);
 /*--- compute (l0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+192259,int_stack+188479,int_stack+185644, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+6615,int_stack+31775,int_stack+30155, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+99960, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+20055,int_stack+6615,int_stack+188479, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2835, 0.0, zero_stack,45);
 /*--- compute (l0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+238543,int_stack+20055,int_stack+192259, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+206413, 0.0, zero_stack,45);
 /*--- compute (kp|hf) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+333529,int_stack+238543,int_stack+12495,210);
 /*--- compute (id|hf) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+356209,int_stack+333529,int_stack+275569,210);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+275569,int_stack+34241,int_stack+33800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+139025, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+276892,int_stack+34829,int_stack+34241, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+139466, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+278656,int_stack+276892,int_stack+275569, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+166975, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+281302,int_stack+35585,int_stack+34829, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+140054, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+283570,int_stack+281302,int_stack+276892, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+168298, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+287098,int_stack+283570,int_stack+278656, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+170062, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+275569,int_stack+37118,int_stack+36530, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144485, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+277333,int_stack+37902,int_stack+37118, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+145073, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+279685,int_stack+277333,int_stack+275569, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+172708, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+283213,int_stack+38910,int_stack+37902, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+145857, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+291508,int_stack+283213,int_stack+277333, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+174472, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+333529,int_stack+291508,int_stack+279685, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+176824, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+339409,int_stack+333529,int_stack+287098,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+275569,int_stack+40926,int_stack+40170, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+151765, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+277837,int_stack+41934,int_stack+40926, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+152521, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+280861,int_stack+277837,int_stack+275569, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+180352, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+285397,int_stack+43230,int_stack+41934, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+153529, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+289285,int_stack+285397,int_stack+277837, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+182620, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+238543,int_stack+289285,int_stack+280861, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+201877, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+275569,int_stack+238543,int_stack+333529,210);
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+6615,int_stack+275569,int_stack+339409,210);
 /*--- compute (l0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+333529,int_stack+45795,int_stack+44850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+95550, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+336364,int_stack+47055,int_stack+45795, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+97440, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+340144,int_stack+336364,int_stack+333529, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+345814,int_stack+48675,int_stack+47055, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+99960, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+33075,int_stack+345814,int_stack+336364, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2835, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+345814,int_stack+33075,int_stack+340144, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+206413, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|hf) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+391489,int_stack+345814,int_stack+238543,210);
 /*--- compute (id|hf) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+414169,int_stack+391489,int_stack+275569,210);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+275569,int_stack+51141,int_stack+50700, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+139025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+276892,int_stack+51729,int_stack+51141, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+139466, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+278656,int_stack+276892,int_stack+275569, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+166975, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+281302,int_stack+52485,int_stack+51729, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+140054, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+283570,int_stack+281302,int_stack+276892, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+168298, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+287098,int_stack+283570,int_stack+278656, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+170062, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+275569,int_stack+54018,int_stack+53430, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144485, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+277333,int_stack+54802,int_stack+54018, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+145073, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+279685,int_stack+277333,int_stack+275569, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+172708, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+283213,int_stack+55810,int_stack+54802, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+145857, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+291508,int_stack+283213,int_stack+277333, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+174472, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+391489,int_stack+291508,int_stack+279685, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+176824, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+397369,int_stack+391489,int_stack+287098,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+275569,int_stack+57826,int_stack+57070, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+151765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+277837,int_stack+58834,int_stack+57826, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+152521, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+280861,int_stack+277837,int_stack+275569, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+180352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+285397,int_stack+60130,int_stack+58834, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+153529, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+289285,int_stack+285397,int_stack+277837, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+182620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+238543,int_stack+289285,int_stack+280861, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+201877, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+275569,int_stack+238543,int_stack+391489,210);
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+33075,int_stack+275569,int_stack+397369,210);
 /*--- compute (l0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+391489,int_stack+62695,int_stack+61750, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+95550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+394324,int_stack+63955,int_stack+62695, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+97440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+398104,int_stack+394324,int_stack+391489, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+403774,int_stack+65575,int_stack+63955, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+99960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+59535,int_stack+403774,int_stack+394324, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+403774,int_stack+59535,int_stack+398104, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+206413, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|hf) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+333529,int_stack+403774,int_stack+238543,210);
 /*--- compute (id|hf) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+449449,int_stack+333529,int_stack+275569,210);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+275569,int_stack+68041,int_stack+67600, 0.0, zero_stack, 1.0, int_stack+139025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+276892,int_stack+68629,int_stack+68041, 0.0, zero_stack, 1.0, int_stack+139466, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+278656,int_stack+276892,int_stack+275569, 0.0, zero_stack, 1.0, int_stack+166975, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+281302,int_stack+69385,int_stack+68629, 0.0, zero_stack, 1.0, int_stack+140054, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+283570,int_stack+281302,int_stack+276892, 0.0, zero_stack, 1.0, int_stack+168298, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+287098,int_stack+283570,int_stack+278656, 0.0, zero_stack, 1.0, int_stack+170062, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+275569,int_stack+70918,int_stack+70330, 0.0, zero_stack, 1.0, int_stack+144485, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+277333,int_stack+71702,int_stack+70918, 0.0, zero_stack, 1.0, int_stack+145073, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+279685,int_stack+277333,int_stack+275569, 0.0, zero_stack, 1.0, int_stack+172708, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+283213,int_stack+72710,int_stack+71702, 0.0, zero_stack, 1.0, int_stack+145857, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+291508,int_stack+283213,int_stack+277333, 0.0, zero_stack, 1.0, int_stack+174472, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+333529,int_stack+291508,int_stack+279685, 0.0, zero_stack, 1.0, int_stack+176824, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+339409,int_stack+333529,int_stack+287098,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+275569,int_stack+74726,int_stack+73970, 0.0, zero_stack, 1.0, int_stack+151765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+277837,int_stack+75734,int_stack+74726, 0.0, zero_stack, 1.0, int_stack+152521, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+280861,int_stack+277837,int_stack+275569, 0.0, zero_stack, 1.0, int_stack+180352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+285397,int_stack+77030,int_stack+75734, 0.0, zero_stack, 1.0, int_stack+153529, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+289285,int_stack+285397,int_stack+277837, 0.0, zero_stack, 1.0, int_stack+182620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+238543,int_stack+289285,int_stack+280861, 0.0, zero_stack, 1.0, int_stack+201877, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+275569,int_stack+238543,int_stack+333529,210);
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+484729,int_stack+275569,int_stack+339409,210);
 /*--- compute (l0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+333529,int_stack+79595,int_stack+78650, 0.0, zero_stack, 1.0, int_stack+95550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+336364,int_stack+80855,int_stack+79595, 0.0, zero_stack, 1.0, int_stack+97440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+340144,int_stack+336364,int_stack+333529, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+345814,int_stack+82475,int_stack+80855, 0.0, zero_stack, 1.0, int_stack+99960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+59535,int_stack+345814,int_stack+336364, 0.0, zero_stack, 1.0, int_stack+2835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+345814,int_stack+59535,int_stack+340144, 0.0, zero_stack, 1.0, int_stack+206413, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|hf) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+391489,int_stack+345814,int_stack+238543,210);
 /*--- compute (id|hf) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+511189,int_stack+391489,int_stack+275569,210);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+275569,int_stack+84941,int_stack+84500, 1.0, int_stack+139025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+276892,int_stack+85529,int_stack+84941, 1.0, int_stack+139466, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+278656,int_stack+276892,int_stack+275569, 1.0, int_stack+166975, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+281302,int_stack+86285,int_stack+85529, 1.0, int_stack+140054, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+283570,int_stack+281302,int_stack+276892, 1.0, int_stack+168298, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+287098,int_stack+283570,int_stack+278656, 1.0, int_stack+170062, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+275569,int_stack+87818,int_stack+87230, 1.0, int_stack+144485, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+277333,int_stack+88602,int_stack+87818, 1.0, int_stack+145073, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+279685,int_stack+277333,int_stack+275569, 1.0, int_stack+172708, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+283213,int_stack+89610,int_stack+88602, 1.0, int_stack+145857, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+291508,int_stack+283213,int_stack+277333, 1.0, int_stack+174472, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+391489,int_stack+291508,int_stack+279685, 1.0, int_stack+176824, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+397369,int_stack+391489,int_stack+287098,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+275569,int_stack+91626,int_stack+90870, 1.0, int_stack+151765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+277837,int_stack+92634,int_stack+91626, 1.0, int_stack+152521, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+280861,int_stack+277837,int_stack+275569, 1.0, int_stack+180352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+285397,int_stack+93930,int_stack+92634, 1.0, int_stack+153529, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+289285,int_stack+285397,int_stack+277837, 1.0, int_stack+182620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+238543,int_stack+289285,int_stack+280861, 1.0, int_stack+201877, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+275569,int_stack+238543,int_stack+391489,210);
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+59535,int_stack+275569,int_stack+397369,210);
 /*--- compute (l0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+391489,int_stack+98700,int_stack+96495, 1.0, int_stack+95550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+394324,int_stack+101580,int_stack+98700, 1.0, int_stack+97440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+398104,int_stack+394324,int_stack+391489, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+403774,int_stack+103200,int_stack+101580, 1.0, int_stack+99960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+85995,int_stack+403774,int_stack+394324, 1.0, int_stack+2835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+403774,int_stack+85995,int_stack+398104, 1.0, int_stack+206413, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|hf) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+333529,int_stack+403774,int_stack+238543,210);
 /*--- compute (id|hf) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+546469,int_stack+333529,int_stack+275569,210);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+180352,int_stack+140810,int_stack+140054,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+275569,int_stack+180352,int_stack+168298,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+279097,int_stack+275569,int_stack+170062,21);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+275569,int_stack+146865,int_stack+145857,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+283507,int_stack+275569,int_stack+174472,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+288211,int_stack+283507,int_stack+176824,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+333529,int_stack+288211,int_stack+279097,210);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+283507,int_stack+154825,int_stack+153529,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+346759,int_stack+283507,int_stack+182620,36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+238543,int_stack+346759,int_stack+201877,36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+85995,int_stack+238543,int_stack+288211,210);
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+166975,int_stack+85995,int_stack+333529,210);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+346759,int_stack+105666,int_stack+105225,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+348082,int_stack+106254,int_stack+105666,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+349846,int_stack+348082,int_stack+346759,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+352492,int_stack+107010,int_stack+106254,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+275569,int_stack+352492,int_stack+348082,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+283507,int_stack+275569,int_stack+349846,21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+275569,int_stack+108543,int_stack+107955,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+346759,int_stack+109327,int_stack+108543,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+349111,int_stack+346759,int_stack+275569,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+275569,int_stack+110335,int_stack+109327,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+103635,int_stack+275569,int_stack+346759,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+0,int_stack+103635,int_stack+349111,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+391489,int_stack+0,int_stack+283507, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+279097, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+283507,int_stack+112351,int_stack+111595,36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+103635,int_stack+113359,int_stack+112351,36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+106659,int_stack+103635,int_stack+283507,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+283507,int_stack+114655,int_stack+113359,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+346759,int_stack+283507,int_stack+103635,36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+404719,int_stack+346759,int_stack+106659,36);
 /*--- compute (ip|hf) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+193435,int_stack+404719,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+288211, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (hd|hf) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+581749,int_stack+193435,int_stack+391489, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+333529, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (l0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+391489,int_stack+117220,int_stack+116275,45);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+394324,int_stack+118480,int_stack+117220,45);
 /*--- compute (l0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+398104,int_stack+394324,int_stack+391489,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+0,int_stack+120100,int_stack+118480,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+346759,int_stack+0,int_stack+394324,45);
 /*--- compute (l0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+103635,int_stack+346759,int_stack+398104,45);
 /*--- compute (kp|hf) ---*/
   d1hrr1_build_kp(Libderiv->AB,int_stack+608209,int_stack+103635,int_stack+404719, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+238543, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (id|hf) ---*/
   d1hrr1_build_id(Libderiv->AB,int_stack+630889,int_stack+608209,int_stack+193435, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+193435,int_stack+122566,int_stack+122125,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+194758,int_stack+123154,int_stack+122566,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+196522,int_stack+194758,int_stack+193435,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+199168,int_stack+123910,int_stack+123154,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+275569,int_stack+199168,int_stack+194758,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+199168,int_stack+275569,int_stack+196522,21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+275569,int_stack+125443,int_stack+124855,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+203578,int_stack+126227,int_stack+125443,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+205930,int_stack+203578,int_stack+275569,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+275569,int_stack+127235,int_stack+126227,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+283507,int_stack+275569,int_stack+203578,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+608209,int_stack+283507,int_stack+205930,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+614089,int_stack+608209,int_stack+199168, 0.0, zero_stack, 1.0, int_stack+279097, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+283507,int_stack+129251,int_stack+128495,36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+275569,int_stack+130259,int_stack+129251,36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+193435,int_stack+275569,int_stack+283507,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+283507,int_stack+131555,int_stack+130259,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+197971,int_stack+283507,int_stack+275569,36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+204019,int_stack+197971,int_stack+193435,36);
 /*--- compute (ip|hf) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+103635,int_stack+204019,int_stack+608209, 0.0, zero_stack, 1.0, int_stack+288211, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (hd|hf) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+666169,int_stack+103635,int_stack+614089, 0.0, zero_stack, 1.0, int_stack+333529, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (l0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+608209,int_stack+134120,int_stack+133175,45);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+611044,int_stack+135380,int_stack+134120,45);
 /*--- compute (l0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+614824,int_stack+611044,int_stack+608209,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+620494,int_stack+137000,int_stack+135380,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+193435,int_stack+620494,int_stack+611044,45);
 /*--- compute (l0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+346759,int_stack+193435,int_stack+614824,45);
 /*--- compute (kp|hf) ---*/
   d1hrr1_build_kp(Libderiv->AB,int_stack+608209,int_stack+346759,int_stack+204019, 0.0, zero_stack, 1.0, int_stack+238543, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (id|hf) ---*/
   d1hrr1_build_id(Libderiv->AB,int_stack+692629,int_stack+608209,int_stack+103635, 0.0, zero_stack, 1.0, int_stack+85995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+103635,int_stack+142196,int_stack+141755,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+104958,int_stack+142784,int_stack+142196,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+106722,int_stack+104958,int_stack+103635,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+109368,int_stack+143540,int_stack+142784,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+275569,int_stack+109368,int_stack+104958,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+109368,int_stack+275569,int_stack+106722,21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+275569,int_stack+148713,int_stack+148125,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+113778,int_stack+149497,int_stack+148713,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+116130,int_stack+113778,int_stack+275569,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+275569,int_stack+150505,int_stack+149497,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+283507,int_stack+275569,int_stack+113778,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+119658,int_stack+283507,int_stack+116130,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+125538,int_stack+119658,int_stack+109368, 1.0, int_stack+279097, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+275569,int_stack+157201,int_stack+156445,36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+277837,int_stack+158209,int_stack+157201,36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+280861,int_stack+277837,int_stack+275569,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+138768,int_stack+159505,int_stack+158209,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+142656,int_stack+138768,int_stack+277837,36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+148704,int_stack+142656,int_stack+280861,36);
 /*--- compute (ip|hf) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+608209,int_stack+148704,int_stack+119658, 1.0, int_stack+288211, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (hd|hf) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+727909,int_stack+608209,int_stack+125538, 1.0, int_stack+333529, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (l0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+333529,int_stack+162070,int_stack+161125,45);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+336364,int_stack+163330,int_stack+162070,45);
 /*--- compute (l0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+340144,int_stack+336364,int_stack+333529,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+345814,int_stack+164950,int_stack+163330,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+275569,int_stack+345814,int_stack+336364,45);
 /*--- compute (l0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+345814,int_stack+275569,int_stack+340144,45);
 /*--- compute (kp|hf) ---*/
   d1hrr1_build_kp(Libderiv->AB,int_stack+275569,int_stack+345814,int_stack+148704, 1.0, int_stack+238543, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (id|hf) ---*/
   d1hrr1_build_id(Libderiv->AB,int_stack+103635,int_stack+275569,int_stack+608209, 1.0, int_stack+85995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (hf|hf) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+754369,int_stack+298249,int_stack+249109,210);
     Libderiv->ABCD[11] = int_stack + 754369;
 /*--- compute (hf|hf) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+238543,int_stack+356209,int_stack+212083,210);
     Libderiv->ABCD[10] = int_stack + 238543;
 /*--- compute (hf|hf) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+282643,int_stack+414169,int_stack+6615,210);
     Libderiv->ABCD[9] = int_stack + 282643;
 /*--- compute (hf|hf) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+326743,int_stack+449449,int_stack+33075,210);
     Libderiv->ABCD[8] = int_stack + 326743;
 /*--- compute (hf|hf) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+370843,int_stack+511189,int_stack+484729,210);
     Libderiv->ABCD[7] = int_stack + 370843;
 /*--- compute (hf|hf) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+414943,int_stack+546469,int_stack+59535,210);
     Libderiv->ABCD[6] = int_stack + 414943;
 /*--- compute (hf|hf) ---*/
   d1hrr1_build_hf(Libderiv->AB,int_stack+459043,int_stack+630889,int_stack+581749, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+166975, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[2] = int_stack + 459043;
 /*--- compute (hf|hf) ---*/
   d1hrr1_build_hf(Libderiv->AB,int_stack+503143,int_stack+692629,int_stack+666169, 0.0, zero_stack, 1.0, int_stack+166975, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[1] = int_stack + 503143;
 /*--- compute (hf|hf) ---*/
   d1hrr1_build_hf(Libderiv->AB,int_stack+547243,int_stack+103635,int_stack+727909, 1.0, int_stack+166975, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[0] = int_stack + 547243;

}
