#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_i0gg(Libderiv_t *, prim_data *);

  /* Computes derivatives of (i0|gg) integrals */

void d1hrr_order_i0gg(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[6][4][11] = int_stack + 0;
 Libderiv->deriv_classes[6][5][11] = int_stack + 420;
 Libderiv->deriv_classes[6][6][11] = int_stack + 1008;
 Libderiv->deriv_classes[6][7][11] = int_stack + 1792;
 Libderiv->deriv_classes[6][8][11] = int_stack + 2800;
 Libderiv->deriv_classes[6][4][10] = int_stack + 4060;
 Libderiv->deriv_classes[6][5][10] = int_stack + 4480;
 Libderiv->deriv_classes[6][6][10] = int_stack + 5068;
 Libderiv->deriv_classes[6][7][10] = int_stack + 5852;
 Libderiv->deriv_classes[6][8][10] = int_stack + 6860;
 Libderiv->deriv_classes[6][4][9] = int_stack + 8120;
 Libderiv->deriv_classes[6][5][9] = int_stack + 8540;
 Libderiv->deriv_classes[6][6][9] = int_stack + 9128;
 Libderiv->deriv_classes[6][7][9] = int_stack + 9912;
 Libderiv->deriv_classes[6][8][9] = int_stack + 10920;
 Libderiv->deriv_classes[6][4][8] = int_stack + 12180;
 Libderiv->deriv_classes[6][5][8] = int_stack + 12600;
 Libderiv->deriv_classes[6][6][8] = int_stack + 13188;
 Libderiv->deriv_classes[6][7][8] = int_stack + 13972;
 Libderiv->deriv_classes[6][8][8] = int_stack + 14980;
 Libderiv->deriv_classes[6][4][7] = int_stack + 16240;
 Libderiv->deriv_classes[6][5][7] = int_stack + 16660;
 Libderiv->deriv_classes[6][6][7] = int_stack + 17248;
 Libderiv->deriv_classes[6][7][7] = int_stack + 18032;
 Libderiv->deriv_classes[6][8][7] = int_stack + 19040;
 Libderiv->dvrr_classes[6][4] = int_stack + 20300;
 Libderiv->deriv_classes[6][4][6] = int_stack + 20720;
 Libderiv->dvrr_classes[6][5] = int_stack + 21140;
 Libderiv->deriv_classes[6][5][6] = int_stack + 21728;
 Libderiv->dvrr_classes[6][6] = int_stack + 22316;
 Libderiv->deriv_classes[6][6][6] = int_stack + 23100;
 Libderiv->dvrr_classes[6][7] = int_stack + 23884;
 Libderiv->deriv_classes[6][7][6] = int_stack + 24892;
 Libderiv->deriv_classes[6][8][6] = int_stack + 25900;
 Libderiv->deriv_classes[6][4][2] = int_stack + 27160;
 Libderiv->deriv_classes[6][5][2] = int_stack + 27580;
 Libderiv->deriv_classes[6][6][2] = int_stack + 28168;
 Libderiv->deriv_classes[6][7][2] = int_stack + 28952;
 Libderiv->deriv_classes[6][8][2] = int_stack + 29960;
 Libderiv->deriv_classes[6][4][1] = int_stack + 31220;
 Libderiv->deriv_classes[6][5][1] = int_stack + 31640;
 Libderiv->deriv_classes[6][6][1] = int_stack + 32228;
 Libderiv->deriv_classes[6][7][1] = int_stack + 33012;
 Libderiv->deriv_classes[6][8][1] = int_stack + 34020;
 Libderiv->deriv_classes[6][4][0] = int_stack + 35280;
 Libderiv->deriv_classes[6][5][0] = int_stack + 35700;
 Libderiv->deriv_classes[6][6][0] = int_stack + 36288;
 Libderiv->deriv_classes[6][7][0] = int_stack + 37072;
 Libderiv->deriv_classes[6][8][0] = int_stack + 38080;
 memset(int_stack,0,314720);

 Libderiv->dvrr_stack = int_stack + 120148;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_i0gg(Libderiv, Data);
   Data++;
 }

 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+39340,int_stack+21140,int_stack+20300,28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+40600,int_stack+22316,int_stack+21140,28);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+42364,int_stack+40600,int_stack+39340,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+44884,int_stack+23884,int_stack+22316,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+47236,int_stack+44884,int_stack+40600,28);
 /*--- compute (i0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+50764,int_stack+47236,int_stack+42364,28);
 /*--- compute (i0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+54964,int_stack+420,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+20300,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56224,int_stack+1008,int_stack+420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21140,28);
 /*--- compute (i0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+57988,int_stack+56224,int_stack+54964, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39340,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+60508,int_stack+1792,int_stack+1008, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22316,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+62860,int_stack+60508,int_stack+56224, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40600,28);
 /*--- compute (i0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+66388,int_stack+62860,int_stack+57988, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42364,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+54964,int_stack+2800,int_stack+1792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+23884,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+70588,int_stack+54964,int_stack+60508, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44884,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+54964,int_stack+70588,int_stack+62860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+47236,28);
 /*--- compute (i0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+70588,int_stack+4480,int_stack+4060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+20300, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+71848,int_stack+5068,int_stack+4480, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21140, 0.0, zero_stack,28);
 /*--- compute (i0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+60844,int_stack+71848,int_stack+70588, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39340, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+73612,int_stack+5852,int_stack+5068, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22316, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+0,int_stack+73612,int_stack+71848, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40600, 0.0, zero_stack,28);
 /*--- compute (i0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+75964,int_stack+0,int_stack+60844, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42364, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+70588,int_stack+6860,int_stack+5852, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+23884, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+60844,int_stack+70588,int_stack+73612, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44884, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+80164,int_stack+60844,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+47236, 0.0, zero_stack,28);
 /*--- compute (i0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+0,int_stack+8540,int_stack+8120, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+20300, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1260,int_stack+9128,int_stack+8540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21140, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+3024,int_stack+1260,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39340, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+5544,int_stack+9912,int_stack+9128, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22316, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+60844,int_stack+5544,int_stack+1260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40600, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+70588,int_stack+60844,int_stack+3024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42364, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+0,int_stack+10920,int_stack+9912, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+23884, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+86044,int_stack+0,int_stack+5544, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44884, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+0,int_stack+86044,int_stack+60844, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+47236, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+60844,int_stack+12600,int_stack+12180, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+20300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+62104,int_stack+13188,int_stack+12600, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+63868,int_stack+62104,int_stack+60844, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+86044,int_stack+13972,int_stack+13188, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22316, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+5880,int_stack+86044,int_stack+62104, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+9408,int_stack+5880,int_stack+63868, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42364, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+60844,int_stack+14980,int_stack+13972, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+23884, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+88396,int_stack+60844,int_stack+86044, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44884, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+93100,int_stack+88396,int_stack+5880, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+47236, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+5880,int_stack+16660,int_stack+16240, 0.0, zero_stack, 1.0, int_stack+20300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7140,int_stack+17248,int_stack+16660, 0.0, zero_stack, 1.0, int_stack+21140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+86044,int_stack+7140,int_stack+5880, 0.0, zero_stack, 1.0, int_stack+39340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+88564,int_stack+18032,int_stack+17248, 0.0, zero_stack, 1.0, int_stack+22316, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+60844,int_stack+88564,int_stack+7140, 0.0, zero_stack, 1.0, int_stack+40600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+13608,int_stack+60844,int_stack+86044, 0.0, zero_stack, 1.0, int_stack+42364, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+5880,int_stack+19040,int_stack+18032, 0.0, zero_stack, 1.0, int_stack+23884, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+98980,int_stack+5880,int_stack+88564, 0.0, zero_stack, 1.0, int_stack+44884, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+86044,int_stack+98980,int_stack+60844, 0.0, zero_stack, 1.0, int_stack+47236, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+60844,int_stack+21728,int_stack+20720, 1.0, int_stack+20300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+62104,int_stack+23100,int_stack+21728, 1.0, int_stack+21140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+63868,int_stack+62104,int_stack+60844, 1.0, int_stack+39340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+98980,int_stack+24892,int_stack+23100, 1.0, int_stack+22316, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+5880,int_stack+98980,int_stack+62104, 1.0, int_stack+40600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+17808,int_stack+5880,int_stack+63868, 1.0, int_stack+42364, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+39340,int_stack+25900,int_stack+24892, 1.0, int_stack+23884, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+60844,int_stack+39340,int_stack+98980, 1.0, int_stack+44884, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+39340,int_stack+60844,int_stack+5880, 1.0, int_stack+47236, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+5880,int_stack+27580,int_stack+27160,28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+7140,int_stack+28168,int_stack+27580,28);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+60844,int_stack+7140,int_stack+5880,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+63364,int_stack+28952,int_stack+28168,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+98980,int_stack+63364,int_stack+7140,28);
 /*--- compute (i0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+45220,int_stack+98980,int_stack+60844,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+5880,int_stack+29960,int_stack+28952,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+22008,int_stack+5880,int_stack+63364,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+102508,int_stack+22008,int_stack+98980,28);
 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+98980,int_stack+31640,int_stack+31220,28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+100240,int_stack+32228,int_stack+31640,28);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+22008,int_stack+100240,int_stack+98980,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+24528,int_stack+33012,int_stack+32228,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+5880,int_stack+24528,int_stack+100240,28);
 /*--- compute (i0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+26880,int_stack+5880,int_stack+22008,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+98980,int_stack+34020,int_stack+33012,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+60844,int_stack+98980,int_stack+24528,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+108388,int_stack+60844,int_stack+5880,28);
 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+5880,int_stack+35700,int_stack+35280,28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+7140,int_stack+36288,int_stack+35700,28);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+60844,int_stack+7140,int_stack+5880,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+63364,int_stack+37072,int_stack+36288,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+98980,int_stack+63364,int_stack+7140,28);
 /*--- compute (i0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+22008,int_stack+98980,int_stack+60844,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+5880,int_stack+38080,int_stack+37072,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+31080,int_stack+5880,int_stack+63364,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+114268,int_stack+31080,int_stack+98980,28);
 /*--- compute (i0|gg) ---*/
   d1hrr3_build_gg(Libderiv->CD,int_stack+31080,int_stack+54964,int_stack+66388, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50764,28);
     Libderiv->ABCD[11] = int_stack + 31080;
 /*--- compute (i0|gg) ---*/
   d1hrr3_build_gg(Libderiv->CD,int_stack+54964,int_stack+80164,int_stack+75964, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50764, 0.0, zero_stack,28);
     Libderiv->ABCD[10] = int_stack + 54964;
 /*--- compute (i0|gg) ---*/
   d1hrr3_build_gg(Libderiv->CD,int_stack+61264,int_stack+0,int_stack+70588, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50764, 0.0, zero_stack, 0.0, zero_stack,28);
     Libderiv->ABCD[9] = int_stack + 61264;
 /*--- compute (i0|gg) ---*/
   d1hrr3_build_gg(Libderiv->CD,int_stack+0,int_stack+93100,int_stack+9408, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (i0|gg) ---*/
   d1hrr3_build_gg(Libderiv->CD,int_stack+6300,int_stack+86044,int_stack+13608, 0.0, zero_stack, 1.0, int_stack+50764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
     Libderiv->ABCD[7] = int_stack + 6300;
 /*--- compute (i0|gg) ---*/
   d1hrr3_build_gg(Libderiv->CD,int_stack+67564,int_stack+39340,int_stack+17808, 1.0, int_stack+50764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
     Libderiv->ABCD[6] = int_stack + 67564;
 /*--- compute (i0|gg) ---*/
   hrr3_build_gg(Libderiv->CD,int_stack+12600,int_stack+102508,int_stack+45220,28);
     Libderiv->ABCD[2] = int_stack + 12600;
 /*--- compute (i0|gg) ---*/
   hrr3_build_gg(Libderiv->CD,int_stack+73864,int_stack+108388,int_stack+26880,28);
     Libderiv->ABCD[1] = int_stack + 73864;
 /*--- compute (i0|gg) ---*/
   hrr3_build_gg(Libderiv->CD,int_stack+80164,int_stack+114268,int_stack+22008,28);
     Libderiv->ABCD[0] = int_stack + 80164;

}
