#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_i0hh(Libderiv_t *, prim_data *);

  /* Computes derivatives of (i0|hh) integrals */

void d1hrr_order_i0hh(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[6][5][11] = int_stack + 0;
 Libderiv->deriv_classes[6][6][11] = int_stack + 588;
 Libderiv->deriv_classes[6][7][11] = int_stack + 1372;
 Libderiv->deriv_classes[6][8][11] = int_stack + 2380;
 Libderiv->deriv_classes[6][9][11] = int_stack + 3640;
 Libderiv->deriv_classes[6][10][11] = int_stack + 5180;
 Libderiv->deriv_classes[6][5][10] = int_stack + 7028;
 Libderiv->deriv_classes[6][6][10] = int_stack + 7616;
 Libderiv->deriv_classes[6][7][10] = int_stack + 8400;
 Libderiv->deriv_classes[6][8][10] = int_stack + 9408;
 Libderiv->deriv_classes[6][9][10] = int_stack + 10668;
 Libderiv->deriv_classes[6][10][10] = int_stack + 12208;
 Libderiv->deriv_classes[6][5][9] = int_stack + 14056;
 Libderiv->deriv_classes[6][6][9] = int_stack + 14644;
 Libderiv->deriv_classes[6][7][9] = int_stack + 15428;
 Libderiv->deriv_classes[6][8][9] = int_stack + 16436;
 Libderiv->deriv_classes[6][9][9] = int_stack + 17696;
 Libderiv->deriv_classes[6][10][9] = int_stack + 19236;
 Libderiv->deriv_classes[6][5][8] = int_stack + 21084;
 Libderiv->deriv_classes[6][6][8] = int_stack + 21672;
 Libderiv->deriv_classes[6][7][8] = int_stack + 22456;
 Libderiv->deriv_classes[6][8][8] = int_stack + 23464;
 Libderiv->deriv_classes[6][9][8] = int_stack + 24724;
 Libderiv->deriv_classes[6][10][8] = int_stack + 26264;
 Libderiv->deriv_classes[6][5][7] = int_stack + 28112;
 Libderiv->deriv_classes[6][6][7] = int_stack + 28700;
 Libderiv->deriv_classes[6][7][7] = int_stack + 29484;
 Libderiv->deriv_classes[6][8][7] = int_stack + 30492;
 Libderiv->deriv_classes[6][9][7] = int_stack + 31752;
 Libderiv->deriv_classes[6][10][7] = int_stack + 33292;
 Libderiv->dvrr_classes[6][5] = int_stack + 35140;
 Libderiv->deriv_classes[6][5][6] = int_stack + 35728;
 Libderiv->dvrr_classes[6][6] = int_stack + 36316;
 Libderiv->deriv_classes[6][6][6] = int_stack + 37100;
 Libderiv->dvrr_classes[6][7] = int_stack + 37884;
 Libderiv->deriv_classes[6][7][6] = int_stack + 38892;
 Libderiv->dvrr_classes[6][8] = int_stack + 39900;
 Libderiv->deriv_classes[6][8][6] = int_stack + 41160;
 Libderiv->dvrr_classes[6][9] = int_stack + 42420;
 Libderiv->deriv_classes[6][9][6] = int_stack + 43960;
 Libderiv->deriv_classes[6][10][6] = int_stack + 45500;
 Libderiv->deriv_classes[6][5][2] = int_stack + 47348;
 Libderiv->deriv_classes[6][6][2] = int_stack + 47936;
 Libderiv->deriv_classes[6][7][2] = int_stack + 48720;
 Libderiv->deriv_classes[6][8][2] = int_stack + 49728;
 Libderiv->deriv_classes[6][9][2] = int_stack + 50988;
 Libderiv->deriv_classes[6][10][2] = int_stack + 52528;
 Libderiv->deriv_classes[6][5][1] = int_stack + 54376;
 Libderiv->deriv_classes[6][6][1] = int_stack + 54964;
 Libderiv->deriv_classes[6][7][1] = int_stack + 55748;
 Libderiv->deriv_classes[6][8][1] = int_stack + 56756;
 Libderiv->deriv_classes[6][9][1] = int_stack + 58016;
 Libderiv->deriv_classes[6][10][1] = int_stack + 59556;
 Libderiv->deriv_classes[6][5][0] = int_stack + 61404;
 Libderiv->deriv_classes[6][6][0] = int_stack + 61992;
 Libderiv->deriv_classes[6][7][0] = int_stack + 62776;
 Libderiv->deriv_classes[6][8][0] = int_stack + 63784;
 Libderiv->deriv_classes[6][9][0] = int_stack + 65044;
 Libderiv->deriv_classes[6][10][0] = int_stack + 66584;
 memset(int_stack,0,547456);

 Libderiv->dvrr_stack = int_stack + 251832;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_i0hh(Libderiv, Data);
   Data++;
 }

 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+68432,int_stack+36316,int_stack+35140,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+70196,int_stack+37884,int_stack+36316,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+72548,int_stack+70196,int_stack+68432,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+76076,int_stack+39900,int_stack+37884,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+79100,int_stack+76076,int_stack+70196,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+83804,int_stack+79100,int_stack+72548,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+89684,int_stack+42420,int_stack+39900,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+93464,int_stack+89684,int_stack+76076,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+99512,int_stack+93464,int_stack+79100,28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+107352,int_stack+99512,int_stack+83804,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+116172,int_stack+588,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35140,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+117936,int_stack+1372,int_stack+588, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36316,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+120288,int_stack+117936,int_stack+116172, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68432,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+123816,int_stack+2380,int_stack+1372, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37884,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+126840,int_stack+123816,int_stack+117936, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70196,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+131544,int_stack+126840,int_stack+120288, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72548,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+116172,int_stack+3640,int_stack+2380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39900,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+137424,int_stack+116172,int_stack+123816, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76076,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+143472,int_stack+137424,int_stack+126840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+79100,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+119952,int_stack+143472,int_stack+131544, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83804,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+128772,int_stack+5180,int_stack+3640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42420,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+151312,int_stack+128772,int_stack+116172, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89684,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+158872,int_stack+151312,int_stack+137424, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93464,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+128772,int_stack+158872,int_stack+143472, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+99512,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+116172,int_stack+7616,int_stack+7028, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35140, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+140532,int_stack+8400,int_stack+7616, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36316, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+142884,int_stack+140532,int_stack+116172, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68432, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+116172,int_stack+9408,int_stack+8400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37884, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+146412,int_stack+116172,int_stack+140532, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70196, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+151116,int_stack+146412,int_stack+142884, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72548, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+140532,int_stack+10668,int_stack+9408, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39900, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+156996,int_stack+140532,int_stack+116172, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76076, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+156996,int_stack+146412, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+79100, 0.0, zero_stack,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+163044,int_stack+0,int_stack+151116, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83804, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+144312,int_stack+12208,int_stack+10668, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42420, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+148932,int_stack+144312,int_stack+140532, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89684, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+171864,int_stack+148932,int_stack+156996, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93464, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+140532,int_stack+171864,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+99512, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+14644,int_stack+14056, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35140, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1764,int_stack+15428,int_stack+14644, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36316, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+4116,int_stack+1764,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68432, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+7644,int_stack+16436,int_stack+15428, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37884, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+10668,int_stack+7644,int_stack+1764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70196, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+171864,int_stack+10668,int_stack+4116, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72548, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+116172,int_stack+17696,int_stack+16436, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39900, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+0,int_stack+116172,int_stack+7644, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76076, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+152292,int_stack+0,int_stack+10668, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+79100, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+6048,int_stack+152292,int_stack+171864, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83804, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+171864,int_stack+19236,int_stack+17696, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42420, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+176484,int_stack+171864,int_stack+116172, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89684, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+184044,int_stack+176484,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93464, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+171864,int_stack+184044,int_stack+152292, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+99512, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+152292,int_stack+21672,int_stack+21084, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+154056,int_stack+22456,int_stack+21672, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36316, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+156408,int_stack+154056,int_stack+152292, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68432, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+159936,int_stack+23464,int_stack+22456, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37884, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+0,int_stack+159936,int_stack+154056, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70196, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+183624,int_stack+0,int_stack+156408, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72548, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+116172,int_stack+24724,int_stack+23464, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39900, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+152292,int_stack+116172,int_stack+159936, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76076, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+14868,int_stack+152292,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+79100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+189504,int_stack+14868,int_stack+183624, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83804, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+183624,int_stack+26264,int_stack+24724, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+198324,int_stack+183624,int_stack+116172, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89684, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+205884,int_stack+198324,int_stack+152292, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93464, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+215964,int_stack+205884,int_stack+14868, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+99512, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+14868,int_stack+28700,int_stack+28112, 0.0, zero_stack, 1.0, int_stack+35140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+16632,int_stack+29484,int_stack+28700, 0.0, zero_stack, 1.0, int_stack+36316, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+18984,int_stack+16632,int_stack+14868, 0.0, zero_stack, 1.0, int_stack+68432, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+22512,int_stack+30492,int_stack+29484, 0.0, zero_stack, 1.0, int_stack+37884, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+25536,int_stack+22512,int_stack+16632, 0.0, zero_stack, 1.0, int_stack+70196, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+183624,int_stack+25536,int_stack+18984, 0.0, zero_stack, 1.0, int_stack+72548, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+116172,int_stack+31752,int_stack+30492, 0.0, zero_stack, 1.0, int_stack+39900, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+0,int_stack+116172,int_stack+22512, 0.0, zero_stack, 1.0, int_stack+76076, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+14868,int_stack+0,int_stack+25536, 0.0, zero_stack, 1.0, int_stack+79100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+22708,int_stack+14868,int_stack+183624, 0.0, zero_stack, 1.0, int_stack+83804, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+183624,int_stack+33292,int_stack+31752, 0.0, zero_stack, 1.0, int_stack+42420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+152292,int_stack+183624,int_stack+116172, 0.0, zero_stack, 1.0, int_stack+89684, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+198324,int_stack+152292,int_stack+0, 0.0, zero_stack, 1.0, int_stack+93464, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+227724,int_stack+198324,int_stack+14868, 0.0, zero_stack, 1.0, int_stack+99512, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+14868,int_stack+37100,int_stack+35728, 1.0, int_stack+35140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+16632,int_stack+38892,int_stack+37100, 1.0, int_stack+36316, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+18984,int_stack+16632,int_stack+14868, 1.0, int_stack+68432, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+198324,int_stack+41160,int_stack+38892, 1.0, int_stack+37884, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+201348,int_stack+198324,int_stack+16632, 1.0, int_stack+70196, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+183624,int_stack+201348,int_stack+18984, 1.0, int_stack+72548, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+116172,int_stack+43960,int_stack+41160, 1.0, int_stack+39900, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+0,int_stack+116172,int_stack+198324, 1.0, int_stack+76076, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+14868,int_stack+0,int_stack+201348, 1.0, int_stack+79100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+198324,int_stack+14868,int_stack+183624, 1.0, int_stack+83804, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+183624,int_stack+45500,int_stack+43960, 1.0, int_stack+42420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+207144,int_stack+183624,int_stack+116172, 1.0, int_stack+89684, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+68432,int_stack+207144,int_stack+0, 1.0, int_stack+93464, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+78512,int_stack+68432,int_stack+14868, 1.0, int_stack+99512, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+14868,int_stack+47936,int_stack+47348,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+16632,int_stack+48720,int_stack+47936,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+18984,int_stack+16632,int_stack+14868,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+68432,int_stack+49728,int_stack+48720,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+71456,int_stack+68432,int_stack+16632,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+183624,int_stack+71456,int_stack+18984,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+116172,int_stack+50988,int_stack+49728,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+0,int_stack+116172,int_stack+68432,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+14868,int_stack+0,int_stack+71456,28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+207144,int_stack+14868,int_stack+183624,28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+183624,int_stack+52528,int_stack+50988,28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+68432,int_stack+183624,int_stack+116172,28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+90272,int_stack+68432,int_stack+0,28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+31528,int_stack+90272,int_stack+14868,28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+14868,int_stack+54964,int_stack+54376,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+16632,int_stack+55748,int_stack+54964,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+18984,int_stack+16632,int_stack+14868,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+90272,int_stack+56756,int_stack+55748,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+93296,int_stack+90272,int_stack+16632,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+183624,int_stack+93296,int_stack+18984,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+116172,int_stack+58016,int_stack+56756,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+0,int_stack+116172,int_stack+90272,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+14868,int_stack+0,int_stack+93296,28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+90272,int_stack+14868,int_stack+183624,28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+183624,int_stack+59556,int_stack+58016,28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+99092,int_stack+183624,int_stack+116172,28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+68432,int_stack+99092,int_stack+0,28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+43288,int_stack+68432,int_stack+14868,28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+14868,int_stack+61992,int_stack+61404,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+16632,int_stack+62776,int_stack+61992,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+18984,int_stack+16632,int_stack+14868,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+68432,int_stack+63784,int_stack+62776,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+71456,int_stack+68432,int_stack+16632,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+183624,int_stack+71456,int_stack+18984,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+116172,int_stack+65044,int_stack+63784,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+0,int_stack+116172,int_stack+68432,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+14868,int_stack+0,int_stack+71456,28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+68432,int_stack+14868,int_stack+183624,28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+183624,int_stack+66584,int_stack+65044,28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+99092,int_stack+183624,int_stack+116172,28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+152292,int_stack+99092,int_stack+0,28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+55048,int_stack+152292,int_stack+14868,28);
 /*--- compute (i0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+239484,int_stack+128772,int_stack+119952, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107352,28);
     Libderiv->ABCD[11] = int_stack + 239484;
 /*--- compute (i0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+116172,int_stack+140532,int_stack+163044, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107352, 0.0, zero_stack,28);
     Libderiv->ABCD[10] = int_stack + 116172;
 /*--- compute (i0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+128520,int_stack+171864,int_stack+6048, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107352, 0.0, zero_stack, 0.0, zero_stack,28);
     Libderiv->ABCD[9] = int_stack + 128520;
 /*--- compute (i0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+0,int_stack+215964,int_stack+189504, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (i0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+140868,int_stack+227724,int_stack+22708, 0.0, zero_stack, 1.0, int_stack+107352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
     Libderiv->ABCD[7] = int_stack + 140868;
 /*--- compute (i0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+215964,int_stack+78512,int_stack+198324, 1.0, int_stack+107352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
     Libderiv->ABCD[6] = int_stack + 215964;
 /*--- compute (i0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+12348,int_stack+31528,int_stack+207144,28);
     Libderiv->ABCD[2] = int_stack + 12348;
 /*--- compute (i0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+24696,int_stack+43288,int_stack+90272,28);
     Libderiv->ABCD[1] = int_stack + 24696;
 /*--- compute (i0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+37044,int_stack+55048,int_stack+68432,28);
     Libderiv->ABCD[0] = int_stack + 37044;

}
