#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_dpll(Libint_t*, prim_data*);

  /* Computes quartets of (dp|ll) integrals */

REALTYPE *hrr_order_dpll(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][8] = int_stack + 0;
 Libint->vrr_classes[2][9] = int_stack + 270;
 Libint->vrr_classes[2][10] = int_stack + 600;
 Libint->vrr_classes[2][11] = int_stack + 996;
 Libint->vrr_classes[2][12] = int_stack + 1464;
 Libint->vrr_classes[2][13] = int_stack + 2010;
 Libint->vrr_classes[2][14] = int_stack + 2640;
 Libint->vrr_classes[2][15] = int_stack + 3360;
 Libint->vrr_classes[2][16] = int_stack + 4176;
 Libint->vrr_classes[3][8] = int_stack + 5094;
 Libint->vrr_classes[3][9] = int_stack + 5544;
 Libint->vrr_classes[3][10] = int_stack + 6094;
 Libint->vrr_classes[3][11] = int_stack + 6754;
 Libint->vrr_classes[3][12] = int_stack + 7534;
 Libint->vrr_classes[3][13] = int_stack + 8444;
 Libint->vrr_classes[3][14] = int_stack + 9494;
 Libint->vrr_classes[3][15] = int_stack + 10694;
 Libint->vrr_classes[3][16] = int_stack + 12054;
 memset(int_stack,0,13584*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 13584;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_dpll(Libint, Data);
   Data++;
 }
 /*--- compute (d0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+13584,int_stack+270,int_stack+0,6);
 /*--- compute (d0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+14394,int_stack+600,int_stack+270,6);
 /*--- compute (d0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+15384,int_stack+14394,int_stack+13584,6);
 /*--- compute (d0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+17004,int_stack+996,int_stack+600,6);
 /*--- compute (d0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+18192,int_stack+17004,int_stack+14394,6);
 /*--- compute (d0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+20172,int_stack+18192,int_stack+15384,6);
 /*--- compute (d0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+13584,int_stack+1464,int_stack+996,6);
 /*--- compute (d0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+22872,int_stack+13584,int_stack+17004,6);
 /*--- compute (d0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+25248,int_stack+22872,int_stack+18192,6);
 /*--- compute (d0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+14988,int_stack+25248,int_stack+20172,6);
 /*--- compute (d0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+19038,int_stack+2010,int_stack+1464,6);
 /*--- compute (d0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+28548,int_stack+19038,int_stack+13584,6);
 /*--- compute (d0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+31356,int_stack+28548,int_stack+22872,6);
 /*--- compute (d0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+35316,int_stack+31356,int_stack+25248,6);
 /*--- compute (d0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+20676,int_stack+35316,int_stack+14988,6);
 /*--- compute (d0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+13584,int_stack+2640,int_stack+2010,6);
 /*--- compute (d0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+15474,int_stack+13584,int_stack+19038,6);
 /*--- compute (d0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+40266,int_stack+15474,int_stack+28548,6);
 /*--- compute (d0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+44946,int_stack+40266,int_stack+31356,6);
 /*--- compute (d0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+26346,int_stack+44946,int_stack+35316,6);
 /*--- compute (d0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+50886,int_stack+26346,int_stack+20676,6);
 /*--- compute (d0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+18750,int_stack+3360,int_stack+2640,6);
 /*--- compute (d0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+20910,int_stack+18750,int_stack+13584,6);
 /*--- compute (d0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+33276,int_stack+20910,int_stack+15474,6);
 /*--- compute (d0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+58446,int_stack+33276,int_stack+40266,6);
 /*--- compute (d0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+65466,int_stack+58446,int_stack+44946,6);
 /*--- compute (d0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+38736,int_stack+65466,int_stack+26346,6);
 /*--- compute (d0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+73782,int_stack+38736,int_stack+50886,6);
 /*--- compute (d0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+13584,int_stack+4176,int_stack+3360,6);
 /*--- compute (d0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+24690,int_stack+13584,int_stack+18750,6);
 /*--- compute (d0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+13584,int_stack+24690,int_stack+20910,6);
 /*--- compute (d0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+19884,int_stack+13584,int_stack+33276,6);
 /*--- compute (d0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+28074,int_stack+19884,int_stack+58446,6);
 /*--- compute (d0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+13584,int_stack+28074,int_stack+65466,6);
 /*--- compute (d0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+24672,int_stack+13584,int_stack+38736,6);
 /*--- compute (d0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+36552,int_stack+24672,int_stack+73782,6);
 /*--- compute (f0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+13584,int_stack+5544,int_stack+5094,10);
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+14934,int_stack+6094,int_stack+5544,10);
 /*--- compute (f0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+16584,int_stack+14934,int_stack+13584,10);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+19284,int_stack+6754,int_stack+6094,10);
 /*--- compute (f0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+21264,int_stack+19284,int_stack+14934,10);
 /*--- compute (f0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+24564,int_stack+21264,int_stack+16584,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+13584,int_stack+7534,int_stack+6754,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+29064,int_stack+13584,int_stack+19284,10);
 /*--- compute (f0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+48702,int_stack+29064,int_stack+21264,10);
 /*--- compute (f0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+15924,int_stack+48702,int_stack+24564,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+22674,int_stack+8444,int_stack+7534,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+54202,int_stack+22674,int_stack+13584,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+58882,int_stack+54202,int_stack+29064,10);
 /*--- compute (f0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+25404,int_stack+58882,int_stack+48702,10);
 /*--- compute (f0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+65482,int_stack+25404,int_stack+15924,10);
 /*--- compute (f0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+48702,int_stack+9494,int_stack+8444,10);
 /*--- compute (f0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+13584,int_stack+48702,int_stack+22674,10);
 /*--- compute (f0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+74932,int_stack+13584,int_stack+54202,10);
 /*--- compute (f0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+82732,int_stack+74932,int_stack+58882,10);
 /*--- compute (f0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+51852,int_stack+82732,int_stack+25404,10);
 /*--- compute (f0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+19044,int_stack+51852,int_stack+65482,10);
 /*--- compute (f0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+63402,int_stack+10694,int_stack+9494,10);
 /*--- compute (f0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+67002,int_stack+63402,int_stack+48702,10);
 /*--- compute (f0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+67002,int_stack+13584,10);
 /*--- compute (f0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+92632,int_stack+0,int_stack+74932,10);
 /*--- compute (f0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+104332,int_stack+92632,int_stack+82732,10);
 /*--- compute (f0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+73302,int_stack+104332,int_stack+51852,10);
 /*--- compute (f0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+118192,int_stack+73302,int_stack+19044,10);
 /*--- compute (f0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+13584,int_stack+12054,int_stack+10694,10);
 /*--- compute (f0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+17664,int_stack+13584,int_stack+63402,10);
 /*--- compute (f0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+24864,int_stack+17664,int_stack+67002,10);
 /*--- compute (f0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+48702,int_stack+24864,int_stack+0,10);
 /*--- compute (f0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+0,int_stack+48702,int_stack+92632,10);
 /*--- compute (f0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+48702,int_stack+0,int_stack+104332,10);
 /*--- compute (f0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+0,int_stack+48702,int_stack+73302,10);
 /*--- compute (f0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+48702,int_stack+0,int_stack+118192,10);
 /*--- compute (dp|ll) ---*/
 hrr1_build_dp(Libint->AB,int_stack+0,int_stack+48702,int_stack+36552,2025);
 return int_stack+0;}
