#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_fpmm(Libint_t*, prim_data*);

  /* Computes quartets of (fp|mm) integrals */

REALTYPE *hrr_order_fpmm(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][9] = int_stack + 0;
 Libint->vrr_classes[3][10] = int_stack + 550;
 Libint->vrr_classes[3][11] = int_stack + 1210;
 Libint->vrr_classes[3][12] = int_stack + 1990;
 Libint->vrr_classes[3][13] = int_stack + 2900;
 Libint->vrr_classes[3][14] = int_stack + 3950;
 Libint->vrr_classes[3][15] = int_stack + 5150;
 Libint->vrr_classes[3][16] = int_stack + 6510;
 Libint->vrr_classes[3][17] = int_stack + 8040;
 Libint->vrr_classes[3][18] = int_stack + 9750;
 Libint->vrr_classes[4][9] = int_stack + 11650;
 Libint->vrr_classes[4][10] = int_stack + 12475;
 Libint->vrr_classes[4][11] = int_stack + 13465;
 Libint->vrr_classes[4][12] = int_stack + 14635;
 Libint->vrr_classes[4][13] = int_stack + 16000;
 Libint->vrr_classes[4][14] = int_stack + 17575;
 Libint->vrr_classes[4][15] = int_stack + 19375;
 Libint->vrr_classes[4][16] = int_stack + 21415;
 Libint->vrr_classes[4][17] = int_stack + 23710;
 Libint->vrr_classes[4][18] = int_stack + 26275;
 memset(int_stack,0,29125*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 29125;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_fpmm(Libint, Data);
   Data++;
 }
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+29125,int_stack+550,int_stack+0,10);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+30775,int_stack+1210,int_stack+550,10);
 /*--- compute (f0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+32755,int_stack+30775,int_stack+29125,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+36055,int_stack+1990,int_stack+1210,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+38395,int_stack+36055,int_stack+30775,10);
 /*--- compute (f0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+42355,int_stack+38395,int_stack+32755,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+29125,int_stack+2900,int_stack+1990,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+47855,int_stack+29125,int_stack+36055,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+52535,int_stack+47855,int_stack+38395,10);
 /*--- compute (f0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+31855,int_stack+52535,int_stack+42355,10);
 /*--- compute (f0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+40105,int_stack+3950,int_stack+2900,10);
 /*--- compute (f0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+59135,int_stack+40105,int_stack+29125,10);
 /*--- compute (f0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+64595,int_stack+59135,int_stack+47855,10);
 /*--- compute (f0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+72395,int_stack+64595,int_stack+52535,10);
 /*--- compute (f0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+43255,int_stack+72395,int_stack+31855,10);
 /*--- compute (f0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+29125,int_stack+5150,int_stack+3950,10);
 /*--- compute (f0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+32725,int_stack+29125,int_stack+40105,10);
 /*--- compute (f0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+82295,int_stack+32725,int_stack+59135,10);
 /*--- compute (f0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+91395,int_stack+82295,int_stack+64595,10);
 /*--- compute (f0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+54805,int_stack+91395,int_stack+72395,10);
 /*--- compute (f0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+103095,int_stack+54805,int_stack+43255,10);
 /*--- compute (f0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+39025,int_stack+6510,int_stack+5150,10);
 /*--- compute (f0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+43105,int_stack+39025,int_stack+29125,10);
 /*--- compute (f0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+68665,int_stack+43105,int_stack+32725,10);
 /*--- compute (f0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+118495,int_stack+68665,int_stack+82295,10);
 /*--- compute (f0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+132145,int_stack+118495,int_stack+91395,10);
 /*--- compute (f0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+79165,int_stack+132145,int_stack+54805,10);
 /*--- compute (f0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+148525,int_stack+79165,int_stack+103095,10);
 /*--- compute (f0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+29125,int_stack+8040,int_stack+6510,10);
 /*--- compute (f0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+50305,int_stack+29125,int_stack+39025,10);
 /*--- compute (f0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+97645,int_stack+50305,int_stack+43105,10);
 /*--- compute (f0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+33715,int_stack+97645,int_stack+68665,10);
 /*--- compute (f0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+58465,int_stack+33715,int_stack+118495,10);
 /*--- compute (f0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+109645,int_stack+58465,int_stack+132145,10);
 /*--- compute (f0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+168325,int_stack+109645,int_stack+79165,10);
 /*--- compute (f0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+192085,int_stack+168325,int_stack+148525,10);
 /*--- compute (f0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+77575,int_stack+9750,int_stack+8040,10);
 /*--- compute (f0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+82705,int_stack+77575,int_stack+29125,10);
 /*--- compute (f0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+131485,int_stack+82705,int_stack+50305,10);
 /*--- compute (f0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+77575,int_stack+131485,int_stack+97645,10);
 /*--- compute (f0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+131485,int_stack+77575,int_stack+33715,10);
 /*--- compute (f0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+77575,int_stack+131485,int_stack+58465,10);
 /*--- compute (f0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+131485,int_stack+77575,int_stack+109645,10);
 /*--- compute (f0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+29125,int_stack+131485,int_stack+168325,10);
 /*--- compute (f0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+58825,int_stack+29125,int_stack+192085,10);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+29125,int_stack+12475,int_stack+11650,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+31600,int_stack+13465,int_stack+12475,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+34570,int_stack+31600,int_stack+29125,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+39520,int_stack+14635,int_stack+13465,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+43030,int_stack+39520,int_stack+31600,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+48970,int_stack+43030,int_stack+34570,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+29125,int_stack+16000,int_stack+14635,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+89075,int_stack+29125,int_stack+39520,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+96095,int_stack+89075,int_stack+43030,15);
 /*--- compute (g0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+33220,int_stack+96095,int_stack+48970,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+45595,int_stack+17575,int_stack+16000,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+50320,int_stack+45595,int_stack+29125,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+105995,int_stack+50320,int_stack+89075,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+117695,int_stack+105995,int_stack+96095,15);
 /*--- compute (g0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+132545,int_stack+117695,int_stack+33220,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+89075,int_stack+19375,int_stack+17575,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+94475,int_stack+89075,int_stack+45595,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+29125,int_stack+94475,int_stack+50320,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+149870,int_stack+29125,int_stack+105995,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+167420,int_stack+149870,int_stack+117695,15);
 /*--- compute (g0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+103925,int_stack+167420,int_stack+132545,15);
 /*--- compute (g0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+127025,int_stack+21415,int_stack+19375,15);
 /*--- compute (g0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+133145,int_stack+127025,int_stack+89075,15);
 /*--- compute (g0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+42775,int_stack+133145,int_stack+94475,15);
 /*--- compute (g0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+188210,int_stack+42775,int_stack+29125,15);
 /*--- compute (g0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+208685,int_stack+188210,int_stack+149870,15);
 /*--- compute (g0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+233255,int_stack+208685,int_stack+167420,15);
 /*--- compute (g0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+143945,int_stack+233255,int_stack+103925,15);
 /*--- compute (g0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+29125,int_stack+23710,int_stack+21415,15);
 /*--- compute (g0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+89075,int_stack+29125,int_stack+127025,15);
 /*--- compute (g0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+101315,int_stack+89075,int_stack+133145,15);
 /*--- compute (g0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+119315,int_stack+101315,int_stack+42775,15);
 /*--- compute (g0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+260975,int_stack+119315,int_stack+188210,15);
 /*--- compute (g0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+173645,int_stack+260975,int_stack+208685,15);
 /*--- compute (g0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+289640,int_stack+173645,int_stack+233255,15);
 /*--- compute (g0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+206405,int_stack+289640,int_stack+143945,15);
 /*--- compute (g0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+36010,int_stack+26275,int_stack+23710,15);
 /*--- compute (g0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+43705,int_stack+36010,int_stack+29125,15);
 /*--- compute (g0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+142940,int_stack+43705,int_stack+89075,15);
 /*--- compute (g0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+0,int_stack+142940,int_stack+101315,15);
 /*--- compute (g0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+325280,int_stack+0,int_stack+119315,15);
 /*--- compute (g0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+0,int_stack+325280,int_stack+260975,15);
 /*--- compute (g0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+89075,int_stack+0,int_stack+173645,15);
 /*--- compute (g0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+0,int_stack+89075,int_stack+289640,15);
 /*--- compute (g0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+89075,int_stack+0,int_stack+206405,15);
 /*--- compute (fp|mm) ---*/
 hrr1_build_fp(Libint->AB,int_stack+134450,int_stack+89075,int_stack+58825,3025);
 return int_stack+134450;}
