#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ggkh(Libint_t*, prim_data*);

  /* Computes quartets of (gg|kh) integrals */

REALTYPE *hrr_order_ggkh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][7] = int_stack + 0;
 Libint->vrr_classes[4][8] = int_stack + 540;
 Libint->vrr_classes[4][9] = int_stack + 1215;
 Libint->vrr_classes[4][10] = int_stack + 2040;
 Libint->vrr_classes[4][11] = int_stack + 3030;
 Libint->vrr_classes[4][12] = int_stack + 4200;
 Libint->vrr_classes[5][7] = int_stack + 5565;
 Libint->vrr_classes[5][8] = int_stack + 6321;
 Libint->vrr_classes[5][9] = int_stack + 7266;
 Libint->vrr_classes[5][10] = int_stack + 8421;
 Libint->vrr_classes[5][11] = int_stack + 9807;
 Libint->vrr_classes[5][12] = int_stack + 11445;
 Libint->vrr_classes[6][7] = int_stack + 13356;
 Libint->vrr_classes[6][8] = int_stack + 14364;
 Libint->vrr_classes[6][9] = int_stack + 15624;
 Libint->vrr_classes[6][10] = int_stack + 17164;
 Libint->vrr_classes[6][11] = int_stack + 19012;
 Libint->vrr_classes[6][12] = int_stack + 21196;
 Libint->vrr_classes[7][7] = int_stack + 23744;
 Libint->vrr_classes[7][8] = int_stack + 25040;
 Libint->vrr_classes[7][9] = int_stack + 26660;
 Libint->vrr_classes[7][10] = int_stack + 28640;
 Libint->vrr_classes[7][11] = int_stack + 31016;
 Libint->vrr_classes[7][12] = int_stack + 33824;
 Libint->vrr_classes[8][7] = int_stack + 37100;
 Libint->vrr_classes[8][8] = int_stack + 38720;
 Libint->vrr_classes[8][9] = int_stack + 40745;
 Libint->vrr_classes[8][10] = int_stack + 43220;
 Libint->vrr_classes[8][11] = int_stack + 46190;
 Libint->vrr_classes[8][12] = int_stack + 49700;
 memset(int_stack,0,53795*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 53795;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ggkh(Libint, Data);
   Data++;
 }
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+53795,int_stack+540,int_stack+0,15);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+55415,int_stack+1215,int_stack+540,15);
 /*--- compute (g0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+57440,int_stack+55415,int_stack+53795,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+60680,int_stack+2040,int_stack+1215,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+63155,int_stack+60680,int_stack+55415,15);
 /*--- compute (g0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+67205,int_stack+63155,int_stack+57440,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+53795,int_stack+3030,int_stack+2040,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+72605,int_stack+53795,int_stack+60680,15);
 /*--- compute (g0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+77555,int_stack+72605,int_stack+63155,15);
 /*--- compute (g0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+56765,int_stack+77555,int_stack+67205,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+64865,int_stack+4200,int_stack+3030,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+84305,int_stack+64865,int_stack+53795,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+90245,int_stack+84305,int_stack+72605,15);
 /*--- compute (g0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+64865,int_stack+90245,int_stack+77555,15);
 /*--- compute (g0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+74990,int_stack+64865,int_stack+56765,15);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+53795,int_stack+6321,int_stack+5565,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+56063,int_stack+7266,int_stack+6321,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+58898,int_stack+56063,int_stack+53795,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+63434,int_stack+8421,int_stack+7266,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+66899,int_stack+63434,int_stack+56063,21);
 /*--- compute (h0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+86330,int_stack+66899,int_stack+58898,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+53795,int_stack+9807,int_stack+8421,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+53795,int_stack+63434,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+93890,int_stack+0,int_stack+66899,21);
 /*--- compute (h0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+57953,int_stack+93890,int_stack+86330,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+86330,int_stack+11445,int_stack+9807,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+103340,int_stack+86330,int_stack+53795,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+111656,int_stack+103340,int_stack+0,21);
 /*--- compute (h0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+123206,int_stack+111656,int_stack+93890,21);
 /*--- compute (h0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+86330,int_stack+123206,int_stack+57953,21);
 /*--- compute (gp|kh) ---*/
 hrr1_build_gp(Libint->AB,int_stack+102206,int_stack+86330,int_stack+74990,756);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+14364,int_stack+13356,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+3024,int_stack+15624,int_stack+14364,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+6804,int_stack+3024,int_stack+0,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+53795,int_stack+17164,int_stack+15624,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+58415,int_stack+53795,int_stack+3024,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+65975,int_stack+58415,int_stack+6804,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+19012,int_stack+17164,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+5544,int_stack+0,int_stack+53795,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+136226,int_stack+5544,int_stack+58415,28);
 /*--- compute (i0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+148826,int_stack+136226,int_stack+65975,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+53795,int_stack+21196,int_stack+19012,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+60347,int_stack+53795,int_stack+0,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+163946,int_stack+60347,int_stack+5544,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+0,int_stack+163946,int_stack+136226,28);
 /*--- compute (i0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+53795,int_stack+0,int_stack+148826,28);
 /*--- compute (hp|kh) ---*/
 hrr1_build_hp(Libint->AB,int_stack+136226,int_stack+53795,int_stack+86330,756);
 /*--- compute (gd|kh) ---*/
 hrr1_build_gd(Libint->AB,int_stack+183854,int_stack+136226,int_stack+102206,756);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+25040,int_stack+23744,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+3888,int_stack+26660,int_stack+25040,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+8748,int_stack+3888,int_stack+0,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+16524,int_stack+28640,int_stack+26660,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+74963,int_stack+16524,int_stack+3888,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+84683,int_stack+74963,int_stack+8748,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+31016,int_stack+28640,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+97643,int_stack+0,int_stack+16524,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+7128,int_stack+97643,int_stack+74963,36);
 /*--- compute (k0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+109523,int_stack+7128,int_stack+84683,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+74963,int_stack+33824,int_stack+31016,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+83387,int_stack+74963,int_stack+0,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+251894,int_stack+83387,int_stack+97643,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+74963,int_stack+251894,int_stack+7128,36);
 /*--- compute (k0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+0,int_stack+74963,int_stack+109523,36);
 /*--- compute (ip|kh) ---*/
 hrr1_build_ip(Libint->AB,int_stack+251894,int_stack+0,int_stack+53795,756);
 /*--- compute (hd|kh) ---*/
 hrr1_build_hd(Libint->AB,int_stack+315398,int_stack+251894,int_stack+136226,756);
 /*--- compute (gf|kh) ---*/
 hrr1_build_gf(Libint->AB,int_stack+53795,int_stack+315398,int_stack+183854,756);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+167195,int_stack+38720,int_stack+37100,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+172055,int_stack+40745,int_stack+38720,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+178130,int_stack+172055,int_stack+167195,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+187850,int_stack+43220,int_stack+40745,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+195275,int_stack+187850,int_stack+172055,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+207425,int_stack+195275,int_stack+178130,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+167195,int_stack+46190,int_stack+43220,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+223625,int_stack+167195,int_stack+187850,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+410654,int_stack+223625,int_stack+195275,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+176105,int_stack+410654,int_stack+207425,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+200405,int_stack+49700,int_stack+46190,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+27216,int_stack+200405,int_stack+167195,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+430904,int_stack+27216,int_stack+223625,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+200405,int_stack+430904,int_stack+410654,45);
 /*--- compute (l0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+410654,int_stack+200405,int_stack+176105,45);
 /*--- compute (kp|kh) ---*/
 hrr1_build_kp(Libint->AB,int_stack+167195,int_stack+410654,int_stack+0,756);
 /*--- compute (id|kh) ---*/
 hrr1_build_id(Libint->AB,int_stack+410654,int_stack+167195,int_stack+251894,756);
 /*--- compute (hf|kh) ---*/
 hrr1_build_hf(Libint->AB,int_stack+537662,int_stack+410654,int_stack+315398,756);
 /*--- compute (gg|kh) ---*/
 hrr1_build_gg(Libint->AB,int_stack+167195,int_stack+537662,int_stack+53795,756);
 return int_stack+167195;}
