#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ggni(Libint_t*, prim_data*);

  /* Computes quartets of (gg|ni) integrals */

REALTYPE *hrr_order_ggni(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][10] = int_stack + 0;
 Libint->vrr_classes[4][11] = int_stack + 990;
 Libint->vrr_classes[4][12] = int_stack + 2160;
 Libint->vrr_classes[4][13] = int_stack + 3525;
 Libint->vrr_classes[4][14] = int_stack + 5100;
 Libint->vrr_classes[4][15] = int_stack + 6900;
 Libint->vrr_classes[4][16] = int_stack + 8940;
 Libint->vrr_classes[5][10] = int_stack + 11235;
 Libint->vrr_classes[5][11] = int_stack + 12621;
 Libint->vrr_classes[5][12] = int_stack + 14259;
 Libint->vrr_classes[5][13] = int_stack + 16170;
 Libint->vrr_classes[5][14] = int_stack + 18375;
 Libint->vrr_classes[5][15] = int_stack + 20895;
 Libint->vrr_classes[5][16] = int_stack + 23751;
 Libint->vrr_classes[6][10] = int_stack + 26964;
 Libint->vrr_classes[6][11] = int_stack + 28812;
 Libint->vrr_classes[6][12] = int_stack + 30996;
 Libint->vrr_classes[6][13] = int_stack + 33544;
 Libint->vrr_classes[6][14] = int_stack + 36484;
 Libint->vrr_classes[6][15] = int_stack + 39844;
 Libint->vrr_classes[6][16] = int_stack + 43652;
 Libint->vrr_classes[7][10] = int_stack + 47936;
 Libint->vrr_classes[7][11] = int_stack + 50312;
 Libint->vrr_classes[7][12] = int_stack + 53120;
 Libint->vrr_classes[7][13] = int_stack + 56396;
 Libint->vrr_classes[7][14] = int_stack + 60176;
 Libint->vrr_classes[7][15] = int_stack + 64496;
 Libint->vrr_classes[7][16] = int_stack + 69392;
 Libint->vrr_classes[8][10] = int_stack + 74900;
 Libint->vrr_classes[8][11] = int_stack + 77870;
 Libint->vrr_classes[8][12] = int_stack + 81380;
 Libint->vrr_classes[8][13] = int_stack + 85475;
 Libint->vrr_classes[8][14] = int_stack + 90200;
 Libint->vrr_classes[8][15] = int_stack + 95600;
 Libint->vrr_classes[8][16] = int_stack + 101720;
 memset(int_stack,0,108605*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 108605;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ggni(Libint, Data);
   Data++;
 }
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+108605,int_stack+990,int_stack+0,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+111575,int_stack+2160,int_stack+990,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+115085,int_stack+111575,int_stack+108605,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+121025,int_stack+3525,int_stack+2160,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+125120,int_stack+121025,int_stack+111575,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+132140,int_stack+125120,int_stack+115085,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+108605,int_stack+5100,int_stack+3525,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+142040,int_stack+108605,int_stack+121025,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+113330,int_stack+142040,int_stack+125120,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+150230,int_stack+113330,int_stack+132140,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+125030,int_stack+6900,int_stack+5100,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+130430,int_stack+125030,int_stack+108605,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+165080,int_stack+130430,int_stack+142040,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+178730,int_stack+165080,int_stack+113330,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+196280,int_stack+178730,int_stack+150230,15);
 /*--- compute (g0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+108605,int_stack+8940,int_stack+6900,15);
 /*--- compute (g0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+139880,int_stack+108605,int_stack+125030,15);
 /*--- compute (g0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+108605,int_stack+139880,int_stack+130430,15);
 /*--- compute (g0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+124355,int_stack+108605,int_stack+165080,15);
 /*--- compute (g0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+144830,int_stack+124355,int_stack+178730,15);
 /*--- compute (g0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+108605,int_stack+144830,int_stack+196280,15);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+136325,int_stack+12621,int_stack+11235,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+140483,int_stack+14259,int_stack+12621,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+145397,int_stack+140483,int_stack+136325,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+153713,int_stack+16170,int_stack+14259,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+159446,int_stack+153713,int_stack+140483,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+169274,int_stack+159446,int_stack+145397,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+136325,int_stack+18375,int_stack+16170,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+183134,int_stack+136325,int_stack+153713,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+142940,int_stack+183134,int_stack+159446,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+194600,int_stack+142940,int_stack+169274,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+159320,int_stack+20895,int_stack+18375,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+166880,int_stack+159320,int_stack+136325,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+166880,int_stack+183134,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+215390,int_stack+0,int_stack+142940,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+239960,int_stack+215390,int_stack+194600,21);
 /*--- compute (h0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+136325,int_stack+23751,int_stack+20895,21);
 /*--- compute (h0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+180110,int_stack+136325,int_stack+159320,21);
 /*--- compute (h0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+136325,int_stack+180110,int_stack+166880,21);
 /*--- compute (h0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+158375,int_stack+136325,int_stack+0,21);
 /*--- compute (h0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+269066,int_stack+158375,int_stack+215390,21);
 /*--- compute (h0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+136325,int_stack+269066,int_stack+239960,21);
 /*--- compute (gp|ni) ---*/
 hrr1_build_gp(Libint->AB,int_stack+175133,int_stack+136325,int_stack+108605,1848);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+108605,int_stack+28812,int_stack+26964,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+114149,int_stack+30996,int_stack+28812,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+120701,int_stack+114149,int_stack+108605,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+33544,int_stack+30996,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+7644,int_stack+0,int_stack+114149,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+258293,int_stack+7644,int_stack+120701,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+108605,int_stack+36484,int_stack+33544,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+117425,int_stack+108605,int_stack+0,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+276773,int_stack+117425,int_stack+7644,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+276773,int_stack+258293,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+258293,int_stack+39844,int_stack+36484,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+298613,int_stack+258293,int_stack+108605,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+316253,int_stack+298613,int_stack+117425,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+341733,int_stack+316253,int_stack+276773,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+374493,int_stack+341733,int_stack+0,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+43652,int_stack+39844,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+11424,int_stack+0,int_stack+258293,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+258293,int_stack+11424,int_stack+298613,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+258293,int_stack+316253,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+258293,int_stack+0,int_stack+341733,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+304157,int_stack+258293,int_stack+374493,28);
 /*--- compute (hp|ni) ---*/
 hrr1_build_hp(Libint->AB,int_stack+355901,int_stack+304157,int_stack+136325,1848);
 /*--- compute (gd|ni) ---*/
 hrr1_build_gd(Libint->AB,int_stack+472325,int_stack+355901,int_stack+175133,1848);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+50312,int_stack+47936,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+7128,int_stack+53120,int_stack+50312,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+15552,int_stack+7128,int_stack+0,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+29808,int_stack+56396,int_stack+53120,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+108605,int_stack+29808,int_stack+7128,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+125453,int_stack+108605,int_stack+15552,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+60176,int_stack+56396,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+39636,int_stack+0,int_stack+29808,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+11340,int_stack+39636,int_stack+108605,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+149213,int_stack+11340,int_stack+125453,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+108605,int_stack+64496,int_stack+60176,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+121565,int_stack+108605,int_stack+0,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+184853,int_stack+121565,int_stack+39636,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+217613,int_stack+184853,int_stack+11340,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+217613,int_stack+149213,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+144245,int_stack+69392,int_stack+64496,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+158933,int_stack+144245,int_stack+108605,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+259733,int_stack+158933,int_stack+121565,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+108605,int_stack+259733,int_stack+184853,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+157745,int_stack+108605,int_stack+217613,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+216713,int_stack+157745,int_stack+0,36);
 /*--- compute (ip|ni) ---*/
 hrr1_build_ip(Libint->AB,int_stack+638645,int_stack+216713,int_stack+304157,1848);
 /*--- compute (hd|ni) ---*/
 hrr1_build_hd(Libint->AB,int_stack+793877,int_stack+638645,int_stack+355901,1848);
 /*--- compute (gf|ni) ---*/
 hrr1_build_gf(Libint->AB,int_stack+1026725,int_stack+793877,int_stack+472325,1848);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+77870,int_stack+74900,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+8910,int_stack+81380,int_stack+77870,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+19440,int_stack+8910,int_stack+0,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+37260,int_stack+85475,int_stack+81380,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+49545,int_stack+37260,int_stack+8910,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+108605,int_stack+49545,int_stack+19440,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+90200,int_stack+85475,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+138305,int_stack+0,int_stack+37260,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+14175,int_stack+138305,int_stack+49545,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+162875,int_stack+14175,int_stack+108605,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+108605,int_stack+95600,int_stack+90200,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+49275,int_stack+108605,int_stack+0,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+283241,int_stack+49275,int_stack+138305,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+324191,int_stack+283241,int_stack+14175,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+376841,int_stack+324191,int_stack+162875,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+101720,int_stack+95600,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+124805,int_stack+0,int_stack+108605,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+124805,int_stack+49275,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+47250,int_stack+0,int_stack+283241,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+108675,int_stack+47250,int_stack+324191,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+283241,int_stack+108675,int_stack+376841,45);
 /*--- compute (kp|ni) ---*/
 hrr1_build_kp(Libint->AB,int_stack+366401,int_stack+283241,int_stack+216713,1848);
 /*--- compute (id|ni) ---*/
 hrr1_build_id(Libint->AB,int_stack+0,int_stack+366401,int_stack+638645,1848);
 /*--- compute (hf|ni) ---*/
 hrr1_build_hf(Libint->AB,int_stack+310464,int_stack+0,int_stack+793877,1848);
 /*--- compute (gg|ni) ---*/
 hrr1_build_gg(Libint->AB,int_stack+1303925,int_stack+310464,int_stack+1026725,1848);
 return int_stack+1303925;}
