#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_i0nl(Libint_t*, prim_data*);

  /* Computes quartets of (i0|nl) integrals */

REALTYPE *hrr_order_i0nl(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][10] = int_stack + 0;
 Libint->vrr_classes[6][11] = int_stack + 1848;
 Libint->vrr_classes[6][12] = int_stack + 4032;
 Libint->vrr_classes[6][13] = int_stack + 6580;
 Libint->vrr_classes[6][14] = int_stack + 9520;
 Libint->vrr_classes[6][15] = int_stack + 12880;
 Libint->vrr_classes[6][16] = int_stack + 16688;
 Libint->vrr_classes[6][17] = int_stack + 20972;
 Libint->vrr_classes[6][18] = int_stack + 25760;
 memset(int_stack,0,31080*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 31080;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_i0nl(Libint, Data);
   Data++;
 }
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+31080,int_stack+1848,int_stack+0,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+36624,int_stack+4032,int_stack+1848,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+43176,int_stack+36624,int_stack+31080,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+54264,int_stack+6580,int_stack+4032,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+61908,int_stack+54264,int_stack+36624,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+75012,int_stack+61908,int_stack+43176,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+31080,int_stack+9520,int_stack+6580,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+93492,int_stack+31080,int_stack+54264,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+39900,int_stack+93492,int_stack+61908,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+108780,int_stack+39900,int_stack+75012,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+61740,int_stack+12880,int_stack+9520,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+71820,int_stack+61740,int_stack+31080,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+136500,int_stack+71820,int_stack+93492,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+161980,int_stack+136500,int_stack+39900,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+194740,int_stack+161980,int_stack+108780,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+31080,int_stack+16688,int_stack+12880,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+89460,int_stack+31080,int_stack+61740,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+233548,int_stack+89460,int_stack+71820,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+42504,int_stack+233548,int_stack+136500,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+109620,int_stack+42504,int_stack+161980,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+262948,int_stack+109620,int_stack+194740,28);
 /*--- compute (i0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+155484,int_stack+20972,int_stack+16688,28);
 /*--- compute (i0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+168336,int_stack+155484,int_stack+31080,28);
 /*--- compute (i0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+191184,int_stack+168336,int_stack+89460,28);
 /*--- compute (i0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+314692,int_stack+191184,int_stack+233548,28);
 /*--- compute (i0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+358792,int_stack+314692,int_stack+42504,28);
 /*--- compute (i0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+31080,int_stack+358792,int_stack+109620,28);
 /*--- compute (i0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+412300,int_stack+31080,int_stack+262948,28);
 /*--- compute (i0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+92232,int_stack+25760,int_stack+20972,28);
 /*--- compute (i0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+106596,int_stack+92232,int_stack+155484,28);
 /*--- compute (i0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+224784,int_stack+106596,int_stack+168336,28);
 /*--- compute (i0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+92232,int_stack+224784,int_stack+191184,28);
 /*--- compute (i0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+142632,int_stack+92232,int_stack+314692,28);
 /*--- compute (i0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+204372,int_stack+142632,int_stack+358792,28);
 /*--- compute (i0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+92232,int_stack+204372,int_stack+31080,28);
 /*--- compute (i0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+170856,int_stack+92232,int_stack+412300,28);
 return int_stack+170856;}
