#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_idkg(Libint_t*, prim_data*);

  /* Computes quartets of (id|kg) integrals */

REALTYPE *hrr_order_idkg(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][7] = int_stack + 0;
 Libint->vrr_classes[6][8] = int_stack + 1008;
 Libint->vrr_classes[6][9] = int_stack + 2268;
 Libint->vrr_classes[6][10] = int_stack + 3808;
 Libint->vrr_classes[6][11] = int_stack + 5656;
 Libint->vrr_classes[7][7] = int_stack + 7840;
 Libint->vrr_classes[7][8] = int_stack + 9136;
 Libint->vrr_classes[7][9] = int_stack + 10756;
 Libint->vrr_classes[7][10] = int_stack + 12736;
 Libint->vrr_classes[7][11] = int_stack + 15112;
 Libint->vrr_classes[8][7] = int_stack + 17920;
 Libint->vrr_classes[8][8] = int_stack + 19540;
 Libint->vrr_classes[8][9] = int_stack + 21565;
 Libint->vrr_classes[8][10] = int_stack + 24040;
 Libint->vrr_classes[8][11] = int_stack + 27010;
 memset(int_stack,0,30520*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 30520;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_idkg(Libint, Data);
   Data++;
 }
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+30520,int_stack+1008,int_stack+0,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+33544,int_stack+2268,int_stack+1008,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+37324,int_stack+33544,int_stack+30520,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+43372,int_stack+3808,int_stack+2268,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+47992,int_stack+43372,int_stack+33544,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+55552,int_stack+47992,int_stack+37324,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+30520,int_stack+5656,int_stack+3808,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+65632,int_stack+30520,int_stack+43372,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+30520,int_stack+65632,int_stack+47992,28);
 /*--- compute (i0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+65632,int_stack+30520,int_stack+55552,28);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+30520,int_stack+9136,int_stack+7840,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+34408,int_stack+10756,int_stack+9136,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+39268,int_stack+34408,int_stack+30520,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+47044,int_stack+12736,int_stack+10756,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+52984,int_stack+47044,int_stack+34408,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+80752,int_stack+52984,int_stack+39268,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+30520,int_stack+15112,int_stack+12736,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+30520,int_stack+47044,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+30520,int_stack+0,int_stack+52984,36);
 /*--- compute (k0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+93712,int_stack+30520,int_stack+80752,36);
 /*--- compute (ip|kg) ---*/
 hrr1_build_ip(Libint->AB,int_stack+113152,int_stack+93712,int_stack+65632,540);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+30520,int_stack+19540,int_stack+17920,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+35380,int_stack+21565,int_stack+19540,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+41455,int_stack+35380,int_stack+30520,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+51175,int_stack+24040,int_stack+21565,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+58600,int_stack+51175,int_stack+35380,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+70750,int_stack+58600,int_stack+41455,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+30520,int_stack+27010,int_stack+24040,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+30520,int_stack+51175,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+14850,int_stack+0,int_stack+58600,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+35100,int_stack+14850,int_stack+70750,45);
 /*--- compute (kp|kg) ---*/
 hrr1_build_kp(Libint->AB,int_stack+158512,int_stack+35100,int_stack+93712,540);
 /*--- compute (id|kg) ---*/
 hrr1_build_id(Libint->AB,int_stack+0,int_stack+158512,int_stack+113152,540);
 return int_stack+0;}
