#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_k0kk(Libint_t*, prim_data*);

  /* Computes quartets of (k0|kk) integrals */

REALTYPE *hrr_order_k0kk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][7] = int_stack + 0;
 Libint->vrr_classes[7][8] = int_stack + 1296;
 Libint->vrr_classes[7][9] = int_stack + 2916;
 Libint->vrr_classes[7][10] = int_stack + 4896;
 Libint->vrr_classes[7][11] = int_stack + 7272;
 Libint->vrr_classes[7][12] = int_stack + 10080;
 Libint->vrr_classes[7][13] = int_stack + 13356;
 Libint->vrr_classes[7][14] = int_stack + 17136;
 memset(int_stack,0,21456*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 21456;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_k0kk(Libint, Data);
   Data++;
 }
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+21456,int_stack+1296,int_stack+0,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+25344,int_stack+2916,int_stack+1296,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+30204,int_stack+25344,int_stack+21456,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+37980,int_stack+4896,int_stack+2916,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+43920,int_stack+37980,int_stack+25344,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+53640,int_stack+43920,int_stack+30204,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+21456,int_stack+7272,int_stack+4896,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+66600,int_stack+21456,int_stack+37980,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+78480,int_stack+66600,int_stack+43920,36);
 /*--- compute (k0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+28584,int_stack+78480,int_stack+53640,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+48024,int_stack+10080,int_stack+7272,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+94680,int_stack+48024,int_stack+21456,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+108936,int_stack+94680,int_stack+66600,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+128736,int_stack+108936,int_stack+78480,36);
 /*--- compute (k0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+56448,int_stack+128736,int_stack+28584,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+21456,int_stack+13356,int_stack+10080,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+153036,int_stack+21456,int_stack+48024,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+31284,int_stack+153036,int_stack+94680,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+169884,int_stack+31284,int_stack+108936,36);
 /*--- compute (k0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+83664,int_stack+169884,int_stack+128736,36);
 /*--- compute (k0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+199584,int_stack+83664,int_stack+56448,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+55044,int_stack+17136,int_stack+13356,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+117684,int_stack+55044,int_stack+21456,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+55044,int_stack+117684,int_stack+153036,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+117684,int_stack+55044,int_stack+31284,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+0,int_stack+117684,int_stack+169884,36);
 /*--- compute (k0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+117684,int_stack+0,int_stack+83664,36);
 /*--- compute (k0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+0,int_stack+117684,int_stack+199584,36);
 return int_stack+0;}
