#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_k0ni(Libint_t*, prim_data*);

  /* Computes quartets of (k0|ni) integrals */

REALTYPE *hrr_order_k0ni(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][10] = int_stack + 0;
 Libint->vrr_classes[7][11] = int_stack + 2376;
 Libint->vrr_classes[7][12] = int_stack + 5184;
 Libint->vrr_classes[7][13] = int_stack + 8460;
 Libint->vrr_classes[7][14] = int_stack + 12240;
 Libint->vrr_classes[7][15] = int_stack + 16560;
 Libint->vrr_classes[7][16] = int_stack + 21456;
 memset(int_stack,0,26964*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 26964;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_k0ni(Libint, Data);
   Data++;
 }
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+26964,int_stack+2376,int_stack+0,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+34092,int_stack+5184,int_stack+2376,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+42516,int_stack+34092,int_stack+26964,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+56772,int_stack+8460,int_stack+5184,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+66600,int_stack+56772,int_stack+34092,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+83448,int_stack+66600,int_stack+42516,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+26964,int_stack+12240,int_stack+8460,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+107208,int_stack+26964,int_stack+56772,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+38304,int_stack+107208,int_stack+66600,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+126864,int_stack+38304,int_stack+83448,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+66384,int_stack+16560,int_stack+12240,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+79344,int_stack+66384,int_stack+26964,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+162504,int_stack+79344,int_stack+107208,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+195264,int_stack+162504,int_stack+38304,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+237384,int_stack+195264,int_stack+126864,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+26964,int_stack+21456,int_stack+16560,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+102024,int_stack+26964,int_stack+66384,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+102024,int_stack+79344,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+37800,int_stack+0,int_stack+162504,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+86940,int_stack+37800,int_stack+195264,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+86940,int_stack+237384,36);
 return int_stack+0;}
