#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kfki(Libint_t*, prim_data*);

  /* Computes quartets of (kf|ki) integrals */

REALTYPE *hrr_order_kfki(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][7] = int_stack + 0;
 Libint->vrr_classes[7][8] = int_stack + 1296;
 Libint->vrr_classes[7][9] = int_stack + 2916;
 Libint->vrr_classes[7][10] = int_stack + 4896;
 Libint->vrr_classes[7][11] = int_stack + 7272;
 Libint->vrr_classes[7][12] = int_stack + 10080;
 Libint->vrr_classes[7][13] = int_stack + 13356;
 Libint->vrr_classes[8][7] = int_stack + 17136;
 Libint->vrr_classes[8][8] = int_stack + 18756;
 Libint->vrr_classes[8][9] = int_stack + 20781;
 Libint->vrr_classes[8][10] = int_stack + 23256;
 Libint->vrr_classes[8][11] = int_stack + 26226;
 Libint->vrr_classes[8][12] = int_stack + 29736;
 Libint->vrr_classes[8][13] = int_stack + 33831;
 Libint->vrr_classes[9][7] = int_stack + 38556;
 Libint->vrr_classes[9][8] = int_stack + 40536;
 Libint->vrr_classes[9][9] = int_stack + 43011;
 Libint->vrr_classes[9][10] = int_stack + 46036;
 Libint->vrr_classes[9][11] = int_stack + 49666;
 Libint->vrr_classes[9][12] = int_stack + 53956;
 Libint->vrr_classes[9][13] = int_stack + 58961;
 Libint->vrr_classes[10][7] = int_stack + 64736;
 Libint->vrr_classes[10][8] = int_stack + 67112;
 Libint->vrr_classes[10][9] = int_stack + 70082;
 Libint->vrr_classes[10][10] = int_stack + 73712;
 Libint->vrr_classes[10][11] = int_stack + 78068;
 Libint->vrr_classes[10][12] = int_stack + 83216;
 Libint->vrr_classes[10][13] = int_stack + 89222;
 memset(int_stack,0,96152*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 96152;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kfki(Libint, Data);
   Data++;
 }
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+96152,int_stack+1296,int_stack+0,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+100040,int_stack+2916,int_stack+1296,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+104900,int_stack+100040,int_stack+96152,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+112676,int_stack+4896,int_stack+2916,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+118616,int_stack+112676,int_stack+100040,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+128336,int_stack+118616,int_stack+104900,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+96152,int_stack+7272,int_stack+4896,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+141296,int_stack+96152,int_stack+112676,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+153176,int_stack+141296,int_stack+118616,36);
 /*--- compute (k0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+103280,int_stack+153176,int_stack+128336,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+122720,int_stack+10080,int_stack+7272,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+169376,int_stack+122720,int_stack+96152,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+183632,int_stack+169376,int_stack+141296,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+203432,int_stack+183632,int_stack+153176,36);
 /*--- compute (k0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+131144,int_stack+203432,int_stack+103280,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+96152,int_stack+13356,int_stack+10080,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+96152,int_stack+122720,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+96152,int_stack+0,int_stack+169376,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+227732,int_stack+96152,int_stack+183632,36);
 /*--- compute (k0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+96152,int_stack+227732,int_stack+203432,36);
 /*--- compute (k0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+158360,int_stack+96152,int_stack+131144,36);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+96152,int_stack+18756,int_stack+17136,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+101012,int_stack+20781,int_stack+18756,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+107087,int_stack+101012,int_stack+96152,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+116807,int_stack+23256,int_stack+20781,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+124232,int_stack+116807,int_stack+101012,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+136382,int_stack+124232,int_stack+107087,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+96152,int_stack+26226,int_stack+23256,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+96152,int_stack+116807,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+194648,int_stack+0,int_stack+124232,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+105062,int_stack+194648,int_stack+136382,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+129362,int_stack+29736,int_stack+26226,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+139892,int_stack+129362,int_stack+96152,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+214898,int_stack+139892,int_stack+0,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+239648,int_stack+214898,int_stack+194648,45);
 /*--- compute (l0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+270023,int_stack+239648,int_stack+105062,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+194648,int_stack+33831,int_stack+29736,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+194648,int_stack+129362,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+96152,int_stack+0,int_stack+139892,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+0,int_stack+96152,int_stack+214898,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+96152,int_stack+0,int_stack+239648,45);
 /*--- compute (l0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+194648,int_stack+96152,int_stack+270023,45);
 /*--- compute (kp|ki) ---*/
 hrr1_build_kp(Libint->AB,int_stack+240008,int_stack+194648,int_stack+158360,1008);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+96152,int_stack+40536,int_stack+38556,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+102092,int_stack+43011,int_stack+40536,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+109517,int_stack+102092,int_stack+96152,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+121397,int_stack+46036,int_stack+43011,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+130472,int_stack+121397,int_stack+102092,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+145322,int_stack+130472,int_stack+109517,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+96152,int_stack+49666,int_stack+46036,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+165122,int_stack+96152,int_stack+121397,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+0,int_stack+165122,int_stack+130472,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+107042,int_stack+0,int_stack+145322,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+136742,int_stack+53956,int_stack+49666,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+24750,int_stack+136742,int_stack+96152,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+348872,int_stack+24750,int_stack+165122,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+149612,int_stack+348872,int_stack+0,55);
 /*--- compute (m0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+379122,int_stack+149612,int_stack+107042,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+58961,int_stack+53956,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+96152,int_stack+0,int_stack+136742,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+420702,int_stack+96152,int_stack+24750,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+96152,int_stack+420702,int_stack+348872,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+0,int_stack+96152,int_stack+149612,55);
 /*--- compute (m0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+96152,int_stack+0,int_stack+379122,55);
 /*--- compute (lp|ki) ---*/
 hrr1_build_lp(Libint->AB,int_stack+348872,int_stack+96152,int_stack+194648,1008);
 /*--- compute (kd|ki) ---*/
 hrr1_build_kd(Libint->AB,int_stack+484952,int_stack+348872,int_stack+240008,1008);
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+67112,int_stack+64736,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+7128,int_stack+70082,int_stack+67112,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+16038,int_stack+7128,int_stack+0,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+30294,int_stack+73712,int_stack+70082,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+41184,int_stack+30294,int_stack+7128,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+151592,int_stack+41184,int_stack+16038,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+78068,int_stack+73712,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+175352,int_stack+0,int_stack+30294,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+197132,int_stack+175352,int_stack+41184,66);
 /*--- compute (n0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+13068,int_stack+197132,int_stack+151592,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+151592,int_stack+83216,int_stack+78068,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+48708,int_stack+151592,int_stack+0,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+226832,int_stack+48708,int_stack+175352,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+263132,int_stack+226832,int_stack+197132,66);
 /*--- compute (n0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+167036,int_stack+263132,int_stack+13068,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+89222,int_stack+83216,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+307682,int_stack+0,int_stack+151592,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+307682,int_stack+48708,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+702680,int_stack+0,int_stack+226832,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+0,int_stack+702680,int_stack+263132,66);
 /*--- compute (n0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+216932,int_stack+0,int_stack+167036,66);
 /*--- compute (mp|ki) ---*/
 hrr1_build_mp(Libint->AB,int_stack+702680,int_stack+216932,int_stack+96152,1008);
 /*--- compute (ld|ki) ---*/
 hrr1_build_ld(Libint->AB,int_stack+0,int_stack+702680,int_stack+348872,1008);
 /*--- compute (kf|ki) ---*/
 hrr1_build_kf(Libint->AB,int_stack+702680,int_stack+0,int_stack+484952,1008);
 return int_stack+702680;}
