#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kfli(Libint_t*, prim_data*);

  /* Computes quartets of (kf|li) integrals */

REALTYPE *hrr_order_kfli(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][8] = int_stack + 0;
 Libint->vrr_classes[7][9] = int_stack + 1620;
 Libint->vrr_classes[7][10] = int_stack + 3600;
 Libint->vrr_classes[7][11] = int_stack + 5976;
 Libint->vrr_classes[7][12] = int_stack + 8784;
 Libint->vrr_classes[7][13] = int_stack + 12060;
 Libint->vrr_classes[7][14] = int_stack + 15840;
 Libint->vrr_classes[8][8] = int_stack + 20160;
 Libint->vrr_classes[8][9] = int_stack + 22185;
 Libint->vrr_classes[8][10] = int_stack + 24660;
 Libint->vrr_classes[8][11] = int_stack + 27630;
 Libint->vrr_classes[8][12] = int_stack + 31140;
 Libint->vrr_classes[8][13] = int_stack + 35235;
 Libint->vrr_classes[8][14] = int_stack + 39960;
 Libint->vrr_classes[9][8] = int_stack + 45360;
 Libint->vrr_classes[9][9] = int_stack + 47835;
 Libint->vrr_classes[9][10] = int_stack + 50860;
 Libint->vrr_classes[9][11] = int_stack + 54490;
 Libint->vrr_classes[9][12] = int_stack + 58780;
 Libint->vrr_classes[9][13] = int_stack + 63785;
 Libint->vrr_classes[9][14] = int_stack + 69560;
 Libint->vrr_classes[10][8] = int_stack + 76160;
 Libint->vrr_classes[10][9] = int_stack + 79130;
 Libint->vrr_classes[10][10] = int_stack + 82760;
 Libint->vrr_classes[10][11] = int_stack + 87116;
 Libint->vrr_classes[10][12] = int_stack + 92264;
 Libint->vrr_classes[10][13] = int_stack + 98270;
 Libint->vrr_classes[10][14] = int_stack + 105200;
 memset(int_stack,0,113120*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 113120;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kfli(Libint, Data);
   Data++;
 }
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+113120,int_stack+1620,int_stack+0,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+117980,int_stack+3600,int_stack+1620,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+123920,int_stack+117980,int_stack+113120,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+133640,int_stack+5976,int_stack+3600,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+140768,int_stack+133640,int_stack+117980,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+152648,int_stack+140768,int_stack+123920,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+113120,int_stack+8784,int_stack+5976,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+168848,int_stack+113120,int_stack+133640,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+183104,int_stack+168848,int_stack+140768,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+121544,int_stack+183104,int_stack+152648,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+145844,int_stack+12060,int_stack+8784,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+202904,int_stack+145844,int_stack+113120,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+219752,int_stack+202904,int_stack+168848,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+243512,int_stack+219752,int_stack+183104,36);
 /*--- compute (k0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+155672,int_stack+243512,int_stack+121544,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+113120,int_stack+15840,int_stack+12060,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+124460,int_stack+113120,int_stack+145844,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+273212,int_stack+124460,int_stack+202904,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+113120,int_stack+273212,int_stack+219752,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+189692,int_stack+113120,int_stack+243512,36);
 /*--- compute (k0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+231272,int_stack+189692,int_stack+155672,36);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+113120,int_stack+22185,int_stack+20160,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+119195,int_stack+24660,int_stack+22185,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+126620,int_stack+119195,int_stack+113120,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+138770,int_stack+27630,int_stack+24660,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+147680,int_stack+138770,int_stack+119195,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+162530,int_stack+147680,int_stack+126620,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+113120,int_stack+31140,int_stack+27630,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+182780,int_stack+113120,int_stack+138770,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+200600,int_stack+182780,int_stack+147680,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+123650,int_stack+200600,int_stack+162530,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+154025,int_stack+35235,int_stack+31140,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+276632,int_stack+154025,int_stack+113120,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+276632,int_stack+182780,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+297692,int_stack+0,int_stack+200600,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+166310,int_stack+297692,int_stack+123650,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+113120,int_stack+39960,int_stack+35235,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+127295,int_stack+113120,int_stack+154025,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+334817,int_stack+127295,int_stack+276632,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+113120,int_stack+334817,int_stack+0,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+334817,int_stack+113120,int_stack+297692,45);
 /*--- compute (l0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+276632,int_stack+334817,int_stack+166310,45);
 /*--- compute (kp|li) ---*/
 hrr1_build_kp(Libint->AB,int_stack+333332,int_stack+276632,int_stack+231272,1260);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+113120,int_stack+47835,int_stack+45360,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+120545,int_stack+50860,int_stack+47835,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+129620,int_stack+120545,int_stack+113120,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+144470,int_stack+54490,int_stack+50860,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+155360,int_stack+144470,int_stack+120545,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+173510,int_stack+155360,int_stack+129620,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+113120,int_stack+58780,int_stack+54490,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+198260,int_stack+113120,int_stack+144470,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+220040,int_stack+198260,int_stack+155360,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+125990,int_stack+220040,int_stack+173510,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+163115,int_stack+63785,int_stack+58780,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+250290,int_stack+163115,int_stack+113120,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+250290,int_stack+198260,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+469412,int_stack+0,int_stack+220040,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+178130,int_stack+469412,int_stack+125990,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+113120,int_stack+69560,int_stack+63785,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+130445,int_stack+113120,int_stack+163115,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+514787,int_stack+130445,int_stack+250290,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+113120,int_stack+514787,int_stack+0,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+0,int_stack+113120,int_stack+469412,55);
 /*--- compute (m0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+469412,int_stack+0,int_stack+178130,55);
 /*--- compute (lp|li) ---*/
 hrr1_build_lp(Libint->AB,int_stack+538712,int_stack+469412,int_stack+276632,1260);
 /*--- compute (kd|li) ---*/
 hrr1_build_kd(Libint->AB,int_stack+708812,int_stack+538712,int_stack+333332,1260);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+79130,int_stack+76160,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+8910,int_stack+82760,int_stack+79130,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+19800,int_stack+8910,int_stack+0,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+37620,int_stack+87116,int_stack+82760,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+50688,int_stack+37620,int_stack+8910,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+113120,int_stack+50688,int_stack+19800,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+92264,int_stack+87116,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+142820,int_stack+0,int_stack+37620,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+168956,int_stack+142820,int_stack+50688,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+15444,int_stack+168956,int_stack+113120,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+113120,int_stack+98270,int_stack+92264,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+59994,int_stack+113120,int_stack+0,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+205256,int_stack+59994,int_stack+142820,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+248816,int_stack+205256,int_stack+168956,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+131138,int_stack+248816,int_stack+15444,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+105200,int_stack+98270,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+20790,int_stack+0,int_stack+113120,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+303266,int_stack+20790,int_stack+59994,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+303266,int_stack+205256,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+303266,int_stack+0,int_stack+248816,66);
 /*--- compute (n0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+0,int_stack+303266,int_stack+131138,66);
 /*--- compute (mp|li) ---*/
 hrr1_build_mp(Libint->AB,int_stack+83160,int_stack+0,int_stack+469412,1260);
 /*--- compute (ld|li) ---*/
 hrr1_build_ld(Libint->AB,int_stack+980972,int_stack+83160,int_stack+538712,1260);
 /*--- compute (kf|li) ---*/
 hrr1_build_kf(Libint->AB,int_stack+0,int_stack+980972,int_stack+708812,1260);
 return int_stack+0;}
