#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kglf(Libint_t*, prim_data*);

  /* Computes quartets of (kg|lf) integrals */

REALTYPE *hrr_order_kglf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][8] = int_stack + 0;
 Libint->vrr_classes[7][9] = int_stack + 1620;
 Libint->vrr_classes[7][10] = int_stack + 3600;
 Libint->vrr_classes[7][11] = int_stack + 5976;
 Libint->vrr_classes[8][8] = int_stack + 8784;
 Libint->vrr_classes[8][9] = int_stack + 10809;
 Libint->vrr_classes[8][10] = int_stack + 13284;
 Libint->vrr_classes[8][11] = int_stack + 16254;
 Libint->vrr_classes[9][8] = int_stack + 19764;
 Libint->vrr_classes[9][9] = int_stack + 22239;
 Libint->vrr_classes[9][10] = int_stack + 25264;
 Libint->vrr_classes[9][11] = int_stack + 28894;
 Libint->vrr_classes[10][8] = int_stack + 33184;
 Libint->vrr_classes[10][9] = int_stack + 36154;
 Libint->vrr_classes[10][10] = int_stack + 39784;
 Libint->vrr_classes[10][11] = int_stack + 44140;
 Libint->vrr_classes[11][8] = int_stack + 49288;
 Libint->vrr_classes[11][9] = int_stack + 52798;
 Libint->vrr_classes[11][10] = int_stack + 57088;
 Libint->vrr_classes[11][11] = int_stack + 62236;
 memset(int_stack,0,68320*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 68320;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kglf(Libint, Data);
   Data++;
 }
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+68320,int_stack+1620,int_stack+0,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+73180,int_stack+3600,int_stack+1620,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+79120,int_stack+73180,int_stack+68320,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+88840,int_stack+5976,int_stack+3600,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+95968,int_stack+88840,int_stack+73180,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+107848,int_stack+95968,int_stack+79120,36);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+68320,int_stack+10809,int_stack+8784,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+74395,int_stack+13284,int_stack+10809,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+81820,int_stack+74395,int_stack+68320,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+93970,int_stack+16254,int_stack+13284,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+93970,int_stack+74395,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+124048,int_stack+0,int_stack+81820,45);
 /*--- compute (kp|lf) ---*/
 hrr1_build_kp(Libint->AB,int_stack+144298,int_stack+124048,int_stack+107848,450);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+22239,int_stack+19764,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+7425,int_stack+25264,int_stack+22239,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+68320,int_stack+7425,int_stack+0,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+83170,int_stack+28894,int_stack+25264,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+94060,int_stack+83170,int_stack+7425,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+0,int_stack+94060,int_stack+68320,55);
 /*--- compute (lp|lf) ---*/
 hrr1_build_lp(Libint->AB,int_stack+192898,int_stack+0,int_stack+124048,450);
 /*--- compute (kd|lf) ---*/
 hrr1_build_kd(Libint->AB,int_stack+253648,int_stack+192898,int_stack+144298,450);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+68320,int_stack+36154,int_stack+33184,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+77230,int_stack+39784,int_stack+36154,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+88120,int_stack+77230,int_stack+68320,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+105940,int_stack+44140,int_stack+39784,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+119008,int_stack+105940,int_stack+77230,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+140788,int_stack+119008,int_stack+88120,66);
 /*--- compute (mp|lf) ---*/
 hrr1_build_mp(Libint->AB,int_stack+350848,int_stack+140788,int_stack+0,450);
 /*--- compute (ld|lf) ---*/
 hrr1_build_ld(Libint->AB,int_stack+425098,int_stack+350848,int_stack+192898,450);
 /*--- compute (kf|lf) ---*/
 hrr1_build_kf(Libint->AB,int_stack+546598,int_stack+425098,int_stack+253648,450);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+52798,int_stack+49288,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+10530,int_stack+57088,int_stack+52798,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+23400,int_stack+10530,int_stack+0,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+68320,int_stack+62236,int_stack+57088,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+83764,int_stack+68320,int_stack+10530,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+44460,int_stack+83764,int_stack+23400,78);
 /*--- compute (np|lf) ---*/
 hrr1_build_np(Libint->AB,int_stack+170488,int_stack+44460,int_stack+140788,450);
 /*--- compute (md|lf) ---*/
 hrr1_build_md(Libint->AB,int_stack+0,int_stack+170488,int_stack+350848,450);
 /*--- compute (lf|lf) ---*/
 hrr1_build_lf(Libint->AB,int_stack+148500,int_stack+0,int_stack+425098,450);
 /*--- compute (kg|lf) ---*/
 hrr1_build_kg(Libint->AB,int_stack+708598,int_stack+148500,int_stack+546598,450);
 return int_stack+708598;}
