#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kglk(Libint_t*, prim_data*);

  /* Computes quartets of (kg|lk) integrals */

REALTYPE *hrr_order_kglk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][8] = int_stack + 0;
 Libint->vrr_classes[7][9] = int_stack + 1620;
 Libint->vrr_classes[7][10] = int_stack + 3600;
 Libint->vrr_classes[7][11] = int_stack + 5976;
 Libint->vrr_classes[7][12] = int_stack + 8784;
 Libint->vrr_classes[7][13] = int_stack + 12060;
 Libint->vrr_classes[7][14] = int_stack + 15840;
 Libint->vrr_classes[7][15] = int_stack + 20160;
 Libint->vrr_classes[8][8] = int_stack + 25056;
 Libint->vrr_classes[8][9] = int_stack + 27081;
 Libint->vrr_classes[8][10] = int_stack + 29556;
 Libint->vrr_classes[8][11] = int_stack + 32526;
 Libint->vrr_classes[8][12] = int_stack + 36036;
 Libint->vrr_classes[8][13] = int_stack + 40131;
 Libint->vrr_classes[8][14] = int_stack + 44856;
 Libint->vrr_classes[8][15] = int_stack + 50256;
 Libint->vrr_classes[9][8] = int_stack + 56376;
 Libint->vrr_classes[9][9] = int_stack + 58851;
 Libint->vrr_classes[9][10] = int_stack + 61876;
 Libint->vrr_classes[9][11] = int_stack + 65506;
 Libint->vrr_classes[9][12] = int_stack + 69796;
 Libint->vrr_classes[9][13] = int_stack + 74801;
 Libint->vrr_classes[9][14] = int_stack + 80576;
 Libint->vrr_classes[9][15] = int_stack + 87176;
 Libint->vrr_classes[10][8] = int_stack + 94656;
 Libint->vrr_classes[10][9] = int_stack + 97626;
 Libint->vrr_classes[10][10] = int_stack + 101256;
 Libint->vrr_classes[10][11] = int_stack + 105612;
 Libint->vrr_classes[10][12] = int_stack + 110760;
 Libint->vrr_classes[10][13] = int_stack + 116766;
 Libint->vrr_classes[10][14] = int_stack + 123696;
 Libint->vrr_classes[10][15] = int_stack + 131616;
 Libint->vrr_classes[11][8] = int_stack + 140592;
 Libint->vrr_classes[11][9] = int_stack + 144102;
 Libint->vrr_classes[11][10] = int_stack + 148392;
 Libint->vrr_classes[11][11] = int_stack + 153540;
 Libint->vrr_classes[11][12] = int_stack + 159624;
 Libint->vrr_classes[11][13] = int_stack + 166722;
 Libint->vrr_classes[11][14] = int_stack + 174912;
 Libint->vrr_classes[11][15] = int_stack + 184272;
 memset(int_stack,0,194880*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 194880;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kglk(Libint, Data);
   Data++;
 }
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+194880,int_stack+1620,int_stack+0,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+199740,int_stack+3600,int_stack+1620,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+205680,int_stack+199740,int_stack+194880,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+215400,int_stack+5976,int_stack+3600,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+222528,int_stack+215400,int_stack+199740,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+234408,int_stack+222528,int_stack+205680,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+194880,int_stack+8784,int_stack+5976,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+250608,int_stack+194880,int_stack+215400,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+264864,int_stack+250608,int_stack+222528,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+203304,int_stack+264864,int_stack+234408,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+227604,int_stack+12060,int_stack+8784,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+284664,int_stack+227604,int_stack+194880,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+301512,int_stack+284664,int_stack+250608,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+325272,int_stack+301512,int_stack+264864,36);
 /*--- compute (k0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+237432,int_stack+325272,int_stack+203304,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+194880,int_stack+15840,int_stack+12060,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+206220,int_stack+194880,int_stack+227604,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+354972,int_stack+206220,int_stack+284664,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+383052,int_stack+354972,int_stack+301512,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+271452,int_stack+383052,int_stack+325272,36);
 /*--- compute (k0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+418692,int_stack+271452,int_stack+237432,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+225876,int_stack+20160,int_stack+15840,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+238836,int_stack+225876,int_stack+194880,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+313032,int_stack+238836,int_stack+206220,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+194880,int_stack+313032,int_stack+354972,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+313032,int_stack+194880,int_stack+383052,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+194880,int_stack+313032,int_stack+271452,36);
 /*--- compute (k0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+250320,int_stack+194880,int_stack+418692,36);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+194880,int_stack+27081,int_stack+25056,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+200955,int_stack+29556,int_stack+27081,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+208380,int_stack+200955,int_stack+194880,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+220530,int_stack+32526,int_stack+29556,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+229440,int_stack+220530,int_stack+200955,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+308640,int_stack+229440,int_stack+208380,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+194880,int_stack+36036,int_stack+32526,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+328890,int_stack+194880,int_stack+220530,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+346710,int_stack+328890,int_stack+229440,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+205410,int_stack+346710,int_stack+308640,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+308640,int_stack+40131,int_stack+36036,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+371460,int_stack+308640,int_stack+194880,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+392520,int_stack+371460,int_stack+328890,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+422220,int_stack+392520,int_stack+346710,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+320925,int_stack+422220,int_stack+205410,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+194880,int_stack+44856,int_stack+40131,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+209055,int_stack+194880,int_stack+308640,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+209055,int_stack+371460,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+459345,int_stack+0,int_stack+392520,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+363450,int_stack+459345,int_stack+422220,45);
 /*--- compute (l0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+503895,int_stack+363450,int_stack+320925,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+308640,int_stack+50256,int_stack+44856,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+324840,int_stack+308640,int_stack+194880,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+415425,int_stack+324840,int_stack+209055,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+194880,int_stack+415425,int_stack+0,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+560595,int_stack+194880,int_stack+459345,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+415425,int_stack+560595,int_stack+363450,45);
 /*--- compute (l0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+308640,int_stack+415425,int_stack+503895,45);
 /*--- compute (kp|lk) ---*/
 hrr1_build_kp(Libint->AB,int_stack+381540,int_stack+308640,int_stack+250320,1620);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+194880,int_stack+58851,int_stack+56376,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+202305,int_stack+61876,int_stack+58851,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+211380,int_stack+202305,int_stack+194880,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+226230,int_stack+65506,int_stack+61876,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+237120,int_stack+226230,int_stack+202305,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+255270,int_stack+237120,int_stack+211380,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+194880,int_stack+69796,int_stack+65506,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+280020,int_stack+194880,int_stack+226230,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+280020,int_stack+237120,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+207750,int_stack+0,int_stack+255270,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+244875,int_stack+74801,int_stack+69796,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+30250,int_stack+244875,int_stack+194880,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+556500,int_stack+30250,int_stack+280020,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+259890,int_stack+556500,int_stack+0,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+592800,int_stack+259890,int_stack+207750,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+80576,int_stack+74801,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+194880,int_stack+0,int_stack+244875,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+644775,int_stack+194880,int_stack+30250,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+17325,int_stack+644775,int_stack+556500,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+687675,int_stack+17325,int_stack+259890,55);
 /*--- compute (m0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+224910,int_stack+687675,int_stack+592800,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+556500,int_stack+87176,int_stack+80576,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+576300,int_stack+556500,int_stack+0,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+751200,int_stack+576300,int_stack+194880,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+556500,int_stack+751200,int_stack+644775,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+751200,int_stack+556500,int_stack+17325,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+556500,int_stack+751200,int_stack+687675,55);
 /*--- compute (m0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+641200,int_stack+556500,int_stack+224910,55);
 /*--- compute (lp|lk) ---*/
 hrr1_build_lp(Libint->AB,int_stack+730300,int_stack+641200,int_stack+308640,1620);
 /*--- compute (kd|lk) ---*/
 hrr1_build_kd(Libint->AB,int_stack+949000,int_stack+730300,int_stack+381540,1620);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+194880,int_stack+97626,int_stack+94656,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+203790,int_stack+101256,int_stack+97626,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+214680,int_stack+203790,int_stack+194880,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+232500,int_stack+105612,int_stack+101256,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+245568,int_stack+232500,int_stack+203790,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+267348,int_stack+245568,int_stack+214680,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+194880,int_stack+110760,int_stack+105612,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+297048,int_stack+194880,int_stack+232500,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+323184,int_stack+297048,int_stack+245568,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+210324,int_stack+323184,int_stack+267348,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+254874,int_stack+116766,int_stack+110760,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+359484,int_stack+254874,int_stack+194880,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+390372,int_stack+359484,int_stack+297048,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+433932,int_stack+390372,int_stack+323184,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+272892,int_stack+433932,int_stack+210324,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+194880,int_stack+123696,int_stack+116766,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+215670,int_stack+194880,int_stack+254874,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+488382,int_stack+215670,int_stack+359484,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+539862,int_stack+488382,int_stack+390372,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+335262,int_stack+539862,int_stack+433932,66);
 /*--- compute (n0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+0,int_stack+335262,int_stack+272892,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+251706,int_stack+131616,int_stack+123696,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+275466,int_stack+251706,int_stack+194880,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+411492,int_stack+275466,int_stack+215670,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+194880,int_stack+411492,int_stack+488382,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+411492,int_stack+194880,int_stack+539862,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+194880,int_stack+411492,int_stack+335262,66);
 /*--- compute (n0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+296520,int_stack+194880,int_stack+0,66);
 /*--- compute (mp|lk) ---*/
 hrr1_build_mp(Libint->AB,int_stack+1298920,int_stack+296520,int_stack+641200,1620);
 /*--- compute (ld|lk) ---*/
 hrr1_build_ld(Libint->AB,int_stack+1566220,int_stack+1298920,int_stack+730300,1620);
 /*--- compute (kf|lk) ---*/
 hrr1_build_kf(Libint->AB,int_stack+2003620,int_stack+1566220,int_stack+949000,1620);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+144102,int_stack+140592,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+10530,int_stack+148392,int_stack+144102,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+23400,int_stack+10530,int_stack+0,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+44460,int_stack+153540,int_stack+148392,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+59904,int_stack+44460,int_stack+10530,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+85644,int_stack+59904,int_stack+23400,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+159624,int_stack+153540,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+120744,int_stack+0,int_stack+44460,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+194880,int_stack+120744,int_stack+59904,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+18252,int_stack+194880,int_stack+85644,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+70902,int_stack+166722,int_stack+159624,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+237780,int_stack+70902,int_stack+0,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+403440,int_stack+237780,int_stack+120744,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+92196,int_stack+403440,int_stack+194880,78);
 /*--- compute (o0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+454920,int_stack+92196,int_stack+18252,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+194880,int_stack+174912,int_stack+166722,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+0,int_stack+194880,int_stack+70902,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+528630,int_stack+0,int_stack+237780,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+589470,int_stack+528630,int_stack+403440,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+666690,int_stack+589470,int_stack+92196,78);
 /*--- compute (o0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+42588,int_stack+666690,int_stack+454920,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+403440,int_stack+184272,int_stack+174912,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+431520,int_stack+403440,int_stack+194880,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+140868,int_stack+431520,int_stack+0,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+403440,int_stack+140868,int_stack+528630,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+140868,int_stack+403440,int_stack+589470,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+403440,int_stack+140868,int_stack+666690,78);
 /*--- compute (o0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+140868,int_stack+403440,int_stack+42588,78);
 /*--- compute (np|lk) ---*/
 hrr1_build_np(Libint->AB,int_stack+403440,int_stack+140868,int_stack+296520,1620);
 /*--- compute (md|lk) ---*/
 hrr1_build_md(Libint->AB,int_stack+724200,int_stack+403440,int_stack+1298920,1620);
 /*--- compute (lf|lk) ---*/
 hrr1_build_lf(Libint->AB,int_stack+2586820,int_stack+724200,int_stack+1566220,1620);
 /*--- compute (kg|lk) ---*/
 hrr1_build_kg(Libint->AB,int_stack+0,int_stack+2586820,int_stack+2003620,1620);
 return int_stack+0;}
