#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_khlh(Libint_t*, prim_data*);

  /* Computes quartets of (kh|lh) integrals */

REALTYPE *hrr_order_khlh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][8] = int_stack + 0;
 Libint->vrr_classes[7][9] = int_stack + 1620;
 Libint->vrr_classes[7][10] = int_stack + 3600;
 Libint->vrr_classes[7][11] = int_stack + 5976;
 Libint->vrr_classes[7][12] = int_stack + 8784;
 Libint->vrr_classes[7][13] = int_stack + 12060;
 Libint->vrr_classes[8][8] = int_stack + 15840;
 Libint->vrr_classes[8][9] = int_stack + 17865;
 Libint->vrr_classes[8][10] = int_stack + 20340;
 Libint->vrr_classes[8][11] = int_stack + 23310;
 Libint->vrr_classes[8][12] = int_stack + 26820;
 Libint->vrr_classes[8][13] = int_stack + 30915;
 Libint->vrr_classes[9][8] = int_stack + 35640;
 Libint->vrr_classes[9][9] = int_stack + 38115;
 Libint->vrr_classes[9][10] = int_stack + 41140;
 Libint->vrr_classes[9][11] = int_stack + 44770;
 Libint->vrr_classes[9][12] = int_stack + 49060;
 Libint->vrr_classes[9][13] = int_stack + 54065;
 Libint->vrr_classes[10][8] = int_stack + 59840;
 Libint->vrr_classes[10][9] = int_stack + 62810;
 Libint->vrr_classes[10][10] = int_stack + 66440;
 Libint->vrr_classes[10][11] = int_stack + 70796;
 Libint->vrr_classes[10][12] = int_stack + 75944;
 Libint->vrr_classes[10][13] = int_stack + 81950;
 Libint->vrr_classes[11][8] = int_stack + 88880;
 Libint->vrr_classes[11][9] = int_stack + 92390;
 Libint->vrr_classes[11][10] = int_stack + 96680;
 Libint->vrr_classes[11][11] = int_stack + 101828;
 Libint->vrr_classes[11][12] = int_stack + 107912;
 Libint->vrr_classes[11][13] = int_stack + 115010;
 Libint->vrr_classes[12][8] = int_stack + 123200;
 Libint->vrr_classes[12][9] = int_stack + 127295;
 Libint->vrr_classes[12][10] = int_stack + 132300;
 Libint->vrr_classes[12][11] = int_stack + 138306;
 Libint->vrr_classes[12][12] = int_stack + 145404;
 Libint->vrr_classes[12][13] = int_stack + 153685;
 memset(int_stack,0,163240*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 163240;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_khlh(Libint, Data);
   Data++;
 }
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+163240,int_stack+1620,int_stack+0,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+168100,int_stack+3600,int_stack+1620,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+174040,int_stack+168100,int_stack+163240,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+183760,int_stack+5976,int_stack+3600,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+190888,int_stack+183760,int_stack+168100,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+202768,int_stack+190888,int_stack+174040,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+163240,int_stack+8784,int_stack+5976,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+218968,int_stack+163240,int_stack+183760,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+233224,int_stack+218968,int_stack+190888,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+171664,int_stack+233224,int_stack+202768,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+195964,int_stack+12060,int_stack+8784,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+253024,int_stack+195964,int_stack+163240,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+269872,int_stack+253024,int_stack+218968,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+195964,int_stack+269872,int_stack+233224,36);
 /*--- compute (k0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+225664,int_stack+195964,int_stack+171664,36);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+163240,int_stack+17865,int_stack+15840,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+169315,int_stack+20340,int_stack+17865,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+176740,int_stack+169315,int_stack+163240,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+188890,int_stack+23310,int_stack+20340,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+197800,int_stack+188890,int_stack+169315,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+259684,int_stack+197800,int_stack+176740,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+163240,int_stack+26820,int_stack+23310,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+163240,int_stack+188890,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+279934,int_stack+0,int_stack+197800,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+173770,int_stack+279934,int_stack+259684,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+259684,int_stack+30915,int_stack+26820,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+204145,int_stack+259684,int_stack+163240,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+304684,int_stack+204145,int_stack+0,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+334384,int_stack+304684,int_stack+279934,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+259684,int_stack+334384,int_stack+173770,45);
 /*--- compute (kp|lh) ---*/
 hrr1_build_kp(Libint->AB,int_stack+302209,int_stack+259684,int_stack+225664,945);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+38115,int_stack+35640,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+7425,int_stack+41140,int_stack+38115,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+16500,int_stack+7425,int_stack+0,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+163240,int_stack+44770,int_stack+41140,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+174130,int_stack+163240,int_stack+7425,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+192280,int_stack+174130,int_stack+16500,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+49060,int_stack+44770,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+12870,int_stack+0,int_stack+163240,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+217030,int_stack+12870,int_stack+174130,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+404269,int_stack+217030,int_stack+192280,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+163240,int_stack+54065,int_stack+49060,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+178255,int_stack+163240,int_stack+0,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+441394,int_stack+178255,int_stack+12870,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+0,int_stack+441394,int_stack+217030,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+163240,int_stack+0,int_stack+404269,55);
 /*--- compute (lp|lh) ---*/
 hrr1_build_lp(Libint->AB,int_stack+404269,int_stack+163240,int_stack+259684,945);
 /*--- compute (kd|lh) ---*/
 hrr1_build_kd(Libint->AB,int_stack+531844,int_stack+404269,int_stack+302209,945);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+62810,int_stack+59840,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+8910,int_stack+66440,int_stack+62810,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+19800,int_stack+8910,int_stack+0,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+37620,int_stack+70796,int_stack+66440,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+215215,int_stack+37620,int_stack+8910,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+236995,int_stack+215215,int_stack+19800,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+75944,int_stack+70796,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+266695,int_stack+0,int_stack+37620,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+15444,int_stack+266695,int_stack+215215,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+292831,int_stack+15444,int_stack+236995,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+215215,int_stack+81950,int_stack+75944,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+233233,int_stack+215215,int_stack+0,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+337381,int_stack+233233,int_stack+266695,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+215215,int_stack+337381,int_stack+15444,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+337381,int_stack+215215,int_stack+292831,66);
 /*--- compute (mp|lh) ---*/
 hrr1_build_mp(Libint->AB,int_stack+735964,int_stack+337381,int_stack+163240,945);
 /*--- compute (ld|lh) ---*/
 hrr1_build_ld(Libint->AB,int_stack+891889,int_stack+735964,int_stack+404269,945);
 /*--- compute (kf|lh) ---*/
 hrr1_build_kf(Libint->AB,int_stack+1147039,int_stack+891889,int_stack+531844,945);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+163240,int_stack+92390,int_stack+88880,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+173770,int_stack+96680,int_stack+92390,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+186640,int_stack+173770,int_stack+163240,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+207700,int_stack+101828,int_stack+96680,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+223144,int_stack+207700,int_stack+173770,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+248884,int_stack+223144,int_stack+186640,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+163240,int_stack+107912,int_stack+101828,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+283984,int_stack+163240,int_stack+207700,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+399751,int_stack+283984,int_stack+223144,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+181492,int_stack+399751,int_stack+248884,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+234142,int_stack+115010,int_stack+107912,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+442651,int_stack+234142,int_stack+163240,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+479155,int_stack+442651,int_stack+283984,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+234142,int_stack+479155,int_stack+399751,78);
 /*--- compute (o0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+399751,int_stack+234142,int_stack+181492,78);
 /*--- compute (np|lh) ---*/
 hrr1_build_np(Libint->AB,int_stack+473461,int_stack+399751,int_stack+337381,945);
 /*--- compute (md|lh) ---*/
 hrr1_build_md(Libint->AB,int_stack+1487239,int_stack+473461,int_stack+735964,945);
 /*--- compute (lf|lh) ---*/
 hrr1_build_lf(Libint->AB,int_stack+1799089,int_stack+1487239,int_stack+891889,945);
 /*--- compute (kg|lh) ---*/
 hrr1_build_kg(Libint->AB,int_stack+2224339,int_stack+1799089,int_stack+1147039,945);
 /*--- compute (q0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+660571,int_stack+127295,int_stack+123200,91);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+672856,int_stack+132300,int_stack+127295,91);
 /*--- compute (q0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+687871,int_stack+672856,int_stack+660571,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+712441,int_stack+138306,int_stack+132300,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+730459,int_stack+712441,int_stack+672856,91);
 /*--- compute (q0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+760489,int_stack+730459,int_stack+687871,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+660571,int_stack+145404,int_stack+138306,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+801439,int_stack+660571,int_stack+712441,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+837475,int_stack+801439,int_stack+730459,91);
 /*--- compute (q0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+681865,int_stack+837475,int_stack+760489,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+743290,int_stack+153685,int_stack+145404,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+887525,int_stack+743290,int_stack+660571,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+930113,int_stack+887525,int_stack+801439,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+743290,int_stack+930113,int_stack+837475,91);
 /*--- compute (q0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+818365,int_stack+743290,int_stack+681865,91);
 /*--- compute (op|lh) ---*/
 hrr1_build_op(Libint->AB,int_stack+904360,int_stack+818365,int_stack+399751,945);
 /*--- compute (nd|lh) ---*/
 hrr1_build_nd(Libint->AB,int_stack+0,int_stack+904360,int_stack+473461,945);
 /*--- compute (mf|lh) ---*/
 hrr1_build_mf(Libint->AB,int_stack+374220,int_stack+0,int_stack+1487239,945);
 /*--- compute (lg|lh) ---*/
 hrr1_build_lg(Libint->AB,int_stack+893970,int_stack+374220,int_stack+1799089,945);
 /*--- compute (kh|lh) ---*/
 hrr1_build_kh(Libint->AB,int_stack+0,int_stack+893970,int_stack+2224339,945);
 return int_stack+0;}
