#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kpmm(Libint_t*, prim_data*);

  /* Computes quartets of (kp|mm) integrals */

REALTYPE *hrr_order_kpmm(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][9] = int_stack + 0;
 Libint->vrr_classes[7][10] = int_stack + 1980;
 Libint->vrr_classes[7][11] = int_stack + 4356;
 Libint->vrr_classes[7][12] = int_stack + 7164;
 Libint->vrr_classes[7][13] = int_stack + 10440;
 Libint->vrr_classes[7][14] = int_stack + 14220;
 Libint->vrr_classes[7][15] = int_stack + 18540;
 Libint->vrr_classes[7][16] = int_stack + 23436;
 Libint->vrr_classes[7][17] = int_stack + 28944;
 Libint->vrr_classes[7][18] = int_stack + 35100;
 Libint->vrr_classes[8][9] = int_stack + 41940;
 Libint->vrr_classes[8][10] = int_stack + 44415;
 Libint->vrr_classes[8][11] = int_stack + 47385;
 Libint->vrr_classes[8][12] = int_stack + 50895;
 Libint->vrr_classes[8][13] = int_stack + 54990;
 Libint->vrr_classes[8][14] = int_stack + 59715;
 Libint->vrr_classes[8][15] = int_stack + 65115;
 Libint->vrr_classes[8][16] = int_stack + 71235;
 Libint->vrr_classes[8][17] = int_stack + 78120;
 Libint->vrr_classes[8][18] = int_stack + 85815;
 memset(int_stack,0,94365*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 94365;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kpmm(Libint, Data);
   Data++;
 }
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+94365,int_stack+1980,int_stack+0,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+100305,int_stack+4356,int_stack+1980,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+107433,int_stack+100305,int_stack+94365,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+119313,int_stack+7164,int_stack+4356,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+127737,int_stack+119313,int_stack+100305,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+141993,int_stack+127737,int_stack+107433,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+94365,int_stack+10440,int_stack+7164,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+161793,int_stack+94365,int_stack+119313,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+178641,int_stack+161793,int_stack+127737,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+104193,int_stack+178641,int_stack+141993,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+133893,int_stack+14220,int_stack+10440,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+202401,int_stack+133893,int_stack+94365,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+222057,int_stack+202401,int_stack+161793,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+250137,int_stack+222057,int_stack+178641,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+145233,int_stack+250137,int_stack+104193,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+94365,int_stack+18540,int_stack+14220,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+107325,int_stack+94365,int_stack+133893,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+285777,int_stack+107325,int_stack+202401,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+318537,int_stack+285777,int_stack+222057,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+186813,int_stack+318537,int_stack+250137,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+360657,int_stack+186813,int_stack+145233,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+130005,int_stack+23436,int_stack+18540,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+144693,int_stack+130005,int_stack+94365,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+236709,int_stack+144693,int_stack+107325,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+416097,int_stack+236709,int_stack+285777,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+465237,int_stack+416097,int_stack+318537,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+274509,int_stack+465237,int_stack+186813,36);
 /*--- compute (k0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+524205,int_stack+274509,int_stack+360657,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+94365,int_stack+28944,int_stack+23436,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+170613,int_stack+94365,int_stack+130005,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+341037,int_stack+170613,int_stack+144693,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+110889,int_stack+341037,int_stack+236709,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+199989,int_stack+110889,int_stack+416097,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+384237,int_stack+199989,int_stack+465237,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+595485,int_stack+384237,int_stack+274509,36);
 /*--- compute (k0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+681021,int_stack+595485,int_stack+524205,36);
 /*--- compute (k0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+268785,int_stack+35100,int_stack+28944,36);
 /*--- compute (k0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+287253,int_stack+268785,int_stack+94365,36);
 /*--- compute (k0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+462861,int_stack+287253,int_stack+170613,36);
 /*--- compute (k0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+268785,int_stack+462861,int_stack+341037,36);
 /*--- compute (k0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+462861,int_stack+268785,int_stack+110889,36);
 /*--- compute (k0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+268785,int_stack+462861,int_stack+199989,36);
 /*--- compute (k0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+462861,int_stack+268785,int_stack+384237,36);
 /*--- compute (k0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+94365,int_stack+462861,int_stack+595485,36);
 /*--- compute (k0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+201285,int_stack+94365,int_stack+681021,36);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+94365,int_stack+44415,int_stack+41940,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+101790,int_stack+47385,int_stack+44415,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+110700,int_stack+101790,int_stack+94365,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+125550,int_stack+50895,int_stack+47385,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+136080,int_stack+125550,int_stack+101790,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+153900,int_stack+136080,int_stack+110700,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+94365,int_stack+54990,int_stack+50895,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+178650,int_stack+94365,int_stack+125550,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+310185,int_stack+178650,int_stack+136080,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+106650,int_stack+310185,int_stack+153900,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+143775,int_stack+59715,int_stack+54990,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+339885,int_stack+143775,int_stack+94365,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+364455,int_stack+339885,int_stack+178650,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+399555,int_stack+364455,int_stack+310185,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+444105,int_stack+399555,int_stack+106650,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+310185,int_stack+65115,int_stack+59715,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+94365,int_stack+310185,int_stack+143775,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+122715,int_stack+94365,int_stack+339885,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+496080,int_stack+122715,int_stack+364455,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+326385,int_stack+496080,int_stack+399555,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+548730,int_stack+326385,int_stack+444105,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+388755,int_stack+71235,int_stack+65115,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+407115,int_stack+388755,int_stack+310185,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+439515,int_stack+407115,int_stack+94365,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+618030,int_stack+439515,int_stack+122715,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+94365,int_stack+618030,int_stack+496080,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+679455,int_stack+94365,int_stack+326385,45);
 /*--- compute (l0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+762615,int_stack+679455,int_stack+548730,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+168075,int_stack+78120,int_stack+71235,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+310185,int_stack+168075,int_stack+388755,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+346905,int_stack+310185,int_stack+407115,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+486765,int_stack+346905,int_stack+439515,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+851715,int_stack+486765,int_stack+618030,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+557640,int_stack+851715,int_stack+94365,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+937710,int_stack+557640,int_stack+679455,45);
 /*--- compute (l0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+1044630,int_stack+937710,int_stack+762615,45);
 /*--- compute (l0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+94365,int_stack+85815,int_stack+78120,45);
 /*--- compute (l0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+117450,int_stack+94365,int_stack+168075,45);
 /*--- compute (l0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+400905,int_stack+117450,int_stack+310185,45);
 /*--- compute (l0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+655920,int_stack+400905,int_stack+346905,45);
 /*--- compute (l0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+310185,int_stack+655920,int_stack+486765,45);
 /*--- compute (l0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+655920,int_stack+310185,int_stack+851715,45);
 /*--- compute (l0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+310185,int_stack+655920,int_stack+557640,45);
 /*--- compute (l0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+436545,int_stack+310185,int_stack+937710,45);
 /*--- compute (l0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+570195,int_stack+436545,int_stack+1044630,45);
 /*--- compute (kp|mm) ---*/
 hrr1_build_kp(Libint->AB,int_stack+706320,int_stack+570195,int_stack+201285,3025);
 return int_stack+706320;}
