#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kpnl(Libint_t*, prim_data*);

  /* Computes quartets of (kp|nl) integrals */

REALTYPE *hrr_order_kpnl(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][10] = int_stack + 0;
 Libint->vrr_classes[7][11] = int_stack + 2376;
 Libint->vrr_classes[7][12] = int_stack + 5184;
 Libint->vrr_classes[7][13] = int_stack + 8460;
 Libint->vrr_classes[7][14] = int_stack + 12240;
 Libint->vrr_classes[7][15] = int_stack + 16560;
 Libint->vrr_classes[7][16] = int_stack + 21456;
 Libint->vrr_classes[7][17] = int_stack + 26964;
 Libint->vrr_classes[7][18] = int_stack + 33120;
 Libint->vrr_classes[8][10] = int_stack + 39960;
 Libint->vrr_classes[8][11] = int_stack + 42930;
 Libint->vrr_classes[8][12] = int_stack + 46440;
 Libint->vrr_classes[8][13] = int_stack + 50535;
 Libint->vrr_classes[8][14] = int_stack + 55260;
 Libint->vrr_classes[8][15] = int_stack + 60660;
 Libint->vrr_classes[8][16] = int_stack + 66780;
 Libint->vrr_classes[8][17] = int_stack + 73665;
 Libint->vrr_classes[8][18] = int_stack + 81360;
 memset(int_stack,0,89910*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 89910;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kpnl(Libint, Data);
   Data++;
 }
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+89910,int_stack+2376,int_stack+0,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+97038,int_stack+5184,int_stack+2376,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+105462,int_stack+97038,int_stack+89910,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+119718,int_stack+8460,int_stack+5184,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+129546,int_stack+119718,int_stack+97038,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+146394,int_stack+129546,int_stack+105462,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+89910,int_stack+12240,int_stack+8460,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+170154,int_stack+89910,int_stack+119718,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+101250,int_stack+170154,int_stack+129546,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+189810,int_stack+101250,int_stack+146394,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+129330,int_stack+16560,int_stack+12240,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+142290,int_stack+129330,int_stack+89910,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+225450,int_stack+142290,int_stack+170154,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+258210,int_stack+225450,int_stack+101250,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+300330,int_stack+258210,int_stack+189810,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+89910,int_stack+21456,int_stack+16560,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+164970,int_stack+89910,int_stack+129330,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+350226,int_stack+164970,int_stack+142290,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+104598,int_stack+350226,int_stack+225450,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+190890,int_stack+104598,int_stack+258210,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+388026,int_stack+190890,int_stack+300330,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+249858,int_stack+26964,int_stack+21456,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+266382,int_stack+249858,int_stack+89910,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+295758,int_stack+266382,int_stack+164970,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+454554,int_stack+295758,int_stack+350226,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+511254,int_stack+454554,int_stack+104598,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+89910,int_stack+511254,int_stack+190890,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+580050,int_stack+89910,int_stack+388026,36);
 /*--- compute (k0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+168534,int_stack+33120,int_stack+26964,36);
 /*--- compute (k0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+187002,int_stack+168534,int_stack+249858,36);
 /*--- compute (k0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+338958,int_stack+187002,int_stack+266382,36);
 /*--- compute (k0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+168534,int_stack+338958,int_stack+295758,36);
 /*--- compute (k0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+233334,int_stack+168534,int_stack+454554,36);
 /*--- compute (k0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+312714,int_stack+233334,int_stack+511254,36);
 /*--- compute (k0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+168534,int_stack+312714,int_stack+89910,36);
 /*--- compute (k0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+269622,int_stack+168534,int_stack+580050,36);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+89910,int_stack+42930,int_stack+39960,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+98820,int_stack+46440,int_stack+42930,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+109350,int_stack+98820,int_stack+89910,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+127170,int_stack+50535,int_stack+46440,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+139455,int_stack+127170,int_stack+98820,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+160515,int_stack+139455,int_stack+109350,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+89910,int_stack+55260,int_stack+50535,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+190215,int_stack+89910,int_stack+127170,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+104085,int_stack+190215,int_stack+139455,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+214785,int_stack+104085,int_stack+160515,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+139185,int_stack+60660,int_stack+55260,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+155385,int_stack+139185,int_stack+89910,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+376542,int_stack+155385,int_stack+190215,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+417492,int_stack+376542,int_stack+104085,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+470142,int_stack+417492,int_stack+214785,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+89910,int_stack+66780,int_stack+60660,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+183735,int_stack+89910,int_stack+139185,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+216135,int_stack+183735,int_stack+155385,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+108270,int_stack+216135,int_stack+376542,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+532512,int_stack+108270,int_stack+417492,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+376542,int_stack+532512,int_stack+470142,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+459702,int_stack+73665,int_stack+66780,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+480357,int_stack+459702,int_stack+89910,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+606222,int_stack+480357,int_stack+183735,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+0,int_stack+606222,int_stack+216135,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+169695,int_stack+0,int_stack+108270,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+660222,int_stack+169695,int_stack+532512,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+758502,int_stack+660222,int_stack+376542,45);
 /*--- compute (l0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+376542,int_stack+81360,int_stack+73665,45);
 /*--- compute (l0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+399627,int_stack+376542,int_stack+459702,45);
 /*--- compute (l0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+517077,int_stack+399627,int_stack+480357,45);
 /*--- compute (l0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+376542,int_stack+517077,int_stack+606222,45);
 /*--- compute (l0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+457542,int_stack+376542,int_stack+0,45);
 /*--- compute (l0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+0,int_stack+457542,int_stack+169695,45);
 /*--- compute (l0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+114660,int_stack+0,int_stack+660222,45);
 /*--- compute (l0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+376542,int_stack+114660,int_stack+758502,45);
 /*--- compute (kp|nl) ---*/
 hrr1_build_kp(Libint->AB,int_stack+510192,int_stack+376542,int_stack+269622,2970);
 return int_stack+510192;}
