#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ldli(Libint_t*, prim_data*);

  /* Computes quartets of (ld|li) integrals */

REALTYPE *hrr_order_ldli(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][8] = int_stack + 0;
 Libint->vrr_classes[8][9] = int_stack + 2025;
 Libint->vrr_classes[8][10] = int_stack + 4500;
 Libint->vrr_classes[8][11] = int_stack + 7470;
 Libint->vrr_classes[8][12] = int_stack + 10980;
 Libint->vrr_classes[8][13] = int_stack + 15075;
 Libint->vrr_classes[8][14] = int_stack + 19800;
 Libint->vrr_classes[9][8] = int_stack + 25200;
 Libint->vrr_classes[9][9] = int_stack + 27675;
 Libint->vrr_classes[9][10] = int_stack + 30700;
 Libint->vrr_classes[9][11] = int_stack + 34330;
 Libint->vrr_classes[9][12] = int_stack + 38620;
 Libint->vrr_classes[9][13] = int_stack + 43625;
 Libint->vrr_classes[9][14] = int_stack + 49400;
 Libint->vrr_classes[10][8] = int_stack + 56000;
 Libint->vrr_classes[10][9] = int_stack + 58970;
 Libint->vrr_classes[10][10] = int_stack + 62600;
 Libint->vrr_classes[10][11] = int_stack + 66956;
 Libint->vrr_classes[10][12] = int_stack + 72104;
 Libint->vrr_classes[10][13] = int_stack + 78110;
 Libint->vrr_classes[10][14] = int_stack + 85040;
 memset(int_stack,0,92960*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 92960;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ldli(Libint, Data);
   Data++;
 }
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+92960,int_stack+2025,int_stack+0,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+99035,int_stack+4500,int_stack+2025,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+106460,int_stack+99035,int_stack+92960,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+118610,int_stack+7470,int_stack+4500,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+127520,int_stack+118610,int_stack+99035,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+142370,int_stack+127520,int_stack+106460,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+92960,int_stack+10980,int_stack+7470,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+162620,int_stack+92960,int_stack+118610,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+180440,int_stack+162620,int_stack+127520,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+103490,int_stack+180440,int_stack+142370,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+133865,int_stack+15075,int_stack+10980,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+205190,int_stack+133865,int_stack+92960,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+226250,int_stack+205190,int_stack+162620,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+255950,int_stack+226250,int_stack+180440,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+146150,int_stack+255950,int_stack+103490,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+92960,int_stack+19800,int_stack+15075,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+107135,int_stack+92960,int_stack+133865,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+293075,int_stack+107135,int_stack+205190,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+92960,int_stack+293075,int_stack+226250,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+188675,int_stack+92960,int_stack+255950,45);
 /*--- compute (l0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+240650,int_stack+188675,int_stack+146150,45);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+92960,int_stack+27675,int_stack+25200,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+100385,int_stack+30700,int_stack+27675,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+109460,int_stack+100385,int_stack+92960,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+124310,int_stack+34330,int_stack+30700,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+135200,int_stack+124310,int_stack+100385,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+153350,int_stack+135200,int_stack+109460,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+92960,int_stack+38620,int_stack+34330,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+178100,int_stack+92960,int_stack+124310,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+199880,int_stack+178100,int_stack+135200,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+105830,int_stack+199880,int_stack+153350,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+142955,int_stack+43625,int_stack+38620,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+297350,int_stack+142955,int_stack+92960,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+297350,int_stack+178100,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+323090,int_stack+0,int_stack+199880,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+157970,int_stack+323090,int_stack+105830,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+92960,int_stack+49400,int_stack+43625,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+110285,int_stack+92960,int_stack+142955,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+368465,int_stack+110285,int_stack+297350,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+92960,int_stack+368465,int_stack+0,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+368465,int_stack+92960,int_stack+323090,55);
 /*--- compute (m0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+297350,int_stack+368465,int_stack+157970,55);
 /*--- compute (lp|li) ---*/
 hrr1_build_lp(Libint->AB,int_stack+366650,int_stack+297350,int_stack+240650,1260);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+92960,int_stack+58970,int_stack+56000,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+101870,int_stack+62600,int_stack+58970,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+112760,int_stack+101870,int_stack+92960,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+130580,int_stack+66956,int_stack+62600,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+143648,int_stack+130580,int_stack+101870,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+165428,int_stack+143648,int_stack+112760,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+92960,int_stack+72104,int_stack+66956,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+195128,int_stack+92960,int_stack+130580,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+221264,int_stack+195128,int_stack+143648,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+108404,int_stack+221264,int_stack+165428,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+152954,int_stack+78110,int_stack+72104,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+257564,int_stack+152954,int_stack+92960,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+257564,int_stack+195128,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+536750,int_stack+0,int_stack+221264,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+170972,int_stack+536750,int_stack+108404,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+92960,int_stack+85040,int_stack+78110,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+113750,int_stack+92960,int_stack+152954,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+43560,int_stack+113750,int_stack+257564,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+95040,int_stack+43560,int_stack+0,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+0,int_stack+95040,int_stack+536750,66);
 /*--- compute (n0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+76230,int_stack+0,int_stack+170972,66);
 /*--- compute (mp|li) ---*/
 hrr1_build_mp(Libint->AB,int_stack+536750,int_stack+76230,int_stack+297350,1260);
 /*--- compute (ld|li) ---*/
 hrr1_build_ld(Libint->AB,int_stack+0,int_stack+536750,int_stack+366650,1260);
 return int_stack+0;}
