#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lfmg(Libint_t*, prim_data*);

  /* Computes quartets of (lf|mg) integrals */

REALTYPE *hrr_order_lfmg(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][9] = int_stack + 0;
 Libint->vrr_classes[8][10] = int_stack + 2475;
 Libint->vrr_classes[8][11] = int_stack + 5445;
 Libint->vrr_classes[8][12] = int_stack + 8955;
 Libint->vrr_classes[8][13] = int_stack + 13050;
 Libint->vrr_classes[9][9] = int_stack + 17775;
 Libint->vrr_classes[9][10] = int_stack + 20800;
 Libint->vrr_classes[9][11] = int_stack + 24430;
 Libint->vrr_classes[9][12] = int_stack + 28720;
 Libint->vrr_classes[9][13] = int_stack + 33725;
 Libint->vrr_classes[10][9] = int_stack + 39500;
 Libint->vrr_classes[10][10] = int_stack + 43130;
 Libint->vrr_classes[10][11] = int_stack + 47486;
 Libint->vrr_classes[10][12] = int_stack + 52634;
 Libint->vrr_classes[10][13] = int_stack + 58640;
 Libint->vrr_classes[11][9] = int_stack + 65570;
 Libint->vrr_classes[11][10] = int_stack + 69860;
 Libint->vrr_classes[11][11] = int_stack + 75008;
 Libint->vrr_classes[11][12] = int_stack + 81092;
 Libint->vrr_classes[11][13] = int_stack + 88190;
 memset(int_stack,0,96380*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 96380;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lfmg(Libint, Data);
   Data++;
 }
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+96380,int_stack+2475,int_stack+0,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+103805,int_stack+5445,int_stack+2475,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+112715,int_stack+103805,int_stack+96380,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+127565,int_stack+8955,int_stack+5445,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+138095,int_stack+127565,int_stack+103805,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+155915,int_stack+138095,int_stack+112715,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+96380,int_stack+13050,int_stack+8955,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+180665,int_stack+96380,int_stack+127565,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+96380,int_stack+180665,int_stack+138095,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+180665,int_stack+96380,int_stack+155915,45);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+96380,int_stack+20800,int_stack+17775,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+105455,int_stack+24430,int_stack+20800,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+116345,int_stack+105455,int_stack+96380,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+134495,int_stack+28720,int_stack+24430,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+147365,int_stack+134495,int_stack+105455,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+217790,int_stack+147365,int_stack+116345,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+96380,int_stack+33725,int_stack+28720,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+96380,int_stack+134495,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+96380,int_stack+0,int_stack+147365,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+132680,int_stack+96380,int_stack+217790,55);
 /*--- compute (lp|mg) ---*/
 hrr1_build_lp(Libint->AB,int_stack+217790,int_stack+132680,int_stack+180665,825);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+96380,int_stack+43130,int_stack+39500,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+107270,int_stack+47486,int_stack+43130,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+107270,int_stack+96380,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+21780,int_stack+52634,int_stack+47486,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+178055,int_stack+21780,int_stack+107270,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+96380,int_stack+178055,int_stack+0,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+58640,int_stack+52634,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+329165,int_stack+0,int_stack+21780,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+329165,int_stack+178055,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+329165,int_stack+0,int_stack+96380,66);
 /*--- compute (mp|mg) ---*/
 hrr1_build_mp(Libint->AB,int_stack+383615,int_stack+329165,int_stack+132680,825);
 /*--- compute (ld|mg) ---*/
 hrr1_build_ld(Libint->AB,int_stack+519740,int_stack+383615,int_stack+217790,825);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+96380,int_stack+69860,int_stack+65570,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+109250,int_stack+75008,int_stack+69860,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+124694,int_stack+109250,int_stack+96380,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+150434,int_stack+81092,int_stack+75008,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+168686,int_stack+150434,int_stack+109250,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+199574,int_stack+168686,int_stack+124694,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+96380,int_stack+88190,int_stack+81092,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+242474,int_stack+96380,int_stack+150434,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+242474,int_stack+168686,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+242474,int_stack+0,int_stack+199574,78);
 /*--- compute (np|mg) ---*/
 hrr1_build_np(Libint->AB,int_stack+0,int_stack+242474,int_stack+329165,825);
 /*--- compute (md|mg) ---*/
 hrr1_build_md(Libint->AB,int_stack+742490,int_stack+0,int_stack+383615,825);
 /*--- compute (lf|mg) ---*/
 hrr1_build_lf(Libint->AB,int_stack+0,int_stack+742490,int_stack+519740,825);
 return int_stack+0;}
