#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lfnf(Libint_t*, prim_data*);

  /* Computes quartets of (lf|nf) integrals */

REALTYPE *hrr_order_lfnf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][10] = int_stack + 0;
 Libint->vrr_classes[8][11] = int_stack + 2970;
 Libint->vrr_classes[8][12] = int_stack + 6480;
 Libint->vrr_classes[8][13] = int_stack + 10575;
 Libint->vrr_classes[9][10] = int_stack + 15300;
 Libint->vrr_classes[9][11] = int_stack + 18930;
 Libint->vrr_classes[9][12] = int_stack + 23220;
 Libint->vrr_classes[9][13] = int_stack + 28225;
 Libint->vrr_classes[10][10] = int_stack + 34000;
 Libint->vrr_classes[10][11] = int_stack + 38356;
 Libint->vrr_classes[10][12] = int_stack + 43504;
 Libint->vrr_classes[10][13] = int_stack + 49510;
 Libint->vrr_classes[11][10] = int_stack + 56440;
 Libint->vrr_classes[11][11] = int_stack + 61588;
 Libint->vrr_classes[11][12] = int_stack + 67672;
 Libint->vrr_classes[11][13] = int_stack + 74770;
 memset(int_stack,0,82960*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 82960;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lfnf(Libint, Data);
   Data++;
 }
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+82960,int_stack+2970,int_stack+0,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+91870,int_stack+6480,int_stack+2970,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+102400,int_stack+91870,int_stack+82960,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+120220,int_stack+10575,int_stack+6480,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+132505,int_stack+120220,int_stack+91870,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+153565,int_stack+132505,int_stack+102400,45);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+82960,int_stack+18930,int_stack+15300,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+93850,int_stack+23220,int_stack+18930,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+106720,int_stack+93850,int_stack+82960,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+128500,int_stack+28225,int_stack+23220,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+128500,int_stack+93850,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+183265,int_stack+0,int_stack+106720,55);
 /*--- compute (lp|nf) ---*/
 hrr1_build_lp(Libint->AB,int_stack+219565,int_stack+183265,int_stack+153565,660);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+38356,int_stack+34000,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+13068,int_stack+43504,int_stack+38356,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+82960,int_stack+13068,int_stack+0,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+109096,int_stack+49510,int_stack+43504,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+127114,int_stack+109096,int_stack+13068,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+127114,int_stack+82960,66);
 /*--- compute (mp|nf) ---*/
 hrr1_build_mp(Libint->AB,int_stack+308665,int_stack+0,int_stack+183265,660);
 /*--- compute (ld|nf) ---*/
 hrr1_build_ld(Libint->AB,int_stack+417565,int_stack+308665,int_stack+219565,660);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+82960,int_stack+61588,int_stack+56440,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+98404,int_stack+67672,int_stack+61588,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+116656,int_stack+98404,int_stack+82960,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+147544,int_stack+74770,int_stack+67672,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+168838,int_stack+147544,int_stack+98404,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+205342,int_stack+168838,int_stack+116656,78);
 /*--- compute (np|nf) ---*/
 hrr1_build_np(Libint->AB,int_stack+43560,int_stack+205342,int_stack+0,660);
 /*--- compute (md|nf) ---*/
 hrr1_build_md(Libint->AB,int_stack+595765,int_stack+43560,int_stack+308665,660);
 /*--- compute (lf|nf) ---*/
 hrr1_build_lf(Libint->AB,int_stack+0,int_stack+595765,int_stack+417565,660);
 return int_stack+0;}
