#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lknh(Libint_t*, prim_data*);

  /* Computes quartets of (lk|nh) integrals */

REALTYPE *hrr_order_lknh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][10] = int_stack + 0;
 Libint->vrr_classes[8][11] = int_stack + 2970;
 Libint->vrr_classes[8][12] = int_stack + 6480;
 Libint->vrr_classes[8][13] = int_stack + 10575;
 Libint->vrr_classes[8][14] = int_stack + 15300;
 Libint->vrr_classes[8][15] = int_stack + 20700;
 Libint->vrr_classes[9][10] = int_stack + 26820;
 Libint->vrr_classes[9][11] = int_stack + 30450;
 Libint->vrr_classes[9][12] = int_stack + 34740;
 Libint->vrr_classes[9][13] = int_stack + 39745;
 Libint->vrr_classes[9][14] = int_stack + 45520;
 Libint->vrr_classes[9][15] = int_stack + 52120;
 Libint->vrr_classes[10][10] = int_stack + 59600;
 Libint->vrr_classes[10][11] = int_stack + 63956;
 Libint->vrr_classes[10][12] = int_stack + 69104;
 Libint->vrr_classes[10][13] = int_stack + 75110;
 Libint->vrr_classes[10][14] = int_stack + 82040;
 Libint->vrr_classes[10][15] = int_stack + 89960;
 Libint->vrr_classes[11][10] = int_stack + 98936;
 Libint->vrr_classes[11][11] = int_stack + 104084;
 Libint->vrr_classes[11][12] = int_stack + 110168;
 Libint->vrr_classes[11][13] = int_stack + 117266;
 Libint->vrr_classes[11][14] = int_stack + 125456;
 Libint->vrr_classes[11][15] = int_stack + 134816;
 Libint->vrr_classes[12][10] = int_stack + 145424;
 Libint->vrr_classes[12][11] = int_stack + 151430;
 Libint->vrr_classes[12][12] = int_stack + 158528;
 Libint->vrr_classes[12][13] = int_stack + 166809;
 Libint->vrr_classes[12][14] = int_stack + 176364;
 Libint->vrr_classes[12][15] = int_stack + 187284;
 Libint->vrr_classes[13][10] = int_stack + 199660;
 Libint->vrr_classes[13][11] = int_stack + 206590;
 Libint->vrr_classes[13][12] = int_stack + 214780;
 Libint->vrr_classes[13][13] = int_stack + 224335;
 Libint->vrr_classes[13][14] = int_stack + 235360;
 Libint->vrr_classes[13][15] = int_stack + 247960;
 Libint->vrr_classes[14][10] = int_stack + 262240;
 Libint->vrr_classes[14][11] = int_stack + 270160;
 Libint->vrr_classes[14][12] = int_stack + 279520;
 Libint->vrr_classes[14][13] = int_stack + 290440;
 Libint->vrr_classes[14][14] = int_stack + 303040;
 Libint->vrr_classes[14][15] = int_stack + 317440;
 Libint->vrr_classes[15][10] = int_stack + 333760;
 Libint->vrr_classes[15][11] = int_stack + 342736;
 Libint->vrr_classes[15][12] = int_stack + 353344;
 Libint->vrr_classes[15][13] = int_stack + 365720;
 Libint->vrr_classes[15][14] = int_stack + 380000;
 Libint->vrr_classes[15][15] = int_stack + 396320;
 memset(int_stack,0,414816*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 414816;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lknh(Libint, Data);
   Data++;
 }
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+414816,int_stack+2970,int_stack+0,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+423726,int_stack+6480,int_stack+2970,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+434256,int_stack+423726,int_stack+414816,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+452076,int_stack+10575,int_stack+6480,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+464361,int_stack+452076,int_stack+423726,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+485421,int_stack+464361,int_stack+434256,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+414816,int_stack+15300,int_stack+10575,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+515121,int_stack+414816,int_stack+452076,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+428991,int_stack+515121,int_stack+464361,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+539691,int_stack+428991,int_stack+485421,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+464091,int_stack+20700,int_stack+15300,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+480291,int_stack+464091,int_stack+414816,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+584241,int_stack+480291,int_stack+515121,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+464091,int_stack+584241,int_stack+428991,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+584241,int_stack+464091,int_stack+539691,45);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+414816,int_stack+30450,int_stack+26820,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+425706,int_stack+34740,int_stack+30450,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+438576,int_stack+425706,int_stack+414816,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+460356,int_stack+39745,int_stack+34740,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+475371,int_stack+460356,int_stack+425706,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+501111,int_stack+475371,int_stack+438576,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+414816,int_stack+45520,int_stack+39745,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+537411,int_stack+414816,int_stack+460356,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+432141,int_stack+537411,int_stack+475371,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+646611,int_stack+432141,int_stack+501111,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+475041,int_stack+52120,int_stack+45520,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+494841,int_stack+475041,int_stack+414816,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+494841,int_stack+537411,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+475041,int_stack+0,int_stack+432141,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+701061,int_stack+475041,int_stack+646611,55);
 /*--- compute (lp|nh) ---*/
 hrr1_build_lp(Libint->AB,int_stack+777291,int_stack+701061,int_stack+584241,1386);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+63956,int_stack+59600,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+13068,int_stack+69104,int_stack+63956,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+28512,int_stack+13068,int_stack+0,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+414816,int_stack+75110,int_stack+69104,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+432834,int_stack+414816,int_stack+13068,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+463722,int_stack+432834,int_stack+28512,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+82040,int_stack+75110,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+20790,int_stack+0,int_stack+414816,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+507282,int_stack+20790,int_stack+432834,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+558762,int_stack+507282,int_stack+463722,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+414816,int_stack+89960,int_stack+82040,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+438576,int_stack+414816,int_stack+0,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+624102,int_stack+438576,int_stack+20790,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+624102,int_stack+507282,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+414816,int_stack+0,int_stack+558762,66);
 /*--- compute (mp|nh) ---*/
 hrr1_build_mp(Libint->AB,int_stack+964401,int_stack+414816,int_stack+701061,1386);
 /*--- compute (ld|nh) ---*/
 hrr1_build_ld(Libint->AB,int_stack+1193091,int_stack+964401,int_stack+777291,1386);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+104084,int_stack+98936,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+15444,int_stack+110168,int_stack+104084,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+33696,int_stack+15444,int_stack+0,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+64584,int_stack+117266,int_stack+110168,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+506292,int_stack+64584,int_stack+15444,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+542796,int_stack+506292,int_stack+33696,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+125456,int_stack+117266,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+594276,int_stack+0,int_stack+64584,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+24570,int_stack+594276,int_stack+506292,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+636864,int_stack+24570,int_stack+542796,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+506292,int_stack+134816,int_stack+125456,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+534372,int_stack+506292,int_stack+0,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+714084,int_stack+534372,int_stack+594276,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+506292,int_stack+714084,int_stack+24570,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+714084,int_stack+506292,int_stack+636864,78);
 /*--- compute (np|nh) ---*/
 hrr1_build_np(Libint->AB,int_stack+1567311,int_stack+714084,int_stack+414816,1386);
 /*--- compute (md|nh) ---*/
 hrr1_build_md(Libint->AB,int_stack+1841739,int_stack+1567311,int_stack+964401,1386);
 /*--- compute (lf|nh) ---*/
 hrr1_build_lf(Libint->AB,int_stack+2299119,int_stack+1841739,int_stack+1193091,1386);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+414816,int_stack+151430,int_stack+145424,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+432834,int_stack+158528,int_stack+151430,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+454128,int_stack+432834,int_stack+414816,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+490164,int_stack+166809,int_stack+158528,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+515007,int_stack+490164,int_stack+432834,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+557595,int_stack+515007,int_stack+454128,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+414816,int_stack+176364,int_stack+166809,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+617655,int_stack+414816,int_stack+490164,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+443481,int_stack+617655,int_stack+515007,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+822192,int_stack+443481,int_stack+557595,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+514461,int_stack+187284,int_stack+176364,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+547221,int_stack+514461,int_stack+414816,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+912282,int_stack+547221,int_stack+617655,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+514461,int_stack+912282,int_stack+443481,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+912282,int_stack+514461,int_stack+822192,91);
 /*--- compute (op|nh) ---*/
 hrr1_build_op(Libint->AB,int_stack+1038408,int_stack+912282,int_stack+714084,1386);
 /*--- compute (nd|nh) ---*/
 hrr1_build_nd(Libint->AB,int_stack+2922819,int_stack+1038408,int_stack+1567311,1386);
 /*--- compute (mf|nh) ---*/
 hrr1_build_mf(Libint->AB,int_stack+3471675,int_stack+2922819,int_stack+1841739,1386);
 /*--- compute (lg|nh) ---*/
 hrr1_build_lg(Libint->AB,int_stack+1362732,int_stack+3471675,int_stack+2299119,1386);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+2298282,int_stack+206590,int_stack+199660,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+2319072,int_stack+214780,int_stack+206590,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+2343642,int_stack+2319072,int_stack+2298282,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+2385222,int_stack+224335,int_stack+214780,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+2413887,int_stack+2385222,int_stack+2319072,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+2463027,int_stack+2413887,int_stack+2343642,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+2298282,int_stack+235360,int_stack+224335,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+2532327,int_stack+2298282,int_stack+2385222,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+2331357,int_stack+2532327,int_stack+2413887,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+2589657,int_stack+2331357,int_stack+2463027,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+2413257,int_stack+247960,int_stack+235360,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+2451057,int_stack+2413257,int_stack+2298282,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+2693607,int_stack+2451057,int_stack+2532327,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+2413257,int_stack+2693607,int_stack+2331357,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+2693607,int_stack+2413257,int_stack+2589657,105);
 /*--- compute (qp|nh) ---*/
 hrr1_build_qp(Libint->AB,int_stack+2298282,int_stack+2693607,int_stack+912282,1386);
 /*--- compute (od|nh) ---*/
 hrr1_build_od(Libint->AB,int_stack+4233975,int_stack+2298282,int_stack+1038408,1386);
 /*--- compute (nf|nh) ---*/
 hrr1_build_nf(Libint->AB,int_stack+414816,int_stack+4233975,int_stack+2922819,1386);
 /*--- compute (mg|nh) ---*/
 hrr1_build_mg(Libint->AB,int_stack+4882623,int_stack+414816,int_stack+3471675,1386);
 /*--- compute (lh|nh) ---*/
 hrr1_build_lh(Libint->AB,int_stack+2839137,int_stack+4882623,int_stack+1362732,1386);
 /*--- compute (t0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+4148907,int_stack+270160,int_stack+262240,120);
 /*--- compute (t0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+4172667,int_stack+279520,int_stack+270160,120);
 /*--- compute (t0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1329576,int_stack+4172667,int_stack+4148907,120);
 /*--- compute (t0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+4200747,int_stack+290440,int_stack+279520,120);
 /*--- compute (t0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1377096,int_stack+4200747,int_stack+4172667,120);
 /*--- compute (t0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1433256,int_stack+1377096,int_stack+1329576,120);
 /*--- compute (t0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1329576,int_stack+303040,int_stack+290440,120);
 /*--- compute (t0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1512456,int_stack+1329576,int_stack+4200747,120);
 /*--- compute (t0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1577976,int_stack+1512456,int_stack+1377096,120);
 /*--- compute (t0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1671576,int_stack+1577976,int_stack+1433256,120);
 /*--- compute (t0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1367376,int_stack+317440,int_stack+303040,120);
 /*--- compute (t0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1410576,int_stack+1367376,int_stack+1329576,120);
 /*--- compute (t0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1790376,int_stack+1410576,int_stack+1512456,120);
 /*--- compute (t0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1329576,int_stack+1790376,int_stack+1577976,120);
 /*--- compute (t0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1790376,int_stack+1329576,int_stack+1671576,120);
 /*--- compute (rp|nh) ---*/
 hrr1_build_rp(Libint->AB,int_stack+1329576,int_stack+1790376,int_stack+2693607,1386);
 /*--- compute (qd|nh) ---*/
 hrr1_build_qd(Libint->AB,int_stack+6026073,int_stack+1329576,int_stack+2298282,1386);
 /*--- compute (of|nh) ---*/
 hrr1_build_of(Libint->AB,int_stack+6782829,int_stack+6026073,int_stack+4233975,1386);
 /*--- compute (ng|nh) ---*/
 hrr1_build_ng(Libint->AB,int_stack+7863909,int_stack+6782829,int_stack+414816,1386);
 /*--- compute (mh|nh) ---*/
 hrr1_build_mh(Libint->AB,int_stack+9236049,int_stack+7863909,int_stack+4882623,1386);
 /*--- compute (li|nh) ---*/
 hrr1_build_li(Libint->AB,int_stack+4148907,int_stack+9236049,int_stack+2839137,1386);
 /*--- compute (u0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+414816,int_stack+342736,int_stack+333760,136);
 /*--- compute (u0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+441744,int_stack+353344,int_stack+342736,136);
 /*--- compute (u0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+473568,int_stack+441744,int_stack+414816,136);
 /*--- compute (u0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+527424,int_stack+365720,int_stack+353344,136);
 /*--- compute (u0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+564552,int_stack+527424,int_stack+441744,136);
 /*--- compute (u0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+628200,int_stack+564552,int_stack+473568,136);
 /*--- compute (u0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+414816,int_stack+380000,int_stack+365720,136);
 /*--- compute (u0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+717960,int_stack+414816,int_stack+527424,136);
 /*--- compute (u0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+457656,int_stack+717960,int_stack+564552,136);
 /*--- compute (u0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+792216,int_stack+457656,int_stack+628200,136);
 /*--- compute (u0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+563736,int_stack+396320,int_stack+380000,136);
 /*--- compute (u0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+612696,int_stack+563736,int_stack+414816,136);
 /*--- compute (u0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+926856,int_stack+612696,int_stack+717960,136);
 /*--- compute (u0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+563736,int_stack+926856,int_stack+457656,136);
 /*--- compute (u0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+926856,int_stack+563736,int_stack+792216,136);
 /*--- compute (tp|nh) ---*/
 hrr1_build_tp(Libint->AB,int_stack+1956696,int_stack+926856,int_stack+1790376,1386);
 /*--- compute (rd|nh) ---*/
 hrr1_build_rd(Libint->AB,int_stack+2455656,int_stack+1956696,int_stack+1329576,1386);
 /*--- compute (qf|nh) ---*/
 hrr1_build_qf(Libint->AB,int_stack+0,int_stack+2455656,int_stack+6026073,1386);
 /*--- compute (og|nh) ---*/
 hrr1_build_og(Libint->AB,int_stack+1261260,int_stack+0,int_stack+6782829,1386);
 /*--- compute (nh|nh) ---*/
 hrr1_build_nh(Libint->AB,int_stack+5895267,int_stack+1261260,int_stack+7863909,1386);
 /*--- compute (mi|nh) ---*/
 hrr1_build_mi(Libint->AB,int_stack+0,int_stack+5895267,int_stack+9236049,1386);
 /*--- compute (lk|nh) ---*/
 hrr1_build_lk(Libint->AB,int_stack+5895267,int_stack+0,int_stack+4148907,1386);
 return int_stack+5895267;}
