#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lpmg(Libint_t*, prim_data*);

  /* Computes quartets of (lp|mg) integrals */

REALTYPE *hrr_order_lpmg(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][9] = int_stack + 0;
 Libint->vrr_classes[8][10] = int_stack + 2475;
 Libint->vrr_classes[8][11] = int_stack + 5445;
 Libint->vrr_classes[8][12] = int_stack + 8955;
 Libint->vrr_classes[8][13] = int_stack + 13050;
 Libint->vrr_classes[9][9] = int_stack + 17775;
 Libint->vrr_classes[9][10] = int_stack + 20800;
 Libint->vrr_classes[9][11] = int_stack + 24430;
 Libint->vrr_classes[9][12] = int_stack + 28720;
 Libint->vrr_classes[9][13] = int_stack + 33725;
 memset(int_stack,0,39500*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 39500;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lpmg(Libint, Data);
   Data++;
 }
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+39500,int_stack+2475,int_stack+0,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+46925,int_stack+5445,int_stack+2475,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+55835,int_stack+46925,int_stack+39500,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+70685,int_stack+8955,int_stack+5445,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+81215,int_stack+70685,int_stack+46925,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+99035,int_stack+81215,int_stack+55835,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+39500,int_stack+13050,int_stack+8955,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+123785,int_stack+39500,int_stack+70685,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+39500,int_stack+123785,int_stack+81215,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+123785,int_stack+39500,int_stack+99035,45);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+39500,int_stack+20800,int_stack+17775,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+48575,int_stack+24430,int_stack+20800,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+59465,int_stack+48575,int_stack+39500,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+77615,int_stack+28720,int_stack+24430,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+90485,int_stack+77615,int_stack+48575,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+160910,int_stack+90485,int_stack+59465,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+39500,int_stack+33725,int_stack+28720,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+39500,int_stack+77615,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+25740,int_stack+0,int_stack+90485,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+62040,int_stack+25740,int_stack+160910,55);
 /*--- compute (lp|mg) ---*/
 hrr1_build_lp(Libint->AB,int_stack+160910,int_stack+62040,int_stack+123785,825);
 return int_stack+160910;}
