#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mdkg(Libint_t*, prim_data*);

  /* Computes quartets of (md|kg) integrals */

REALTYPE *hrr_order_mdkg(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][7] = int_stack + 0;
 Libint->vrr_classes[9][8] = int_stack + 1980;
 Libint->vrr_classes[9][9] = int_stack + 4455;
 Libint->vrr_classes[9][10] = int_stack + 7480;
 Libint->vrr_classes[9][11] = int_stack + 11110;
 Libint->vrr_classes[10][7] = int_stack + 15400;
 Libint->vrr_classes[10][8] = int_stack + 17776;
 Libint->vrr_classes[10][9] = int_stack + 20746;
 Libint->vrr_classes[10][10] = int_stack + 24376;
 Libint->vrr_classes[10][11] = int_stack + 28732;
 Libint->vrr_classes[11][7] = int_stack + 33880;
 Libint->vrr_classes[11][8] = int_stack + 36688;
 Libint->vrr_classes[11][9] = int_stack + 40198;
 Libint->vrr_classes[11][10] = int_stack + 44488;
 Libint->vrr_classes[11][11] = int_stack + 49636;
 memset(int_stack,0,55720*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 55720;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mdkg(Libint, Data);
   Data++;
 }
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+55720,int_stack+1980,int_stack+0,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+61660,int_stack+4455,int_stack+1980,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+69085,int_stack+61660,int_stack+55720,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+80965,int_stack+7480,int_stack+4455,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+90040,int_stack+80965,int_stack+61660,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+104890,int_stack+90040,int_stack+69085,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+55720,int_stack+11110,int_stack+7480,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+124690,int_stack+55720,int_stack+80965,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+55720,int_stack+124690,int_stack+90040,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+124690,int_stack+55720,int_stack+104890,55);
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+55720,int_stack+17776,int_stack+15400,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+62848,int_stack+20746,int_stack+17776,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+71758,int_stack+62848,int_stack+55720,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+86014,int_stack+24376,int_stack+20746,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+96904,int_stack+86014,int_stack+62848,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+0,int_stack+96904,int_stack+71758,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+55720,int_stack+28732,int_stack+24376,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+154390,int_stack+55720,int_stack+86014,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+55720,int_stack+154390,int_stack+96904,66);
 /*--- compute (n0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+85420,int_stack+55720,int_stack+0,66);
 /*--- compute (mp|kg) ---*/
 hrr1_build_mp(Libint->AB,int_stack+154390,int_stack+85420,int_stack+124690,540);
 /*--- compute (o0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+36688,int_stack+33880,78);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+8424,int_stack+40198,int_stack+36688,78);
 /*--- compute (o0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+18954,int_stack+8424,int_stack+0,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+55720,int_stack+44488,int_stack+40198,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+121060,int_stack+55720,int_stack+8424,78);
 /*--- compute (o0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+243490,int_stack+121060,int_stack+18954,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+49636,int_stack+44488,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+15444,int_stack+0,int_stack+55720,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+41184,int_stack+15444,int_stack+121060,78);
 /*--- compute (o0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+271570,int_stack+41184,int_stack+243490,78);
 /*--- compute (np|kg) ---*/
 hrr1_build_np(Libint->AB,int_stack+313690,int_stack+271570,int_stack+85420,540);
 /*--- compute (md|kg) ---*/
 hrr1_build_md(Libint->AB,int_stack+420610,int_stack+313690,int_stack+154390,540);
 return int_stack+420610;}
