#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mdng(Libint_t*, prim_data*);

  /* Computes quartets of (md|ng) integrals */

REALTYPE *hrr_order_mdng(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][10] = int_stack + 0;
 Libint->vrr_classes[9][11] = int_stack + 3630;
 Libint->vrr_classes[9][12] = int_stack + 7920;
 Libint->vrr_classes[9][13] = int_stack + 12925;
 Libint->vrr_classes[9][14] = int_stack + 18700;
 Libint->vrr_classes[10][10] = int_stack + 25300;
 Libint->vrr_classes[10][11] = int_stack + 29656;
 Libint->vrr_classes[10][12] = int_stack + 34804;
 Libint->vrr_classes[10][13] = int_stack + 40810;
 Libint->vrr_classes[10][14] = int_stack + 47740;
 Libint->vrr_classes[11][10] = int_stack + 55660;
 Libint->vrr_classes[11][11] = int_stack + 60808;
 Libint->vrr_classes[11][12] = int_stack + 66892;
 Libint->vrr_classes[11][13] = int_stack + 73990;
 Libint->vrr_classes[11][14] = int_stack + 82180;
 memset(int_stack,0,91540*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 91540;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mdng(Libint, Data);
   Data++;
 }
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+91540,int_stack+3630,int_stack+0,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+102430,int_stack+7920,int_stack+3630,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+115300,int_stack+102430,int_stack+91540,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+137080,int_stack+12925,int_stack+7920,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+152095,int_stack+137080,int_stack+102430,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+177835,int_stack+152095,int_stack+115300,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+91540,int_stack+18700,int_stack+12925,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+214135,int_stack+91540,int_stack+137080,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+91540,int_stack+214135,int_stack+152095,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+214135,int_stack+91540,int_stack+177835,55);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+91540,int_stack+29656,int_stack+25300,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+104608,int_stack+34804,int_stack+29656,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+120052,int_stack+104608,int_stack+91540,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+146188,int_stack+40810,int_stack+34804,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+164206,int_stack+146188,int_stack+104608,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+268585,int_stack+164206,int_stack+120052,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+91540,int_stack+47740,int_stack+40810,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+0,int_stack+91540,int_stack+146188,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+91540,int_stack+0,int_stack+164206,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+143020,int_stack+91540,int_stack+268585,66);
 /*--- compute (mp|ng) ---*/
 hrr1_build_mp(Libint->AB,int_stack+268585,int_stack+143020,int_stack+214135,990);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+91540,int_stack+60808,int_stack+55660,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+106984,int_stack+66892,int_stack+60808,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+106984,int_stack+91540,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+30888,int_stack+73990,int_stack+66892,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+208360,int_stack+30888,int_stack+106984,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+91540,int_stack+208360,int_stack+0,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+82180,int_stack+73990,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+431935,int_stack+0,int_stack+30888,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+431935,int_stack+208360,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+431935,int_stack+0,int_stack+91540,78);
 /*--- compute (np|ng) ---*/
 hrr1_build_np(Libint->AB,int_stack+509155,int_stack+431935,int_stack+143020,990);
 /*--- compute (md|ng) ---*/
 hrr1_build_md(Libint->AB,int_stack+705175,int_stack+509155,int_stack+268585,990);
 return int_stack+705175;}
