#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ppkk(Libint_t*, prim_data*);

  /* Computes quartets of (pp|kk) integrals */

REALTYPE *hrr_order_ppkk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[1][7] = int_stack + 0;
 Libint->vrr_classes[1][8] = int_stack + 108;
 Libint->vrr_classes[1][9] = int_stack + 243;
 Libint->vrr_classes[1][10] = int_stack + 408;
 Libint->vrr_classes[1][11] = int_stack + 606;
 Libint->vrr_classes[1][12] = int_stack + 840;
 Libint->vrr_classes[1][13] = int_stack + 1113;
 Libint->vrr_classes[1][14] = int_stack + 1428;
 Libint->vrr_classes[2][7] = int_stack + 1788;
 Libint->vrr_classes[2][8] = int_stack + 2004;
 Libint->vrr_classes[2][9] = int_stack + 2274;
 Libint->vrr_classes[2][10] = int_stack + 2604;
 Libint->vrr_classes[2][11] = int_stack + 3000;
 Libint->vrr_classes[2][12] = int_stack + 3468;
 Libint->vrr_classes[2][13] = int_stack + 4014;
 Libint->vrr_classes[2][14] = int_stack + 4644;
 memset(int_stack,0,5364*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 5364;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ppkk(Libint, Data);
   Data++;
 }
 /*--- compute (p0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+5364,int_stack+108,int_stack+0,3);
 /*--- compute (p0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+5688,int_stack+243,int_stack+108,3);
 /*--- compute (p0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+6093,int_stack+5688,int_stack+5364,3);
 /*--- compute (p0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+6741,int_stack+408,int_stack+243,3);
 /*--- compute (p0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+7236,int_stack+6741,int_stack+5688,3);
 /*--- compute (p0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+8046,int_stack+7236,int_stack+6093,3);
 /*--- compute (p0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+5364,int_stack+606,int_stack+408,3);
 /*--- compute (p0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+9126,int_stack+5364,int_stack+6741,3);
 /*--- compute (p0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+10116,int_stack+9126,int_stack+7236,3);
 /*--- compute (p0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+5958,int_stack+10116,int_stack+8046,3);
 /*--- compute (p0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+7578,int_stack+840,int_stack+606,3);
 /*--- compute (p0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+11466,int_stack+7578,int_stack+5364,3);
 /*--- compute (p0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+12654,int_stack+11466,int_stack+9126,3);
 /*--- compute (p0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+14304,int_stack+12654,int_stack+10116,3);
 /*--- compute (p0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+8280,int_stack+14304,int_stack+5958,3);
 /*--- compute (p0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+5364,int_stack+1113,int_stack+840,3);
 /*--- compute (p0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+16329,int_stack+5364,int_stack+7578,3);
 /*--- compute (p0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+6183,int_stack+16329,int_stack+11466,3);
 /*--- compute (p0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+17733,int_stack+6183,int_stack+12654,3);
 /*--- compute (p0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+10548,int_stack+17733,int_stack+14304,3);
 /*--- compute (p0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+20208,int_stack+10548,int_stack+8280,3);
 /*--- compute (p0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+8163,int_stack+1428,int_stack+1113,3);
 /*--- compute (p0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+13383,int_stack+8163,int_stack+5364,3);
 /*--- compute (p0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+8163,int_stack+13383,int_stack+16329,3);
 /*--- compute (p0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+13383,int_stack+8163,int_stack+6183,3);
 /*--- compute (p0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+5364,int_stack+13383,int_stack+17733,3);
 /*--- compute (p0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+13383,int_stack+5364,int_stack+10548,3);
 /*--- compute (p0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+5364,int_stack+13383,int_stack+20208,3);
 /*--- compute (d0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+9252,int_stack+2004,int_stack+1788,6);
 /*--- compute (d0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+9900,int_stack+2274,int_stack+2004,6);
 /*--- compute (d0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+10710,int_stack+9900,int_stack+9252,6);
 /*--- compute (d0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+12006,int_stack+2604,int_stack+2274,6);
 /*--- compute (d0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+12996,int_stack+12006,int_stack+9900,6);
 /*--- compute (d0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+14616,int_stack+12996,int_stack+10710,6);
 /*--- compute (d0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+9252,int_stack+3000,int_stack+2604,6);
 /*--- compute (d0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+16776,int_stack+9252,int_stack+12006,6);
 /*--- compute (d0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+18756,int_stack+16776,int_stack+12996,6);
 /*--- compute (d0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+10440,int_stack+18756,int_stack+14616,6);
 /*--- compute (d0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+13680,int_stack+3468,int_stack+3000,6);
 /*--- compute (d0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+21456,int_stack+13680,int_stack+9252,6);
 /*--- compute (d0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+21456,int_stack+16776,6);
 /*--- compute (d0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+23832,int_stack+0,int_stack+18756,6);
 /*--- compute (d0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+15084,int_stack+23832,int_stack+10440,6);
 /*--- compute (d0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+9252,int_stack+4014,int_stack+3468,6);
 /*--- compute (d0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+27882,int_stack+9252,int_stack+13680,6);
 /*--- compute (d0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+10890,int_stack+27882,int_stack+21456,6);
 /*--- compute (d0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+30690,int_stack+10890,int_stack+0,6);
 /*--- compute (d0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+35640,int_stack+30690,int_stack+23832,6);
 /*--- compute (d0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+19620,int_stack+35640,int_stack+15084,6);
 /*--- compute (d0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+4644,int_stack+4014,6);
 /*--- compute (d0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1890,int_stack+0,int_stack+9252,6);
 /*--- compute (d0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+14850,int_stack+1890,int_stack+27882,6);
 /*--- compute (d0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+41310,int_stack+14850,int_stack+10890,6);
 /*--- compute (d0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+9252,int_stack+41310,int_stack+30690,6);
 /*--- compute (d0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+25668,int_stack+9252,int_stack+35640,6);
 /*--- compute (d0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+9252,int_stack+25668,int_stack+19620,6);
 /*--- compute (pp|kk) ---*/
 hrr1_build_pp(Libint->AB,int_stack+17028,int_stack+9252,int_stack+5364,1296);
 return int_stack+17028;}
