#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_00ff(Libr12_t *, prim_data *);

  /* Computes (00|ff) integrals for linear R12-methods */

void hrr_grt_order_00ff(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[1][3] = int_stack + 0;
 Libr12->t2vrr_classes[0][3] = int_stack + 30;
 Libr12->gvrr_classes[1][4] = int_stack + 40;
 Libr12->t2vrr_classes[0][4] = int_stack + 85;
 Libr12->gvrr_classes[1][5] = int_stack + 100;
 Libr12->t2vrr_classes[0][5] = int_stack + 163;
 Libr12->t2vrr_classes[0][6] = int_stack + 184;
 Libr12->t1vrr_classes[0][3] = int_stack + 212;
 Libr12->t1vrr_classes[0][4] = int_stack + 222;
 Libr12->t1vrr_classes[0][5] = int_stack + 237;
 Libr12->t1vrr_classes[0][6] = int_stack + 258;
 Libr12->rvrr_classes[0][3] = int_stack + 286;
 Libr12->rvrr_classes[0][4] = int_stack + 296;
 Libr12->rvrr_classes[0][5] = int_stack + 311;
 Libr12->rvrr_classes[0][6] = int_stack + 332;
 Libr12->gvrr_classes[0][3] = int_stack + 360;
 Libr12->gvrr_classes[0][4] = int_stack + 370;
 Libr12->gvrr_classes[0][5] = int_stack + 385;
 Libr12->gvrr_classes[0][6] = int_stack + 406;
 memset(int_stack,0,434*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 434;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_00ff(Libr12, Data);
   Data++;
 }

 /*--- compute (00|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+434, int_stack+370, int_stack+360, 1);
 /*--- compute (00|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+464, int_stack+385, int_stack+370, 1);
 /*--- compute (00|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+509, int_stack+464, int_stack+434, 1);
 /*--- compute (p0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+569, int_stack+40, int_stack+0, 3);
 /*--- compute (p0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+659, int_stack+100, int_stack+40, 3);
 /*--- compute (p0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+794, int_stack+659, int_stack+569, 3);
 /*--- compute (00|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+974, int_stack+406, int_stack+385, 1);
 /*--- compute (00|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+1037, int_stack+974, int_stack+464, 1);
 /*--- compute (00|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1127, int_stack+85, int_stack+30, int_stack+370, int_stack+0, int_stack+360, 0, 0);
 /*--- compute (00|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1157, int_stack+163, int_stack+85, int_stack+385, int_stack+40, int_stack+370, 0, 0);
 /*--- compute (00|[r12,T2]|fd) ---*/
   t2hrr3_build_fd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+1157, int_stack+1127, int_stack+464, int_stack+569, int_stack+434, 0, 0);
 /*--- compute (00|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+569, int_stack+184, int_stack+163, int_stack+406, int_stack+100, int_stack+385, 0, 0);
 /*--- compute (00|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+360, int_stack+569, int_stack+1157, int_stack+974, int_stack+659, int_stack+464, 0, 0);
 /*--- compute (00|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+974, int_stack+222, int_stack+212, 1);
 /*--- compute (00|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+569, int_stack+237, int_stack+222, 1);
 /*--- compute (00|[r12,T1]|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+614, int_stack+569, int_stack+974, 1);
 /*--- compute (00|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+974, int_stack+258, int_stack+237, 1);
 /*--- compute (00|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+674, int_stack+974, int_stack+569, 1);
 /*--- compute (00||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+764, int_stack+296, int_stack+286, 1);
 /*--- compute (00||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+569, int_stack+311, int_stack+296, 1);
 /*--- compute (00||fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+974, int_stack+569, int_stack+764, 1);
 /*--- compute (00||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+1127, int_stack+332, int_stack+311, 1);
 /*--- compute (00||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+1190, int_stack+1127, int_stack+569, 1);
 /*--- compute (00|[r12,T2]|ff) ---*/
   t2hrr3_build_ff(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1280, int_stack+360, int_stack+0, int_stack+1037, int_stack+794, int_stack+509, 0, 0);
     Libr12->te_ptr[3] = int_stack + 1280;
 /*--- compute (00|[r12,T1]|ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+0, int_stack+674, int_stack+614, 1);
     Libr12->te_ptr[2] = int_stack + 0;
 /*--- compute (00||ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+100, int_stack+1190, int_stack+974, 1);
     Libr12->te_ptr[1] = int_stack + 100;
 /*--- compute (00|ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+200, int_stack+1037, int_stack+509, 1);
     Libr12->te_ptr[0] = int_stack + 200;

}
