#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_d0gf(Libr12_t *, prim_data *);

  /* Computes (d0|gf) integrals for linear R12-methods */

void hrr_grt_order_d0gf(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[3][4] = int_stack + 0;
 Libr12->t2vrr_classes[2][4] = int_stack + 150;
 Libr12->gvrr_classes[3][5] = int_stack + 240;
 Libr12->t2vrr_classes[2][5] = int_stack + 450;
 Libr12->gvrr_classes[3][6] = int_stack + 576;
 Libr12->t2vrr_classes[2][6] = int_stack + 856;
 Libr12->t2vrr_classes[2][7] = int_stack + 1024;
 Libr12->t1vrr_classes[2][4] = int_stack + 1240;
 Libr12->t1vrr_classes[2][5] = int_stack + 1330;
 Libr12->t1vrr_classes[2][6] = int_stack + 1456;
 Libr12->t1vrr_classes[2][7] = int_stack + 1624;
 Libr12->rvrr_classes[2][4] = int_stack + 1840;
 Libr12->rvrr_classes[2][5] = int_stack + 1930;
 Libr12->rvrr_classes[2][6] = int_stack + 2056;
 Libr12->rvrr_classes[2][7] = int_stack + 2224;
 Libr12->gvrr_classes[2][4] = int_stack + 2440;
 Libr12->gvrr_classes[2][5] = int_stack + 2530;
 Libr12->gvrr_classes[2][6] = int_stack + 2656;
 Libr12->gvrr_classes[2][7] = int_stack + 2824;
 memset(int_stack,0,3040*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 3040;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_d0gf(Libr12, Data);
   Data++;
 }

 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+3040, int_stack+2530, int_stack+2440, 6);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+3310, int_stack+2656, int_stack+2530, 6);
 /*--- compute (d0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+3688, int_stack+3310, int_stack+3040, 6);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+4228, int_stack+240, int_stack+0, 10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+4678, int_stack+576, int_stack+240, 10);
 /*--- compute (f0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+5308, int_stack+4678, int_stack+4228, 10);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+6208, int_stack+2824, int_stack+2656, 6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+6712, int_stack+6208, int_stack+3310, 6);
 /*--- compute (d0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7468, int_stack+450, int_stack+150, int_stack+2530, int_stack+0, int_stack+2440, 2, 0);
 /*--- compute (d0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7738, int_stack+856, int_stack+450, int_stack+2656, int_stack+240, int_stack+2530, 2, 0);
 /*--- compute (d0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+7738, int_stack+7468, int_stack+3310, int_stack+4228, int_stack+3040, 2, 0);
 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+8116, int_stack+1024, int_stack+856, int_stack+2824, int_stack+576, int_stack+2656, 2, 0);
 /*--- compute (d0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2440, int_stack+8116, int_stack+7738, int_stack+6208, int_stack+4678, int_stack+3310, 2, 0);
 /*--- compute (d0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+6208, int_stack+1330, int_stack+1240, 6);
 /*--- compute (d0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+4228, int_stack+1456, int_stack+1330, 6);
 /*--- compute (d0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+4606, int_stack+4228, int_stack+6208, 6);
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+6208, int_stack+1624, int_stack+1456, 6);
 /*--- compute (d0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+7468, int_stack+6208, int_stack+4228, 6);
 /*--- compute (d0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+4228, int_stack+1930, int_stack+1840, 6);
 /*--- compute (d0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+6208, int_stack+2056, int_stack+1930, 6);
 /*--- compute (d0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+8224, int_stack+6208, int_stack+4228, 6);
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+540, int_stack+2224, int_stack+2056, 6);
 /*--- compute (d0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+1044, int_stack+540, int_stack+6208, 6);
 /*--- compute (d0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+8764, int_stack+2440, int_stack+0, int_stack+6712, int_stack+5308, int_stack+3688, 2, 0);
     Libr12->te_ptr[3] = int_stack + 8764;
 /*--- compute (d0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+7468, int_stack+4606, 6);
     Libr12->te_ptr[2] = int_stack + 0;
 /*--- compute (d0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+4228, int_stack+1044, int_stack+8224, 6);
     Libr12->te_ptr[1] = int_stack + 4228;
 /*--- compute (d0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+7468, int_stack+6712, int_stack+3688, 6);
     Libr12->te_ptr[0] = int_stack + 7468;

}
