#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_d0hg(Libr12_t *, prim_data *);

  /* Computes (d0|hg) integrals for linear R12-methods */

void hrr_grt_order_d0hg(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[3][5] = int_stack + 0;
 Libr12->t2vrr_classes[2][5] = int_stack + 210;
 Libr12->gvrr_classes[3][6] = int_stack + 336;
 Libr12->t2vrr_classes[2][6] = int_stack + 616;
 Libr12->gvrr_classes[3][7] = int_stack + 784;
 Libr12->t2vrr_classes[2][7] = int_stack + 1144;
 Libr12->gvrr_classes[3][8] = int_stack + 1360;
 Libr12->t2vrr_classes[2][8] = int_stack + 1810;
 Libr12->t2vrr_classes[2][9] = int_stack + 2080;
 Libr12->t1vrr_classes[2][5] = int_stack + 2410;
 Libr12->t1vrr_classes[2][6] = int_stack + 2536;
 Libr12->t1vrr_classes[2][7] = int_stack + 2704;
 Libr12->t1vrr_classes[2][8] = int_stack + 2920;
 Libr12->t1vrr_classes[2][9] = int_stack + 3190;
 Libr12->rvrr_classes[2][5] = int_stack + 3520;
 Libr12->rvrr_classes[2][6] = int_stack + 3646;
 Libr12->rvrr_classes[2][7] = int_stack + 3814;
 Libr12->rvrr_classes[2][8] = int_stack + 4030;
 Libr12->rvrr_classes[2][9] = int_stack + 4300;
 Libr12->gvrr_classes[2][5] = int_stack + 4630;
 Libr12->gvrr_classes[2][6] = int_stack + 4756;
 Libr12->gvrr_classes[2][7] = int_stack + 4924;
 Libr12->gvrr_classes[2][8] = int_stack + 5140;
 Libr12->gvrr_classes[2][9] = int_stack + 5410;
 memset(int_stack,0,5740*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 5740;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_d0hg(Libr12, Data);
   Data++;
 }

 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+5740, int_stack+4756, int_stack+4630, 6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+6118, int_stack+4924, int_stack+4756, 6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+6622, int_stack+6118, int_stack+5740, 6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+7378, int_stack+5140, int_stack+4924, 6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+8026, int_stack+7378, int_stack+6118, 6);
 /*--- compute (d0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+9034, int_stack+8026, int_stack+6622, 6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+10294, int_stack+336, int_stack+0, 10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+10924, int_stack+784, int_stack+336, 10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+11764, int_stack+10924, int_stack+10294, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+13024, int_stack+1360, int_stack+784, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+14104, int_stack+13024, int_stack+10924, 10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+15784, int_stack+14104, int_stack+11764, 10);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+17884, int_stack+5410, int_stack+5140, 6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+18694, int_stack+17884, int_stack+7378, 6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+19990, int_stack+18694, int_stack+8026, 6);
 /*--- compute (d0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+21670, int_stack+616, int_stack+210, int_stack+4756, int_stack+0, int_stack+4630, 2, 0);
 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22048, int_stack+1144, int_stack+616, int_stack+4924, int_stack+336, int_stack+4756, 2, 0);
 /*--- compute (d0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+22048, int_stack+21670, int_stack+6118, int_stack+10294, int_stack+5740, 2, 0);
 /*--- compute (d0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22552, int_stack+1810, int_stack+1144, int_stack+5140, int_stack+784, int_stack+4924, 2, 0);
 /*--- compute (d0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+23200, int_stack+22552, int_stack+22048, int_stack+7378, int_stack+10924, int_stack+6118, 2, 0);
 /*--- compute (d0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+10294, int_stack+23200, int_stack+0, int_stack+8026, int_stack+11764, int_stack+6622, 2, 0);
 /*--- compute (d0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+2080, int_stack+1810, int_stack+5410, int_stack+1360, int_stack+5140, 2, 0);
 /*--- compute (d0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+810, int_stack+0, int_stack+22552, int_stack+17884, int_stack+13024, int_stack+7378, 2, 0);
 /*--- compute (d0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+11554, int_stack+810, int_stack+23200, int_stack+18694, int_stack+14104, int_stack+8026, 2, 0);
 /*--- compute (d0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+17884, int_stack+2536, int_stack+2410, 6);
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+18262, int_stack+2704, int_stack+2536, 6);
 /*--- compute (d0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+18766, int_stack+18262, int_stack+17884, 6);
 /*--- compute (d0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+2920, int_stack+2704, 6);
 /*--- compute (d0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+648, int_stack+0, int_stack+18262, 6);
 /*--- compute (d0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+1656, int_stack+648, int_stack+18766, 6);
 /*--- compute (d0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+17884, int_stack+3190, int_stack+2920, 6);
 /*--- compute (d0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+18694, int_stack+17884, int_stack+0, 6);
 /*--- compute (d0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+13234, int_stack+18694, int_stack+648, 6);
 /*--- compute (d0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+3646, int_stack+3520, 6);
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+378, int_stack+3814, int_stack+3646, 6);
 /*--- compute (d0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+882, int_stack+378, int_stack+0, 6);
 /*--- compute (d0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+17884, int_stack+4030, int_stack+3814, 6);
 /*--- compute (d0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+18532, int_stack+17884, int_stack+378, 6);
 /*--- compute (d0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+21670, int_stack+18532, int_stack+882, 6);
 /*--- compute (d0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+4300, int_stack+4030, 6);
 /*--- compute (d0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+2916, int_stack+0, int_stack+17884, 6);
 /*--- compute (d0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+4212, int_stack+2916, int_stack+18532, 6);
 /*--- compute (d0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+17884, int_stack+11554, int_stack+10294, int_stack+19990, int_stack+15784, int_stack+9034, 2, 0);
     Libr12->te_ptr[3] = int_stack + 17884;
 /*--- compute (d0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+10294, int_stack+13234, int_stack+1656, 6);
     Libr12->te_ptr[2] = int_stack + 10294;
 /*--- compute (d0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+12184, int_stack+4212, int_stack+21670, 6);
     Libr12->te_ptr[1] = int_stack + 12184;
 /*--- compute (d0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+21670, int_stack+19990, int_stack+9034, 6);
     Libr12->te_ptr[0] = int_stack + 21670;

}
