#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_dpgf(Libr12_t *, prim_data *);

  /* Computes (dp|gf) integrals for linear R12-methods */

void hrr_grt_order_dpgf(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[2][4] = int_stack + 0;
 Libr12->t2vrr_classes[2][5] = int_stack + 90;
 Libr12->t2vrr_classes[2][6] = int_stack + 216;
 Libr12->t2vrr_classes[2][7] = int_stack + 384;
 Libr12->gvrr_classes[4][4] = int_stack + 600;
 Libr12->t2vrr_classes[3][4] = int_stack + 825;
 Libr12->gvrr_classes[4][5] = int_stack + 975;
 Libr12->t2vrr_classes[3][5] = int_stack + 1290;
 Libr12->gvrr_classes[4][6] = int_stack + 1500;
 Libr12->t2vrr_classes[3][6] = int_stack + 1920;
 Libr12->t2vrr_classes[3][7] = int_stack + 2200;
 Libr12->gvrr_classes[2][8] = int_stack + 2560;
 Libr12->t1vrr_classes[2][4] = int_stack + 2830;
 Libr12->t1vrr_classes[2][5] = int_stack + 2920;
 Libr12->t1vrr_classes[2][6] = int_stack + 3046;
 Libr12->t1vrr_classes[2][7] = int_stack + 3214;
 Libr12->t1vrr_classes[3][4] = int_stack + 3430;
 Libr12->t1vrr_classes[3][5] = int_stack + 3580;
 Libr12->t1vrr_classes[3][6] = int_stack + 3790;
 Libr12->t1vrr_classes[3][7] = int_stack + 4070;
 Libr12->rvrr_classes[2][4] = int_stack + 4430;
 Libr12->rvrr_classes[2][5] = int_stack + 4520;
 Libr12->rvrr_classes[2][6] = int_stack + 4646;
 Libr12->rvrr_classes[2][7] = int_stack + 4814;
 Libr12->rvrr_classes[3][4] = int_stack + 5030;
 Libr12->rvrr_classes[3][5] = int_stack + 5180;
 Libr12->rvrr_classes[3][6] = int_stack + 5390;
 Libr12->rvrr_classes[3][7] = int_stack + 5670;
 Libr12->gvrr_classes[2][4] = int_stack + 6030;
 Libr12->gvrr_classes[2][5] = int_stack + 6120;
 Libr12->gvrr_classes[2][6] = int_stack + 6246;
 Libr12->gvrr_classes[2][7] = int_stack + 6414;
 Libr12->gvrr_classes[3][4] = int_stack + 6630;
 Libr12->gvrr_classes[3][5] = int_stack + 6780;
 Libr12->gvrr_classes[3][6] = int_stack + 6990;
 Libr12->gvrr_classes[3][7] = int_stack + 7270;
 memset(int_stack,0,7630*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 7630;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_dpgf(Libr12, Data);
   Data++;
 }

 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+7630, int_stack+6120, int_stack+6030, 6);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+7900, int_stack+6246, int_stack+6120, 6);
 /*--- compute (d0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+8278, int_stack+7900, int_stack+7630, 6);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+8818, int_stack+6780, int_stack+6630, 10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+9268, int_stack+6990, int_stack+6780, 10);
 /*--- compute (f0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+9898, int_stack+9268, int_stack+8818, 10);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+10798, int_stack+6414, int_stack+6246, 6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+11302, int_stack+10798, int_stack+7900, 6);
 /*--- compute (d0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+12058, int_stack+90, int_stack+0, int_stack+6120, int_stack+6630, int_stack+6030, 2, 0);
 /*--- compute (d0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+12328, int_stack+216, int_stack+90, int_stack+6246, int_stack+6780, int_stack+6120, 2, 0);
 /*--- compute (d0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+12706, int_stack+12328, int_stack+12058, int_stack+7900, int_stack+8818, int_stack+7630, 2, 0);
 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+13246, int_stack+384, int_stack+216, int_stack+6414, int_stack+6990, int_stack+6246, 2, 0);
 /*--- compute (d0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+13750, int_stack+13246, int_stack+12328, int_stack+10798, int_stack+9268, int_stack+7900, 2, 0);
 /*--- compute (d0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+14506, int_stack+13750, int_stack+12706, int_stack+11302, int_stack+9898, int_stack+8278, 2, 0);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+12058, int_stack+975, int_stack+600, 15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+12733, int_stack+1500, int_stack+975, 15);
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+15406, int_stack+12733, int_stack+12058, 15);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+16756, int_stack+7270, int_stack+6990, 10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+17596, int_stack+16756, int_stack+9268, 10);
 /*--- compute (f0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7630, int_stack+1290, int_stack+825, int_stack+6780, int_stack+600, int_stack+6630, 3, 0);
 /*--- compute (f0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+13678, int_stack+1920, int_stack+1290, int_stack+6990, int_stack+975, int_stack+6780, 3, 0);
 /*--- compute (f0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+13678, int_stack+7630, int_stack+9268, int_stack+12058, int_stack+8818, 3, 0);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+18856, int_stack+2200, int_stack+1920, int_stack+7270, int_stack+1500, int_stack+6990, 3, 0);
 /*--- compute (f0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6630, int_stack+18856, int_stack+13678, int_stack+16756, int_stack+12733, int_stack+9268, 3, 0);
 /*--- compute (f0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+12058, int_stack+6630, int_stack+0, int_stack+17596, int_stack+15406, int_stack+9898, 3, 0);
 /*--- compute (d0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+15406, int_stack+11302, int_stack+8278, 6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+16306, int_stack+2560, int_stack+6414, 6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+0, int_stack+16306, int_stack+10798, 6);
 /*--- compute (d0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+16306, int_stack+0, int_stack+11302, 6);
 /*--- compute (f0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+17596, int_stack+9898, 10);
 /*--- compute (d0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+1500, int_stack+2920, int_stack+2830, 6);
 /*--- compute (d0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+1770, int_stack+3046, int_stack+2920, 6);
 /*--- compute (d0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+2148, int_stack+1770, int_stack+1500, 6);
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+17566, int_stack+3214, int_stack+3046, 6);
 /*--- compute (d0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+18070, int_stack+17566, int_stack+1770, 6);
 /*--- compute (d0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+18826, int_stack+18070, int_stack+2148, 6);
 /*--- compute (f0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+17566, int_stack+3580, int_stack+3430, 10);
 /*--- compute (f0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+18016, int_stack+3790, int_stack+3580, 10);
 /*--- compute (f0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+1500, int_stack+18016, int_stack+17566, 10);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2400, int_stack+4070, int_stack+3790, 10);
 /*--- compute (f0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+6030, int_stack+2400, int_stack+18016, 10);
 /*--- compute (f0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+2400, int_stack+6030, int_stack+1500, 10);
 /*--- compute (d0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+1500, int_stack+4520, int_stack+4430, 6);
 /*--- compute (d0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+1770, int_stack+4646, int_stack+4520, 6);
 /*--- compute (d0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+6030, int_stack+1770, int_stack+1500, 6);
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+6570, int_stack+4814, int_stack+4646, 6);
 /*--- compute (d0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+7074, int_stack+6570, int_stack+1770, 6);
 /*--- compute (d0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+1500, int_stack+7074, int_stack+6030, 6);
 /*--- compute (f0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+6030, int_stack+5180, int_stack+5030, 10);
 /*--- compute (f0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+6480, int_stack+5390, int_stack+5180, 10);
 /*--- compute (f0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+7110, int_stack+6480, int_stack+6030, 10);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+8010, int_stack+5670, int_stack+5390, 10);
 /*--- compute (f0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+17566, int_stack+8010, int_stack+6480, 10);
 /*--- compute (f0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+8010, int_stack+17566, int_stack+7110, 10);
 /*--- compute (dp|[r12,T2]|gf) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+3900, int_stack+12058, int_stack+14506, 150);
     Libr12->te_ptr[3] = int_stack + 3900;
 /*--- compute (dp|[r12,T1]|gf) ---*/
   t1hrr1_build_dp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+9510, int_stack+2400, int_stack+18826, int_stack+0, int_stack+16306, int_stack+15406, 4, 3);
     Libr12->te_ptr[2] = int_stack + 9510;
 /*--- compute (dp||gf) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+16306, int_stack+8010, int_stack+1500, 150);
     Libr12->te_ptr[1] = int_stack + 16306;
 /*--- compute (dp|gf) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+12210, int_stack+0, int_stack+15406, 150);
     Libr12->te_ptr[0] = int_stack + 12210;

}
