#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_dph0(Libr12_t *, prim_data *);

  /* Computes (dp|h0) integrals for linear R12-methods */

void hrr_grt_order_dph0(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[2][5] = int_stack + 0;
 Libr12->t2vrr_classes[3][5] = int_stack + 126;
 Libr12->gvrr_classes[2][6] = int_stack + 336;
 Libr12->t1vrr_classes[2][5] = int_stack + 504;
 Libr12->t1vrr_classes[3][5] = int_stack + 630;
 Libr12->rvrr_classes[2][5] = int_stack + 840;
 Libr12->rvrr_classes[3][5] = int_stack + 966;
 Libr12->gvrr_classes[2][5] = int_stack + 1176;
 Libr12->gvrr_classes[3][5] = int_stack + 1302;
 memset(int_stack,0,1512*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 1512;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_dph0(Libr12, Data);
   Data++;
 }

 /*--- compute (dp|[r12,T2]|h0) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+1512, int_stack+126, int_stack+0, 21);
     Libr12->te_ptr[3] = int_stack + 1512;
 /*--- compute (dp|[r12,T1]|h0) ---*/
   t1hrr1_build_dp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1890, int_stack+630, int_stack+504, int_stack+1302, int_stack+336, int_stack+1176, 5, 0);
     Libr12->te_ptr[2] = int_stack + 1890;
 /*--- compute (dp||h0) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+966, int_stack+840, 21);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (dp|h0) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+378, int_stack+1302, int_stack+1176, 21);
     Libr12->te_ptr[0] = int_stack + 378;

}
