#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_f0fp(Libr12_t *, prim_data *);

  /* Computes (f0|fp) integrals for linear R12-methods */

void hrr_grt_order_f0fp(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[4][3] = int_stack + 0;
 Libr12->t2vrr_classes[3][3] = int_stack + 150;
 Libr12->t2vrr_classes[3][4] = int_stack + 250;
 Libr12->t1vrr_classes[3][3] = int_stack + 400;
 Libr12->t1vrr_classes[3][4] = int_stack + 500;
 Libr12->rvrr_classes[3][3] = int_stack + 650;
 Libr12->rvrr_classes[3][4] = int_stack + 750;
 Libr12->gvrr_classes[3][3] = int_stack + 900;
 Libr12->gvrr_classes[3][4] = int_stack + 1000;
 memset(int_stack,0,1150*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 1150;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_f0fp(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1150, int_stack+250, int_stack+150, int_stack+1000, int_stack+0, int_stack+900, 3, 0);
     Libr12->te_ptr[3] = int_stack + 1150;
 /*--- compute (f0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+500, int_stack+400, 10);
     Libr12->te_ptr[2] = int_stack + 0;
 /*--- compute (f0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+300, int_stack+750, int_stack+650, 10);
     Libr12->te_ptr[1] = int_stack + 300;
 /*--- compute (f0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+600, int_stack+1000, int_stack+900, 10);
     Libr12->te_ptr[0] = int_stack + 600;

}
