#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_fdgf(Libr12_t *, prim_data *);

  /* Computes (fd|gf) integrals for linear R12-methods */

void hrr_grt_order_fdgf(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][4] = int_stack + 0;
 Libr12->t2vrr_classes[3][5] = int_stack + 150;
 Libr12->t2vrr_classes[3][6] = int_stack + 360;
 Libr12->t2vrr_classes[3][7] = int_stack + 640;
 Libr12->t2vrr_classes[4][4] = int_stack + 1000;
 Libr12->t2vrr_classes[4][5] = int_stack + 1225;
 Libr12->t2vrr_classes[4][6] = int_stack + 1540;
 Libr12->t2vrr_classes[4][7] = int_stack + 1960;
 Libr12->gvrr_classes[6][4] = int_stack + 2500;
 Libr12->t2vrr_classes[5][4] = int_stack + 2920;
 Libr12->gvrr_classes[6][5] = int_stack + 3235;
 Libr12->t2vrr_classes[5][5] = int_stack + 3823;
 Libr12->gvrr_classes[6][6] = int_stack + 4264;
 Libr12->t2vrr_classes[5][6] = int_stack + 5048;
 Libr12->t2vrr_classes[5][7] = int_stack + 5636;
 Libr12->gvrr_classes[3][8] = int_stack + 6392;
 Libr12->t1vrr_classes[3][4] = int_stack + 6842;
 Libr12->t1vrr_classes[3][5] = int_stack + 6992;
 Libr12->t1vrr_classes[3][6] = int_stack + 7202;
 Libr12->t1vrr_classes[3][7] = int_stack + 7482;
 Libr12->gvrr_classes[4][8] = int_stack + 7842;
 Libr12->t1vrr_classes[4][4] = int_stack + 8517;
 Libr12->t1vrr_classes[4][5] = int_stack + 8742;
 Libr12->t1vrr_classes[4][6] = int_stack + 9057;
 Libr12->t1vrr_classes[4][7] = int_stack + 9477;
 Libr12->t1vrr_classes[5][4] = int_stack + 10017;
 Libr12->t1vrr_classes[5][5] = int_stack + 10332;
 Libr12->t1vrr_classes[5][6] = int_stack + 10773;
 Libr12->t1vrr_classes[5][7] = int_stack + 11361;
 Libr12->rvrr_classes[3][4] = int_stack + 12117;
 Libr12->rvrr_classes[3][5] = int_stack + 12267;
 Libr12->rvrr_classes[3][6] = int_stack + 12477;
 Libr12->rvrr_classes[3][7] = int_stack + 12757;
 Libr12->rvrr_classes[4][4] = int_stack + 13117;
 Libr12->rvrr_classes[4][5] = int_stack + 13342;
 Libr12->rvrr_classes[4][6] = int_stack + 13657;
 Libr12->rvrr_classes[4][7] = int_stack + 14077;
 Libr12->rvrr_classes[5][4] = int_stack + 14617;
 Libr12->rvrr_classes[5][5] = int_stack + 14932;
 Libr12->rvrr_classes[5][6] = int_stack + 15373;
 Libr12->rvrr_classes[5][7] = int_stack + 15961;
 Libr12->gvrr_classes[3][4] = int_stack + 16717;
 Libr12->gvrr_classes[3][5] = int_stack + 16867;
 Libr12->gvrr_classes[3][6] = int_stack + 17077;
 Libr12->gvrr_classes[3][7] = int_stack + 17357;
 Libr12->gvrr_classes[4][4] = int_stack + 17717;
 Libr12->gvrr_classes[4][5] = int_stack + 17942;
 Libr12->gvrr_classes[4][6] = int_stack + 18257;
 Libr12->gvrr_classes[4][7] = int_stack + 18677;
 Libr12->gvrr_classes[5][4] = int_stack + 19217;
 Libr12->gvrr_classes[5][5] = int_stack + 19532;
 Libr12->gvrr_classes[5][6] = int_stack + 19973;
 Libr12->gvrr_classes[5][7] = int_stack + 20561;
 memset(int_stack,0,21317*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 21317;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_fdgf(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+21317, int_stack+16867, int_stack+16717, 10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+21767, int_stack+17077, int_stack+16867, 10);
 /*--- compute (f0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+22397, int_stack+21767, int_stack+21317, 10);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+23297, int_stack+17942, int_stack+17717, 15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+23972, int_stack+18257, int_stack+17942, 15);
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+24917, int_stack+23972, int_stack+23297, 15);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+26267, int_stack+17357, int_stack+17077, 10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+27107, int_stack+26267, int_stack+21767, 10);
 /*--- compute (f0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+28367, int_stack+150, int_stack+0, int_stack+16867, int_stack+17717, int_stack+16717, 3, 0);
 /*--- compute (f0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+28817, int_stack+360, int_stack+150, int_stack+17077, int_stack+17942, int_stack+16867, 3, 0);
 /*--- compute (f0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+29447, int_stack+28817, int_stack+28367, int_stack+21767, int_stack+23297, int_stack+21317, 3, 0);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+30347, int_stack+640, int_stack+360, int_stack+17357, int_stack+18257, int_stack+17077, 3, 0);
 /*--- compute (f0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+31187, int_stack+30347, int_stack+28817, int_stack+26267, int_stack+23972, int_stack+21767, 3, 0);
 /*--- compute (f0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+32447, int_stack+31187, int_stack+29447, int_stack+27107, int_stack+24917, int_stack+22397, 3, 0);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+21317, int_stack+19532, int_stack+19217, 21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+28367, int_stack+19973, int_stack+19532, 21);
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+29690, int_stack+28367, int_stack+21317, 21);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+33947, int_stack+18677, int_stack+18257, 15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+35207, int_stack+33947, int_stack+23972, 15);
 /*--- compute (g0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+31580, int_stack+1225, int_stack+1000, int_stack+17942, int_stack+19217, int_stack+17717, 4, 0);
 /*--- compute (g0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+1540, int_stack+1225, int_stack+18257, int_stack+19532, int_stack+17942, 4, 0);
 /*--- compute (g0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+37097, int_stack+0, int_stack+31580, int_stack+23972, int_stack+21317, int_stack+23297, 4, 0);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38447, int_stack+1960, int_stack+1540, int_stack+18677, int_stack+19973, int_stack+18257, 4, 0);
 /*--- compute (g0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+39707, int_stack+38447, int_stack+0, int_stack+33947, int_stack+28367, int_stack+23972, 4, 0);
 /*--- compute (g0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+39707, int_stack+37097, int_stack+35207, int_stack+29690, int_stack+24917, 4, 0);
 /*--- compute (fp|[r12,T2]|gf) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+37097, int_stack+0, int_stack+32447, 150);
 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+23297, int_stack+3235, int_stack+2500, 28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+31580, int_stack+4264, int_stack+3235, 28);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+41597, int_stack+31580, int_stack+23297, 28);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+44117, int_stack+20561, int_stack+19973, 21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+45881, int_stack+44117, int_stack+28367, 21);
 /*--- compute (h0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+17717, int_stack+3823, int_stack+2920, int_stack+19532, int_stack+2500, int_stack+19217, 5, 0);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+48527, int_stack+5048, int_stack+3823, int_stack+19973, int_stack+3235, int_stack+19532, 5, 0);
 /*--- compute (h0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2250, int_stack+48527, int_stack+17717, int_stack+28367, int_stack+23297, int_stack+21317, 5, 0);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+49850, int_stack+5636, int_stack+5048, int_stack+20561, int_stack+4264, int_stack+19973, 5, 0);
 /*--- compute (h0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+19217, int_stack+49850, int_stack+48527, int_stack+44117, int_stack+31580, int_stack+28367, 5, 0);
 /*--- compute (h0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+48527, int_stack+19217, int_stack+2250, int_stack+45881, int_stack+41597, int_stack+29690, 5, 0);
 /*--- compute (gp|[r12,T2]|gf) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+51677, int_stack+48527, int_stack+0, 150);
 /*--- compute (f0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+27107, int_stack+22397, 10);
 /*--- compute (g0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+1500, int_stack+35207, int_stack+24917, 15);
 /*--- compute (fp|gf) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+19217, int_stack+1500, int_stack+0, 150);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3750, int_stack+6392, int_stack+17357, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+4830, int_stack+3750, int_stack+26267, 10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+48527, int_stack+4830, int_stack+27107, 10);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3750, int_stack+7842, int_stack+18677, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+41597, int_stack+3750, int_stack+33947, 15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+23717, int_stack+41597, int_stack+35207, 15);
 /*--- compute (fp|hf) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+58427, int_stack+23717, int_stack+48527, 210);
 /*--- compute (h0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+41597, int_stack+45881, int_stack+29690, 21);
 /*--- compute (gp|gf) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+26867, int_stack+41597, int_stack+1500, 150);
 /*--- compute (f0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+44747, int_stack+6992, int_stack+6842, 10);
 /*--- compute (f0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+45197, int_stack+7202, int_stack+6992, 10);
 /*--- compute (f0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+45827, int_stack+45197, int_stack+44747, 10);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+46727, int_stack+7482, int_stack+7202, 10);
 /*--- compute (f0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+3750, int_stack+46727, int_stack+45197, 10);
 /*--- compute (f0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+46727, int_stack+3750, int_stack+45827, 10);
 /*--- compute (g0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+3750, int_stack+8742, int_stack+8517, 15);
 /*--- compute (g0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+4425, int_stack+9057, int_stack+8742, 15);
 /*--- compute (g0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+5370, int_stack+4425, int_stack+3750, 15);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+6720, int_stack+9477, int_stack+9057, 15);
 /*--- compute (g0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+7980, int_stack+6720, int_stack+4425, 15);
 /*--- compute (g0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+33617, int_stack+7980, int_stack+5370, 15);
 /*--- compute (fp|[r12,T1]|gf) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+3750, int_stack+33617, int_stack+46727, int_stack+1500, int_stack+48527, int_stack+0, 4, 3);
 /*--- compute (h0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+10332, int_stack+10017, 21);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+8250, int_stack+10773, int_stack+10332, 21);
 /*--- compute (h0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+44747, int_stack+8250, int_stack+0, 21);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+46637, int_stack+11361, int_stack+10773, 21);
 /*--- compute (h0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+48401, int_stack+46637, int_stack+8250, 21);
 /*--- compute (h0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+8250, int_stack+48401, int_stack+44747, 21);
 /*--- compute (gp|[r12,T1]|gf) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+44747, int_stack+8250, int_stack+33617, int_stack+41597, int_stack+23717, int_stack+1500, 4, 3);
 /*--- compute (f0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+23717, int_stack+12267, int_stack+12117, 10);
 /*--- compute (f0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+24167, int_stack+12477, int_stack+12267, 10);
 /*--- compute (f0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+24797, int_stack+24167, int_stack+23717, 10);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+25697, int_stack+12757, int_stack+12477, 10);
 /*--- compute (f0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+41597, int_stack+25697, int_stack+24167, 10);
 /*--- compute (f0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+42857, int_stack+41597, int_stack+24797, 10);
 /*--- compute (g0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+41597, int_stack+13342, int_stack+13117, 15);
 /*--- compute (g0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+23717, int_stack+13657, int_stack+13342, 15);
 /*--- compute (g0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+24662, int_stack+23717, int_stack+41597, 15);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+41597, int_stack+14077, int_stack+13657, 15);
 /*--- compute (g0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+33617, int_stack+41597, int_stack+23717, 15);
 /*--- compute (g0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+8250, int_stack+33617, int_stack+24662, 15);
 /*--- compute (fp||gf) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+64727, int_stack+8250, int_stack+42857, 150);
 /*--- compute (h0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+33617, int_stack+14932, int_stack+14617, 21);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+34562, int_stack+15373, int_stack+14932, 21);
 /*--- compute (h0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+23717, int_stack+34562, int_stack+33617, 21);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+41597, int_stack+15961, int_stack+15373, 21);
 /*--- compute (h0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+10500, int_stack+41597, int_stack+34562, 21);
 /*--- compute (h0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+41597, int_stack+10500, int_stack+23717, 21);
 /*--- compute (gp||gf) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+10500, int_stack+41597, int_stack+8250, 150);
 /*--- compute (fd|[r12,T2]|gf) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+69227, int_stack+51677, int_stack+37097, 150);
     Libr12->te_ptr[3] = int_stack + 69227;
 /*--- compute (fd|[r12,T1]|gf) ---*/
   t1hrr1_build_fd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+33617, int_stack+44747, int_stack+3750, int_stack+26867, int_stack+58427, int_stack+19217, 4, 3);
     Libr12->te_ptr[2] = int_stack + 33617;
 /*--- compute (fd||gf) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+42617, int_stack+10500, int_stack+64727, 150);
     Libr12->te_ptr[1] = int_stack + 42617;
 /*--- compute (fd|gf) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+51617, int_stack+26867, int_stack+19217, 150);
     Libr12->te_ptr[0] = int_stack + 51617;

}
