#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_fdhf(Libr12_t *, prim_data *);

  /* Computes (fd|hf) integrals for linear R12-methods */

void hrr_grt_order_fdhf(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][5] = int_stack + 0;
 Libr12->t2vrr_classes[3][6] = int_stack + 210;
 Libr12->t2vrr_classes[3][7] = int_stack + 490;
 Libr12->t2vrr_classes[3][8] = int_stack + 850;
 Libr12->t2vrr_classes[4][5] = int_stack + 1300;
 Libr12->t2vrr_classes[4][6] = int_stack + 1615;
 Libr12->t2vrr_classes[4][7] = int_stack + 2035;
 Libr12->t2vrr_classes[4][8] = int_stack + 2575;
 Libr12->gvrr_classes[6][5] = int_stack + 3250;
 Libr12->t2vrr_classes[5][5] = int_stack + 3838;
 Libr12->gvrr_classes[6][6] = int_stack + 4279;
 Libr12->t2vrr_classes[5][6] = int_stack + 5063;
 Libr12->gvrr_classes[6][7] = int_stack + 5651;
 Libr12->t2vrr_classes[5][7] = int_stack + 6659;
 Libr12->t2vrr_classes[5][8] = int_stack + 7415;
 Libr12->gvrr_classes[3][9] = int_stack + 8360;
 Libr12->t1vrr_classes[3][5] = int_stack + 8910;
 Libr12->t1vrr_classes[3][6] = int_stack + 9120;
 Libr12->t1vrr_classes[3][7] = int_stack + 9400;
 Libr12->t1vrr_classes[3][8] = int_stack + 9760;
 Libr12->gvrr_classes[4][9] = int_stack + 10210;
 Libr12->t1vrr_classes[4][5] = int_stack + 11035;
 Libr12->t1vrr_classes[4][6] = int_stack + 11350;
 Libr12->t1vrr_classes[4][7] = int_stack + 11770;
 Libr12->t1vrr_classes[4][8] = int_stack + 12310;
 Libr12->t1vrr_classes[5][5] = int_stack + 12985;
 Libr12->t1vrr_classes[5][6] = int_stack + 13426;
 Libr12->t1vrr_classes[5][7] = int_stack + 14014;
 Libr12->t1vrr_classes[5][8] = int_stack + 14770;
 Libr12->rvrr_classes[3][5] = int_stack + 15715;
 Libr12->rvrr_classes[3][6] = int_stack + 15925;
 Libr12->rvrr_classes[3][7] = int_stack + 16205;
 Libr12->rvrr_classes[3][8] = int_stack + 16565;
 Libr12->rvrr_classes[4][5] = int_stack + 17015;
 Libr12->rvrr_classes[4][6] = int_stack + 17330;
 Libr12->rvrr_classes[4][7] = int_stack + 17750;
 Libr12->rvrr_classes[4][8] = int_stack + 18290;
 Libr12->rvrr_classes[5][5] = int_stack + 18965;
 Libr12->rvrr_classes[5][6] = int_stack + 19406;
 Libr12->rvrr_classes[5][7] = int_stack + 19994;
 Libr12->rvrr_classes[5][8] = int_stack + 20750;
 Libr12->gvrr_classes[3][5] = int_stack + 21695;
 Libr12->gvrr_classes[3][6] = int_stack + 21905;
 Libr12->gvrr_classes[3][7] = int_stack + 22185;
 Libr12->gvrr_classes[3][8] = int_stack + 22545;
 Libr12->gvrr_classes[4][5] = int_stack + 22995;
 Libr12->gvrr_classes[4][6] = int_stack + 23310;
 Libr12->gvrr_classes[4][7] = int_stack + 23730;
 Libr12->gvrr_classes[4][8] = int_stack + 24270;
 Libr12->gvrr_classes[5][5] = int_stack + 24945;
 Libr12->gvrr_classes[5][6] = int_stack + 25386;
 Libr12->gvrr_classes[5][7] = int_stack + 25974;
 Libr12->gvrr_classes[5][8] = int_stack + 26730;
 memset(int_stack,0,27675*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 27675;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_fdhf(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+27675, int_stack+21905, int_stack+21695, 10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+28305, int_stack+22185, int_stack+21905, 10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+29145, int_stack+28305, int_stack+27675, 10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+30405, int_stack+23310, int_stack+22995, 15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+31350, int_stack+23730, int_stack+23310, 15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+32610, int_stack+31350, int_stack+30405, 15);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+34500, int_stack+22545, int_stack+22185, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+35580, int_stack+34500, int_stack+28305, 10);
 /*--- compute (f0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+37260, int_stack+210, int_stack+0, int_stack+21905, int_stack+22995, int_stack+21695, 3, 0);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+37890, int_stack+490, int_stack+210, int_stack+22185, int_stack+23310, int_stack+21905, 3, 0);
 /*--- compute (f0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38730, int_stack+37890, int_stack+37260, int_stack+28305, int_stack+30405, int_stack+27675, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+39990, int_stack+850, int_stack+490, int_stack+22545, int_stack+23730, int_stack+22185, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+41070, int_stack+39990, int_stack+37890, int_stack+34500, int_stack+31350, int_stack+28305, 3, 0);
 /*--- compute (f0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+42750, int_stack+41070, int_stack+38730, int_stack+35580, int_stack+32610, int_stack+29145, 3, 0);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+27675, int_stack+25386, int_stack+24945, 21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+37260, int_stack+25974, int_stack+25386, 21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+39024, int_stack+37260, int_stack+27675, 21);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+44850, int_stack+24270, int_stack+23730, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+46470, int_stack+44850, int_stack+31350, 15);
 /*--- compute (g0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+41670, int_stack+1615, int_stack+1300, int_stack+23310, int_stack+24945, int_stack+22995, 4, 0);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+2035, int_stack+1615, int_stack+23730, int_stack+25386, int_stack+23310, 4, 0);
 /*--- compute (g0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+48990, int_stack+0, int_stack+41670, int_stack+31350, int_stack+27675, int_stack+30405, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+50880, int_stack+2575, int_stack+2035, int_stack+24270, int_stack+25974, int_stack+23730, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+52500, int_stack+50880, int_stack+0, int_stack+44850, int_stack+37260, int_stack+31350, 4, 0);
 /*--- compute (g0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+52500, int_stack+48990, int_stack+46470, int_stack+39024, int_stack+32610, 4, 0);
 /*--- compute (fp|[r12,T2]|hf) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+48990, int_stack+0, int_stack+42750, 210);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+30405, int_stack+4279, int_stack+3250, 28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+41670, int_stack+5651, int_stack+4279, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+55290, int_stack+41670, int_stack+30405, 28);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+58818, int_stack+26730, int_stack+25974, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+61086, int_stack+58818, int_stack+37260, 21);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+64614, int_stack+5063, int_stack+3838, int_stack+25386, int_stack+3250, int_stack+24945, 5, 0);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+65937, int_stack+6659, int_stack+5063, int_stack+25974, int_stack+4279, int_stack+25386, 5, 0);
 /*--- compute (h0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+67701, int_stack+65937, int_stack+64614, int_stack+37260, int_stack+30405, int_stack+27675, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3150, int_stack+7415, int_stack+6659, int_stack+26730, int_stack+5651, int_stack+25974, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+24945, int_stack+3150, int_stack+65937, int_stack+58818, int_stack+41670, int_stack+37260, 5, 0);
 /*--- compute (h0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3150, int_stack+24945, int_stack+67701, int_stack+61086, int_stack+55290, int_stack+39024, 5, 0);
 /*--- compute (gp|[r12,T2]|hf) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+64614, int_stack+3150, int_stack+0, 210);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+35580, int_stack+29145, 10);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+2100, int_stack+46470, int_stack+32610, 15);
 /*--- compute (fp|hf) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+24945, int_stack+2100, int_stack+0, 210);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+5250, int_stack+8360, int_stack+22545, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+6600, int_stack+5250, int_stack+34500, 10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+55290, int_stack+6600, int_stack+35580, 10);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+5250, int_stack+10210, int_stack+24270, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+31245, int_stack+5250, int_stack+44850, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+34485, int_stack+31245, int_stack+46470, 15);
 /*--- compute (fp|if) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+74064, int_stack+34485, int_stack+55290, 280);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+41670, int_stack+61086, int_stack+39024, 21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+82464, int_stack+41670, int_stack+2100, 210);
 /*--- compute (f0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+31245, int_stack+9120, int_stack+8910, 10);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+31875, int_stack+9400, int_stack+9120, 10);
 /*--- compute (f0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+32715, int_stack+31875, int_stack+31245, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+5250, int_stack+9760, int_stack+9400, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+6330, int_stack+5250, int_stack+31875, 10);
 /*--- compute (f0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+8010, int_stack+6330, int_stack+32715, 10);
 /*--- compute (g0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+5250, int_stack+11350, int_stack+11035, 15);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+6195, int_stack+11770, int_stack+11350, 15);
 /*--- compute (g0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+31245, int_stack+6195, int_stack+5250, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+10110, int_stack+12310, int_stack+11770, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+58090, int_stack+10110, int_stack+6195, 15);
 /*--- compute (g0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+60610, int_stack+58090, int_stack+31245, 15);
 /*--- compute (fp|[r12,T1]|hf) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+91914, int_stack+60610, int_stack+8010, int_stack+2100, int_stack+55290, int_stack+0, 5, 3);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+13426, int_stack+12985, 21);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+55290, int_stack+14014, int_stack+13426, 21);
 /*--- compute (h0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+57054, int_stack+55290, int_stack+0, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+31245, int_stack+14770, int_stack+14014, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+5250, int_stack+31245, int_stack+55290, 21);
 /*--- compute (h0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+8778, int_stack+5250, int_stack+57054, 21);
 /*--- compute (gp|[r12,T1]|hf) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+98214, int_stack+8778, int_stack+60610, int_stack+41670, int_stack+34485, int_stack+2100, 5, 3);
 /*--- compute (f0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+55290, int_stack+15925, int_stack+15715, 10);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+55920, int_stack+16205, int_stack+15925, 10);
 /*--- compute (f0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+56760, int_stack+55920, int_stack+55290, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+58020, int_stack+16565, int_stack+16205, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+59100, int_stack+58020, int_stack+55920, 10);
 /*--- compute (f0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+60780, int_stack+59100, int_stack+56760, 10);
 /*--- compute (g0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+55290, int_stack+17330, int_stack+17015, 15);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+56235, int_stack+17750, int_stack+17330, 15);
 /*--- compute (g0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+57495, int_stack+56235, int_stack+55290, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+62880, int_stack+18290, int_stack+17750, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+31245, int_stack+62880, int_stack+56235, 15);
 /*--- compute (g0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+33765, int_stack+31245, int_stack+57495, 15);
 /*--- compute (fp||hf) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+36915, int_stack+33765, int_stack+60780, 210);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+31245, int_stack+19406, int_stack+18965, 21);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+55290, int_stack+19994, int_stack+19406, 21);
 /*--- compute (h0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+57054, int_stack+55290, int_stack+31245, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+31245, int_stack+20750, int_stack+19994, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+59700, int_stack+31245, int_stack+55290, 21);
 /*--- compute (h0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+43215, int_stack+59700, int_stack+57054, 21);
 /*--- compute (gp||hf) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+43215, int_stack+33765, 210);
 /*--- compute (fd|[r12,T2]|hf) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+9450, int_stack+64614, int_stack+48990, 210);
     Libr12->te_ptr[3] = int_stack + 9450;
 /*--- compute (fd|[r12,T1]|hf) ---*/
   t1hrr1_build_fd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+43215, int_stack+98214, int_stack+91914, int_stack+82464, int_stack+74064, int_stack+24945, 5, 3);
     Libr12->te_ptr[2] = int_stack + 43215;
 /*--- compute (fd||hf) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+91914, int_stack+0, int_stack+36915, 210);
     Libr12->te_ptr[1] = int_stack + 91914;
 /*--- compute (fd|hf) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+55815, int_stack+82464, int_stack+24945, 210);
     Libr12->te_ptr[0] = int_stack + 55815;

}
