#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_fphg(Libr12_t *, prim_data *);

  /* Computes (fp|hg) integrals for linear R12-methods */

void hrr_grt_order_fphg(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][5] = int_stack + 0;
 Libr12->t2vrr_classes[3][6] = int_stack + 210;
 Libr12->t2vrr_classes[3][7] = int_stack + 490;
 Libr12->t2vrr_classes[3][8] = int_stack + 850;
 Libr12->t2vrr_classes[3][9] = int_stack + 1300;
 Libr12->gvrr_classes[5][5] = int_stack + 1850;
 Libr12->t2vrr_classes[4][5] = int_stack + 2291;
 Libr12->gvrr_classes[5][6] = int_stack + 2606;
 Libr12->t2vrr_classes[4][6] = int_stack + 3194;
 Libr12->gvrr_classes[5][7] = int_stack + 3614;
 Libr12->t2vrr_classes[4][7] = int_stack + 4370;
 Libr12->gvrr_classes[5][8] = int_stack + 4910;
 Libr12->t2vrr_classes[4][8] = int_stack + 5855;
 Libr12->t2vrr_classes[4][9] = int_stack + 6530;
 Libr12->gvrr_classes[3][10] = int_stack + 7355;
 Libr12->t1vrr_classes[3][5] = int_stack + 8015;
 Libr12->t1vrr_classes[3][6] = int_stack + 8225;
 Libr12->t1vrr_classes[3][7] = int_stack + 8505;
 Libr12->t1vrr_classes[3][8] = int_stack + 8865;
 Libr12->t1vrr_classes[3][9] = int_stack + 9315;
 Libr12->t1vrr_classes[4][5] = int_stack + 9865;
 Libr12->t1vrr_classes[4][6] = int_stack + 10180;
 Libr12->t1vrr_classes[4][7] = int_stack + 10600;
 Libr12->t1vrr_classes[4][8] = int_stack + 11140;
 Libr12->t1vrr_classes[4][9] = int_stack + 11815;
 Libr12->rvrr_classes[3][5] = int_stack + 12640;
 Libr12->rvrr_classes[3][6] = int_stack + 12850;
 Libr12->rvrr_classes[3][7] = int_stack + 13130;
 Libr12->rvrr_classes[3][8] = int_stack + 13490;
 Libr12->rvrr_classes[3][9] = int_stack + 13940;
 Libr12->rvrr_classes[4][5] = int_stack + 14490;
 Libr12->rvrr_classes[4][6] = int_stack + 14805;
 Libr12->rvrr_classes[4][7] = int_stack + 15225;
 Libr12->rvrr_classes[4][8] = int_stack + 15765;
 Libr12->rvrr_classes[4][9] = int_stack + 16440;
 Libr12->gvrr_classes[3][5] = int_stack + 17265;
 Libr12->gvrr_classes[3][6] = int_stack + 17475;
 Libr12->gvrr_classes[3][7] = int_stack + 17755;
 Libr12->gvrr_classes[3][8] = int_stack + 18115;
 Libr12->gvrr_classes[3][9] = int_stack + 18565;
 Libr12->gvrr_classes[4][5] = int_stack + 19115;
 Libr12->gvrr_classes[4][6] = int_stack + 19430;
 Libr12->gvrr_classes[4][7] = int_stack + 19850;
 Libr12->gvrr_classes[4][8] = int_stack + 20390;
 Libr12->gvrr_classes[4][9] = int_stack + 21065;
 memset(int_stack,0,21890*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 21890;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_fphg(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+21890, int_stack+17475, int_stack+17265, 10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+22520, int_stack+17755, int_stack+17475, 10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+23360, int_stack+22520, int_stack+21890, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+24620, int_stack+18115, int_stack+17755, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+25700, int_stack+24620, int_stack+22520, 10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+27380, int_stack+25700, int_stack+23360, 10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+29480, int_stack+19430, int_stack+19115, 15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+30425, int_stack+19850, int_stack+19430, 15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+31685, int_stack+30425, int_stack+29480, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+33575, int_stack+20390, int_stack+19850, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+35195, int_stack+33575, int_stack+30425, 15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+37715, int_stack+35195, int_stack+31685, 15);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+40865, int_stack+18565, int_stack+18115, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+42215, int_stack+40865, int_stack+24620, 10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+44375, int_stack+42215, int_stack+25700, 10);
 /*--- compute (f0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+47175, int_stack+210, int_stack+0, int_stack+17475, int_stack+19115, int_stack+17265, 3, 0);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+47805, int_stack+490, int_stack+210, int_stack+17755, int_stack+19430, int_stack+17475, 3, 0);
 /*--- compute (f0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+48645, int_stack+47805, int_stack+47175, int_stack+22520, int_stack+29480, int_stack+21890, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+49905, int_stack+850, int_stack+490, int_stack+18115, int_stack+19850, int_stack+17755, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+50985, int_stack+49905, int_stack+47805, int_stack+24620, int_stack+30425, int_stack+22520, 3, 0);
 /*--- compute (f0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+52665, int_stack+50985, int_stack+48645, int_stack+25700, int_stack+31685, int_stack+23360, 3, 0);
 /*--- compute (f0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+21890, int_stack+1300, int_stack+850, int_stack+18565, int_stack+20390, int_stack+18115, 3, 0);
 /*--- compute (f0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+47175, int_stack+21890, int_stack+49905, int_stack+40865, int_stack+33575, int_stack+24620, 3, 0);
 /*--- compute (f0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+21890, int_stack+47175, int_stack+50985, int_stack+42215, int_stack+35195, int_stack+25700, 3, 0);
 /*--- compute (f0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+47175, int_stack+21890, int_stack+52665, int_stack+44375, int_stack+37715, int_stack+27380, 3, 0);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+21890, int_stack+2606, int_stack+1850, 21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+23213, int_stack+3614, int_stack+2606, 21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+50325, int_stack+23213, int_stack+21890, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+24977, int_stack+4910, int_stack+3614, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+52971, int_stack+24977, int_stack+23213, 21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+56499, int_stack+52971, int_stack+50325, 21);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+60909, int_stack+21065, int_stack+20390, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+62934, int_stack+60909, int_stack+33575, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+66174, int_stack+62934, int_stack+35195, 15);
 /*--- compute (g0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+17265, int_stack+3194, int_stack+2291, int_stack+19430, int_stack+1850, int_stack+19115, 4, 0);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+4370, int_stack+3194, int_stack+19850, int_stack+2606, int_stack+19430, 4, 0);
 /*--- compute (g0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1260, int_stack+0, int_stack+17265, int_stack+30425, int_stack+21890, int_stack+29480, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+70374, int_stack+5855, int_stack+4370, int_stack+20390, int_stack+3614, int_stack+19850, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+71994, int_stack+70374, int_stack+0, int_stack+33575, int_stack+23213, int_stack+30425, 4, 0);
 /*--- compute (g0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+74514, int_stack+71994, int_stack+1260, int_stack+35195, int_stack+50325, int_stack+31685, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+50325, int_stack+6530, int_stack+5855, int_stack+21065, int_stack+4910, int_stack+20390, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+50325, int_stack+70374, int_stack+60909, int_stack+24977, int_stack+33575, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+29480, int_stack+0, int_stack+71994, int_stack+62934, int_stack+52971, int_stack+35195, 4, 0);
 /*--- compute (g0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+29480, int_stack+74514, int_stack+66174, int_stack+56499, int_stack+37715, 4, 0);
 /*--- compute (f0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+29480, int_stack+44375, int_stack+27380, 10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+32630, int_stack+7355, int_stack+18565, 10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+34280, int_stack+32630, int_stack+40865, 10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+70374, int_stack+34280, int_stack+42215, 10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+32630, int_stack+70374, int_stack+44375, 10);
 /*--- compute (g0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+70374, int_stack+66174, int_stack+37715, 15);
 /*--- compute (f0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+75099, int_stack+8225, int_stack+8015, 10);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+75729, int_stack+8505, int_stack+8225, 10);
 /*--- compute (f0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+76569, int_stack+75729, int_stack+75099, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+36830, int_stack+8865, int_stack+8505, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+37910, int_stack+36830, int_stack+75729, 10);
 /*--- compute (f0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+39590, int_stack+37910, int_stack+76569, 10);
 /*--- compute (f0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+75099, int_stack+9315, int_stack+8865, 10);
 /*--- compute (f0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+41690, int_stack+75099, int_stack+36830, 10);
 /*--- compute (f0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+75099, int_stack+41690, int_stack+37910, 10);
 /*--- compute (f0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+41690, int_stack+75099, int_stack+39590, 10);
 /*--- compute (g0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+75099, int_stack+10180, int_stack+9865, 15);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+76044, int_stack+10600, int_stack+10180, 15);
 /*--- compute (g0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+44840, int_stack+76044, int_stack+75099, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+36830, int_stack+11140, int_stack+10600, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+38450, int_stack+36830, int_stack+76044, 15);
 /*--- compute (g0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+4725, int_stack+38450, int_stack+44840, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+44840, int_stack+11815, int_stack+11140, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+7875, int_stack+44840, int_stack+36830, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+50325, int_stack+7875, int_stack+38450, 15);
 /*--- compute (g0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+7875, int_stack+50325, int_stack+4725, 15);
 /*--- compute (f0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+4725, int_stack+12850, int_stack+12640, 10);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+5355, int_stack+13130, int_stack+12850, 10);
 /*--- compute (f0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+6195, int_stack+5355, int_stack+4725, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+50325, int_stack+13490, int_stack+13130, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+51405, int_stack+50325, int_stack+5355, 10);
 /*--- compute (f0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+53085, int_stack+51405, int_stack+6195, 10);
 /*--- compute (f0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+4725, int_stack+13940, int_stack+13490, 10);
 /*--- compute (f0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+55185, int_stack+4725, int_stack+50325, 10);
 /*--- compute (f0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+4725, int_stack+55185, int_stack+51405, 10);
 /*--- compute (f0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+55185, int_stack+4725, int_stack+53085, 10);
 /*--- compute (g0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+4725, int_stack+14805, int_stack+14490, 15);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+5670, int_stack+15225, int_stack+14805, 15);
 /*--- compute (g0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+58335, int_stack+5670, int_stack+4725, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+60225, int_stack+15765, int_stack+15225, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+61845, int_stack+60225, int_stack+5670, 15);
 /*--- compute (g0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+4725, int_stack+61845, int_stack+58335, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+64365, int_stack+16440, int_stack+15765, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+66390, int_stack+64365, int_stack+60225, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+50325, int_stack+66390, int_stack+61845, 15);
 /*--- compute (g0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+58335, int_stack+50325, int_stack+4725, 15);
 /*--- compute (fp|[r12,T2]|hg) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+12600, int_stack+0, int_stack+47175, 315);
     Libr12->te_ptr[3] = int_stack + 12600;
 /*--- compute (fp|[r12,T1]|hg) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+44840, int_stack+7875, int_stack+41690, int_stack+70374, int_stack+32630, int_stack+29480, 5, 4);
     Libr12->te_ptr[2] = int_stack + 44840;
 /*--- compute (fp||hg) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+32630, int_stack+58335, int_stack+55185, 315);
     Libr12->te_ptr[1] = int_stack + 32630;
 /*--- compute (fp|hg) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+70374, int_stack+29480, 315);
     Libr12->te_ptr[0] = int_stack + 0;

}
