#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_g0dd(Libr12_t *, prim_data *);

  /* Computes (g0|dd) integrals for linear R12-methods */

void hrr_grt_order_g0dd(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[5][2] = int_stack + 0;
 Libr12->t2vrr_classes[4][2] = int_stack + 126;
 Libr12->gvrr_classes[5][3] = int_stack + 216;
 Libr12->t2vrr_classes[4][3] = int_stack + 426;
 Libr12->t2vrr_classes[4][4] = int_stack + 576;
 Libr12->t1vrr_classes[4][2] = int_stack + 801;
 Libr12->t1vrr_classes[4][3] = int_stack + 891;
 Libr12->t1vrr_classes[4][4] = int_stack + 1041;
 Libr12->rvrr_classes[4][2] = int_stack + 1266;
 Libr12->rvrr_classes[4][3] = int_stack + 1356;
 Libr12->rvrr_classes[4][4] = int_stack + 1506;
 Libr12->gvrr_classes[4][2] = int_stack + 1731;
 Libr12->gvrr_classes[4][3] = int_stack + 1821;
 Libr12->gvrr_classes[4][4] = int_stack + 1971;
 memset(int_stack,0,2196*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 2196;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_g0dd(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+2196, int_stack+1821, int_stack+1731, 15);
 /*--- compute (h0|dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+2466, int_stack+216, int_stack+0, 21);
 /*--- compute (g0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+2844, int_stack+1971, int_stack+1821, 15);
 /*--- compute (g0|[r12,T2]|dp) ---*/
   t2hrr3_build_dp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3294, int_stack+426, int_stack+126, int_stack+1821, int_stack+0, int_stack+1731, 4, 0);
 /*--- compute (g0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3564, int_stack+576, int_stack+426, int_stack+1971, int_stack+216, int_stack+1821, 4, 0);
 /*--- compute (g0|[r12,T1]|dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+1731, int_stack+891, int_stack+801, 15);
 /*--- compute (g0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+1041, int_stack+891, 15);
 /*--- compute (g0||dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+450, int_stack+1356, int_stack+1266, 15);
 /*--- compute (g0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+720, int_stack+1506, int_stack+1356, 15);
 /*--- compute (g0|[r12,T2]|dd) ---*/
   t2hrr3_build_dd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1170, int_stack+3564, int_stack+3294, int_stack+2844, int_stack+2466, int_stack+2196, 4, 0);
     Libr12->te_ptr[3] = int_stack + 1170;
 /*--- compute (g0|[r12,T1]|dd) ---*/
   hrr3_build_dd(Libr12->ShellQuartet.CD,int_stack+3294, int_stack+0, int_stack+1731, 15);
     Libr12->te_ptr[2] = int_stack + 3294;
 /*--- compute (g0||dd) ---*/
   hrr3_build_dd(Libr12->ShellQuartet.CD,int_stack+3834, int_stack+720, int_stack+450, 15);
     Libr12->te_ptr[1] = int_stack + 3834;
 /*--- compute (g0|dd) ---*/
   hrr3_build_dd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+2844, int_stack+2196, 15);
     Libr12->te_ptr[0] = int_stack + 0;

}
