#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_g0fd(Libr12_t *, prim_data *);

  /* Computes (g0|fd) integrals for linear R12-methods */

void hrr_grt_order_g0fd(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[5][3] = int_stack + 0;
 Libr12->t2vrr_classes[4][3] = int_stack + 210;
 Libr12->gvrr_classes[5][4] = int_stack + 360;
 Libr12->t2vrr_classes[4][4] = int_stack + 675;
 Libr12->t2vrr_classes[4][5] = int_stack + 900;
 Libr12->t1vrr_classes[4][3] = int_stack + 1215;
 Libr12->t1vrr_classes[4][4] = int_stack + 1365;
 Libr12->t1vrr_classes[4][5] = int_stack + 1590;
 Libr12->rvrr_classes[4][3] = int_stack + 1905;
 Libr12->rvrr_classes[4][4] = int_stack + 2055;
 Libr12->rvrr_classes[4][5] = int_stack + 2280;
 Libr12->gvrr_classes[4][3] = int_stack + 2595;
 Libr12->gvrr_classes[4][4] = int_stack + 2745;
 Libr12->gvrr_classes[4][5] = int_stack + 2970;
 memset(int_stack,0,3285*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 3285;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_g0fd(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+3285, int_stack+2745, int_stack+2595, 15);
 /*--- compute (h0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+3735, int_stack+360, int_stack+0, 21);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+4365, int_stack+2970, int_stack+2745, 15);
 /*--- compute (g0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5040, int_stack+675, int_stack+210, int_stack+2745, int_stack+0, int_stack+2595, 4, 0);
 /*--- compute (g0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5490, int_stack+900, int_stack+675, int_stack+2970, int_stack+360, int_stack+2745, 4, 0);
 /*--- compute (g0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+2595, int_stack+1365, int_stack+1215, 15);
 /*--- compute (g0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+1590, int_stack+1365, 15);
 /*--- compute (g0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+675, int_stack+2055, int_stack+1905, 15);
 /*--- compute (g0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+1125, int_stack+2280, int_stack+2055, 15);
 /*--- compute (g0|[r12,T2]|fd) ---*/
   t2hrr3_build_fd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6165, int_stack+5490, int_stack+5040, int_stack+4365, int_stack+3735, int_stack+3285, 4, 0);
     Libr12->te_ptr[3] = int_stack + 6165;
 /*--- compute (g0|[r12,T1]|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+5040, int_stack+0, int_stack+2595, 15);
     Libr12->te_ptr[2] = int_stack + 5040;
 /*--- compute (g0||fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+1800, int_stack+1125, int_stack+675, 15);
     Libr12->te_ptr[1] = int_stack + 1800;
 /*--- compute (g0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+4365, int_stack+3285, 15);
     Libr12->te_ptr[0] = int_stack + 0;

}
