#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_g0fp(Libr12_t *, prim_data *);

  /* Computes (g0|fp) integrals for linear R12-methods */

void hrr_grt_order_g0fp(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[5][3] = int_stack + 0;
 Libr12->t2vrr_classes[4][3] = int_stack + 210;
 Libr12->t2vrr_classes[4][4] = int_stack + 360;
 Libr12->t1vrr_classes[4][3] = int_stack + 585;
 Libr12->t1vrr_classes[4][4] = int_stack + 735;
 Libr12->rvrr_classes[4][3] = int_stack + 960;
 Libr12->rvrr_classes[4][4] = int_stack + 1110;
 Libr12->gvrr_classes[4][3] = int_stack + 1335;
 Libr12->gvrr_classes[4][4] = int_stack + 1485;
 memset(int_stack,0,1710*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 1710;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_g0fp(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1710, int_stack+360, int_stack+210, int_stack+1485, int_stack+0, int_stack+1335, 4, 0);
     Libr12->te_ptr[3] = int_stack + 1710;
 /*--- compute (g0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+735, int_stack+585, 15);
     Libr12->te_ptr[2] = int_stack + 0;
 /*--- compute (g0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+450, int_stack+1110, int_stack+960, 15);
     Libr12->te_ptr[1] = int_stack + 450;
 /*--- compute (g0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+2160, int_stack+1485, int_stack+1335, 15);
     Libr12->te_ptr[0] = int_stack + 2160;

}
