#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gfhd(Libr12_t *, prim_data *);

  /* Computes (gf|hd) integrals for linear R12-methods */

void hrr_grt_order_gfhd(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][5] = int_stack + 0;
 Libr12->t2vrr_classes[4][6] = int_stack + 315;
 Libr12->t2vrr_classes[4][7] = int_stack + 735;
 Libr12->t2vrr_classes[5][5] = int_stack + 1275;
 Libr12->t2vrr_classes[5][6] = int_stack + 1716;
 Libr12->t2vrr_classes[5][7] = int_stack + 2304;
 Libr12->t2vrr_classes[6][5] = int_stack + 3060;
 Libr12->t2vrr_classes[6][6] = int_stack + 3648;
 Libr12->t2vrr_classes[6][7] = int_stack + 4432;
 Libr12->gvrr_classes[8][5] = int_stack + 5440;
 Libr12->t2vrr_classes[7][5] = int_stack + 6385;
 Libr12->gvrr_classes[8][6] = int_stack + 7141;
 Libr12->t2vrr_classes[7][6] = int_stack + 8401;
 Libr12->t2vrr_classes[7][7] = int_stack + 9409;
 Libr12->gvrr_classes[4][8] = int_stack + 10705;
 Libr12->t1vrr_classes[4][5] = int_stack + 11380;
 Libr12->t1vrr_classes[4][6] = int_stack + 11695;
 Libr12->t1vrr_classes[4][7] = int_stack + 12115;
 Libr12->gvrr_classes[5][8] = int_stack + 12655;
 Libr12->t1vrr_classes[5][5] = int_stack + 13600;
 Libr12->t1vrr_classes[5][6] = int_stack + 14041;
 Libr12->t1vrr_classes[5][7] = int_stack + 14629;
 Libr12->gvrr_classes[6][8] = int_stack + 15385;
 Libr12->t1vrr_classes[6][5] = int_stack + 16645;
 Libr12->t1vrr_classes[6][6] = int_stack + 17233;
 Libr12->t1vrr_classes[6][7] = int_stack + 18017;
 Libr12->t1vrr_classes[7][5] = int_stack + 19025;
 Libr12->t1vrr_classes[7][6] = int_stack + 19781;
 Libr12->t1vrr_classes[7][7] = int_stack + 20789;
 Libr12->rvrr_classes[4][5] = int_stack + 22085;
 Libr12->rvrr_classes[4][6] = int_stack + 22400;
 Libr12->rvrr_classes[4][7] = int_stack + 22820;
 Libr12->rvrr_classes[5][5] = int_stack + 23360;
 Libr12->rvrr_classes[5][6] = int_stack + 23801;
 Libr12->rvrr_classes[5][7] = int_stack + 24389;
 Libr12->rvrr_classes[6][5] = int_stack + 25145;
 Libr12->rvrr_classes[6][6] = int_stack + 25733;
 Libr12->rvrr_classes[6][7] = int_stack + 26517;
 Libr12->rvrr_classes[7][5] = int_stack + 27525;
 Libr12->rvrr_classes[7][6] = int_stack + 28281;
 Libr12->rvrr_classes[7][7] = int_stack + 29289;
 Libr12->gvrr_classes[4][5] = int_stack + 30585;
 Libr12->gvrr_classes[4][6] = int_stack + 30900;
 Libr12->gvrr_classes[4][7] = int_stack + 31320;
 Libr12->gvrr_classes[5][5] = int_stack + 31860;
 Libr12->gvrr_classes[5][6] = int_stack + 32301;
 Libr12->gvrr_classes[5][7] = int_stack + 32889;
 Libr12->gvrr_classes[6][5] = int_stack + 33645;
 Libr12->gvrr_classes[6][6] = int_stack + 34233;
 Libr12->gvrr_classes[6][7] = int_stack + 35017;
 Libr12->gvrr_classes[7][5] = int_stack + 36025;
 Libr12->gvrr_classes[7][6] = int_stack + 36781;
 Libr12->gvrr_classes[7][7] = int_stack + 37789;
 memset(int_stack,0,39085*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 39085;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gfhd(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+39085, int_stack+30900, int_stack+30585, 15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+40030, int_stack+32301, int_stack+31860, 21);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+41353, int_stack+31320, int_stack+30900, 15);
 /*--- compute (g0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+42613, int_stack+315, int_stack+0, int_stack+30900, int_stack+31860, int_stack+30585, 4, 0);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+43558, int_stack+735, int_stack+315, int_stack+31320, int_stack+32301, int_stack+30900, 4, 0);
 /*--- compute (g0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+44818, int_stack+43558, int_stack+42613, int_stack+41353, int_stack+40030, int_stack+39085, 4, 0);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+42613, int_stack+34233, int_stack+33645, 28);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+46708, int_stack+32889, int_stack+32301, 21);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+48472, int_stack+1716, int_stack+1275, int_stack+32301, int_stack+33645, int_stack+31860, 5, 0);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+49795, int_stack+2304, int_stack+1716, int_stack+32889, int_stack+34233, int_stack+32301, 5, 0);
 /*--- compute (h0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+49795, int_stack+48472, int_stack+46708, int_stack+42613, int_stack+40030, 5, 0);
 /*--- compute (gp|[r12,T2]|hd) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+48472, int_stack+0, int_stack+44818, 126);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+44377, int_stack+36781, int_stack+36025, 36);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+54142, int_stack+35017, int_stack+34233, 28);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+56494, int_stack+3648, int_stack+3060, int_stack+34233, int_stack+36025, int_stack+33645, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+58258, int_stack+4432, int_stack+3648, int_stack+35017, int_stack+36781, int_stack+34233, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+60610, int_stack+58258, int_stack+56494, int_stack+54142, int_stack+44377, int_stack+42613, 6, 0);
 /*--- compute (hp|[r12,T2]|hd) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+64138, int_stack+60610, int_stack+0, 126);
 /*--- compute (gd|[r12,T2]|hd) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+72076, int_stack+64138, int_stack+48472, 126);
 /*--- compute (l0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+48472, int_stack+7141, int_stack+5440, 45);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+37789, int_stack+36781, 36);
 /*--- compute (k0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+51307, int_stack+8401, int_stack+6385, int_stack+36781, int_stack+5440, int_stack+36025, 7, 0);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3024, int_stack+9409, int_stack+8401, int_stack+37789, int_stack+7141, int_stack+36781, 7, 0);
 /*--- compute (k0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6048, int_stack+3024, int_stack+51307, int_stack+0, int_stack+48472, int_stack+44377, 7, 0);
 /*--- compute (ip|[r12,T2]|hd) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+83416, int_stack+6048, int_stack+60610, 126);
 /*--- compute (hd|[r12,T2]|hd) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+94000, int_stack+83416, int_stack+64138, 126);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+83416, int_stack+41353, int_stack+39085, 15);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+85306, int_stack+46708, int_stack+40030, 21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+48472, int_stack+85306, int_stack+83416, 126);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+87952, int_stack+54142, int_stack+42613, 28);
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+56494, int_stack+87952, int_stack+85306, 126);
 /*--- compute (gd|hd) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+109876, int_stack+56494, int_stack+48472, 126);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+42613, int_stack+10705, int_stack+31320, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+91480, int_stack+42613, int_stack+41353, 15);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3024, int_stack+12655, int_stack+32889, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+5292, int_stack+3024, int_stack+46708, 21);
 /*--- compute (gp|id) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+36025, int_stack+5292, int_stack+91480, 168);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+64432, int_stack+15385, int_stack+35017, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+30585, int_stack+64432, int_stack+54142, 28);
 /*--- compute (hp|id) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+121216, int_stack+30585, int_stack+5292, 168);
 /*--- compute (gd|id) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+131800, int_stack+121216, int_stack+36025, 168);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+64432, int_stack+0, int_stack+44377, 36);
 /*--- compute (ip|hd) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+146920, int_stack+64432, int_stack+87952, 126);
 /*--- compute (hd|hd) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+157504, int_stack+146920, int_stack+56494, 126);
 /*--- compute (g0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+12655, int_stack+11695, int_stack+11380, 15);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+15385, int_stack+12115, int_stack+11695, 15);
 /*--- compute (g0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+15385, int_stack+12655, 15);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+1890, int_stack+14041, int_stack+13600, 21);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3213, int_stack+14629, int_stack+14041, 21);
 /*--- compute (h0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+68968, int_stack+3213, int_stack+1890, 21);
 /*--- compute (gp|[r12,T1]|hd) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+8820, int_stack+68968, int_stack+0, int_stack+85306, int_stack+91480, int_stack+83416, 5, 2);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+83416, int_stack+17233, int_stack+16645, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+54142, int_stack+18017, int_stack+17233, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+54142, int_stack+83416, 28);
 /*--- compute (hp|[r12,T1]|hd) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+173380, int_stack+0, int_stack+68968, int_stack+87952, int_stack+5292, int_stack+85306, 5, 2);
 /*--- compute (gd|[r12,T1]|hd) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+181318, int_stack+173380, int_stack+8820, int_stack+56494, int_stack+36025, int_stack+48472, 5, 2);
 /*--- compute (k0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+68968, int_stack+19781, int_stack+19025, 36);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+83416, int_stack+20789, int_stack+19781, 36);
 /*--- compute (k0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+3528, int_stack+83416, int_stack+68968, 36);
 /*--- compute (ip|[r12,T1]|hd) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+8064, int_stack+3528, int_stack+0, int_stack+64432, int_stack+30585, int_stack+87952, 5, 2);
 /*--- compute (hd|[r12,T1]|hd) ---*/
   t1hrr1_build_hd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+30585, int_stack+8064, int_stack+173380, int_stack+146920, int_stack+121216, int_stack+56494, 5, 2);
 /*--- compute (g0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+121216, int_stack+22400, int_stack+22085, 15);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+122161, int_stack+22820, int_stack+22400, 15);
 /*--- compute (g0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+123421, int_stack+122161, int_stack+121216, 15);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+121216, int_stack+23801, int_stack+23360, 21);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+125311, int_stack+24389, int_stack+23801, 21);
 /*--- compute (h0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+127075, int_stack+125311, int_stack+121216, 21);
 /*--- compute (gp||hd) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+146920, int_stack+127075, int_stack+123421, 126);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+121216, int_stack+25733, int_stack+25145, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+122980, int_stack+26517, int_stack+25733, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+152590, int_stack+122980, int_stack+121216, 28);
 /*--- compute (hp||hd) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+173380, int_stack+152590, int_stack+127075, 126);
 /*--- compute (gd||hd) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+46461, int_stack+173380, int_stack+146920, 126);
 /*--- compute (k0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+146920, int_stack+28281, int_stack+27525, 36);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+149188, int_stack+29289, int_stack+28281, 36);
 /*--- compute (k0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+121216, int_stack+149188, int_stack+146920, 36);
 /*--- compute (ip||hd) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+83416, int_stack+121216, int_stack+152590, 126);
 /*--- compute (hd||hd) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+0, int_stack+83416, int_stack+173380, 126);
 /*--- compute (gf|[r12,T2]|hd) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+192658, int_stack+94000, int_stack+72076, 126);
     Libr12->te_ptr[3] = int_stack + 192658;
 /*--- compute (gf|[r12,T1]|hd) ---*/
   t1hrr1_build_gf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+57801, int_stack+30585, int_stack+181318, int_stack+157504, int_stack+131800, int_stack+109876, 5, 2);
     Libr12->te_ptr[2] = int_stack + 57801;
 /*--- compute (gf||hd) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+173380, int_stack+0, int_stack+46461, 126);
     Libr12->te_ptr[1] = int_stack + 173380;
 /*--- compute (gf|hd) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+0, int_stack+157504, int_stack+109876, 126);
     Libr12->te_ptr[0] = int_stack + 0;

}
