#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gpff(Libr12_t *, prim_data *);

  /* Computes (gp|ff) integrals for linear R12-methods */

void hrr_grt_order_gpff(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][3] = int_stack + 0;
 Libr12->t2vrr_classes[4][4] = int_stack + 150;
 Libr12->t2vrr_classes[4][5] = int_stack + 375;
 Libr12->t2vrr_classes[4][6] = int_stack + 690;
 Libr12->gvrr_classes[6][3] = int_stack + 1110;
 Libr12->t2vrr_classes[5][3] = int_stack + 1390;
 Libr12->gvrr_classes[6][4] = int_stack + 1600;
 Libr12->t2vrr_classes[5][4] = int_stack + 2020;
 Libr12->gvrr_classes[6][5] = int_stack + 2335;
 Libr12->t2vrr_classes[5][5] = int_stack + 2923;
 Libr12->t2vrr_classes[5][6] = int_stack + 3364;
 Libr12->gvrr_classes[4][7] = int_stack + 3952;
 Libr12->t1vrr_classes[4][3] = int_stack + 4492;
 Libr12->t1vrr_classes[4][4] = int_stack + 4642;
 Libr12->t1vrr_classes[4][5] = int_stack + 4867;
 Libr12->t1vrr_classes[4][6] = int_stack + 5182;
 Libr12->t1vrr_classes[5][3] = int_stack + 5602;
 Libr12->t1vrr_classes[5][4] = int_stack + 5812;
 Libr12->t1vrr_classes[5][5] = int_stack + 6127;
 Libr12->t1vrr_classes[5][6] = int_stack + 6568;
 Libr12->rvrr_classes[4][3] = int_stack + 7156;
 Libr12->rvrr_classes[4][4] = int_stack + 7306;
 Libr12->rvrr_classes[4][5] = int_stack + 7531;
 Libr12->rvrr_classes[4][6] = int_stack + 7846;
 Libr12->rvrr_classes[5][3] = int_stack + 8266;
 Libr12->rvrr_classes[5][4] = int_stack + 8476;
 Libr12->rvrr_classes[5][5] = int_stack + 8791;
 Libr12->rvrr_classes[5][6] = int_stack + 9232;
 Libr12->gvrr_classes[4][3] = int_stack + 9820;
 Libr12->gvrr_classes[4][4] = int_stack + 9970;
 Libr12->gvrr_classes[4][5] = int_stack + 10195;
 Libr12->gvrr_classes[4][6] = int_stack + 10510;
 Libr12->gvrr_classes[5][3] = int_stack + 10930;
 Libr12->gvrr_classes[5][4] = int_stack + 11140;
 Libr12->gvrr_classes[5][5] = int_stack + 11455;
 Libr12->gvrr_classes[5][6] = int_stack + 11896;
 memset(int_stack,0,12484*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 12484;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gpff(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+12484, int_stack+9970, int_stack+9820, 15);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+12934, int_stack+10195, int_stack+9970, 15);
 /*--- compute (g0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+13609, int_stack+12934, int_stack+12484, 15);
 /*--- compute (h0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+14509, int_stack+11140, int_stack+10930, 21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+15139, int_stack+11455, int_stack+11140, 21);
 /*--- compute (h0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+16084, int_stack+15139, int_stack+14509, 21);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+17344, int_stack+10510, int_stack+10195, 15);
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+18289, int_stack+17344, int_stack+12934, 15);
 /*--- compute (g0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+19639, int_stack+150, int_stack+0, int_stack+9970, int_stack+10930, int_stack+9820, 4, 0);
 /*--- compute (g0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+20089, int_stack+375, int_stack+150, int_stack+10195, int_stack+11140, int_stack+9970, 4, 0);
 /*--- compute (g0|[r12,T2]|fd) ---*/
   t2hrr3_build_fd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+20764, int_stack+20089, int_stack+19639, int_stack+12934, int_stack+14509, int_stack+12484, 4, 0);
 /*--- compute (g0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+21664, int_stack+690, int_stack+375, int_stack+10510, int_stack+11455, int_stack+10195, 4, 0);
 /*--- compute (g0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22609, int_stack+21664, int_stack+20089, int_stack+17344, int_stack+15139, int_stack+12934, 4, 0);
 /*--- compute (g0|[r12,T2]|ff) ---*/
   t2hrr3_build_ff(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+23959, int_stack+22609, int_stack+20764, int_stack+18289, int_stack+16084, int_stack+13609, 4, 0);
 /*--- compute (i0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+12484, int_stack+1600, int_stack+1110, 28);
 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+19639, int_stack+2335, int_stack+1600, 28);
 /*--- compute (i0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+20899, int_stack+19639, int_stack+12484, 28);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+22579, int_stack+11896, int_stack+11455, 21);
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+25459, int_stack+22579, int_stack+15139, 21);
 /*--- compute (h0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+9820, int_stack+2020, int_stack+1390, int_stack+11140, int_stack+1110, int_stack+10930, 5, 0);
 /*--- compute (h0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+2923, int_stack+2020, int_stack+11455, int_stack+1600, int_stack+11140, 5, 0);
 /*--- compute (h0|[r12,T2]|fd) ---*/
   t2hrr3_build_fd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+945, int_stack+0, int_stack+9820, int_stack+15139, int_stack+12484, int_stack+14509, 5, 0);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+27349, int_stack+3364, int_stack+2923, int_stack+11896, int_stack+2335, int_stack+11455, 5, 0);
 /*--- compute (h0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+10930, int_stack+27349, int_stack+0, int_stack+22579, int_stack+19639, int_stack+15139, 5, 0);
 /*--- compute (h0|[r12,T2]|ff) ---*/
   t2hrr3_build_ff(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+27349, int_stack+10930, int_stack+945, int_stack+25459, int_stack+20899, int_stack+16084, 5, 0);
 /*--- compute (g0|ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+10930, int_stack+18289, int_stack+13609, 15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+12430, int_stack+3952, int_stack+10510, 15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+13690, int_stack+12430, int_stack+17344, 15);
 /*--- compute (g0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+19639, int_stack+13690, int_stack+18289, 15);
 /*--- compute (h0|ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+17344, int_stack+25459, int_stack+16084, 21);
 /*--- compute (g0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+25459, int_stack+4642, int_stack+4492, 15);
 /*--- compute (g0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+25909, int_stack+4867, int_stack+4642, 15);
 /*--- compute (g0|[r12,T1]|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+12430, int_stack+25909, int_stack+25459, 15);
 /*--- compute (g0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+13330, int_stack+5182, int_stack+4867, 15);
 /*--- compute (g0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+14275, int_stack+13330, int_stack+25909, 15);
 /*--- compute (g0|[r12,T1]|ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+25459, int_stack+14275, int_stack+12430, 15);
 /*--- compute (h0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+12430, int_stack+5812, int_stack+5602, 21);
 /*--- compute (h0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+13060, int_stack+6127, int_stack+5812, 21);
 /*--- compute (h0|[r12,T1]|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+14005, int_stack+13060, int_stack+12430, 21);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+15265, int_stack+6568, int_stack+6127, 21);
 /*--- compute (h0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+21889, int_stack+15265, int_stack+13060, 21);
 /*--- compute (h0|[r12,T1]|ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+0, int_stack+21889, int_stack+14005, 21);
 /*--- compute (g0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+21889, int_stack+7306, int_stack+7156, 15);
 /*--- compute (g0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+22339, int_stack+7531, int_stack+7306, 15);
 /*--- compute (g0||fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+23014, int_stack+22339, int_stack+21889, 15);
 /*--- compute (g0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+12430, int_stack+7846, int_stack+7531, 15);
 /*--- compute (g0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+13375, int_stack+12430, int_stack+22339, 15);
 /*--- compute (g0||ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+14725, int_stack+13375, int_stack+23014, 15);
 /*--- compute (h0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+12430, int_stack+8476, int_stack+8266, 21);
 /*--- compute (h0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+13060, int_stack+8791, int_stack+8476, 21);
 /*--- compute (h0||fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+21889, int_stack+13060, int_stack+12430, 21);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+2100, int_stack+9232, int_stack+8791, 21);
 /*--- compute (h0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+3423, int_stack+2100, int_stack+13060, 21);
 /*--- compute (h0||ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+12430, int_stack+3423, int_stack+21889, 21);
 /*--- compute (gp|[r12,T2]|ff) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+2100, int_stack+27349, int_stack+23959, 100);
     Libr12->te_ptr[3] = int_stack + 2100;
 /*--- compute (gp|[r12,T1]|ff) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+26959, int_stack+0, int_stack+25459, int_stack+17344, int_stack+19639, int_stack+10930, 3, 3);
     Libr12->te_ptr[2] = int_stack + 26959;
 /*--- compute (gp||ff) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+19444, int_stack+12430, int_stack+14725, 100);
     Libr12->te_ptr[1] = int_stack + 19444;
 /*--- compute (gp|ff) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+12430, int_stack+17344, int_stack+10930, 100);
     Libr12->te_ptr[0] = int_stack + 12430;

}
