#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gphp(Libr12_t *, prim_data *);

  /* Computes (gp|hp) integrals for linear R12-methods */

void hrr_grt_order_gphp(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][5] = int_stack + 0;
 Libr12->t2vrr_classes[4][6] = int_stack + 315;
 Libr12->gvrr_classes[6][5] = int_stack + 735;
 Libr12->t2vrr_classes[5][5] = int_stack + 1323;
 Libr12->t2vrr_classes[5][6] = int_stack + 1764;
 Libr12->gvrr_classes[4][7] = int_stack + 2352;
 Libr12->t1vrr_classes[4][5] = int_stack + 2892;
 Libr12->t1vrr_classes[4][6] = int_stack + 3207;
 Libr12->t1vrr_classes[5][5] = int_stack + 3627;
 Libr12->t1vrr_classes[5][6] = int_stack + 4068;
 Libr12->rvrr_classes[4][5] = int_stack + 4656;
 Libr12->rvrr_classes[4][6] = int_stack + 4971;
 Libr12->rvrr_classes[5][5] = int_stack + 5391;
 Libr12->rvrr_classes[5][6] = int_stack + 5832;
 Libr12->gvrr_classes[4][5] = int_stack + 6420;
 Libr12->gvrr_classes[4][6] = int_stack + 6735;
 Libr12->gvrr_classes[5][5] = int_stack + 7155;
 Libr12->gvrr_classes[5][6] = int_stack + 7596;
 memset(int_stack,0,8184*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 8184;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gphp(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+8184, int_stack+315, int_stack+0, int_stack+6735, int_stack+7155, int_stack+6420, 4, 0);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+9129, int_stack+1764, int_stack+1323, int_stack+7596, int_stack+735, int_stack+7155, 5, 0);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+6735, int_stack+6420, 15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+945, int_stack+2352, int_stack+6735, 15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+10452, int_stack+7596, int_stack+7155, 21);
 /*--- compute (g0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+6420, int_stack+3207, int_stack+2892, 15);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+2205, int_stack+4068, int_stack+3627, 21);
 /*--- compute (g0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+3528, int_stack+4971, int_stack+4656, 15);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+11775, int_stack+5832, int_stack+5391, 21);
 /*--- compute (gp|[r12,T2]|hp) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+13098, int_stack+9129, int_stack+8184, 63);
     Libr12->te_ptr[3] = int_stack + 13098;
 /*--- compute (gp|[r12,T1]|hp) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+7365, int_stack+2205, int_stack+6420, int_stack+10452, int_stack+945, int_stack+0, 5, 1);
     Libr12->te_ptr[2] = int_stack + 7365;
 /*--- compute (gp||hp) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+4473, int_stack+11775, int_stack+3528, 63);
     Libr12->te_ptr[1] = int_stack + 4473;
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+945, int_stack+10452, int_stack+0, 63);
     Libr12->te_ptr[0] = int_stack + 945;

}
