#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_hdhf(Libr12_t *, prim_data *);

  /* Computes (hd|hf) integrals for linear R12-methods */

void hrr_grt_order_hdhf(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[5][5] = int_stack + 0;
 Libr12->t2vrr_classes[5][6] = int_stack + 441;
 Libr12->t2vrr_classes[5][7] = int_stack + 1029;
 Libr12->t2vrr_classes[5][8] = int_stack + 1785;
 Libr12->t2vrr_classes[6][5] = int_stack + 2730;
 Libr12->t2vrr_classes[6][6] = int_stack + 3318;
 Libr12->t2vrr_classes[6][7] = int_stack + 4102;
 Libr12->t2vrr_classes[6][8] = int_stack + 5110;
 Libr12->gvrr_classes[8][5] = int_stack + 6370;
 Libr12->t2vrr_classes[7][5] = int_stack + 7315;
 Libr12->gvrr_classes[8][6] = int_stack + 8071;
 Libr12->t2vrr_classes[7][6] = int_stack + 9331;
 Libr12->gvrr_classes[8][7] = int_stack + 10339;
 Libr12->t2vrr_classes[7][7] = int_stack + 11959;
 Libr12->t2vrr_classes[7][8] = int_stack + 13255;
 Libr12->gvrr_classes[5][9] = int_stack + 14875;
 Libr12->t1vrr_classes[5][5] = int_stack + 16030;
 Libr12->t1vrr_classes[5][6] = int_stack + 16471;
 Libr12->t1vrr_classes[5][7] = int_stack + 17059;
 Libr12->t1vrr_classes[5][8] = int_stack + 17815;
 Libr12->gvrr_classes[6][9] = int_stack + 18760;
 Libr12->t1vrr_classes[6][5] = int_stack + 20300;
 Libr12->t1vrr_classes[6][6] = int_stack + 20888;
 Libr12->t1vrr_classes[6][7] = int_stack + 21672;
 Libr12->t1vrr_classes[6][8] = int_stack + 22680;
 Libr12->t1vrr_classes[7][5] = int_stack + 23940;
 Libr12->t1vrr_classes[7][6] = int_stack + 24696;
 Libr12->t1vrr_classes[7][7] = int_stack + 25704;
 Libr12->t1vrr_classes[7][8] = int_stack + 27000;
 Libr12->rvrr_classes[5][5] = int_stack + 28620;
 Libr12->rvrr_classes[5][6] = int_stack + 29061;
 Libr12->rvrr_classes[5][7] = int_stack + 29649;
 Libr12->rvrr_classes[5][8] = int_stack + 30405;
 Libr12->rvrr_classes[6][5] = int_stack + 31350;
 Libr12->rvrr_classes[6][6] = int_stack + 31938;
 Libr12->rvrr_classes[6][7] = int_stack + 32722;
 Libr12->rvrr_classes[6][8] = int_stack + 33730;
 Libr12->rvrr_classes[7][5] = int_stack + 34990;
 Libr12->rvrr_classes[7][6] = int_stack + 35746;
 Libr12->rvrr_classes[7][7] = int_stack + 36754;
 Libr12->rvrr_classes[7][8] = int_stack + 38050;
 Libr12->gvrr_classes[5][5] = int_stack + 39670;
 Libr12->gvrr_classes[5][6] = int_stack + 40111;
 Libr12->gvrr_classes[5][7] = int_stack + 40699;
 Libr12->gvrr_classes[5][8] = int_stack + 41455;
 Libr12->gvrr_classes[6][5] = int_stack + 42400;
 Libr12->gvrr_classes[6][6] = int_stack + 42988;
 Libr12->gvrr_classes[6][7] = int_stack + 43772;
 Libr12->gvrr_classes[6][8] = int_stack + 44780;
 Libr12->gvrr_classes[7][5] = int_stack + 46040;
 Libr12->gvrr_classes[7][6] = int_stack + 46796;
 Libr12->gvrr_classes[7][7] = int_stack + 47804;
 Libr12->gvrr_classes[7][8] = int_stack + 49100;
 memset(int_stack,0,50720*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 50720;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_hdhf(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+50720, int_stack+40111, int_stack+39670, 21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+52043, int_stack+40699, int_stack+40111, 21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+53807, int_stack+52043, int_stack+50720, 21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+56453, int_stack+42988, int_stack+42400, 28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+58217, int_stack+43772, int_stack+42988, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+60569, int_stack+58217, int_stack+56453, 28);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+64097, int_stack+41455, int_stack+40699, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+66365, int_stack+64097, int_stack+52043, 21);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+69893, int_stack+441, int_stack+0, int_stack+40111, int_stack+42400, int_stack+39670, 5, 0);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+71216, int_stack+1029, int_stack+441, int_stack+40699, int_stack+42988, int_stack+40111, 5, 0);
 /*--- compute (h0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+72980, int_stack+71216, int_stack+69893, int_stack+52043, int_stack+56453, int_stack+50720, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+75626, int_stack+1785, int_stack+1029, int_stack+41455, int_stack+43772, int_stack+40699, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+77894, int_stack+75626, int_stack+71216, int_stack+64097, int_stack+58217, int_stack+52043, 5, 0);
 /*--- compute (h0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+81422, int_stack+77894, int_stack+72980, int_stack+66365, int_stack+60569, int_stack+53807, 5, 0);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+50720, int_stack+46796, int_stack+46040, 36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+69893, int_stack+47804, int_stack+46796, 36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+72917, int_stack+69893, int_stack+50720, 36);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+77453, int_stack+44780, int_stack+43772, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+85832, int_stack+77453, int_stack+58217, 28);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+39670, int_stack+3318, int_stack+2730, int_stack+42988, int_stack+46040, int_stack+42400, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+4102, int_stack+3318, int_stack+43772, int_stack+46796, int_stack+42988, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+90536, int_stack+0, int_stack+39670, int_stack+58217, int_stack+50720, int_stack+56453, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+94064, int_stack+5110, int_stack+4102, int_stack+44780, int_stack+47804, int_stack+43772, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+97088, int_stack+94064, int_stack+0, int_stack+77453, int_stack+69893, int_stack+58217, 6, 0);
 /*--- compute (i0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+97088, int_stack+90536, int_stack+85832, int_stack+72917, int_stack+60569, 6, 0);
 /*--- compute (hp|[r12,T2]|hf) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+90536, int_stack+0, int_stack+81422, 210);
 /*--- compute (l0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+56453, int_stack+8071, int_stack+6370, 45);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+80477, int_stack+10339, int_stack+8071, 45);
 /*--- compute (l0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+103766, int_stack+80477, int_stack+56453, 45);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+109436, int_stack+49100, int_stack+47804, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+113324, int_stack+109436, int_stack+69893, 36);
 /*--- compute (k0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+42400, int_stack+9331, int_stack+7315, int_stack+46796, int_stack+6370, int_stack+46040, 7, 0);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+119372, int_stack+11959, int_stack+9331, int_stack+47804, int_stack+8071, int_stack+46796, 7, 0);
 /*--- compute (k0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+122396, int_stack+119372, int_stack+42400, int_stack+69893, int_stack+56453, int_stack+50720, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+56453, int_stack+13255, int_stack+11959, int_stack+49100, int_stack+10339, int_stack+47804, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+46040, int_stack+56453, int_stack+119372, int_stack+109436, int_stack+80477, int_stack+69893, 7, 0);
 /*--- compute (k0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5880, int_stack+46040, int_stack+122396, int_stack+113324, int_stack+103766, int_stack+72917, 7, 0);
 /*--- compute (ip|[r12,T2]|hf) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+119372, int_stack+5880, int_stack+0, 210);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+66365, int_stack+53807, 21);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+4410, int_stack+85832, int_stack+60569, 28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+46040, int_stack+4410, int_stack+0, 210);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+10290, int_stack+14875, int_stack+41455, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+103766, int_stack+10290, int_stack+64097, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+59270, int_stack+103766, int_stack+66365, 21);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+103766, int_stack+18760, int_stack+44780, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+65150, int_stack+103766, int_stack+77453, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+77453, int_stack+65150, int_stack+85832, 28);
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+137012, int_stack+77453, int_stack+59270, 280);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+65150, int_stack+113324, int_stack+72917, 36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+154652, int_stack+65150, int_stack+4410, 210);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+72710, int_stack+16471, int_stack+16030, 21);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+74033, int_stack+17059, int_stack+16471, 21);
 /*--- compute (h0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+85293, int_stack+74033, int_stack+72710, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+87939, int_stack+17815, int_stack+17059, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+103766, int_stack+87939, int_stack+74033, 21);
 /*--- compute (h0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+72710, int_stack+103766, int_stack+85293, 21);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+85293, int_stack+20888, int_stack+20300, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+87057, int_stack+21672, int_stack+20888, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+103766, int_stack+87057, int_stack+85293, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+107294, int_stack+22680, int_stack+21672, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+110318, int_stack+107294, int_stack+87057, 28);
 /*--- compute (i0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+10290, int_stack+110318, int_stack+103766, 28);
 /*--- compute (hp|[r12,T1]|hf) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+103766, int_stack+10290, int_stack+72710, int_stack+4410, int_stack+59270, int_stack+0, 5, 3);
 /*--- compute (k0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+24696, int_stack+23940, 36);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+59270, int_stack+25704, int_stack+24696, 36);
 /*--- compute (k0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+72710, int_stack+59270, int_stack+0, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+27000, int_stack+25704, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+16170, int_stack+0, int_stack+59270, 36);
 /*--- compute (k0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+172292, int_stack+16170, int_stack+72710, 36);
 /*--- compute (ip|[r12,T1]|hf) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+179852, int_stack+172292, int_stack+10290, int_stack+65150, int_stack+77453, int_stack+4410, 5, 3);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+172292, int_stack+29061, int_stack+28620, 21);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+173615, int_stack+29649, int_stack+29061, 21);
 /*--- compute (h0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+175379, int_stack+173615, int_stack+172292, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+59270, int_stack+30405, int_stack+29649, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+61538, int_stack+59270, int_stack+173615, 21);
 /*--- compute (h0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+65066, int_stack+61538, int_stack+175379, 21);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+59270, int_stack+31938, int_stack+31350, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+61034, int_stack+32722, int_stack+31938, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+172292, int_stack+61034, int_stack+59270, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+175820, int_stack+33730, int_stack+32722, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+69476, int_stack+175820, int_stack+61034, 28);
 /*--- compute (i0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+74180, int_stack+69476, int_stack+172292, 28);
 /*--- compute (hp||hf) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+74180, int_stack+65066, 210);
 /*--- compute (k0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+172292, int_stack+35746, int_stack+34990, 36);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+174560, int_stack+36754, int_stack+35746, 36);
 /*--- compute (k0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+59270, int_stack+174560, int_stack+172292, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+63806, int_stack+38050, int_stack+36754, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+67694, int_stack+63806, int_stack+174560, 36);
 /*--- compute (k0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+172292, int_stack+67694, int_stack+59270, 36);
 /*--- compute (ip||hf) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+13230, int_stack+172292, int_stack+74180, 210);
 /*--- compute (hd|[r12,T2]|hf) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+59270, int_stack+119372, int_stack+90536, 210);
     Libr12->te_ptr[3] = int_stack + 59270;
 /*--- compute (hd|[r12,T1]|hf) ---*/
   t1hrr1_build_hd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+197492, int_stack+179852, int_stack+103766, int_stack+154652, int_stack+137012, int_stack+46040, 5, 3);
     Libr12->te_ptr[2] = int_stack + 197492;
 /*--- compute (hd||hf) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+85730, int_stack+13230, int_stack+0, 210);
     Libr12->te_ptr[1] = int_stack + 85730;
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+0, int_stack+154652, int_stack+46040, 210);
     Libr12->te_ptr[0] = int_stack + 0;

}
