#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_p0fp(Libr12_t *, prim_data *);

  /* Computes (p0|fp) integrals for linear R12-methods */

void hrr_grt_order_p0fp(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[2][3] = int_stack + 0;
 Libr12->t2vrr_classes[1][3] = int_stack + 60;
 Libr12->t2vrr_classes[1][4] = int_stack + 90;
 Libr12->t1vrr_classes[1][3] = int_stack + 135;
 Libr12->t1vrr_classes[1][4] = int_stack + 165;
 Libr12->rvrr_classes[1][3] = int_stack + 210;
 Libr12->rvrr_classes[1][4] = int_stack + 240;
 Libr12->gvrr_classes[1][3] = int_stack + 285;
 Libr12->gvrr_classes[1][4] = int_stack + 315;
 memset(int_stack,0,360*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 360;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_p0fp(Libr12, Data);
   Data++;
 }

 /*--- compute (p0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+360, int_stack+90, int_stack+60, int_stack+315, int_stack+0, int_stack+285, 1, 0);
     Libr12->te_ptr[3] = int_stack + 360;
 /*--- compute (p0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+165, int_stack+135, 3);
     Libr12->te_ptr[2] = int_stack + 0;
 /*--- compute (p0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+90, int_stack+240, int_stack+210, 3);
     Libr12->te_ptr[1] = int_stack + 90;
 /*--- compute (p0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+180, int_stack+315, int_stack+285, 3);
     Libr12->te_ptr[0] = int_stack + 180;

}
