#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_p0pp(Libr12_t *, prim_data *);

  /* Computes (p0|pp) integrals for linear R12-methods */

void hrr_grt_order_p0pp(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[2][1] = int_stack + 0;
 Libr12->t2vrr_classes[1][1] = int_stack + 18;
 Libr12->t2vrr_classes[1][2] = int_stack + 27;
 Libr12->t1vrr_classes[1][1] = int_stack + 45;
 Libr12->t1vrr_classes[1][2] = int_stack + 54;
 Libr12->rvrr_classes[1][1] = int_stack + 72;
 Libr12->rvrr_classes[1][2] = int_stack + 81;
 Libr12->gvrr_classes[1][1] = int_stack + 99;
 Libr12->gvrr_classes[1][2] = int_stack + 108;
 memset(int_stack,0,126*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 126;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_p0pp(Libr12, Data);
   Data++;
 }

 /*--- compute (p0|[r12,T2]|pp) ---*/
   t2hrr3_build_pp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+126, int_stack+27, int_stack+18, int_stack+108, int_stack+0, int_stack+99, 1, 0);
     Libr12->te_ptr[3] = int_stack + 126;
 /*--- compute (p0|[r12,T1]|pp) ---*/
   hrr3_build_pp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+54, int_stack+45, 3);
     Libr12->te_ptr[2] = int_stack + 0;
 /*--- compute (p0||pp) ---*/
   hrr3_build_pp(Libr12->ShellQuartet.CD,int_stack+27, int_stack+81, int_stack+72, 3);
     Libr12->te_ptr[1] = int_stack + 27;
 /*--- compute (p0|pp) ---*/
   hrr3_build_pp(Libr12->ShellQuartet.CD,int_stack+54, int_stack+108, int_stack+99, 3);
     Libr12->te_ptr[0] = int_stack + 54;

}
