#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_d0pp(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^1 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (p0|00)^0 ---*/
 _BUILD_p000(Data,r12vrr_stack+3, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (d0|00)^0 ---*/
 _BUILD_d000(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, Data->F+0, Data->F+1, NULL);

 /*--- compute (p0|00)^2 ---*/
 _BUILD_p000(Data,r12vrr_stack+12, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (d0|00)^1 ---*/
 _BUILD_d000(Data,r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+12, Data->F+1, Data->F+2, NULL);

 /*--- compute (f0|00)^0 ---*/
 _BUILD_f000(Data,r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+34, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (p0|p0)^1 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+37, r12vrr_stack+34, r12vrr_stack+31, NULL, NULL, Data->F+2);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+46, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (p0|p0)^0 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+49, r12vrr_stack+46, r12vrr_stack+34, NULL, NULL, Data->F+1);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+58, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+61, r12vrr_stack+31, r12vrr_stack+58, NULL, NULL, Data->F+3);

 /*--- compute (d0|p0)^1 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+70, r12vrr_stack+37, r12vrr_stack+61, r12vrr_stack+34, r12vrr_stack+31, r12vrr_stack+12);

 /*--- compute (d0|p0)^0 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+88, r12vrr_stack+49, r12vrr_stack+37, r12vrr_stack+46, r12vrr_stack+34, r12vrr_stack+0);
 tmp = r12vrr_stack + 88;
 target_ptr = Libr12->gvrr_classes[2][1];
 for(i=0;i<18;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|p0)^0 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+106, r12vrr_stack+88, r12vrr_stack+70, r12vrr_stack+49, r12vrr_stack+37, r12vrr_stack+15);
 tmp = r12vrr_stack + 106;
 target_ptr = Libr12->gvrr_classes[3][1];
 for(i=0;i<30;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+12, r12vrr_stack+34, r12vrr_stack+31, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+136, r12vrr_stack+46, r12vrr_stack+34, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+142, r12vrr_stack+31, r12vrr_stack+58, Data->F+2, Data->F+3, NULL);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+148, r12vrr_stack+12, r12vrr_stack+142, NULL, NULL, r12vrr_stack+31);

 /*--- compute (p0|d0)^0 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+166, r12vrr_stack+136, r12vrr_stack+12, NULL, NULL, r12vrr_stack+34);

 /*--- compute (d0|d0)^0 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+184, r12vrr_stack+166, r12vrr_stack+148, r12vrr_stack+136, r12vrr_stack+12, r12vrr_stack+37);
 tmp = r12vrr_stack + 184;
 target_ptr = Libr12->gvrr_classes[2][2];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+37, r12vrr_stack+58, r12vrr_stack+0, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+220, r12vrr_stack+142, r12vrr_stack+37, NULL, NULL, r12vrr_stack+58);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+238, r12vrr_stack+148, r12vrr_stack+220, r12vrr_stack+12, r12vrr_stack+142, r12vrr_stack+61);

 /*--- compute (f0|d0)^0 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+274, r12vrr_stack+184, r12vrr_stack+238, r12vrr_stack+166, r12vrr_stack+148, r12vrr_stack+70);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+61, r12vrr_stack+12, r12vrr_stack+142, r12vrr_stack+34, r12vrr_stack+31, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+71, r12vrr_stack+136, r12vrr_stack+12, r12vrr_stack+46, r12vrr_stack+34, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+220, r12vrr_stack+142, r12vrr_stack+37, r12vrr_stack+31, r12vrr_stack+58, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+230, r12vrr_stack+61, r12vrr_stack+220, NULL, NULL, r12vrr_stack+142);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+334, r12vrr_stack+71, r12vrr_stack+61, NULL, NULL, r12vrr_stack+12);

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+364, r12vrr_stack+334, r12vrr_stack+230, r12vrr_stack+71, r12vrr_stack+61, r12vrr_stack+148);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+0, &(Data->ss_r12_ss), NULL, r12vrr_stack+46, Data->F+0, NULL, NULL);

 /*--- compute (p0||p0)^0 ---*/
 _R_BUILD_p0p0(Data,r12vrr_stack+12, r12vrr_stack+0, NULL, r12vrr_stack+49, r12vrr_stack+46, NULL, Data->F+0);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+142, r12vrr_stack+0, &(Data->ss_r12_ss), r12vrr_stack+136, r12vrr_stack+46, Data->F+0, NULL);

 /*--- compute (p0||d0)^0 ---*/
 _R_BUILD_p0d0(Data,r12vrr_stack+148, r12vrr_stack+142, NULL, r12vrr_stack+166, r12vrr_stack+136, NULL, r12vrr_stack+46);

 /*--- compute (d0|[r12,T2]|p0)^0 ---*/
 _T2_BUILD_d0p0(Data,&(Libr12->ShellQuartet),r12vrr_stack+220, r12vrr_stack+88, r12vrr_stack+184, r12vrr_stack+106, r12vrr_stack+21, r12vrr_stack+6);
 tmp = r12vrr_stack + 220;
 target_ptr = Libr12->t2vrr_classes[2][1];
 for(i=0;i<18;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|d0)^0 ---*/
 _T2_BUILD_d0d0(Data,&(Libr12->ShellQuartet),r12vrr_stack+238, r12vrr_stack+184, r12vrr_stack+364, r12vrr_stack+274, r12vrr_stack+106, r12vrr_stack+88);
 tmp = r12vrr_stack + 238;
 target_ptr = Libr12->t2vrr_classes[2][2];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|p0)^0 ---*/
 _T1_BUILD_d0p0(Data,&(Libr12->ShellQuartet),r12vrr_stack+21, r12vrr_stack+88, r12vrr_stack+106, r12vrr_stack+184, r12vrr_stack+166, r12vrr_stack+49);
 tmp = r12vrr_stack + 21;
 target_ptr = Libr12->t1vrr_classes[2][1];
 for(i=0;i<18;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|d0)^0 ---*/
 _T1_BUILD_d0d0(Data,&(Libr12->ShellQuartet),r12vrr_stack+424, r12vrr_stack+184, r12vrr_stack+274, r12vrr_stack+364, r12vrr_stack+334, r12vrr_stack+166);
 tmp = r12vrr_stack + 424;
 target_ptr = Libr12->t1vrr_classes[2][2];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||p0)^0 ---*/
 _R_BUILD_d0p0(Data,r12vrr_stack+274, r12vrr_stack+12, r12vrr_stack+0, r12vrr_stack+88, r12vrr_stack+49, r12vrr_stack+46, r12vrr_stack+3);
 tmp = r12vrr_stack + 274;
 target_ptr = Libr12->rvrr_classes[2][1];
 for(i=0;i<18;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||d0)^0 ---*/
 _R_BUILD_d0d0(Data,r12vrr_stack+292, r12vrr_stack+148, r12vrr_stack+142, r12vrr_stack+184, r12vrr_stack+166, r12vrr_stack+136, r12vrr_stack+49);
 tmp = r12vrr_stack + 292;
 target_ptr = Libr12->rvrr_classes[2][2];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];


}

