#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_hdhd(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^4 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+9, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+12, r12vrr_stack+3, r12vrr_stack+9, NULL, NULL, Data->F+5);

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+3, NULL, NULL, Data->F+4);

 /*--- compute (d0|p0)^3 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+30, r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+48, r12vrr_stack+3, r12vrr_stack+9, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+54, r12vrr_stack+6, r12vrr_stack+3, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+60, r12vrr_stack+54, r12vrr_stack+48, NULL, NULL, r12vrr_stack+3);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+78, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+78, r12vrr_stack+6, Data->F+2, Data->F+3, NULL);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+87, r12vrr_stack+81, r12vrr_stack+54, NULL, NULL, r12vrr_stack+6);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+105, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+108, r12vrr_stack+9, r12vrr_stack+105, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+114, r12vrr_stack+48, r12vrr_stack+108, NULL, NULL, r12vrr_stack+9);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+132, r12vrr_stack+60, r12vrr_stack+114, r12vrr_stack+54, r12vrr_stack+48, r12vrr_stack+12);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+168, r12vrr_stack+87, r12vrr_stack+60, r12vrr_stack+81, r12vrr_stack+54, r12vrr_stack+21);

 /*--- compute (f0|d0)^2 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+204, r12vrr_stack+168, r12vrr_stack+132, r12vrr_stack+87, r12vrr_stack+60, r12vrr_stack+30);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+264, r12vrr_stack+54, r12vrr_stack+48, r12vrr_stack+6, r12vrr_stack+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+274, r12vrr_stack+81, r12vrr_stack+54, r12vrr_stack+78, r12vrr_stack+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+284, r12vrr_stack+48, r12vrr_stack+108, r12vrr_stack+3, r12vrr_stack+9, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+294, r12vrr_stack+264, r12vrr_stack+284, NULL, NULL, r12vrr_stack+48);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+324, r12vrr_stack+274, r12vrr_stack+264, NULL, NULL, r12vrr_stack+54);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+354, r12vrr_stack+324, r12vrr_stack+294, r12vrr_stack+274, r12vrr_stack+264, r12vrr_stack+60);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+414, r12vrr_stack+6, r12vrr_stack+78, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+420, r12vrr_stack+414, r12vrr_stack+81, r12vrr_stack+6, r12vrr_stack+78, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+430, r12vrr_stack+420, r12vrr_stack+274, NULL, NULL, r12vrr_stack+81);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+460, r12vrr_stack+430, r12vrr_stack+324, r12vrr_stack+420, r12vrr_stack+274, r12vrr_stack+87);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+78, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+87, r12vrr_stack+105, r12vrr_stack+78, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+93, r12vrr_stack+108, r12vrr_stack+87, r12vrr_stack+9, r12vrr_stack+105, NULL);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+520, r12vrr_stack+284, r12vrr_stack+93, NULL, NULL, r12vrr_stack+108);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+550, r12vrr_stack+294, r12vrr_stack+520, r12vrr_stack+264, r12vrr_stack+284, r12vrr_stack+114);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+610, r12vrr_stack+354, r12vrr_stack+550, r12vrr_stack+324, r12vrr_stack+294, r12vrr_stack+132);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+710, r12vrr_stack+460, r12vrr_stack+354, r12vrr_stack+430, r12vrr_stack+324, r12vrr_stack+168);

 /*--- compute (g0|f0)^1 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+810, r12vrr_stack+710, r12vrr_stack+610, r12vrr_stack+460, r12vrr_stack+354, r12vrr_stack+204);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+960, r12vrr_stack+264, r12vrr_stack+284, r12vrr_stack+54, r12vrr_stack+48, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+975, r12vrr_stack+274, r12vrr_stack+264, r12vrr_stack+81, r12vrr_stack+54, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+990, r12vrr_stack+975, r12vrr_stack+960, NULL, NULL, r12vrr_stack+264);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1035, r12vrr_stack+420, r12vrr_stack+274, r12vrr_stack+414, r12vrr_stack+81, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1050, r12vrr_stack+1035, r12vrr_stack+975, NULL, NULL, r12vrr_stack+274);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1095, r12vrr_stack+284, r12vrr_stack+93, r12vrr_stack+48, r12vrr_stack+108, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1110, r12vrr_stack+960, r12vrr_stack+1095, NULL, NULL, r12vrr_stack+284);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1155, r12vrr_stack+990, r12vrr_stack+1110, r12vrr_stack+975, r12vrr_stack+960, r12vrr_stack+294);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1245, r12vrr_stack+1050, r12vrr_stack+990, r12vrr_stack+1035, r12vrr_stack+975, r12vrr_stack+324);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1335, r12vrr_stack+1245, r12vrr_stack+1155, r12vrr_stack+1050, r12vrr_stack+990, r12vrr_stack+354);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+324, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+324, r12vrr_stack+6, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+327, r12vrr_stack+81, r12vrr_stack+414, r12vrr_stack+324, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+337, r12vrr_stack+327, r12vrr_stack+420, r12vrr_stack+81, r12vrr_stack+414, NULL);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1485, r12vrr_stack+337, r12vrr_stack+1035, NULL, NULL, r12vrr_stack+420);

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1530, r12vrr_stack+1485, r12vrr_stack+1050, r12vrr_stack+337, r12vrr_stack+1035, r12vrr_stack+430);

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1620, r12vrr_stack+1530, r12vrr_stack+1245, r12vrr_stack+1485, r12vrr_stack+1050, r12vrr_stack+460);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+414, r12vrr_stack+78, r12vrr_stack+6, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+430, r12vrr_stack+87, r12vrr_stack+414, r12vrr_stack+105, r12vrr_stack+78, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+440, r12vrr_stack+93, r12vrr_stack+430, r12vrr_stack+108, r12vrr_stack+87, NULL);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+455, r12vrr_stack+1095, r12vrr_stack+440, NULL, NULL, r12vrr_stack+93);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1770, r12vrr_stack+1110, r12vrr_stack+455, r12vrr_stack+960, r12vrr_stack+1095, r12vrr_stack+520);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1860, r12vrr_stack+1155, r12vrr_stack+1770, r12vrr_stack+990, r12vrr_stack+1110, r12vrr_stack+550);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2010, r12vrr_stack+1335, r12vrr_stack+1860, r12vrr_stack+1245, r12vrr_stack+1155, r12vrr_stack+610);

 /*--- compute (g0|g0)^0 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2235, r12vrr_stack+1620, r12vrr_stack+1335, r12vrr_stack+1530, r12vrr_stack+1245, r12vrr_stack+710);

 /*--- compute (h0|g0)^0 ---*/
 _BUILD_h0g0(Data,r12vrr_stack+2460, r12vrr_stack+2235, r12vrr_stack+2010, r12vrr_stack+1620, r12vrr_stack+1335, r12vrr_stack+810);

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+500, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (d0|00)^4 ---*/
 _BUILD_d000(Data,r12vrr_stack+54, r12vrr_stack+0, r12vrr_stack+500, Data->F+4, Data->F+5, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+503, r12vrr_stack+9, r12vrr_stack+105, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+2775, r12vrr_stack+12, r12vrr_stack+503, r12vrr_stack+3, r12vrr_stack+9, r12vrr_stack+500);

 /*--- compute (f0|p0)^3 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+2793, r12vrr_stack+30, r12vrr_stack+2775, r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+54);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+2823, r12vrr_stack+108, r12vrr_stack+87, NULL, NULL, r12vrr_stack+105);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+2841, r12vrr_stack+114, r12vrr_stack+2823, r12vrr_stack+48, r12vrr_stack+108, r12vrr_stack+503);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+2877, r12vrr_stack+132, r12vrr_stack+2841, r12vrr_stack+60, r12vrr_stack+114, r12vrr_stack+2775);

 /*--- compute (g0|d0)^2 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+2937, r12vrr_stack+204, r12vrr_stack+2877, r12vrr_stack+168, r12vrr_stack+132, r12vrr_stack+2793);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+168, r12vrr_stack+93, r12vrr_stack+430, NULL, NULL, r12vrr_stack+87);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+3027, r12vrr_stack+520, r12vrr_stack+168, r12vrr_stack+284, r12vrr_stack+93, r12vrr_stack+2823);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+3087, r12vrr_stack+550, r12vrr_stack+3027, r12vrr_stack+294, r12vrr_stack+520, r12vrr_stack+2841);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+3187, r12vrr_stack+610, r12vrr_stack+3087, r12vrr_stack+354, r12vrr_stack+550, r12vrr_stack+2877);

 /*--- compute (h0|f0)^1 ---*/
 _BUILD_h0f0(Data,r12vrr_stack+3337, r12vrr_stack+810, r12vrr_stack+3187, r12vrr_stack+710, r12vrr_stack+610, r12vrr_stack+2937);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+198, r12vrr_stack+6, r12vrr_stack+3, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+710, r12vrr_stack+414, r12vrr_stack+198, r12vrr_stack+78, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+720, r12vrr_stack+430, r12vrr_stack+710, r12vrr_stack+87, r12vrr_stack+414, NULL);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+735, r12vrr_stack+440, r12vrr_stack+720, NULL, NULL, r12vrr_stack+430);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+3547, r12vrr_stack+455, r12vrr_stack+735, r12vrr_stack+1095, r12vrr_stack+440, r12vrr_stack+168);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+3637, r12vrr_stack+1770, r12vrr_stack+3547, r12vrr_stack+1110, r12vrr_stack+455, r12vrr_stack+3027);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+3787, r12vrr_stack+1860, r12vrr_stack+3637, r12vrr_stack+1155, r12vrr_stack+1770, r12vrr_stack+3087);

 /*--- compute (h0|g0)^1 ---*/
 _BUILD_h0g0(Data,r12vrr_stack+4012, r12vrr_stack+2010, r12vrr_stack+3787, r12vrr_stack+1335, r12vrr_stack+1860, r12vrr_stack+3187);

 /*--- compute (i0|g0)^0 ---*/
 _BUILD_i0g0(Data,r12vrr_stack+4327, r12vrr_stack+2460, r12vrr_stack+4012, r12vrr_stack+2235, r12vrr_stack+2010, r12vrr_stack+3337);

 /*--- compute (00|h0)^3 ---*/
 _BUILD_00h0(Data,r12vrr_stack+780, r12vrr_stack+960, r12vrr_stack+1095, r12vrr_stack+264, r12vrr_stack+284, NULL);

 /*--- compute (00|h0)^2 ---*/
 _BUILD_00h0(Data,r12vrr_stack+294, r12vrr_stack+975, r12vrr_stack+960, r12vrr_stack+274, r12vrr_stack+264, NULL);

 /*--- compute (00|h0)^4 ---*/
 _BUILD_00h0(Data,r12vrr_stack+352, r12vrr_stack+1095, r12vrr_stack+440, r12vrr_stack+284, r12vrr_stack+93, NULL);

 /*--- compute (p0|h0)^3 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+4747, r12vrr_stack+780, r12vrr_stack+352, NULL, NULL, r12vrr_stack+1095);

 /*--- compute (p0|h0)^2 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+4810, r12vrr_stack+294, r12vrr_stack+780, NULL, NULL, r12vrr_stack+960);

 /*--- compute (d0|h0)^2 ---*/
 _BUILD_d0h0(Data,r12vrr_stack+4873, r12vrr_stack+4810, r12vrr_stack+4747, r12vrr_stack+294, r12vrr_stack+780, r12vrr_stack+1110);

 /*--- compute (00|h0)^1 ---*/
 _BUILD_00h0(Data,r12vrr_stack+1110, r12vrr_stack+1035, r12vrr_stack+975, r12vrr_stack+420, r12vrr_stack+274, NULL);

 /*--- compute (p0|h0)^1 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+4999, r12vrr_stack+1110, r12vrr_stack+294, NULL, NULL, r12vrr_stack+975);

 /*--- compute (d0|h0)^1 ---*/
 _BUILD_d0h0(Data,r12vrr_stack+5062, r12vrr_stack+4999, r12vrr_stack+4810, r12vrr_stack+1110, r12vrr_stack+294, r12vrr_stack+990);

 /*--- compute (00|h0)^5 ---*/
 _BUILD_00h0(Data,r12vrr_stack+990, r12vrr_stack+440, r12vrr_stack+720, r12vrr_stack+93, r12vrr_stack+430, NULL);

 /*--- compute (p0|h0)^4 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+5188, r12vrr_stack+352, r12vrr_stack+990, NULL, NULL, r12vrr_stack+440);

 /*--- compute (d0|h0)^3 ---*/
 _BUILD_d0h0(Data,r12vrr_stack+5251, r12vrr_stack+4747, r12vrr_stack+5188, r12vrr_stack+780, r12vrr_stack+352, r12vrr_stack+455);

 /*--- compute (f0|h0)^2 ---*/
 _BUILD_f0h0(Data,r12vrr_stack+5377, r12vrr_stack+4873, r12vrr_stack+5251, r12vrr_stack+4810, r12vrr_stack+4747, r12vrr_stack+1770);

 /*--- compute (f0|h0)^1 ---*/
 _BUILD_f0h0(Data,r12vrr_stack+5587, r12vrr_stack+5062, r12vrr_stack+4873, r12vrr_stack+4999, r12vrr_stack+4810, r12vrr_stack+1155);

 /*--- compute (g0|h0)^1 ---*/
 _BUILD_g0h0(Data,r12vrr_stack+5797, r12vrr_stack+5587, r12vrr_stack+5377, r12vrr_stack+5062, r12vrr_stack+4873, r12vrr_stack+1860);

 /*--- compute (00|h0)^0 ---*/
 _BUILD_00h0(Data,r12vrr_stack+1011, r12vrr_stack+337, r12vrr_stack+1035, r12vrr_stack+327, r12vrr_stack+420, NULL);

 /*--- compute (p0|h0)^0 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+1131, r12vrr_stack+1011, r12vrr_stack+1110, NULL, NULL, r12vrr_stack+1035);

 /*--- compute (d0|h0)^0 ---*/
 _BUILD_d0h0(Data,r12vrr_stack+6112, r12vrr_stack+1131, r12vrr_stack+4999, r12vrr_stack+1011, r12vrr_stack+1110, r12vrr_stack+1050);

 /*--- compute (f0|h0)^0 ---*/
 _BUILD_f0h0(Data,r12vrr_stack+6238, r12vrr_stack+6112, r12vrr_stack+5062, r12vrr_stack+1131, r12vrr_stack+4999, r12vrr_stack+1245);

 /*--- compute (g0|h0)^0 ---*/
 _BUILD_g0h0(Data,r12vrr_stack+6448, r12vrr_stack+6238, r12vrr_stack+5587, r12vrr_stack+6112, r12vrr_stack+5062, r12vrr_stack+1335);

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1032, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+48, r12vrr_stack+3, r12vrr_stack+1032, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+420, r12vrr_stack+198, r12vrr_stack+48, r12vrr_stack+6, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1050, r12vrr_stack+710, r12vrr_stack+420, r12vrr_stack+414, r12vrr_stack+198, NULL);

 /*--- compute (00|h0)^6 ---*/
 _BUILD_00h0(Data,r12vrr_stack+1065, r12vrr_stack+720, r12vrr_stack+1050, r12vrr_stack+430, r12vrr_stack+710, NULL);

 /*--- compute (p0|h0)^5 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+1194, r12vrr_stack+990, r12vrr_stack+1065, NULL, NULL, r12vrr_stack+720);

 /*--- compute (d0|h0)^4 ---*/
 _BUILD_d0h0(Data,r12vrr_stack+1257, r12vrr_stack+5188, r12vrr_stack+1194, r12vrr_stack+352, r12vrr_stack+990, r12vrr_stack+735);

 /*--- compute (f0|h0)^3 ---*/
 _BUILD_f0h0(Data,r12vrr_stack+6763, r12vrr_stack+5251, r12vrr_stack+1257, r12vrr_stack+4747, r12vrr_stack+5188, r12vrr_stack+3547);

 /*--- compute (g0|h0)^2 ---*/
 _BUILD_g0h0(Data,r12vrr_stack+6973, r12vrr_stack+5377, r12vrr_stack+6763, r12vrr_stack+4873, r12vrr_stack+5251, r12vrr_stack+3637);

 /*--- compute (h0|h0)^1 ---*/
 _BUILD_h0h0(Data,r12vrr_stack+7288, r12vrr_stack+5797, r12vrr_stack+6973, r12vrr_stack+5587, r12vrr_stack+5377, r12vrr_stack+3787);

 /*--- compute (h0|h0)^0 ---*/
 _BUILD_h0h0(Data,r12vrr_stack+7729, r12vrr_stack+6448, r12vrr_stack+5797, r12vrr_stack+6238, r12vrr_stack+5587, r12vrr_stack+2010);
 tmp = r12vrr_stack + 7729;
 target_ptr = Libr12->gvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|h0)^0 ---*/
 _BUILD_i0h0(Data,r12vrr_stack+8170, r12vrr_stack+7729, r12vrr_stack+7288, r12vrr_stack+6448, r12vrr_stack+5797, r12vrr_stack+4012);
 tmp = r12vrr_stack + 8170;
 target_ptr = Libr12->gvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^3 ---*/
 _BUILD_00i0(Data,r12vrr_stack+1383, r12vrr_stack+780, r12vrr_stack+352, r12vrr_stack+960, r12vrr_stack+1095, NULL);

 /*--- compute (00|i0)^2 ---*/
 _BUILD_00i0(Data,r12vrr_stack+1411, r12vrr_stack+294, r12vrr_stack+780, r12vrr_stack+975, r12vrr_stack+960, NULL);

 /*--- compute (p0|i0)^2 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+8758, r12vrr_stack+1411, r12vrr_stack+1383, NULL, NULL, r12vrr_stack+780);

 /*--- compute (00|i0)^1 ---*/
 _BUILD_00i0(Data,r12vrr_stack+1439, r12vrr_stack+1110, r12vrr_stack+294, r12vrr_stack+1035, r12vrr_stack+975, NULL);

 /*--- compute (p0|i0)^1 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+8842, r12vrr_stack+1439, r12vrr_stack+1411, NULL, NULL, r12vrr_stack+294);

 /*--- compute (00|i0)^4 ---*/
 _BUILD_00i0(Data,r12vrr_stack+960, r12vrr_stack+352, r12vrr_stack+990, r12vrr_stack+1095, r12vrr_stack+440, NULL);

 /*--- compute (p0|i0)^3 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+8926, r12vrr_stack+1383, r12vrr_stack+960, NULL, NULL, r12vrr_stack+352);

 /*--- compute (d0|i0)^2 ---*/
 _BUILD_d0i0(Data,r12vrr_stack+9010, r12vrr_stack+8758, r12vrr_stack+8926, r12vrr_stack+1411, r12vrr_stack+1383, r12vrr_stack+4747);

 /*--- compute (d0|i0)^1 ---*/
 _BUILD_d0i0(Data,r12vrr_stack+9178, r12vrr_stack+8842, r12vrr_stack+8758, r12vrr_stack+1439, r12vrr_stack+1411, r12vrr_stack+4810);

 /*--- compute (f0|i0)^1 ---*/
 _BUILD_f0i0(Data,r12vrr_stack+9346, r12vrr_stack+9178, r12vrr_stack+9010, r12vrr_stack+8842, r12vrr_stack+8758, r12vrr_stack+4873);

 /*--- compute (00|i0)^0 ---*/
 _BUILD_00i0(Data,r12vrr_stack+4747, r12vrr_stack+1011, r12vrr_stack+1110, r12vrr_stack+337, r12vrr_stack+1035, NULL);

 /*--- compute (p0|i0)^0 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+4775, r12vrr_stack+4747, r12vrr_stack+1439, NULL, NULL, r12vrr_stack+1110);

 /*--- compute (d0|i0)^0 ---*/
 _BUILD_d0i0(Data,r12vrr_stack+9626, r12vrr_stack+4775, r12vrr_stack+8842, r12vrr_stack+4747, r12vrr_stack+1439, r12vrr_stack+4999);

 /*--- compute (f0|i0)^0 ---*/
 _BUILD_f0i0(Data,r12vrr_stack+9794, r12vrr_stack+9626, r12vrr_stack+9178, r12vrr_stack+4775, r12vrr_stack+8842, r12vrr_stack+5062);

 /*--- compute (00|i0)^5 ---*/
 _BUILD_00i0(Data,r12vrr_stack+4859, r12vrr_stack+990, r12vrr_stack+1065, r12vrr_stack+440, r12vrr_stack+720, NULL);

 /*--- compute (p0|i0)^4 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+4887, r12vrr_stack+960, r12vrr_stack+4859, NULL, NULL, r12vrr_stack+990);

 /*--- compute (d0|i0)^3 ---*/
 _BUILD_d0i0(Data,r12vrr_stack+4971, r12vrr_stack+8926, r12vrr_stack+4887, r12vrr_stack+1383, r12vrr_stack+960, r12vrr_stack+5188);

 /*--- compute (f0|i0)^2 ---*/
 _BUILD_f0i0(Data,r12vrr_stack+10074, r12vrr_stack+9010, r12vrr_stack+4971, r12vrr_stack+8758, r12vrr_stack+8926, r12vrr_stack+5251);

 /*--- compute (g0|i0)^1 ---*/
 _BUILD_g0i0(Data,r12vrr_stack+10354, r12vrr_stack+9346, r12vrr_stack+10074, r12vrr_stack+9178, r12vrr_stack+9010, r12vrr_stack+5377);

 /*--- compute (g0|i0)^0 ---*/
 _BUILD_g0i0(Data,r12vrr_stack+10774, r12vrr_stack+9794, r12vrr_stack+9346, r12vrr_stack+9626, r12vrr_stack+9178, r12vrr_stack+5587);

 /*--- compute (h0|i0)^0 ---*/
 _BUILD_h0i0(Data,r12vrr_stack+11194, r12vrr_stack+10774, r12vrr_stack+10354, r12vrr_stack+9794, r12vrr_stack+9346, r12vrr_stack+5797);
 tmp = r12vrr_stack + 11194;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+5587, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+5590, r12vrr_stack+1032, r12vrr_stack+5587, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+5596, r12vrr_stack+48, r12vrr_stack+5590, r12vrr_stack+3, r12vrr_stack+1032, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1035, r12vrr_stack+420, r12vrr_stack+5596, r12vrr_stack+198, r12vrr_stack+48, NULL);

 /*--- compute (00|h0)^7 ---*/
 _BUILD_00h0(Data,r12vrr_stack+5606, r12vrr_stack+1050, r12vrr_stack+1035, r12vrr_stack+710, r12vrr_stack+420, NULL);

 /*--- compute (00|i0)^6 ---*/
 _BUILD_00i0(Data,r12vrr_stack+5627, r12vrr_stack+1065, r12vrr_stack+5606, r12vrr_stack+720, r12vrr_stack+1050, NULL);

 /*--- compute (p0|i0)^5 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+5655, r12vrr_stack+4859, r12vrr_stack+5627, NULL, NULL, r12vrr_stack+1065);

 /*--- compute (d0|i0)^4 ---*/
 _BUILD_d0i0(Data,r12vrr_stack+11782, r12vrr_stack+4887, r12vrr_stack+5655, r12vrr_stack+960, r12vrr_stack+4859, r12vrr_stack+1194);

 /*--- compute (f0|i0)^3 ---*/
 _BUILD_f0i0(Data,r12vrr_stack+11950, r12vrr_stack+4971, r12vrr_stack+11782, r12vrr_stack+8926, r12vrr_stack+4887, r12vrr_stack+1257);

 /*--- compute (g0|i0)^2 ---*/
 _BUILD_g0i0(Data,r12vrr_stack+12230, r12vrr_stack+10074, r12vrr_stack+11950, r12vrr_stack+9010, r12vrr_stack+4971, r12vrr_stack+6763);

 /*--- compute (h0|i0)^1 ---*/
 _BUILD_h0i0(Data,r12vrr_stack+12650, r12vrr_stack+10354, r12vrr_stack+12230, r12vrr_stack+9346, r12vrr_stack+10074, r12vrr_stack+6973);

 /*--- compute (i0|i0)^0 ---*/
 _BUILD_i0i0(Data,r12vrr_stack+13238, r12vrr_stack+11194, r12vrr_stack+12650, r12vrr_stack+10774, r12vrr_stack+10354, r12vrr_stack+7288);
 tmp = r12vrr_stack + 13238;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5739, r12vrr_stack+1383, r12vrr_stack+960, r12vrr_stack+780, r12vrr_stack+352, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5139, r12vrr_stack+1411, r12vrr_stack+1383, r12vrr_stack+294, r12vrr_stack+780, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14022, r12vrr_stack+5139, r12vrr_stack+5739, NULL, NULL, r12vrr_stack+1383);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+373, r12vrr_stack+1439, r12vrr_stack+1411, r12vrr_stack+1110, r12vrr_stack+294, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14130, r12vrr_stack+373, r12vrr_stack+5139, NULL, NULL, r12vrr_stack+1411);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+264, r12vrr_stack+960, r12vrr_stack+4859, r12vrr_stack+352, r12vrr_stack+990, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14238, r12vrr_stack+5739, r12vrr_stack+264, NULL, NULL, r12vrr_stack+960);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14346, r12vrr_stack+14022, r12vrr_stack+14238, r12vrr_stack+5139, r12vrr_stack+5739, r12vrr_stack+8926);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14562, r12vrr_stack+14130, r12vrr_stack+14022, r12vrr_stack+373, r12vrr_stack+5139, r12vrr_stack+8758);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14778, r12vrr_stack+14562, r12vrr_stack+14346, r12vrr_stack+14130, r12vrr_stack+14022, r12vrr_stack+9010);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8758, r12vrr_stack+4747, r12vrr_stack+1439, r12vrr_stack+1011, r12vrr_stack+1110, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8926, r12vrr_stack+8758, r12vrr_stack+373, NULL, NULL, r12vrr_stack+1439);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15138, r12vrr_stack+8926, r12vrr_stack+14130, r12vrr_stack+8758, r12vrr_stack+373, r12vrr_stack+8842);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15354, r12vrr_stack+15138, r12vrr_stack+14562, r12vrr_stack+8926, r12vrr_stack+14130, r12vrr_stack+9178);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8794, r12vrr_stack+4859, r12vrr_stack+5627, r12vrr_stack+990, r12vrr_stack+1065, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9034, r12vrr_stack+264, r12vrr_stack+8794, NULL, NULL, r12vrr_stack+4859);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15714, r12vrr_stack+14238, r12vrr_stack+9034, r12vrr_stack+5739, r12vrr_stack+264, r12vrr_stack+4887);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15930, r12vrr_stack+14346, r12vrr_stack+15714, r12vrr_stack+14022, r12vrr_stack+14238, r12vrr_stack+4971);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16290, r12vrr_stack+14778, r12vrr_stack+15930, r12vrr_stack+14562, r12vrr_stack+14346, r12vrr_stack+10074);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16830, r12vrr_stack+15354, r12vrr_stack+14778, r12vrr_stack+15138, r12vrr_stack+14562, r12vrr_stack+9346);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17370, r12vrr_stack+16830, r12vrr_stack+16290, r12vrr_stack+15354, r12vrr_stack+14778, r12vrr_stack+10354);
 tmp = r12vrr_stack + 17370;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+8830, r12vrr_stack+5587, r12vrr_stack+3, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+8836, r12vrr_stack+5590, r12vrr_stack+8830, r12vrr_stack+1032, r12vrr_stack+5587, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+8846, r12vrr_stack+5596, r12vrr_stack+8836, r12vrr_stack+48, r12vrr_stack+5590, NULL);

 /*--- compute (00|h0)^8 ---*/
 _BUILD_00h0(Data,r12vrr_stack+352, r12vrr_stack+1035, r12vrr_stack+8846, r12vrr_stack+420, r12vrr_stack+5596, NULL);

 /*--- compute (00|i0)^7 ---*/
 _BUILD_00i0(Data,r12vrr_stack+8861, r12vrr_stack+5606, r12vrr_stack+352, r12vrr_stack+1050, r12vrr_stack+1035, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8889, r12vrr_stack+5627, r12vrr_stack+8861, r12vrr_stack+1065, r12vrr_stack+5606, NULL);

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9142, r12vrr_stack+8794, r12vrr_stack+8889, NULL, NULL, r12vrr_stack+5627);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9250, r12vrr_stack+9034, r12vrr_stack+9142, r12vrr_stack+264, r12vrr_stack+8794, r12vrr_stack+5655);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+18126, r12vrr_stack+15714, r12vrr_stack+9250, r12vrr_stack+14238, r12vrr_stack+9034, r12vrr_stack+11782);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+18486, r12vrr_stack+15930, r12vrr_stack+18126, r12vrr_stack+14346, r12vrr_stack+15714, r12vrr_stack+11950);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19026, r12vrr_stack+16290, r12vrr_stack+18486, r12vrr_stack+14778, r12vrr_stack+15930, r12vrr_stack+12230);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19782, r12vrr_stack+17370, r12vrr_stack+19026, r12vrr_stack+16830, r12vrr_stack+16290, r12vrr_stack+12650);
 tmp = r12vrr_stack + 19782;
 target_ptr = Libr12->gvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1086, r12vrr_stack+5739, r12vrr_stack+264, r12vrr_stack+1383, r12vrr_stack+960, NULL);

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9466, r12vrr_stack+5139, r12vrr_stack+5739, r12vrr_stack+1411, r12vrr_stack+1383, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20790, r12vrr_stack+9466, r12vrr_stack+1086, NULL, NULL, r12vrr_stack+5739);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5739, r12vrr_stack+373, r12vrr_stack+5139, r12vrr_stack+1439, r12vrr_stack+1411, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20925, r12vrr_stack+5739, r12vrr_stack+9466, NULL, NULL, r12vrr_stack+5139);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5139, r12vrr_stack+264, r12vrr_stack+8794, r12vrr_stack+960, r12vrr_stack+4859, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21060, r12vrr_stack+1086, r12vrr_stack+5139, NULL, NULL, r12vrr_stack+264);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21195, r12vrr_stack+20790, r12vrr_stack+21060, r12vrr_stack+9466, r12vrr_stack+1086, r12vrr_stack+14238);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21465, r12vrr_stack+20925, r12vrr_stack+20790, r12vrr_stack+5739, r12vrr_stack+9466, r12vrr_stack+14022);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21735, r12vrr_stack+21465, r12vrr_stack+21195, r12vrr_stack+20925, r12vrr_stack+20790, r12vrr_stack+14346);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14022, r12vrr_stack+8758, r12vrr_stack+373, r12vrr_stack+4747, r12vrr_stack+1439, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9466, r12vrr_stack+14022, r12vrr_stack+5739, NULL, NULL, r12vrr_stack+373);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14238, r12vrr_stack+9466, r12vrr_stack+20925, r12vrr_stack+14022, r12vrr_stack+5739, r12vrr_stack+14130);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22185, r12vrr_stack+14238, r12vrr_stack+21465, r12vrr_stack+9466, r12vrr_stack+20925, r12vrr_stack+14562);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20925, r12vrr_stack+8794, r12vrr_stack+8889, r12vrr_stack+4859, r12vrr_stack+5627, NULL);

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9466, r12vrr_stack+5139, r12vrr_stack+20925, NULL, NULL, r12vrr_stack+8794);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14508, r12vrr_stack+21060, r12vrr_stack+9466, r12vrr_stack+1086, r12vrr_stack+5139, r12vrr_stack+9034);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22635, r12vrr_stack+21195, r12vrr_stack+14508, r12vrr_stack+20790, r12vrr_stack+21060, r12vrr_stack+15714);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+23085, r12vrr_stack+21735, r12vrr_stack+22635, r12vrr_stack+21465, r12vrr_stack+21195, r12vrr_stack+15930);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+23760, r12vrr_stack+22185, r12vrr_stack+21735, r12vrr_stack+14238, r12vrr_stack+21465, r12vrr_stack+14778);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+24435, r12vrr_stack+23760, r12vrr_stack+23085, r12vrr_stack+22185, r12vrr_stack+21735, r12vrr_stack+16290);
 tmp = r12vrr_stack + 24435;
 target_ptr = Libr12->gvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^6 ---*/
 _BUILD_p000(Data,r12vrr_stack+1032, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (d0|00)^5 ---*/
 _BUILD_d000(Data,r12vrr_stack+48, r12vrr_stack+500, r12vrr_stack+1032, Data->F+5, Data->F+6, NULL);

 /*--- compute (f0|00)^4 ---*/
 _BUILD_f000(Data,r12vrr_stack+22185, r12vrr_stack+54, r12vrr_stack+48, r12vrr_stack+0, r12vrr_stack+500, NULL);

 /*--- compute (p0|p0)^6 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+21, r12vrr_stack+105, r12vrr_stack+78, NULL, NULL, Data->F+7);

 /*--- compute (d0|p0)^5 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+60, r12vrr_stack+503, r12vrr_stack+21, r12vrr_stack+9, r12vrr_stack+105, r12vrr_stack+1032);

 /*--- compute (f0|p0)^4 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+960, r12vrr_stack+2775, r12vrr_stack+60, r12vrr_stack+12, r12vrr_stack+503, r12vrr_stack+48);

 /*--- compute (g0|p0)^3 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+1086, r12vrr_stack+2793, r12vrr_stack+960, r12vrr_stack+30, r12vrr_stack+2775, r12vrr_stack+22185);

 /*--- compute (p0|d0)^6 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+30, r12vrr_stack+87, r12vrr_stack+414, NULL, NULL, r12vrr_stack+78);

 /*--- compute (d0|d0)^5 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+22195, r12vrr_stack+2823, r12vrr_stack+30, r12vrr_stack+108, r12vrr_stack+87, r12vrr_stack+21);

 /*--- compute (f0|d0)^4 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+264, r12vrr_stack+2841, r12vrr_stack+22195, r12vrr_stack+114, r12vrr_stack+2823, r12vrr_stack+60);

 /*--- compute (g0|d0)^3 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+20970, r12vrr_stack+2877, r12vrr_stack+264, r12vrr_stack+132, r12vrr_stack+2841, r12vrr_stack+960);

 /*--- compute (h0|d0)^2 ---*/
 _BUILD_h0d0(Data,r12vrr_stack+22231, r12vrr_stack+2937, r12vrr_stack+20970, r12vrr_stack+204, r12vrr_stack+2877, r12vrr_stack+1086);

 /*--- compute (p0|f0)^6 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+780, r12vrr_stack+430, r12vrr_stack+710, NULL, NULL, r12vrr_stack+414);

 /*--- compute (d0|f0)^5 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+204, r12vrr_stack+168, r12vrr_stack+780, r12vrr_stack+93, r12vrr_stack+430, r12vrr_stack+30);

 /*--- compute (f0|f0)^4 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+22357, r12vrr_stack+3027, r12vrr_stack+204, r12vrr_stack+520, r12vrr_stack+168, r12vrr_stack+22195);

 /*--- compute (g0|f0)^3 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+22457, r12vrr_stack+3087, r12vrr_stack+22357, r12vrr_stack+550, r12vrr_stack+3027, r12vrr_stack+264);

 /*--- compute (h0|f0)^2 ---*/
 _BUILD_h0f0(Data,r12vrr_stack+14778, r12vrr_stack+3187, r12vrr_stack+22457, r12vrr_stack+610, r12vrr_stack+3087, r12vrr_stack+20970);

 /*--- compute (i0|f0)^1 ---*/
 _BUILD_i0f0(Data,r12vrr_stack+14022, r12vrr_stack+3337, r12vrr_stack+14778, r12vrr_stack+810, r12vrr_stack+3187, r12vrr_stack+22231);

 /*--- compute (p0|g0)^6 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+810, r12vrr_stack+720, r12vrr_stack+1050, NULL, NULL, r12vrr_stack+710);

 /*--- compute (d0|g0)^5 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+855, r12vrr_stack+735, r12vrr_stack+810, r12vrr_stack+440, r12vrr_stack+720, r12vrr_stack+780);

 /*--- compute (f0|g0)^4 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+14988, r12vrr_stack+3547, r12vrr_stack+855, r12vrr_stack+455, r12vrr_stack+735, r12vrr_stack+204);

 /*--- compute (g0|g0)^3 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+21465, r12vrr_stack+3637, r12vrr_stack+14988, r12vrr_stack+1770, r12vrr_stack+3547, r12vrr_stack+22357);

 /*--- compute (h0|g0)^2 ---*/
 _BUILD_h0g0(Data,r12vrr_stack+25380, r12vrr_stack+3787, r12vrr_stack+21465, r12vrr_stack+1860, r12vrr_stack+3637, r12vrr_stack+22457);

 /*--- compute (i0|g0)^1 ---*/
 _BUILD_i0g0(Data,r12vrr_stack+25695, r12vrr_stack+4012, r12vrr_stack+25380, r12vrr_stack+2010, r12vrr_stack+3787, r12vrr_stack+14778);

 /*--- compute (k0|g0)^0 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+26115, r12vrr_stack+4327, r12vrr_stack+25695, r12vrr_stack+2460, r12vrr_stack+4012, r12vrr_stack+14022);

 /*--- compute (p0|h0)^6 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+1770, r12vrr_stack+1065, r12vrr_stack+5606, NULL, NULL, r12vrr_stack+1050);

 /*--- compute (d0|h0)^5 ---*/
 _BUILD_d0h0(Data,r12vrr_stack+1833, r12vrr_stack+1194, r12vrr_stack+1770, r12vrr_stack+990, r12vrr_stack+1065, r12vrr_stack+810);

 /*--- compute (f0|h0)^4 ---*/
 _BUILD_f0h0(Data,r12vrr_stack+1959, r12vrr_stack+1257, r12vrr_stack+1833, r12vrr_stack+5188, r12vrr_stack+1194, r12vrr_stack+855);

 /*--- compute (g0|h0)^3 ---*/
 _BUILD_g0h0(Data,r12vrr_stack+26655, r12vrr_stack+6763, r12vrr_stack+1959, r12vrr_stack+5251, r12vrr_stack+1257, r12vrr_stack+14988);

 /*--- compute (h0|h0)^2 ---*/
 _BUILD_h0h0(Data,r12vrr_stack+26970, r12vrr_stack+6973, r12vrr_stack+26655, r12vrr_stack+5377, r12vrr_stack+6763, r12vrr_stack+21465);

 /*--- compute (i0|h0)^1 ---*/
 _BUILD_i0h0(Data,r12vrr_stack+27411, r12vrr_stack+7288, r12vrr_stack+26970, r12vrr_stack+5797, r12vrr_stack+6973, r12vrr_stack+25380);

 /*--- compute (k0|h0)^0 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+27999, r12vrr_stack+8170, r12vrr_stack+27411, r12vrr_stack+7729, r12vrr_stack+7288, r12vrr_stack+25695);
 tmp = r12vrr_stack + 27999;
 target_ptr = Libr12->gvrr_classes[7][5];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^6 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+20790, r12vrr_stack+5627, r12vrr_stack+8861, NULL, NULL, r12vrr_stack+5606);

 /*--- compute (d0|i0)^5 ---*/
 _BUILD_d0i0(Data,r12vrr_stack+5739, r12vrr_stack+5655, r12vrr_stack+20790, r12vrr_stack+4859, r12vrr_stack+5627, r12vrr_stack+1770);

 /*--- compute (f0|i0)^4 ---*/
 _BUILD_f0i0(Data,r12vrr_stack+5184, r12vrr_stack+11782, r12vrr_stack+5739, r12vrr_stack+4887, r12vrr_stack+5655, r12vrr_stack+1833);

 /*--- compute (g0|i0)^3 ---*/
 _BUILD_g0i0(Data,r12vrr_stack+28755, r12vrr_stack+11950, r12vrr_stack+5184, r12vrr_stack+4971, r12vrr_stack+11782, r12vrr_stack+1959);

 /*--- compute (h0|i0)^2 ---*/
 _BUILD_h0i0(Data,r12vrr_stack+29175, r12vrr_stack+12230, r12vrr_stack+28755, r12vrr_stack+10074, r12vrr_stack+11950, r12vrr_stack+26655);

 /*--- compute (i0|i0)^1 ---*/
 _BUILD_i0i0(Data,r12vrr_stack+29763, r12vrr_stack+12650, r12vrr_stack+29175, r12vrr_stack+10354, r12vrr_stack+12230, r12vrr_stack+26970);

 /*--- compute (k0|i0)^0 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+30547, r12vrr_stack+13238, r12vrr_stack+29763, r12vrr_stack+11194, r12vrr_stack+12650, r12vrr_stack+27411);
 tmp = r12vrr_stack + 30547;
 target_ptr = Libr12->gvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+10074, r12vrr_stack+3, r12vrr_stack+0, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+10080, r12vrr_stack+8830, r12vrr_stack+10074, r12vrr_stack+5587, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+945, r12vrr_stack+8836, r12vrr_stack+10080, r12vrr_stack+5590, r12vrr_stack+8830, NULL);

 /*--- compute (00|h0)^9 ---*/
 _BUILD_00h0(Data,r12vrr_stack+990, r12vrr_stack+8846, r12vrr_stack+945, r12vrr_stack+5596, r12vrr_stack+8836, NULL);

 /*--- compute (00|i0)^8 ---*/
 _BUILD_00i0(Data,r12vrr_stack+22607, r12vrr_stack+352, r12vrr_stack+990, r12vrr_stack+1035, r12vrr_stack+8846, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10090, r12vrr_stack+8861, r12vrr_stack+22607, r12vrr_stack+5606, r12vrr_stack+352, NULL);

 /*--- compute (p0|k0)^6 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10126, r12vrr_stack+8889, r12vrr_stack+10090, NULL, NULL, r12vrr_stack+8861);

 /*--- compute (d0|k0)^5 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10234, r12vrr_stack+9142, r12vrr_stack+10126, r12vrr_stack+8794, r12vrr_stack+8889, r12vrr_stack+20790);

 /*--- compute (f0|k0)^4 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+31555, r12vrr_stack+9250, r12vrr_stack+10234, r12vrr_stack+9034, r12vrr_stack+9142, r12vrr_stack+5739);

 /*--- compute (g0|k0)^3 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+31915, r12vrr_stack+18126, r12vrr_stack+31555, r12vrr_stack+15714, r12vrr_stack+9250, r12vrr_stack+5184);

 /*--- compute (h0|k0)^2 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+32455, r12vrr_stack+18486, r12vrr_stack+31915, r12vrr_stack+15930, r12vrr_stack+18126, r12vrr_stack+28755);

 /*--- compute (i0|k0)^1 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+33211, r12vrr_stack+19026, r12vrr_stack+32455, r12vrr_stack+16290, r12vrr_stack+18486, r12vrr_stack+29175);

 /*--- compute (k0|k0)^0 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+34219, r12vrr_stack+19782, r12vrr_stack+33211, r12vrr_stack+17370, r12vrr_stack+19026, r12vrr_stack+29763);
 tmp = r12vrr_stack + 34219;
 target_ptr = Libr12->gvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21690, r12vrr_stack+8889, r12vrr_stack+10090, r12vrr_stack+5627, r12vrr_stack+8861, NULL);

 /*--- compute (p0|l0)^5 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+15714, r12vrr_stack+20925, r12vrr_stack+21690, NULL, NULL, r12vrr_stack+8889);

 /*--- compute (d0|l0)^4 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+15849, r12vrr_stack+9466, r12vrr_stack+15714, r12vrr_stack+5139, r12vrr_stack+20925, r12vrr_stack+9142);

 /*--- compute (f0|l0)^3 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+16119, r12vrr_stack+14508, r12vrr_stack+15849, r12vrr_stack+21060, r12vrr_stack+9466, r12vrr_stack+9250);

 /*--- compute (g0|l0)^2 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+35515, r12vrr_stack+22635, r12vrr_stack+16119, r12vrr_stack+21195, r12vrr_stack+14508, r12vrr_stack+18126);

 /*--- compute (h0|l0)^1 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+36190, r12vrr_stack+23085, r12vrr_stack+35515, r12vrr_stack+21735, r12vrr_stack+22635, r12vrr_stack+18486);

 /*--- compute (i0|l0)^0 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+37135, r12vrr_stack+24435, r12vrr_stack+36190, r12vrr_stack+23760, r12vrr_stack+23085, r12vrr_stack+19026);
 tmp = r12vrr_stack + 37135;
 target_ptr = Libr12->gvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^7 ---*/
 _BUILD_p000(Data,r12vrr_stack+21735, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (d0|00)^6 ---*/
 _BUILD_d000(Data,r12vrr_stack+21738, r12vrr_stack+1032, r12vrr_stack+21735, Data->F+6, Data->F+7, NULL);

 /*--- compute (f0|00)^5 ---*/
 _BUILD_f000(Data,r12vrr_stack+21744, r12vrr_stack+48, r12vrr_stack+21738, r12vrr_stack+500, r12vrr_stack+1032, NULL);

 /*--- compute (g0|00)^4 ---*/
 _BUILD_g000(Data,r12vrr_stack+21754, r12vrr_stack+22185, r12vrr_stack+21744, r12vrr_stack+54, r12vrr_stack+48, NULL);

 /*--- compute (p0|p0)^7 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+48, r12vrr_stack+78, r12vrr_stack+6, NULL, NULL, Data->F+8);

 /*--- compute (d0|p0)^6 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+21769, r12vrr_stack+21, r12vrr_stack+48, r12vrr_stack+105, r12vrr_stack+78, r12vrr_stack+21735);

 /*--- compute (f0|p0)^5 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+21787, r12vrr_stack+60, r12vrr_stack+21769, r12vrr_stack+503, r12vrr_stack+21, r12vrr_stack+21738);

 /*--- compute (g0|p0)^4 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+21817, r12vrr_stack+960, r12vrr_stack+21787, r12vrr_stack+2775, r12vrr_stack+60, r12vrr_stack+21744);

 /*--- compute (h0|p0)^3 ---*/
 _BUILD_h0p0(Data,r12vrr_stack+21862, r12vrr_stack+1086, r12vrr_stack+21817, r12vrr_stack+2793, r12vrr_stack+960, r12vrr_stack+21754);

 /*--- compute (p0|d0)^7 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+960, r12vrr_stack+414, r12vrr_stack+198, NULL, NULL, r12vrr_stack+6);

 /*--- compute (d0|d0)^6 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+8794, r12vrr_stack+30, r12vrr_stack+960, r12vrr_stack+87, r12vrr_stack+414, r12vrr_stack+48);

 /*--- compute (f0|d0)^5 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+87, r12vrr_stack+22195, r12vrr_stack+8794, r12vrr_stack+2823, r12vrr_stack+30, r12vrr_stack+21769);

 /*--- compute (g0|d0)^4 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+21925, r12vrr_stack+264, r12vrr_stack+87, r12vrr_stack+2841, r12vrr_stack+22195, r12vrr_stack+21787);

 /*--- compute (h0|d0)^3 ---*/
 _BUILD_h0d0(Data,r12vrr_stack+22015, r12vrr_stack+20970, r12vrr_stack+21925, r12vrr_stack+2877, r12vrr_stack+264, r12vrr_stack+21817);

 /*--- compute (i0|d0)^2 ---*/
 _BUILD_i0d0(Data,r12vrr_stack+21060, r12vrr_stack+22231, r12vrr_stack+22015, r12vrr_stack+2937, r12vrr_stack+20970, r12vrr_stack+21862);

 /*--- compute (p0|f0)^7 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+20970, r12vrr_stack+710, r12vrr_stack+420, NULL, NULL, r12vrr_stack+198);

 /*--- compute (d0|f0)^6 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+21000, r12vrr_stack+780, r12vrr_stack+20970, r12vrr_stack+430, r12vrr_stack+710, r12vrr_stack+960);

 /*--- compute (f0|f0)^5 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+430, r12vrr_stack+204, r12vrr_stack+21000, r12vrr_stack+168, r12vrr_stack+780, r12vrr_stack+8794);

 /*--- compute (g0|f0)^4 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+530, r12vrr_stack+22357, r12vrr_stack+430, r12vrr_stack+3027, r12vrr_stack+204, r12vrr_stack+87);

 /*--- compute (h0|f0)^3 ---*/
 _BUILD_h0f0(Data,r12vrr_stack+87, r12vrr_stack+22457, r12vrr_stack+530, r12vrr_stack+3087, r12vrr_stack+22357, r12vrr_stack+21925);

 /*--- compute (i0|f0)^2 ---*/
 _BUILD_i0f0(Data,r12vrr_stack+21735, r12vrr_stack+14778, r12vrr_stack+87, r12vrr_stack+3187, r12vrr_stack+22457, r12vrr_stack+22015);

 /*--- compute (k0|f0)^1 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+22015, r12vrr_stack+14022, r12vrr_stack+21735, r12vrr_stack+3337, r12vrr_stack+14778, r12vrr_stack+21060);

 /*--- compute (p0|g0)^7 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1086, r12vrr_stack+1050, r12vrr_stack+1035, NULL, NULL, r12vrr_stack+420);

 /*--- compute (d0|g0)^6 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+21060, r12vrr_stack+810, r12vrr_stack+1086, r12vrr_stack+720, r12vrr_stack+1050, r12vrr_stack+20970);

 /*--- compute (f0|g0)^5 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+21150, r12vrr_stack+855, r12vrr_stack+21060, r12vrr_stack+735, r12vrr_stack+810, r12vrr_stack+21000);

 /*--- compute (g0|g0)^4 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+14022, r12vrr_stack+14988, r12vrr_stack+21150, r12vrr_stack+3547, r12vrr_stack+855, r12vrr_stack+430);

 /*--- compute (h0|g0)^3 ---*/
 _BUILD_h0g0(Data,r12vrr_stack+2775, r12vrr_stack+21465, r12vrr_stack+14022, r12vrr_stack+3637, r12vrr_stack+14988, r12vrr_stack+530);

 /*--- compute (i0|g0)^2 ---*/
 _BUILD_i0g0(Data,r12vrr_stack+3090, r12vrr_stack+25380, r12vrr_stack+2775, r12vrr_stack+3787, r12vrr_stack+21465, r12vrr_stack+87);

 /*--- compute (k0|g0)^1 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+373, r12vrr_stack+25695, r12vrr_stack+3090, r12vrr_stack+4012, r12vrr_stack+25380, r12vrr_stack+21735);

 /*--- compute (l0|g0)^0 ---*/
 am[0] = 8;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+3510, r12vrr_stack+26115, r12vrr_stack+373, r12vrr_stack+4327, r12vrr_stack+25695, r12vrr_stack+22015);

 /*--- compute (p0|h0)^7 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+21735, r12vrr_stack+5606, r12vrr_stack+352, NULL, NULL, r12vrr_stack+1035);

 /*--- compute (d0|h0)^6 ---*/
 _BUILD_d0h0(Data,r12vrr_stack+21798, r12vrr_stack+1770, r12vrr_stack+21735, r12vrr_stack+1065, r12vrr_stack+5606, r12vrr_stack+1086);

 /*--- compute (f0|h0)^5 ---*/
 _BUILD_f0h0(Data,r12vrr_stack+21924, r12vrr_stack+1833, r12vrr_stack+21798, r12vrr_stack+1194, r12vrr_stack+1770, r12vrr_stack+21060);

 /*--- compute (g0|h0)^4 ---*/
 _BUILD_g0h0(Data,r12vrr_stack+22134, r12vrr_stack+1959, r12vrr_stack+21924, r12vrr_stack+1257, r12vrr_stack+1833, r12vrr_stack+21150);

 /*--- compute (h0|h0)^3 ---*/
 _BUILD_h0h0(Data,r12vrr_stack+25380, r12vrr_stack+26655, r12vrr_stack+22134, r12vrr_stack+6763, r12vrr_stack+1959, r12vrr_stack+14022);

 /*--- compute (i0|h0)^2 ---*/
 _BUILD_i0h0(Data,r12vrr_stack+20970, r12vrr_stack+26970, r12vrr_stack+25380, r12vrr_stack+6973, r12vrr_stack+26655, r12vrr_stack+2775);

 /*--- compute (k0|h0)^1 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+38395, r12vrr_stack+27411, r12vrr_stack+20970, r12vrr_stack+7288, r12vrr_stack+26970, r12vrr_stack+3090);

 /*--- compute (l0|h0)^0 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6763, r12vrr_stack+27999, r12vrr_stack+38395, r12vrr_stack+8170, r12vrr_stack+27411, r12vrr_stack+373);
 tmp = r12vrr_stack + 6763;
 target_ptr = Libr12->gvrr_classes[8][5];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^7 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+373, r12vrr_stack+8861, r12vrr_stack+22607, NULL, NULL, r12vrr_stack+352);

 /*--- compute (d0|i0)^6 ---*/
 _BUILD_d0i0(Data,r12vrr_stack+457, r12vrr_stack+20790, r12vrr_stack+373, r12vrr_stack+5627, r12vrr_stack+8861, r12vrr_stack+21735);

 /*--- compute (f0|i0)^5 ---*/
 _BUILD_f0i0(Data,r12vrr_stack+625, r12vrr_stack+5739, r12vrr_stack+457, r12vrr_stack+5655, r12vrr_stack+20790, r12vrr_stack+21798);

 /*--- compute (g0|i0)^4 ---*/
 _BUILD_g0i0(Data,r12vrr_stack+2775, r12vrr_stack+5184, r12vrr_stack+625, r12vrr_stack+11782, r12vrr_stack+5739, r12vrr_stack+21924);

 /*--- compute (h0|i0)^3 ---*/
 _BUILD_h0i0(Data,r12vrr_stack+26655, r12vrr_stack+28755, r12vrr_stack+2775, r12vrr_stack+11950, r12vrr_stack+5184, r12vrr_stack+22134);

 /*--- compute (i0|i0)^2 ---*/
 _BUILD_i0i0(Data,r12vrr_stack+21735, r12vrr_stack+29175, r12vrr_stack+26655, r12vrr_stack+12230, r12vrr_stack+28755, r12vrr_stack+25380);

 /*--- compute (k0|i0)^1 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4859, r12vrr_stack+29763, r12vrr_stack+21735, r12vrr_stack+12650, r12vrr_stack+29175, r12vrr_stack+20970);

 /*--- compute (l0|i0)^0 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11782, r12vrr_stack+30547, r12vrr_stack+4859, r12vrr_stack+13238, r12vrr_stack+29763, r12vrr_stack+38395);
 tmp = r12vrr_stack + 11782;
 target_ptr = Libr12->gvrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+38395, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+38398, r12vrr_stack+0, r12vrr_stack+38395, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+38404, r12vrr_stack+10074, r12vrr_stack+38398, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+0, r12vrr_stack+10080, r12vrr_stack+38404, r12vrr_stack+8830, r12vrr_stack+10074, NULL);

 /*--- compute (00|h0)^10 ---*/
 _BUILD_00h0(Data,r12vrr_stack+7708, r12vrr_stack+945, r12vrr_stack+0, r12vrr_stack+8836, r12vrr_stack+10080, NULL);

 /*--- compute (00|i0)^9 ---*/
 _BUILD_00i0(Data,r12vrr_stack+0, r12vrr_stack+990, r12vrr_stack+7708, r12vrr_stack+8846, r12vrr_stack+945, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+28, r12vrr_stack+22607, r12vrr_stack+0, r12vrr_stack+352, r12vrr_stack+990, NULL);

 /*--- compute (p0|k0)^7 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9034, r12vrr_stack+10090, r12vrr_stack+28, NULL, NULL, r12vrr_stack+22607);

 /*--- compute (d0|k0)^6 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+38395, r12vrr_stack+10126, r12vrr_stack+9034, r12vrr_stack+8889, r12vrr_stack+10090, r12vrr_stack+373);

 /*--- compute (f0|k0)^5 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14778, r12vrr_stack+10234, r12vrr_stack+38395, r12vrr_stack+9142, r12vrr_stack+10126, r12vrr_stack+457);

 /*--- compute (g0|k0)^4 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+38395, r12vrr_stack+31555, r12vrr_stack+14778, r12vrr_stack+9250, r12vrr_stack+10234, r12vrr_stack+625);

 /*--- compute (h0|k0)^3 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+27243, r12vrr_stack+31915, r12vrr_stack+38395, r12vrr_stack+18126, r12vrr_stack+31555, r12vrr_stack+2775);

 /*--- compute (i0|k0)^2 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+38395, r12vrr_stack+32455, r12vrr_stack+27243, r12vrr_stack+18486, r12vrr_stack+31915, r12vrr_stack+26655);

 /*--- compute (k0|k0)^1 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+26655, r12vrr_stack+33211, r12vrr_stack+38395, r12vrr_stack+19026, r12vrr_stack+32455, r12vrr_stack+21735);

 /*--- compute (l0|k0)^0 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+18126, r12vrr_stack+34219, r12vrr_stack+26655, r12vrr_stack+19782, r12vrr_stack+33211, r12vrr_stack+4859);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4859, r12vrr_stack+10090, r12vrr_stack+28, r12vrr_stack+8861, r12vrr_stack+22607, NULL);

 /*--- compute (p0|l0)^6 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20790, r12vrr_stack+21690, r12vrr_stack+4859, NULL, NULL, r12vrr_stack+10090);

 /*--- compute (d0|l0)^5 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4859, r12vrr_stack+15714, r12vrr_stack+20790, r12vrr_stack+20925, r12vrr_stack+21690, r12vrr_stack+10126);

 /*--- compute (f0|l0)^4 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20790, r12vrr_stack+15849, r12vrr_stack+4859, r12vrr_stack+9466, r12vrr_stack+15714, r12vrr_stack+10234);

 /*--- compute (g0|l0)^3 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4859, r12vrr_stack+16119, r12vrr_stack+20790, r12vrr_stack+14508, r12vrr_stack+15849, r12vrr_stack+31555);

 /*--- compute (h0|l0)^2 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20790, r12vrr_stack+35515, r12vrr_stack+4859, r12vrr_stack+22635, r12vrr_stack+16119, r12vrr_stack+31915);

 /*--- compute (i0|l0)^1 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21735, r12vrr_stack+36190, r12vrr_stack+20790, r12vrr_stack+23085, r12vrr_stack+35515, r12vrr_stack+32455);

 /*--- compute (k0|l0)^0 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+31555, r12vrr_stack+37135, r12vrr_stack+21735, r12vrr_stack+24435, r12vrr_stack+36190, r12vrr_stack+33211);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+35515, &(Data->ss_r12_ss), NULL, r12vrr_stack+324, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+35518, r12vrr_stack+35515, &(Data->ss_r12_ss), r12vrr_stack+81, r12vrr_stack+324, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+35524, r12vrr_stack+35518, r12vrr_stack+35515, r12vrr_stack+327, r12vrr_stack+81, r12vrr_stack+324, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+35534, r12vrr_stack+35524, r12vrr_stack+35518, r12vrr_stack+337, r12vrr_stack+327, r12vrr_stack+81, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+7708, r12vrr_stack+35534, r12vrr_stack+35524, r12vrr_stack+1011, r12vrr_stack+337, r12vrr_stack+327, NULL);

 /*--- compute (p0||h0)^0 ---*/
 _R_BUILD_p0h0(Data,r12vrr_stack+35549, r12vrr_stack+7708, NULL, r12vrr_stack+1131, r12vrr_stack+1011, NULL, r12vrr_stack+337);

 /*--- compute (d0||h0)^0 ---*/
 _R_BUILD_d0h0(Data,r12vrr_stack+35612, r12vrr_stack+35549, r12vrr_stack+7708, r12vrr_stack+6112, r12vrr_stack+1131, r12vrr_stack+1011, r12vrr_stack+1485);

 /*--- compute (f0||h0)^0 ---*/
 _R_BUILD_f0h0(Data,r12vrr_stack+35738, r12vrr_stack+35612, r12vrr_stack+35549, r12vrr_stack+6238, r12vrr_stack+6112, r12vrr_stack+1131, r12vrr_stack+1530);

 /*--- compute (g0||h0)^0 ---*/
 _R_BUILD_g0h0(Data,r12vrr_stack+35948, r12vrr_stack+35738, r12vrr_stack+35612, r12vrr_stack+6448, r12vrr_stack+6238, r12vrr_stack+6112, r12vrr_stack+1620);

 /*--- compute (h0||h0)^0 ---*/
 _R_BUILD_h0h0(Data,r12vrr_stack+36263, r12vrr_stack+35948, r12vrr_stack+35738, r12vrr_stack+7729, r12vrr_stack+6448, r12vrr_stack+6238, r12vrr_stack+2235);
 tmp = r12vrr_stack + 36263;
 target_ptr = Libr12->rvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||h0)^0 ---*/
 _R_BUILD_i0h0(Data,r12vrr_stack+20790, r12vrr_stack+36263, r12vrr_stack+35948, r12vrr_stack+8170, r12vrr_stack+7729, r12vrr_stack+6448, r12vrr_stack+2460);
 tmp = r12vrr_stack + 20790;
 target_ptr = Libr12->rvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+35549, r12vrr_stack+7708, r12vrr_stack+35534, r12vrr_stack+4747, r12vrr_stack+1011, r12vrr_stack+337, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+35577, r12vrr_stack+35549, NULL, r12vrr_stack+4775, r12vrr_stack+4747, NULL, r12vrr_stack+1011);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+35661, r12vrr_stack+35577, r12vrr_stack+35549, r12vrr_stack+9626, r12vrr_stack+4775, r12vrr_stack+4747, r12vrr_stack+1131);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+35829, r12vrr_stack+35661, r12vrr_stack+35577, r12vrr_stack+9794, r12vrr_stack+9626, r12vrr_stack+4775, r12vrr_stack+6112);

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+36704, r12vrr_stack+35829, r12vrr_stack+35661, r12vrr_stack+10774, r12vrr_stack+9794, r12vrr_stack+9626, r12vrr_stack+6238);

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+21378, r12vrr_stack+36704, r12vrr_stack+35829, r12vrr_stack+11194, r12vrr_stack+10774, r12vrr_stack+9794, r12vrr_stack+6448);
 tmp = r12vrr_stack + 21378;
 target_ptr = Libr12->rvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||i0)^0 ---*/
 _R_BUILD_i0i0(Data,r12vrr_stack+21966, r12vrr_stack+21378, r12vrr_stack+36704, r12vrr_stack+13238, r12vrr_stack+11194, r12vrr_stack+10774, r12vrr_stack+7729);
 tmp = r12vrr_stack + 21966;
 target_ptr = Libr12->rvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+19746, r12vrr_stack+35549, r12vrr_stack+7708, r12vrr_stack+8758, r12vrr_stack+4747, r12vrr_stack+1011, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+36704, r12vrr_stack+19746, NULL, r12vrr_stack+8926, r12vrr_stack+8758, NULL, r12vrr_stack+4747);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+36812, r12vrr_stack+36704, r12vrr_stack+19746, r12vrr_stack+15138, r12vrr_stack+8926, r12vrr_stack+8758, r12vrr_stack+4775);

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+4747, r12vrr_stack+36812, r12vrr_stack+36704, r12vrr_stack+15354, r12vrr_stack+15138, r12vrr_stack+8926, r12vrr_stack+9626);

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+8758, r12vrr_stack+4747, r12vrr_stack+36812, r12vrr_stack+16830, r12vrr_stack+15354, r12vrr_stack+15138, r12vrr_stack+9794);

 /*--- compute (h0||k0)^0 ---*/
 _R_BUILD_h0k0(Data,r12vrr_stack+9298, r12vrr_stack+8758, r12vrr_stack+4747, r12vrr_stack+17370, r12vrr_stack+16830, r12vrr_stack+15354, r12vrr_stack+10774);
 tmp = r12vrr_stack + 9298;
 target_ptr = Libr12->rvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||k0)^0 ---*/
 _R_BUILD_i0k0(Data,r12vrr_stack+4747, r12vrr_stack+9298, r12vrr_stack+8758, r12vrr_stack+19782, r12vrr_stack+17370, r12vrr_stack+16830, r12vrr_stack+11194);
 tmp = r12vrr_stack + 4747;
 target_ptr = Libr12->rvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8758, r12vrr_stack+7729, r12vrr_stack+11194, r12vrr_stack+8170, r12vrr_stack+4327, r12vrr_stack+2460);
 tmp = r12vrr_stack + 8758;
 target_ptr = Libr12->t2vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5755, r12vrr_stack+11194, r12vrr_stack+17370, r12vrr_stack+13238, r12vrr_stack+8170, r12vrr_stack+7729);
 tmp = r12vrr_stack + 5755;
 target_ptr = Libr12->t2vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+22750, r12vrr_stack+17370, r12vrr_stack+24435, r12vrr_stack+19782, r12vrr_stack+13238, r12vrr_stack+11194);
 tmp = r12vrr_stack + 22750;
 target_ptr = Libr12->t2vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_i0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+10054, r12vrr_stack+8170, r12vrr_stack+13238, r12vrr_stack+27999, r12vrr_stack+26115, r12vrr_stack+4327);
 tmp = r12vrr_stack + 10054;
 target_ptr = Libr12->t2vrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+33175, r12vrr_stack+13238, r12vrr_stack+19782, r12vrr_stack+30547, r12vrr_stack+27999, r12vrr_stack+8170);
 tmp = r12vrr_stack + 33175;
 target_ptr = Libr12->t2vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+26655, r12vrr_stack+19782, r12vrr_stack+37135, r12vrr_stack+34219, r12vrr_stack+30547, r12vrr_stack+13238);
 tmp = r12vrr_stack + 26655;
 target_ptr = Libr12->t2vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_k0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+38395, r12vrr_stack+27999, r12vrr_stack+30547, r12vrr_stack+6763, r12vrr_stack+3510, r12vrr_stack+26115);
 tmp = r12vrr_stack + 38395;
 target_ptr = Libr12->t2vrr_classes[7][5];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_k0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+30547, r12vrr_stack+34219, r12vrr_stack+11782, r12vrr_stack+6763, r12vrr_stack+27999);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t2vrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_k0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1008, r12vrr_stack+34219, r12vrr_stack+31555, r12vrr_stack+18126, r12vrr_stack+11782, r12vrr_stack+30547);
 tmp = r12vrr_stack + 1008;
 target_ptr = Libr12->t2vrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+35515, r12vrr_stack+7729, r12vrr_stack+8170, r12vrr_stack+11194, r12vrr_stack+10774, r12vrr_stack+6448);
 tmp = r12vrr_stack + 35515;
 target_ptr = Libr12->t1vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+39151, r12vrr_stack+11194, r12vrr_stack+13238, r12vrr_stack+17370, r12vrr_stack+16830, r12vrr_stack+10774);
 tmp = r12vrr_stack + 39151;
 target_ptr = Libr12->t1vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2304, r12vrr_stack+17370, r12vrr_stack+19782, r12vrr_stack+24435, r12vrr_stack+23760, r12vrr_stack+16830);
 tmp = r12vrr_stack + 2304;
 target_ptr = Libr12->t1vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_i0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+23506, r12vrr_stack+8170, r12vrr_stack+27999, r12vrr_stack+13238, r12vrr_stack+11194, r12vrr_stack+7729);
 tmp = r12vrr_stack + 23506;
 target_ptr = Libr12->t1vrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3060, r12vrr_stack+13238, r12vrr_stack+30547, r12vrr_stack+19782, r12vrr_stack+17370, r12vrr_stack+11194);
 tmp = r12vrr_stack + 3060;
 target_ptr = Libr12->t1vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+25380, r12vrr_stack+19782, r12vrr_stack+34219, r12vrr_stack+37135, r12vrr_stack+24435, r12vrr_stack+17370);
 tmp = r12vrr_stack + 25380;
 target_ptr = Libr12->t1vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_k0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+24094, r12vrr_stack+27999, r12vrr_stack+6763, r12vrr_stack+30547, r12vrr_stack+13238, r12vrr_stack+8170);
 tmp = r12vrr_stack + 24094;
 target_ptr = Libr12->t1vrr_classes[7][5];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_k0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+6343, r12vrr_stack+30547, r12vrr_stack+11782, r12vrr_stack+34219, r12vrr_stack+19782, r12vrr_stack+13238);
 tmp = r12vrr_stack + 6343;
 target_ptr = Libr12->t1vrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_k0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11782, r12vrr_stack+34219, r12vrr_stack+18126, r12vrr_stack+31555, r12vrr_stack+37135, r12vrr_stack+19782);
 tmp = r12vrr_stack + 11782;
 target_ptr = Libr12->t1vrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||h0)^0 ---*/
 _R_BUILD_k0h0(Data,r12vrr_stack+31555, r12vrr_stack+20790, r12vrr_stack+36263, r12vrr_stack+27999, r12vrr_stack+8170, r12vrr_stack+7729, r12vrr_stack+4327);
 tmp = r12vrr_stack + 31555;
 target_ptr = Libr12->rvrr_classes[7][5];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||i0)^0 ---*/
 _R_BUILD_k0i0(Data,r12vrr_stack+18126, r12vrr_stack+21966, r12vrr_stack+21378, r12vrr_stack+30547, r12vrr_stack+13238, r12vrr_stack+11194, r12vrr_stack+8170);
 tmp = r12vrr_stack + 18126;
 target_ptr = Libr12->rvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||k0)^0 ---*/
 _R_BUILD_k0k0(Data,r12vrr_stack+20790, r12vrr_stack+4747, r12vrr_stack+9298, r12vrr_stack+34219, r12vrr_stack+19782, r12vrr_stack+17370, r12vrr_stack+13238);
 tmp = r12vrr_stack + 20790;
 target_ptr = Libr12->rvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];


}

